{ stdenv, fetchFromGitHub, autoconf, automake, libtool, pkgconfig}:

stdenv.mkDerivation rec {
  name = "irqbalance-1.1.0";

  src = fetchFromGitHub {
    owner = "irqbalance";
    repo = "irqbalance";
    rev = "a23de3c455b88060620d102f6946b1d8be9e2680";
    sha256 = "06yq5k5v9wiwajqcjkbkk46g212qx78x323bygnyqshc5s25mp2x";
  };

  nativeBuildInputs = [ autoconf automake libtool pkgconfig ];

  preConfigure = ''
    ./autogen.sh
  '';

  meta = {
    homepage = https://github.com/Irqbalance/irqbalance;
    description = "A daemon to help balance the cpu load generated by interrupts across all of a systems cpus";
    license = stdenv.lib.licenses.gpl2;
    platforms = stdenv.lib.platforms.linux;
  };
}
