{ lib, pythonPackages, fetchurl, libxslt, docbook5_xsl, openssh
# version args
, src, version
}:

pythonPackages.buildPythonApplication {
  name = "nixops-${version}";
  namePrefix = "";

  src = src;

  buildInputs = [ libxslt ];

  pythonPath =
    [ pythonPackages.prettytable
      pythonPackages.boto
      pythonPackages.sqlite3
      pythonPackages.hetzner
      pythonPackages.libcloud
      pythonPackages.azure-storage
      pythonPackages.azure-mgmt-compute
      pythonPackages.azure-mgmt-network
      pythonPackages.azure-mgmt-resource
      pythonPackages.azure-mgmt-storage
      pythonPackages.adal
    ];

  doCheck = false;

  postInstall =
    ''
      make -C doc/manual install nixops.1 docbookxsl=${docbook5_xsl}/xml/xsl/docbook \
        docdir=$out/share/doc/nixops mandir=$out/share/man

      mkdir -p $out/share/nix/nixops
      cp -av "nix/"* $out/share/nix/nixops

      # Add openssh to nixops' PATH. On some platforms, e.g. CentOS and RHEL
      # the version of openssh is causing errors when have big networks (40+)
      wrapProgram $out/bin/nixops --prefix PATH : "${openssh}/bin"
    '';

  meta = {
    homepage = https://github.com/NixOS/nixops;
    description = "NixOS cloud provisioning and deployment tool";
    maintainers = [ lib.maintainers.eelco lib.maintainers.rob ];
    platforms = lib.platforms.unix;
  };
}
