{ pkgs }:

with import ./lib.nix { inherit pkgs; };

self: super: {

  # core libraries provided by the compiler
  Cabal = null;
  array = null;
  base = null;
  bin-package-db = null;
  binary = null;
  bytestring = null;
  containers = null;
  deepseq = null;
  directory = null;
  filepath = null;
  ghc-prim = null;
  hoopl = null;
  hpc = null;
  integer-gmp = null;
  pretty = null;
  process = null;
  rts = null;
  template-haskell = null;
  time = null;
  transformers = null;
  unix = null;

  # lts-6.9 packages
  "3d-graphics-examples" = dontDistribute super."3d-graphics-examples";
  "3dmodels" = dontDistribute super."3dmodels";
  "4Blocks" = dontDistribute super."4Blocks";
  "AAI" = dontDistribute super."AAI";
  "ABList" = dontDistribute super."ABList";
  "AC-Angle" = dontDistribute super."AC-Angle";
  "AC-Boolean" = dontDistribute super."AC-Boolean";
  "AC-BuildPlatform" = dontDistribute super."AC-BuildPlatform";
  "AC-Colour" = dontDistribute super."AC-Colour";
  "AC-EasyRaster-GTK" = dontDistribute super."AC-EasyRaster-GTK";
  "AC-HalfInteger" = dontDistribute super."AC-HalfInteger";
  "AC-MiniTest" = dontDistribute super."AC-MiniTest";
  "AC-PPM" = dontDistribute super."AC-PPM";
  "AC-Random" = dontDistribute super."AC-Random";
  "AC-Terminal" = dontDistribute super."AC-Terminal";
  "AC-VanillaArray" = dontDistribute super."AC-VanillaArray";
  "AC-Vector-Fancy" = dontDistribute super."AC-Vector-Fancy";
  "ACME" = dontDistribute super."ACME";
  "ADPfusion" = dontDistribute super."ADPfusion";
  "AERN-Basics" = dontDistribute super."AERN-Basics";
  "AERN-Net" = dontDistribute super."AERN-Net";
  "AERN-Real" = dontDistribute super."AERN-Real";
  "AERN-Real-Double" = dontDistribute super."AERN-Real-Double";
  "AERN-Real-Interval" = dontDistribute super."AERN-Real-Interval";
  "AERN-RnToRm" = dontDistribute super."AERN-RnToRm";
  "AERN-RnToRm-Plot" = dontDistribute super."AERN-RnToRm-Plot";
  "AES" = dontDistribute super."AES";
  "AFSM" = dontDistribute super."AFSM";
  "AGI" = dontDistribute super."AGI";
  "ALUT" = dontDistribute super."ALUT";
  "AMI" = dontDistribute super."AMI";
  "ANum" = dontDistribute super."ANum";
  "ASN1" = dontDistribute super."ASN1";
  "AVar" = dontDistribute super."AVar";
  "AWin32Console" = dontDistribute super."AWin32Console";
  "AbortT-monadstf" = dontDistribute super."AbortT-monadstf";
  "AbortT-mtl" = dontDistribute super."AbortT-mtl";
  "AbortT-transformers" = dontDistribute super."AbortT-transformers";
  "ActionKid" = dontDistribute super."ActionKid";
  "Adaptive" = dontDistribute super."Adaptive";
  "Adaptive-Blaisorblade" = dontDistribute super."Adaptive-Blaisorblade";
  "Advgame" = dontDistribute super."Advgame";
  "AesonBson" = dontDistribute super."AesonBson";
  "Agata" = dontDistribute super."Agata";
  "Agda" = doDistribute super."Agda_2_5_1";
  "Agda-executable" = dontDistribute super."Agda-executable";
  "AhoCorasick" = dontDistribute super."AhoCorasick";
  "AlgorithmW" = dontDistribute super."AlgorithmW";
  "AlignmentAlgorithms" = dontDistribute super."AlignmentAlgorithms";
  "Allure" = dontDistribute super."Allure";
  "AndroidViewHierarchyImporter" = dontDistribute super."AndroidViewHierarchyImporter";
  "Animas" = dontDistribute super."Animas";
  "Annotations" = dontDistribute super."Annotations";
  "Ansi2Html" = dontDistribute super."Ansi2Html";
  "ApplePush" = dontDistribute super."ApplePush";
  "AppleScript" = dontDistribute super."AppleScript";
  "ApproxFun-hs" = dontDistribute super."ApproxFun-hs";
  "ArrayRef" = dontDistribute super."ArrayRef";
  "ArrowVHDL" = dontDistribute super."ArrowVHDL";
  "AspectAG" = dontDistribute super."AspectAG";
  "AttoBencode" = dontDistribute super."AttoBencode";
  "AttoJson" = dontDistribute super."AttoJson";
  "Attrac" = dontDistribute super."Attrac";
  "Aurochs" = dontDistribute super."Aurochs";
  "AutoForms" = dontDistribute super."AutoForms";
  "AvlTree" = dontDistribute super."AvlTree";
  "BASIC" = dontDistribute super."BASIC";
  "BCMtools" = dontDistribute super."BCMtools";
  "BNFC" = dontDistribute super."BNFC";
  "BNFC-meta" = dontDistribute super."BNFC-meta";
  "Baggins" = dontDistribute super."Baggins";
  "Bang" = dontDistribute super."Bang";
  "Barracuda" = dontDistribute super."Barracuda";
  "Befunge93" = dontDistribute super."Befunge93";
  "BenchmarkHistory" = dontDistribute super."BenchmarkHistory";
  "BerkeleyDB" = dontDistribute super."BerkeleyDB";
  "BerkeleyDBXML" = dontDistribute super."BerkeleyDBXML";
  "BerlekampAlgorithm" = dontDistribute super."BerlekampAlgorithm";
  "BiGUL" = dontDistribute super."BiGUL";
  "BigPixel" = dontDistribute super."BigPixel";
  "Binpack" = dontDistribute super."Binpack";
  "Biobase" = dontDistribute super."Biobase";
  "BiobaseBlast" = dontDistribute super."BiobaseBlast";
  "BiobaseDotP" = dontDistribute super."BiobaseDotP";
  "BiobaseFR3D" = dontDistribute super."BiobaseFR3D";
  "BiobaseFasta" = dontDistribute super."BiobaseFasta";
  "BiobaseInfernal" = dontDistribute super."BiobaseInfernal";
  "BiobaseMAF" = dontDistribute super."BiobaseMAF";
  "BiobaseNewick" = dontDistribute super."BiobaseNewick";
  "BiobaseTrainingData" = dontDistribute super."BiobaseTrainingData";
  "BiobaseTurner" = dontDistribute super."BiobaseTurner";
  "BiobaseTypes" = dontDistribute super."BiobaseTypes";
  "BiobaseVienna" = dontDistribute super."BiobaseVienna";
  "BiobaseXNA" = dontDistribute super."BiobaseXNA";
  "BirdPP" = dontDistribute super."BirdPP";
  "BitSyntax" = dontDistribute super."BitSyntax";
  "Bitly" = dontDistribute super."Bitly";
  "Blobs" = dontDistribute super."Blobs";
  "BluePrintCSS" = dontDistribute super."BluePrintCSS";
  "Blueprint" = dontDistribute super."Blueprint";
  "Bookshelf" = dontDistribute super."Bookshelf";
  "Bravo" = dontDistribute super."Bravo";
  "BufferedSocket" = dontDistribute super."BufferedSocket";
  "Buster" = dontDistribute super."Buster";
  "CBOR" = dontDistribute super."CBOR";
  "CC-delcont" = dontDistribute super."CC-delcont";
  "CC-delcont-alt" = dontDistribute super."CC-delcont-alt";
  "CC-delcont-cxe" = dontDistribute super."CC-delcont-cxe";
  "CC-delcont-exc" = dontDistribute super."CC-delcont-exc";
  "CC-delcont-ref" = dontDistribute super."CC-delcont-ref";
  "CC-delcont-ref-tf" = dontDistribute super."CC-delcont-ref-tf";
  "CCA" = dontDistribute super."CCA";
  "CHXHtml" = dontDistribute super."CHXHtml";
  "CLASE" = dontDistribute super."CLASE";
  "CLI" = dontDistribute super."CLI";
  "CMCompare" = dontDistribute super."CMCompare";
  "CMQ" = dontDistribute super."CMQ";
  "COrdering" = dontDistribute super."COrdering";
  "CPBrainfuck" = dontDistribute super."CPBrainfuck";
  "CPL" = dontDistribute super."CPL";
  "CSPM-CoreLanguage" = dontDistribute super."CSPM-CoreLanguage";
  "CSPM-FiringRules" = dontDistribute super."CSPM-FiringRules";
  "CSPM-Frontend" = dontDistribute super."CSPM-Frontend";
  "CSPM-Interpreter" = dontDistribute super."CSPM-Interpreter";
  "CSPM-ToProlog" = dontDistribute super."CSPM-ToProlog";
  "CSPM-cspm" = dontDistribute super."CSPM-cspm";
  "CTRex" = dontDistribute super."CTRex";
  "CV" = dontDistribute super."CV";
  "CabalSearch" = dontDistribute super."CabalSearch";
  "Capabilities" = dontDistribute super."Capabilities";
  "Cardinality" = dontDistribute super."Cardinality";
  "CarneadesDSL" = dontDistribute super."CarneadesDSL";
  "CarneadesIntoDung" = dontDistribute super."CarneadesIntoDung";
  "Cartesian" = dontDistribute super."Cartesian";
  "Cascade" = dontDistribute super."Cascade";
  "Catana" = dontDistribute super."Catana";
  "Chart" = doDistribute super."Chart_1_6";
  "Chart-cairo" = doDistribute super."Chart-cairo_1_6";
  "Chart-diagrams" = doDistribute super."Chart-diagrams_1_6";
  "Chart-gtk" = dontDistribute super."Chart-gtk";
  "Chart-simple" = dontDistribute super."Chart-simple";
  "CheatSheet" = dontDistribute super."CheatSheet";
  "Checked" = dontDistribute super."Checked";
  "Chitra" = dontDistribute super."Chitra";
  "ChristmasTree" = dontDistribute super."ChristmasTree";
  "CirruParser" = dontDistribute super."CirruParser";
  "ClassLaws" = dontDistribute super."ClassLaws";
  "ClassyPrelude" = dontDistribute super."ClassyPrelude";
  "Clean" = dontDistribute super."Clean";
  "Clipboard" = dontDistribute super."Clipboard";
  "Coadjute" = dontDistribute super."Coadjute";
  "Codec-Compression-LZF" = dontDistribute super."Codec-Compression-LZF";
  "Codec-Image-DevIL" = dontDistribute super."Codec-Image-DevIL";
  "Combinatorrent" = dontDistribute super."Combinatorrent";
  "Command" = dontDistribute super."Command";
  "Commando" = dontDistribute super."Commando";
  "ComonadSheet" = dontDistribute super."ComonadSheet";
  "Concurrent-Cache" = dontDistribute super."Concurrent-Cache";
  "ConcurrentUtils" = dontDistribute super."ConcurrentUtils";
  "Concurrential" = dontDistribute super."Concurrential";
  "Condor" = dontDistribute super."Condor";
  "ConfigFileTH" = dontDistribute super."ConfigFileTH";
  "Configger" = dontDistribute super."Configger";
  "Configurable" = dontDistribute super."Configurable";
  "ConsStream" = dontDistribute super."ConsStream";
  "Conscript" = dontDistribute super."Conscript";
  "ConstraintKinds" = dontDistribute super."ConstraintKinds";
  "Consumer" = dontDistribute super."Consumer";
  "ContArrow" = dontDistribute super."ContArrow";
  "ContextAlgebra" = dontDistribute super."ContextAlgebra";
  "Contract" = dontDistribute super."Contract";
  "Control-Engine" = dontDistribute super."Control-Engine";
  "Control-Monad-MultiPass" = dontDistribute super."Control-Monad-MultiPass";
  "Control-Monad-ST2" = dontDistribute super."Control-Monad-ST2";
  "CoreDump" = dontDistribute super."CoreDump";
  "CoreErlang" = dontDistribute super."CoreErlang";
  "CoreFoundation" = dontDistribute super."CoreFoundation";
  "Coroutine" = dontDistribute super."Coroutine";
  "CouchDB" = dontDistribute super."CouchDB";
  "Craft3e" = dontDistribute super."Craft3e";
  "Crypto" = dontDistribute super."Crypto";
  "CurryDB" = dontDistribute super."CurryDB";
  "DAG-Tournament" = dontDistribute super."DAG-Tournament";
  "DAV" = doDistribute super."DAV_1_2";
  "DBlimited" = dontDistribute super."DBlimited";
  "DBus" = dontDistribute super."DBus";
  "DCFL" = dontDistribute super."DCFL";
  "DMuCheck" = dontDistribute super."DMuCheck";
  "DOM" = dontDistribute super."DOM";
  "DP" = dontDistribute super."DP";
  "DPM" = dontDistribute super."DPM";
  "DSA" = dontDistribute super."DSA";
  "DSH" = dontDistribute super."DSH";
  "DSTM" = dontDistribute super."DSTM";
  "DTC" = dontDistribute super."DTC";
  "Dangerous" = dontDistribute super."Dangerous";
  "Dao" = dontDistribute super."Dao";
  "DarcsHelpers" = dontDistribute super."DarcsHelpers";
  "Data-Hash-Consistent" = dontDistribute super."Data-Hash-Consistent";
  "Data-Rope" = dontDistribute super."Data-Rope";
  "DataTreeView" = dontDistribute super."DataTreeView";
  "Deadpan-DDP" = dontDistribute super."Deadpan-DDP";
  "DebugTraceHelpers" = dontDistribute super."DebugTraceHelpers";
  "DecisionTree" = dontDistribute super."DecisionTree";
  "DeepArrow" = dontDistribute super."DeepArrow";
  "DefendTheKing" = dontDistribute super."DefendTheKing";
  "Delta-Lambda" = dontDistribute super."Delta-Lambda";
  "DescriptiveKeys" = dontDistribute super."DescriptiveKeys";
  "Dflow" = dontDistribute super."Dflow";
  "Diff" = doDistribute super."Diff_0_3_2";
  "DifferenceLogic" = dontDistribute super."DifferenceLogic";
  "DifferentialEvolution" = dontDistribute super."DifferentialEvolution";
  "Digit" = dontDistribute super."Digit";
  "DigitalOcean" = dontDistribute super."DigitalOcean";
  "DimensionalHash" = dontDistribute super."DimensionalHash";
  "DirectSound" = dontDistribute super."DirectSound";
  "DisTract" = dontDistribute super."DisTract";
  "DiscussionSupportSystem" = dontDistribute super."DiscussionSupportSystem";
  "Dish" = dontDistribute super."Dish";
  "Dist" = dontDistribute super."Dist";
  "DistanceTransform" = dontDistribute super."DistanceTransform";
  "DistanceUnits" = dontDistribute super."DistanceUnits";
  "DnaProteinAlignment" = dontDistribute super."DnaProteinAlignment";
  "DocTest" = dontDistribute super."DocTest";
  "Docs" = dontDistribute super."Docs";
  "DrHylo" = dontDistribute super."DrHylo";
  "DrIFT" = dontDistribute super."DrIFT";
  "DrIFT-cabalized" = dontDistribute super."DrIFT-cabalized";
  "Dung" = dontDistribute super."Dung";
  "Dust" = dontDistribute super."Dust";
  "Dust-crypto" = dontDistribute super."Dust-crypto";
  "Dust-tools" = dontDistribute super."Dust-tools";
  "Dust-tools-pcap" = dontDistribute super."Dust-tools-pcap";
  "DynamicTimeWarp" = dontDistribute super."DynamicTimeWarp";
  "DysFRP" = dontDistribute super."DysFRP";
  "DysFRP-Cairo" = dontDistribute super."DysFRP-Cairo";
  "DysFRP-Craftwerk" = dontDistribute super."DysFRP-Craftwerk";
  "EEConfig" = dontDistribute super."EEConfig";
  "EdisonAPI" = doDistribute super."EdisonAPI_1_3";
  "EditTimeReport" = dontDistribute super."EditTimeReport";
  "EitherT" = dontDistribute super."EitherT";
  "Elm" = dontDistribute super."Elm";
  "Emping" = dontDistribute super."Emping";
  "Encode" = dontDistribute super."Encode";
  "EnumContainers" = dontDistribute super."EnumContainers";
  "EnumMap" = dontDistribute super."EnumMap";
  "Eq" = dontDistribute super."Eq";
  "EqualitySolver" = dontDistribute super."EqualitySolver";
  "EsounD" = dontDistribute super."EsounD";
  "EstProgress" = dontDistribute super."EstProgress";
  "EtaMOO" = dontDistribute super."EtaMOO";
  "Etage" = dontDistribute super."Etage";
  "Etage-Graph" = dontDistribute super."Etage-Graph";
  "Eternal10Seconds" = dontDistribute super."Eternal10Seconds";
  "Etherbunny" = dontDistribute super."Etherbunny";
  "EuroIT" = dontDistribute super."EuroIT";
  "Euterpea" = dontDistribute super."Euterpea";
  "EventSocket" = dontDistribute super."EventSocket";
  "Extra" = dontDistribute super."Extra";
  "FComp" = dontDistribute super."FComp";
  "FM-SBLEX" = dontDistribute super."FM-SBLEX";
  "FModExRaw" = dontDistribute super."FModExRaw";
  "FPretty" = dontDistribute super."FPretty";
  "FTGL" = dontDistribute super."FTGL";
  "FTGL-bytestring" = dontDistribute super."FTGL-bytestring";
  "FTPLine" = dontDistribute super."FTPLine";
  "Facts" = dontDistribute super."Facts";
  "FailureT" = dontDistribute super."FailureT";
  "FastxPipe" = dontDistribute super."FastxPipe";
  "FermatsLastMargin" = dontDistribute super."FermatsLastMargin";
  "FerryCore" = dontDistribute super."FerryCore";
  "Feval" = dontDistribute super."Feval";
  "FieldTrip" = dontDistribute super."FieldTrip";
  "FileManip" = dontDistribute super."FileManip";
  "FileManipCompat" = dontDistribute super."FileManipCompat";
  "FilePather" = dontDistribute super."FilePather";
  "FileSystem" = dontDistribute super."FileSystem";
  "Finance-Quote-Yahoo" = dontDistribute super."Finance-Quote-Yahoo";
  "Finance-Treasury" = dontDistribute super."Finance-Treasury";
  "FiniteMap" = dontDistribute super."FiniteMap";
  "FirstOrderTheory" = dontDistribute super."FirstOrderTheory";
  "FixedPoint-simple" = dontDistribute super."FixedPoint-simple";
  "Flippi" = dontDistribute super."Flippi";
  "Focus" = dontDistribute super."Focus";
  "Folly" = dontDistribute super."Folly";
  "ForSyDe" = dontDistribute super."ForSyDe";
  "ForestStructures" = dontDistribute super."ForestStructures";
  "ForkableT" = dontDistribute super."ForkableT";
  "FormalGrammars" = dontDistribute super."FormalGrammars";
  "Foster" = dontDistribute super."Foster";
  "FpMLv53" = dontDistribute super."FpMLv53";
  "FractalArt" = dontDistribute super."FractalArt";
  "Fractaler" = dontDistribute super."Fractaler";
  "Frank" = dontDistribute super."Frank";
  "FreeTypeGL" = dontDistribute super."FreeTypeGL";
  "FunGEn" = dontDistribute super."FunGEn";
  "Fungi" = dontDistribute super."Fungi";
  "GA" = dontDistribute super."GA";
  "GGg" = dontDistribute super."GGg";
  "GHood" = dontDistribute super."GHood";
  "GLFW" = dontDistribute super."GLFW";
  "GLFW-OGL" = dontDistribute super."GLFW-OGL";
  "GLFW-b-demo" = dontDistribute super."GLFW-b-demo";
  "GLFW-task" = dontDistribute super."GLFW-task";
  "GLHUI" = dontDistribute super."GLHUI";
  "GLM" = dontDistribute super."GLM";
  "GLMatrix" = dontDistribute super."GLMatrix";
  "GLUtil" = dontDistribute super."GLUtil";
  "GPX" = dontDistribute super."GPX";
  "GPipe-Collada" = dontDistribute super."GPipe-Collada";
  "GPipe-Examples" = dontDistribute super."GPipe-Examples";
  "GPipe-TextureLoad" = dontDistribute super."GPipe-TextureLoad";
  "GTALib" = dontDistribute super."GTALib";
  "Gamgine" = dontDistribute super."Gamgine";
  "Ganymede" = dontDistribute super."Ganymede";
  "GaussQuadIntegration" = dontDistribute super."GaussQuadIntegration";
  "GeBoP" = dontDistribute super."GeBoP";
  "GenI" = dontDistribute super."GenI";
  "GenSmsPdu" = dontDistribute super."GenSmsPdu";
  "GeneralTicTacToe" = dontDistribute super."GeneralTicTacToe";
  "GenussFold" = dontDistribute super."GenussFold";
  "GeoIp" = dontDistribute super."GeoIp";
  "GeocoderOpenCage" = dontDistribute super."GeocoderOpenCage";
  "Geodetic" = dontDistribute super."Geodetic";
  "GeomPredicates" = dontDistribute super."GeomPredicates";
  "GeomPredicates-SSE" = dontDistribute super."GeomPredicates-SSE";
  "GiST" = dontDistribute super."GiST";
  "Gifcurry" = dontDistribute super."Gifcurry";
  "GiveYouAHead" = dontDistribute super."GiveYouAHead";
  "GlomeTrace" = dontDistribute super."GlomeTrace";
  "GlomeVec" = dontDistribute super."GlomeVec";
  "GlomeView" = dontDistribute super."GlomeView";
  "GoogleChart" = dontDistribute super."GoogleChart";
  "GoogleDirections" = dontDistribute super."GoogleDirections";
  "GoogleSB" = dontDistribute super."GoogleSB";
  "GoogleSuggest" = dontDistribute super."GoogleSuggest";
  "GoogleTranslate" = dontDistribute super."GoogleTranslate";
  "GotoT-transformers" = dontDistribute super."GotoT-transformers";
  "GrammarProducts" = dontDistribute super."GrammarProducts";
  "Graph500" = dontDistribute super."Graph500";
  "GraphHammer" = dontDistribute super."GraphHammer";
  "GraphHammer-examples" = dontDistribute super."GraphHammer-examples";
  "Graphalyze" = dontDistribute super."Graphalyze";
  "Grempa" = dontDistribute super."Grempa";
  "GroteTrap" = dontDistribute super."GroteTrap";
  "Grow" = dontDistribute super."Grow";
  "GrowlNotify" = dontDistribute super."GrowlNotify";
  "Gtk2hsGenerics" = dontDistribute super."Gtk2hsGenerics";
  "GtkGLTV" = dontDistribute super."GtkGLTV";
  "GtkTV" = dontDistribute super."GtkTV";
  "GuiHaskell" = dontDistribute super."GuiHaskell";
  "GuiTV" = dontDistribute super."GuiTV";
  "H" = doDistribute super."H_0_8_0_0";
  "HARM" = dontDistribute super."HARM";
  "HAppS-Data" = dontDistribute super."HAppS-Data";
  "HAppS-IxSet" = dontDistribute super."HAppS-IxSet";
  "HAppS-Server" = dontDistribute super."HAppS-Server";
  "HAppS-State" = dontDistribute super."HAppS-State";
  "HAppS-Util" = dontDistribute super."HAppS-Util";
  "HAppSHelpers" = dontDistribute super."HAppSHelpers";
  "HCL" = dontDistribute super."HCL";
  "HCard" = dontDistribute super."HCard";
  "HDBC-mysql" = dontDistribute super."HDBC-mysql";
  "HDBC-odbc" = dontDistribute super."HDBC-odbc";
  "HDBC-postgresql-hstore" = dontDistribute super."HDBC-postgresql-hstore";
  "HDRUtils" = dontDistribute super."HDRUtils";
  "HERA" = dontDistribute super."HERA";
  "HFrequencyQueue" = dontDistribute super."HFrequencyQueue";
  "HFuse" = dontDistribute super."HFuse";
  "HGE2D" = dontDistribute super."HGE2D";
  "HGL" = dontDistribute super."HGL";
  "HGamer3D" = dontDistribute super."HGamer3D";
  "HGamer3D-API" = dontDistribute super."HGamer3D-API";
  "HGamer3D-Audio" = dontDistribute super."HGamer3D-Audio";
  "HGamer3D-Bullet-Binding" = dontDistribute super."HGamer3D-Bullet-Binding";
  "HGamer3D-CAudio-Binding" = dontDistribute super."HGamer3D-CAudio-Binding";
  "HGamer3D-CEGUI-Binding" = dontDistribute super."HGamer3D-CEGUI-Binding";
  "HGamer3D-Common" = dontDistribute super."HGamer3D-Common";
  "HGamer3D-Data" = dontDistribute super."HGamer3D-Data";
  "HGamer3D-Enet-Binding" = dontDistribute super."HGamer3D-Enet-Binding";
  "HGamer3D-GUI" = dontDistribute super."HGamer3D-GUI";
  "HGamer3D-Graphics3D" = dontDistribute super."HGamer3D-Graphics3D";
  "HGamer3D-InputSystem" = dontDistribute super."HGamer3D-InputSystem";
  "HGamer3D-Network" = dontDistribute super."HGamer3D-Network";
  "HGamer3D-OIS-Binding" = dontDistribute super."HGamer3D-OIS-Binding";
  "HGamer3D-Ogre-Binding" = dontDistribute super."HGamer3D-Ogre-Binding";
  "HGamer3D-SDL2-Binding" = dontDistribute super."HGamer3D-SDL2-Binding";
  "HGamer3D-SFML-Binding" = dontDistribute super."HGamer3D-SFML-Binding";
  "HGamer3D-WinEvent" = dontDistribute super."HGamer3D-WinEvent";
  "HGamer3D-Wire" = dontDistribute super."HGamer3D-Wire";
  "HGraphStorage" = dontDistribute super."HGraphStorage";
  "HHDL" = dontDistribute super."HHDL";
  "HJScript" = dontDistribute super."HJScript";
  "HJVM" = dontDistribute super."HJVM";
  "HJavaScript" = dontDistribute super."HJavaScript";
  "HLearn-algebra" = dontDistribute super."HLearn-algebra";
  "HLearn-approximation" = dontDistribute super."HLearn-approximation";
  "HLearn-classification" = dontDistribute super."HLearn-classification";
  "HLearn-datastructures" = dontDistribute super."HLearn-datastructures";
  "HLearn-distributions" = dontDistribute super."HLearn-distributions";
  "HListPP" = dontDistribute super."HListPP";
  "HLogger" = dontDistribute super."HLogger";
  "HMM" = dontDistribute super."HMM";
  "HMap" = dontDistribute super."HMap";
  "HNM" = dontDistribute super."HNM";
  "HODE" = dontDistribute super."HODE";
  "HOpenCV" = dontDistribute super."HOpenCV";
  "HPath" = dontDistribute super."HPath";
  "HPhone" = dontDistribute super."HPhone";
  "HPi" = dontDistribute super."HPi";
  "HPlot" = dontDistribute super."HPlot";
  "HPong" = dontDistribute super."HPong";
  "HROOT" = dontDistribute super."HROOT";
  "HROOT-core" = dontDistribute super."HROOT-core";
  "HROOT-graf" = dontDistribute super."HROOT-graf";
  "HROOT-hist" = dontDistribute super."HROOT-hist";
  "HROOT-io" = dontDistribute super."HROOT-io";
  "HROOT-math" = dontDistribute super."HROOT-math";
  "HRay" = dontDistribute super."HRay";
  "HSFFIG" = dontDistribute super."HSFFIG";
  "HSGEP" = dontDistribute super."HSGEP";
  "HSH" = dontDistribute super."HSH";
  "HSHHelpers" = dontDistribute super."HSHHelpers";
  "HSlippyMap" = dontDistribute super."HSlippyMap";
  "HSmarty" = dontDistribute super."HSmarty";
  "HSoundFile" = dontDistribute super."HSoundFile";
  "HStringTemplateHelpers" = dontDistribute super."HStringTemplateHelpers";
  "HSvm" = dontDistribute super."HSvm";
  "HTTP-Simple" = dontDistribute super."HTTP-Simple";
  "HTab" = dontDistribute super."HTab";
  "HTicTacToe" = dontDistribute super."HTicTacToe";
  "HUnit-Diff" = dontDistribute super."HUnit-Diff";
  "HUnit-Plus" = dontDistribute super."HUnit-Plus";
  "HUnit-approx" = dontDistribute super."HUnit-approx";
  "HXMPP" = dontDistribute super."HXMPP";
  "HXQ" = dontDistribute super."HXQ";
  "HaLeX" = dontDistribute super."HaLeX";
  "HaMinitel" = dontDistribute super."HaMinitel";
  "HaPy" = dontDistribute super."HaPy";
  "HaTeX-meta" = dontDistribute super."HaTeX-meta";
  "HaTeX-qq" = dontDistribute super."HaTeX-qq";
  "HaVSA" = dontDistribute super."HaVSA";
  "Hach" = dontDistribute super."Hach";
  "HackMail" = dontDistribute super."HackMail";
  "Haggressive" = dontDistribute super."Haggressive";
  "HandlerSocketClient" = dontDistribute super."HandlerSocketClient";
  "Hangman" = dontDistribute super."Hangman";
  "HarmTrace" = dontDistribute super."HarmTrace";
  "HarmTrace-Base" = dontDistribute super."HarmTrace-Base";
  "HasGP" = dontDistribute super."HasGP";
  "Haschoo" = dontDistribute super."Haschoo";
  "Hashell" = dontDistribute super."Hashell";
  "HaskRel" = dontDistribute super."HaskRel";
  "HaskellForMaths" = dontDistribute super."HaskellForMaths";
  "HaskellLM" = dontDistribute super."HaskellLM";
  "HaskellNN" = dontDistribute super."HaskellNN";
  "HaskellTorrent" = dontDistribute super."HaskellTorrent";
  "HaskellTutorials" = dontDistribute super."HaskellTutorials";
  "Haskelloids" = dontDistribute super."Haskelloids";
  "Hate" = dontDistribute super."Hate";
  "Hawk" = dontDistribute super."Hawk";
  "Hayoo" = dontDistribute super."Hayoo";
  "Hedi" = dontDistribute super."Hedi";
  "HerbiePlugin" = dontDistribute super."HerbiePlugin";
  "Hermes" = dontDistribute super."Hermes";
  "Hieroglyph" = dontDistribute super."Hieroglyph";
  "HiggsSet" = dontDistribute super."HiggsSet";
  "Hipmunk" = dontDistribute super."Hipmunk";
  "HipmunkPlayground" = dontDistribute super."HipmunkPlayground";
  "Hish" = dontDistribute super."Hish";
  "Histogram" = dontDistribute super."Histogram";
  "Hmpf" = dontDistribute super."Hmpf";
  "Hoed" = dontDistribute super."Hoed";
  "HoleyMonoid" = dontDistribute super."HoleyMonoid";
  "Holumbus-Distribution" = dontDistribute super."Holumbus-Distribution";
  "Holumbus-MapReduce" = dontDistribute super."Holumbus-MapReduce";
  "Holumbus-Searchengine" = dontDistribute super."Holumbus-Searchengine";
  "Holumbus-Storage" = dontDistribute super."Holumbus-Storage";
  "Homology" = dontDistribute super."Homology";
  "HongoDB" = dontDistribute super."HongoDB";
  "HostAndPort" = dontDistribute super."HostAndPort";
  "Hricket" = dontDistribute super."Hricket";
  "Hs2lib" = dontDistribute super."Hs2lib";
  "HsASA" = dontDistribute super."HsASA";
  "HsHaruPDF" = dontDistribute super."HsHaruPDF";
  "HsHyperEstraier" = dontDistribute super."HsHyperEstraier";
  "HsJudy" = dontDistribute super."HsJudy";
  "HsOpenSSL-x509-system" = dontDistribute super."HsOpenSSL-x509-system";
  "HsParrot" = dontDistribute super."HsParrot";
  "HsPerl5" = dontDistribute super."HsPerl5";
  "HsSVN" = dontDistribute super."HsSVN";
  "HsTools" = dontDistribute super."HsTools";
  "Hsed" = dontDistribute super."Hsed";
  "Hsmtlib" = dontDistribute super."Hsmtlib";
  "HueAPI" = dontDistribute super."HueAPI";
  "HulkImport" = dontDistribute super."HulkImport";
  "Hungarian-Munkres" = dontDistribute super."Hungarian-Munkres";
  "IDynamic" = dontDistribute super."IDynamic";
  "IFS" = dontDistribute super."IFS";
  "INblobs" = dontDistribute super."INblobs";
  "IOR" = dontDistribute super."IOR";
  "IORefCAS" = dontDistribute super."IORefCAS";
  "IOSpec" = dontDistribute super."IOSpec";
  "IcoGrid" = dontDistribute super."IcoGrid";
  "Imlib" = dontDistribute super."Imlib";
  "ImperativeHaskell" = dontDistribute super."ImperativeHaskell";
  "IndentParser" = dontDistribute super."IndentParser";
  "IndexedList" = dontDistribute super."IndexedList";
  "InfixApplicative" = dontDistribute super."InfixApplicative";
  "Interpolation" = dontDistribute super."Interpolation";
  "Interpolation-maxs" = dontDistribute super."Interpolation-maxs";
  "Irc" = dontDistribute super."Irc";
  "IrrHaskell" = dontDistribute super."IrrHaskell";
  "IsNull" = dontDistribute super."IsNull";
  "JSON-Combinator" = dontDistribute super."JSON-Combinator";
  "JSON-Combinator-Examples" = dontDistribute super."JSON-Combinator-Examples";
  "JSONb" = dontDistribute super."JSONb";
  "JYU-Utils" = dontDistribute super."JYU-Utils";
  "JackMiniMix" = dontDistribute super."JackMiniMix";
  "Javasf" = dontDistribute super."Javasf";
  "Javav" = dontDistribute super."Javav";
  "JsContracts" = dontDistribute super."JsContracts";
  "JsonGrammar" = dontDistribute super."JsonGrammar";
  "JuicyPixels-canvas" = dontDistribute super."JuicyPixels-canvas";
  "JuicyPixels-extra" = dontDistribute super."JuicyPixels-extra";
  "JunkDB" = dontDistribute super."JunkDB";
  "JunkDB-driver-gdbm" = dontDistribute super."JunkDB-driver-gdbm";
  "JunkDB-driver-hashtables" = dontDistribute super."JunkDB-driver-hashtables";
  "JustParse" = dontDistribute super."JustParse";
  "KMP" = dontDistribute super."KMP";
  "KSP" = dontDistribute super."KSP";
  "Kalman" = dontDistribute super."Kalman";
  "KdTree" = dontDistribute super."KdTree";
  "Ketchup" = dontDistribute super."Ketchup";
  "KiCS" = dontDistribute super."KiCS";
  "KiCS-debugger" = dontDistribute super."KiCS-debugger";
  "KiCS-prophecy" = dontDistribute super."KiCS-prophecy";
  "Kleislify" = dontDistribute super."Kleislify";
  "Konf" = dontDistribute super."Konf";
  "Kriens" = dontDistribute super."Kriens";
  "KyotoCabinet" = dontDistribute super."KyotoCabinet";
  "L-seed" = dontDistribute super."L-seed";
  "LATS" = dontDistribute super."LATS";
  "LDAP" = dontDistribute super."LDAP";
  "LRU" = dontDistribute super."LRU";
  "LTree" = dontDistribute super."LTree";
  "LambdaCalculator" = dontDistribute super."LambdaCalculator";
  "LambdaDB" = dontDistribute super."LambdaDB";
  "LambdaHack" = dontDistribute super."LambdaHack";
  "LambdaINet" = dontDistribute super."LambdaINet";
  "LambdaNet" = dontDistribute super."LambdaNet";
  "LambdaPrettyQuote" = dontDistribute super."LambdaPrettyQuote";
  "LambdaShell" = dontDistribute super."LambdaShell";
  "Lambdajudge" = dontDistribute super."Lambdajudge";
  "Lambdaya" = dontDistribute super."Lambdaya";
  "LargeCardinalHierarchy" = dontDistribute super."LargeCardinalHierarchy";
  "Lastik" = dontDistribute super."Lastik";
  "Lattices" = dontDistribute super."Lattices";
  "Lazy-Pbkdf2" = dontDistribute super."Lazy-Pbkdf2";
  "LazyVault" = dontDistribute super."LazyVault";
  "Level0" = dontDistribute super."Level0";
  "LibClang" = dontDistribute super."LibClang";
  "LibZip" = dontDistribute super."LibZip";
  "Limit" = dontDistribute super."Limit";
  "LinearSplit" = dontDistribute super."LinearSplit";
  "LinguisticsTypes" = dontDistribute super."LinguisticsTypes";
  "LinkChecker" = dontDistribute super."LinkChecker";
  "ListLike" = doDistribute super."ListLike_4_2_1";
  "ListTree" = dontDistribute super."ListTree";
  "ListWriter" = dontDistribute super."ListWriter";
  "ListZipper" = dontDistribute super."ListZipper";
  "Logic" = dontDistribute super."Logic";
  "LogicGrowsOnTrees" = dontDistribute super."LogicGrowsOnTrees";
  "LogicGrowsOnTrees-MPI" = dontDistribute super."LogicGrowsOnTrees-MPI";
  "LogicGrowsOnTrees-network" = dontDistribute super."LogicGrowsOnTrees-network";
  "LogicGrowsOnTrees-processes" = dontDistribute super."LogicGrowsOnTrees-processes";
  "LslPlus" = dontDistribute super."LslPlus";
  "Lucu" = dontDistribute super."Lucu";
  "MC-Fold-DP" = dontDistribute super."MC-Fold-DP";
  "MHask" = dontDistribute super."MHask";
  "MSQueue" = dontDistribute super."MSQueue";
  "MTGBuilder" = dontDistribute super."MTGBuilder";
  "MagicHaskeller" = dontDistribute super."MagicHaskeller";
  "MailchimpSimple" = dontDistribute super."MailchimpSimple";
  "MaybeT" = dontDistribute super."MaybeT";
  "MaybeT-monads-tf" = dontDistribute super."MaybeT-monads-tf";
  "MaybeT-transformers" = dontDistribute super."MaybeT-transformers";
  "MazesOfMonad" = dontDistribute super."MazesOfMonad";
  "MeanShift" = dontDistribute super."MeanShift";
  "Measure" = dontDistribute super."Measure";
  "MetaHDBC" = dontDistribute super."MetaHDBC";
  "MetaObject" = dontDistribute super."MetaObject";
  "Metrics" = dontDistribute super."Metrics";
  "Mhailist" = dontDistribute super."Mhailist";
  "Michelangelo" = dontDistribute super."Michelangelo";
  "MicrosoftTranslator" = dontDistribute super."MicrosoftTranslator";
  "MiniAgda" = dontDistribute super."MiniAgda";
  "MissingH" = doDistribute super."MissingH_1_3_0_2";
  "MissingK" = dontDistribute super."MissingK";
  "MissingM" = dontDistribute super."MissingM";
  "MissingPy" = dontDistribute super."MissingPy";
  "Modulo" = dontDistribute super."Modulo";
  "Moe" = dontDistribute super."Moe";
  "MoeDict" = dontDistribute super."MoeDict";
  "MonadCatchIO-mtl" = dontDistribute super."MonadCatchIO-mtl";
  "MonadCatchIO-mtl-foreign" = dontDistribute super."MonadCatchIO-mtl-foreign";
  "MonadCatchIO-transformers-foreign" = dontDistribute super."MonadCatchIO-transformers-foreign";
  "MonadCompose" = dontDistribute super."MonadCompose";
  "MonadLab" = dontDistribute super."MonadLab";
  "MonadRandomLazy" = dontDistribute super."MonadRandomLazy";
  "MonadStack" = dontDistribute super."MonadStack";
  "Monadius" = dontDistribute super."Monadius";
  "Monaris" = dontDistribute super."Monaris";
  "Monatron" = dontDistribute super."Monatron";
  "Monatron-IO" = dontDistribute super."Monatron-IO";
  "Monocle" = dontDistribute super."Monocle";
  "MorseCode" = dontDistribute super."MorseCode";
  "MuCheck" = dontDistribute super."MuCheck";
  "MuCheck-HUnit" = dontDistribute super."MuCheck-HUnit";
  "MuCheck-Hspec" = dontDistribute super."MuCheck-Hspec";
  "MuCheck-QuickCheck" = dontDistribute super."MuCheck-QuickCheck";
  "MuCheck-SmallCheck" = dontDistribute super."MuCheck-SmallCheck";
  "Munkres" = dontDistribute super."Munkres";
  "Munkres-simple" = dontDistribute super."Munkres-simple";
  "MusicBrainz-libdiscid" = dontDistribute super."MusicBrainz-libdiscid";
  "MyPrimes" = dontDistribute super."MyPrimes";
  "NGrams" = dontDistribute super."NGrams";
  "NTRU" = dontDistribute super."NTRU";
  "NXT" = dontDistribute super."NXT";
  "NXTDSL" = dontDistribute super."NXTDSL";
  "NanoProlog" = dontDistribute super."NanoProlog";
  "NaturalLanguageAlphabets" = dontDistribute super."NaturalLanguageAlphabets";
  "NaturalSort" = dontDistribute super."NaturalSort";
  "NearContextAlgebra" = dontDistribute super."NearContextAlgebra";
  "Neks" = dontDistribute super."Neks";
  "NestedFunctor" = dontDistribute super."NestedFunctor";
  "NestedSampling" = dontDistribute super."NestedSampling";
  "NetSNMP" = dontDistribute super."NetSNMP";
  "NewBinary" = dontDistribute super."NewBinary";
  "Ninjas" = dontDistribute super."Ninjas";
  "NoSlow" = dontDistribute super."NoSlow";
  "Noise" = dontDistribute super."Noise";
  "Nomyx" = dontDistribute super."Nomyx";
  "Nomyx-Core" = dontDistribute super."Nomyx-Core";
  "Nomyx-Language" = dontDistribute super."Nomyx-Language";
  "Nomyx-Rules" = dontDistribute super."Nomyx-Rules";
  "Nomyx-Web" = dontDistribute super."Nomyx-Web";
  "NonEmpty" = dontDistribute super."NonEmpty";
  "NonEmptyList" = dontDistribute super."NonEmptyList";
  "NumLazyByteString" = dontDistribute super."NumLazyByteString";
  "NumberSieves" = dontDistribute super."NumberSieves";
  "NumberTheory" = dontDistribute super."NumberTheory";
  "Numbers" = dontDistribute super."Numbers";
  "Nussinov78" = dontDistribute super."Nussinov78";
  "Nutri" = dontDistribute super."Nutri";
  "OGL" = dontDistribute super."OGL";
  "OSM" = dontDistribute super."OSM";
  "OTP" = dontDistribute super."OTP";
  "Object" = dontDistribute super."Object";
  "ObjectIO" = dontDistribute super."ObjectIO";
  "Obsidian" = dontDistribute super."Obsidian";
  "OddWord" = dontDistribute super."OddWord";
  "Omega" = dontDistribute super."Omega";
  "OpenAFP" = dontDistribute super."OpenAFP";
  "OpenAFP-Utils" = dontDistribute super."OpenAFP-Utils";
  "OpenAL" = dontDistribute super."OpenAL";
  "OpenCL" = dontDistribute super."OpenCL";
  "OpenCLRaw" = dontDistribute super."OpenCLRaw";
  "OpenCLWrappers" = dontDistribute super."OpenCLWrappers";
  "OpenGLCheck" = dontDistribute super."OpenGLCheck";
  "OpenGLRaw21" = dontDistribute super."OpenGLRaw21";
  "OpenSCAD" = dontDistribute super."OpenSCAD";
  "OpenVG" = dontDistribute super."OpenVG";
  "OpenVGRaw" = dontDistribute super."OpenVGRaw";
  "Operads" = dontDistribute super."Operads";
  "OptDir" = dontDistribute super."OptDir";
  "OrPatterns" = dontDistribute super."OrPatterns";
  "OrchestrateDB" = dontDistribute super."OrchestrateDB";
  "OrderedBits" = dontDistribute super."OrderedBits";
  "Ordinals" = dontDistribute super."Ordinals";
  "PArrows" = dontDistribute super."PArrows";
  "PBKDF2" = dontDistribute super."PBKDF2";
  "PCLT" = dontDistribute super."PCLT";
  "PCLT-DB" = dontDistribute super."PCLT-DB";
  "PDBtools" = dontDistribute super."PDBtools";
  "PPrinter" = dontDistribute super."PPrinter";
  "PTQ" = dontDistribute super."PTQ";
  "PUH-Project" = dontDistribute super."PUH-Project";
  "PageIO" = dontDistribute super."PageIO";
  "Paillier" = dontDistribute super."Paillier";
  "PandocAgda" = dontDistribute super."PandocAgda";
  "Paraiso" = dontDistribute super."Paraiso";
  "Parry" = dontDistribute super."Parry";
  "ParsecTools" = dontDistribute super."ParsecTools";
  "ParserFunction" = dontDistribute super."ParserFunction";
  "PartialTypeSignatures" = dontDistribute super."PartialTypeSignatures";
  "PasswordGenerator" = dontDistribute super."PasswordGenerator";
  "PastePipe" = dontDistribute super."PastePipe";
  "PathTree" = dontDistribute super."PathTree";
  "Pathfinder" = dontDistribute super."Pathfinder";
  "Peano" = dontDistribute super."Peano";
  "PeanoWitnesses" = dontDistribute super."PeanoWitnesses";
  "PerfectHash" = dontDistribute super."PerfectHash";
  "PermuteEffects" = dontDistribute super."PermuteEffects";
  "Phsu" = dontDistribute super."Phsu";
  "Pipe" = dontDistribute super."Pipe";
  "Piso" = dontDistribute super."Piso";
  "PlayHangmanGame" = dontDistribute super."PlayHangmanGame";
  "PlayingCards" = dontDistribute super."PlayingCards";
  "Plot-ho-matic" = dontDistribute super."Plot-ho-matic";
  "PlslTools" = dontDistribute super."PlslTools";
  "Plural" = dontDistribute super."Plural";
  "Pollutocracy" = dontDistribute super."Pollutocracy";
  "PortFusion" = dontDistribute super."PortFusion";
  "PortMidi" = doDistribute super."PortMidi_0_1_6_0";
  "PostgreSQL" = dontDistribute super."PostgreSQL";
  "PrimitiveArray" = dontDistribute super."PrimitiveArray";
  "PrimitiveArray-Pretty" = dontDistribute super."PrimitiveArray-Pretty";
  "Printf-TH" = dontDistribute super."Printf-TH";
  "PriorityChansConverger" = dontDistribute super."PriorityChansConverger";
  "ProbabilityMonads" = dontDistribute super."ProbabilityMonads";
  "PropLogic" = dontDistribute super."PropLogic";
  "Proper" = dontDistribute super."Proper";
  "ProxN" = dontDistribute super."ProxN";
  "Pugs" = dontDistribute super."Pugs";
  "Pup-Events" = dontDistribute super."Pup-Events";
  "Pup-Events-Client" = dontDistribute super."Pup-Events-Client";
  "Pup-Events-Demo" = dontDistribute super."Pup-Events-Demo";
  "Pup-Events-PQueue" = dontDistribute super."Pup-Events-PQueue";
  "Pup-Events-Server" = dontDistribute super."Pup-Events-Server";
  "QIO" = dontDistribute super."QIO";
  "QLearn" = dontDistribute super."QLearn";
  "QuadEdge" = dontDistribute super."QuadEdge";
  "QuadTree" = dontDistribute super."QuadTree";
  "Quelea" = dontDistribute super."Quelea";
  "QuickAnnotate" = dontDistribute super."QuickAnnotate";
  "QuickCheck-GenT" = dontDistribute super."QuickCheck-GenT";
  "QuickCheck-safe" = dontDistribute super."QuickCheck-safe";
  "QuickCheckVariant" = dontDistribute super."QuickCheckVariant";
  "QuickPlot" = dontDistribute super."QuickPlot";
  "Quickson" = dontDistribute super."Quickson";
  "R-pandoc" = dontDistribute super."R-pandoc";
  "RANSAC" = dontDistribute super."RANSAC";
  "RBTree" = dontDistribute super."RBTree";
  "RESTng" = dontDistribute super."RESTng";
  "RFC1751" = dontDistribute super."RFC1751";
  "RJson" = dontDistribute super."RJson";
  "RMP" = dontDistribute super."RMP";
  "RNAFold" = dontDistribute super."RNAFold";
  "RNAFoldProgs" = dontDistribute super."RNAFoldProgs";
  "RNAdesign" = dontDistribute super."RNAdesign";
  "RNAdraw" = dontDistribute super."RNAdraw";
  "RNAwolf" = dontDistribute super."RNAwolf";
  "Raincat" = dontDistribute super."Raincat";
  "Random123" = dontDistribute super."Random123";
  "RandomDotOrg" = dontDistribute super."RandomDotOrg";
  "Randometer" = dontDistribute super."Randometer";
  "Range" = dontDistribute super."Range";
  "Ranged-sets" = dontDistribute super."Ranged-sets";
  "Ranka" = dontDistribute super."Ranka";
  "Rasenschach" = dontDistribute super."Rasenschach";
  "Redmine" = dontDistribute super."Redmine";
  "Ref" = dontDistribute super."Ref";
  "Referees" = dontDistribute super."Referees";
  "RepLib" = dontDistribute super."RepLib";
  "ReplicateEffects" = dontDistribute super."ReplicateEffects";
  "ReviewBoard" = dontDistribute super."ReviewBoard";
  "RichConditional" = dontDistribute super."RichConditional";
  "RollingDirectory" = dontDistribute super."RollingDirectory";
  "RoyalMonad" = dontDistribute super."RoyalMonad";
  "RxHaskell" = dontDistribute super."RxHaskell";
  "SBench" = dontDistribute super."SBench";
  "SConfig" = dontDistribute super."SConfig";
  "SDL" = dontDistribute super."SDL";
  "SDL-gfx" = dontDistribute super."SDL-gfx";
  "SDL-image" = dontDistribute super."SDL-image";
  "SDL-mixer" = dontDistribute super."SDL-mixer";
  "SDL-mpeg" = dontDistribute super."SDL-mpeg";
  "SDL-ttf" = dontDistribute super."SDL-ttf";
  "SDL2-ttf" = dontDistribute super."SDL2-ttf";
  "SFML" = dontDistribute super."SFML";
  "SFML-control" = dontDistribute super."SFML-control";
  "SFont" = dontDistribute super."SFont";
  "SG" = dontDistribute super."SG";
  "SGdemo" = dontDistribute super."SGdemo";
  "SHA2" = dontDistribute super."SHA2";
  "SMTPClient" = dontDistribute super."SMTPClient";
  "SNet" = dontDistribute super."SNet";
  "SQLDeps" = dontDistribute super."SQLDeps";
  "STL" = dontDistribute super."STL";
  "SVG2Q" = dontDistribute super."SVG2Q";
  "SVGPath" = dontDistribute super."SVGPath";
  "SWMMoutGetMB" = dontDistribute super."SWMMoutGetMB";
  "SableCC2Hs" = dontDistribute super."SableCC2Hs";
  "Safe" = dontDistribute super."Safe";
  "Salsa" = dontDistribute super."Salsa";
  "Saturnin" = dontDistribute super."Saturnin";
  "SciFlow" = dontDistribute super."SciFlow";
  "ScratchFs" = dontDistribute super."ScratchFs";
  "Scurry" = dontDistribute super."Scurry";
  "Semantique" = dontDistribute super."Semantique";
  "Semigroup" = dontDistribute super."Semigroup";
  "SeqAlign" = dontDistribute super."SeqAlign";
  "SessionLogger" = dontDistribute super."SessionLogger";
  "ShellCheck" = dontDistribute super."ShellCheck";
  "Shellac" = dontDistribute super."Shellac";
  "Shellac-compatline" = dontDistribute super."Shellac-compatline";
  "Shellac-editline" = dontDistribute super."Shellac-editline";
  "Shellac-haskeline" = dontDistribute super."Shellac-haskeline";
  "Shellac-readline" = dontDistribute super."Shellac-readline";
  "ShowF" = dontDistribute super."ShowF";
  "Shrub" = dontDistribute super."Shrub";
  "Shu-thing" = dontDistribute super."Shu-thing";
  "SimpleAES" = dontDistribute super."SimpleAES";
  "SimpleEA" = dontDistribute super."SimpleEA";
  "SimpleGL" = dontDistribute super."SimpleGL";
  "SimpleH" = dontDistribute super."SimpleH";
  "SimpleLog" = dontDistribute super."SimpleLog";
  "SimpleServer" = dontDistribute super."SimpleServer";
  "SizeCompare" = dontDistribute super."SizeCompare";
  "Slides" = dontDistribute super."Slides";
  "Smooth" = dontDistribute super."Smooth";
  "SmtLib" = dontDistribute super."SmtLib";
  "Snusmumrik" = dontDistribute super."Snusmumrik";
  "SoOSiM" = dontDistribute super."SoOSiM";
  "SoccerFun" = dontDistribute super."SoccerFun";
  "SoccerFunGL" = dontDistribute super."SoccerFunGL";
  "Sonnex" = dontDistribute super."Sonnex";
  "SourceGraph" = dontDistribute super."SourceGraph";
  "Southpaw" = dontDistribute super."Southpaw";
  "SpaceInvaders" = dontDistribute super."SpaceInvaders";
  "SpacePrivateers" = dontDistribute super."SpacePrivateers";
  "SpinCounter" = dontDistribute super."SpinCounter";
  "Spock-auth" = dontDistribute super."Spock-auth";
  "SpreadsheetML" = dontDistribute super."SpreadsheetML";
  "Sprig" = dontDistribute super."Sprig";
  "Stasis" = dontDistribute super."Stasis";
  "StateVar-transformer" = dontDistribute super."StateVar-transformer";
  "StatisticalMethods" = dontDistribute super."StatisticalMethods";
  "Stomp" = dontDistribute super."Stomp";
  "Strafunski-ATermLib" = dontDistribute super."Strafunski-ATermLib";
  "Strafunski-Sdf2Haskell" = dontDistribute super."Strafunski-Sdf2Haskell";
  "StrappedTemplates" = dontDistribute super."StrappedTemplates";
  "StrategyLib" = dontDistribute super."StrategyLib";
  "Stream" = dontDistribute super."Stream";
  "StrictBench" = dontDistribute super."StrictBench";
  "SuffixStructures" = dontDistribute super."SuffixStructures";
  "SybWidget" = dontDistribute super."SybWidget";
  "SyntaxMacros" = dontDistribute super."SyntaxMacros";
  "Sysmon" = dontDistribute super."Sysmon";
  "TBC" = dontDistribute super."TBC";
  "TBit" = dontDistribute super."TBit";
  "THEff" = dontDistribute super."THEff";
  "TTTAS" = dontDistribute super."TTTAS";
  "TV" = dontDistribute super."TV";
  "TYB" = dontDistribute super."TYB";
  "TableAlgebra" = dontDistribute super."TableAlgebra";
  "Tables" = dontDistribute super."Tables";
  "Tablify" = dontDistribute super."Tablify";
  "Tahin" = dontDistribute super."Tahin";
  "Tainted" = dontDistribute super."Tainted";
  "Takusen" = dontDistribute super."Takusen";
  "Tape" = dontDistribute super."Tape";
  "TeaHS" = dontDistribute super."TeaHS";
  "Tensor" = dontDistribute super."Tensor";
  "TernaryTrees" = dontDistribute super."TernaryTrees";
  "TestExplode" = dontDistribute super."TestExplode";
  "Theora" = dontDistribute super."Theora";
  "Thingie" = dontDistribute super."Thingie";
  "ThreadObjects" = dontDistribute super."ThreadObjects";
  "Thrift" = dontDistribute super."Thrift";
  "Tic-Tac-Toe" = dontDistribute super."Tic-Tac-Toe";
  "TicTacToe" = dontDistribute super."TicTacToe";
  "TigerHash" = dontDistribute super."TigerHash";
  "TimePiece" = dontDistribute super."TimePiece";
  "TinyLaunchbury" = dontDistribute super."TinyLaunchbury";
  "TinyURL" = dontDistribute super."TinyURL";
  "Titim" = dontDistribute super."Titim";
  "Top" = dontDistribute super."Top";
  "Tournament" = dontDistribute super."Tournament";
  "TraceUtils" = dontDistribute super."TraceUtils";
  "TransformersStepByStep" = dontDistribute super."TransformersStepByStep";
  "Transhare" = dontDistribute super."Transhare";
  "TreeCounter" = dontDistribute super."TreeCounter";
  "TreeStructures" = dontDistribute super."TreeStructures";
  "TreeT" = dontDistribute super."TreeT";
  "Treiber" = dontDistribute super."Treiber";
  "TrendGraph" = dontDistribute super."TrendGraph";
  "TrieMap" = dontDistribute super."TrieMap";
  "Twofish" = dontDistribute super."Twofish";
  "TypeClass" = dontDistribute super."TypeClass";
  "TypeCompose" = dontDistribute super."TypeCompose";
  "TypeIlluminator" = dontDistribute super."TypeIlluminator";
  "TypeNat" = dontDistribute super."TypeNat";
  "TypingTester" = dontDistribute super."TypingTester";
  "UISF" = dontDistribute super."UISF";
  "UMM" = dontDistribute super."UMM";
  "URLT" = dontDistribute super."URLT";
  "URLb" = dontDistribute super."URLb";
  "UTFTConverter" = dontDistribute super."UTFTConverter";
  "Unique" = dontDistribute super."Unique";
  "Unixutils-shadow" = dontDistribute super."Unixutils-shadow";
  "Updater" = dontDistribute super."Updater";
  "UrlDisp" = dontDistribute super."UrlDisp";
  "Useful" = dontDistribute super."Useful";
  "UtilityTM" = dontDistribute super."UtilityTM";
  "VKHS" = dontDistribute super."VKHS";
  "Validation" = dontDistribute super."Validation";
  "Vec" = dontDistribute super."Vec";
  "Vec-Boolean" = dontDistribute super."Vec-Boolean";
  "Vec-OpenGLRaw" = dontDistribute super."Vec-OpenGLRaw";
  "Vec-Transform" = dontDistribute super."Vec-Transform";
  "VecN" = dontDistribute super."VecN";
  "Verba" = dontDistribute super."Verba";
  "ViennaRNA-bindings" = dontDistribute super."ViennaRNA-bindings";
  "Vulkan" = dontDistribute super."Vulkan";
  "WAVE" = dontDistribute super."WAVE";
  "WL500gPControl" = dontDistribute super."WL500gPControl";
  "WL500gPLib" = dontDistribute super."WL500gPLib";
  "WMSigner" = dontDistribute super."WMSigner";
  "WURFL" = dontDistribute super."WURFL";
  "WXDiffCtrl" = dontDistribute super."WXDiffCtrl";
  "WashNGo" = dontDistribute super."WashNGo";
  "WaveFront" = dontDistribute super."WaveFront";
  "Weather" = dontDistribute super."Weather";
  "WebBits" = dontDistribute super."WebBits";
  "WebBits-Html" = dontDistribute super."WebBits-Html";
  "WebBits-multiplate" = dontDistribute super."WebBits-multiplate";
  "WebCont" = dontDistribute super."WebCont";
  "WeberLogic" = dontDistribute super."WeberLogic";
  "Webrexp" = dontDistribute super."Webrexp";
  "Wheb" = dontDistribute super."Wheb";
  "WikimediaParser" = dontDistribute super."WikimediaParser";
  "Win32" = doDistribute super."Win32_2_3_1_0";
  "Win32-dhcp-server" = dontDistribute super."Win32-dhcp-server";
  "Win32-errors" = dontDistribute super."Win32-errors";
  "Win32-junction-point" = dontDistribute super."Win32-junction-point";
  "Win32-security" = dontDistribute super."Win32-security";
  "Win32-services" = dontDistribute super."Win32-services";
  "Win32-services-wrapper" = dontDistribute super."Win32-services-wrapper";
  "Wired" = dontDistribute super."Wired";
  "WordAlignment" = dontDistribute super."WordAlignment";
  "WordNet" = dontDistribute super."WordNet";
  "WordNet-ghc74" = dontDistribute super."WordNet-ghc74";
  "Wordlint" = dontDistribute super."Wordlint";
  "WxGeneric" = dontDistribute super."WxGeneric";
  "X11-extras" = dontDistribute super."X11-extras";
  "X11-rm" = dontDistribute super."X11-rm";
  "X11-xdamage" = dontDistribute super."X11-xdamage";
  "X11-xfixes" = dontDistribute super."X11-xfixes";
  "X11-xft" = dontDistribute super."X11-xft";
  "X11-xshape" = dontDistribute super."X11-xshape";
  "XAttr" = dontDistribute super."XAttr";
  "XInput" = dontDistribute super."XInput";
  "XMMS" = dontDistribute super."XMMS";
  "XMPP" = dontDistribute super."XMPP";
  "XSaiga" = dontDistribute super."XSaiga";
  "Xec" = dontDistribute super."Xec";
  "XmlHtmlWriter" = dontDistribute super."XmlHtmlWriter";
  "Xorshift128Plus" = dontDistribute super."Xorshift128Plus";
  "YACPong" = dontDistribute super."YACPong";
  "YFrob" = dontDistribute super."YFrob";
  "Yablog" = dontDistribute super."Yablog";
  "YamlReference" = dontDistribute super."YamlReference";
  "Yampa-core" = dontDistribute super."Yampa-core";
  "Yocto" = dontDistribute super."Yocto";
  "Yogurt" = dontDistribute super."Yogurt";
  "Yogurt-Standalone" = dontDistribute super."Yogurt-Standalone";
  "ZEBEDDE" = dontDistribute super."ZEBEDDE";
  "ZFS" = dontDistribute super."ZFS";
  "ZMachine" = dontDistribute super."ZMachine";
  "ZipFold" = dontDistribute super."ZipFold";
  "ZipperAG" = dontDistribute super."ZipperAG";
  "Zora" = dontDistribute super."Zora";
  "Zwaluw" = dontDistribute super."Zwaluw";
  "a50" = dontDistribute super."a50";
  "abacate" = dontDistribute super."abacate";
  "abc-puzzle" = dontDistribute super."abc-puzzle";
  "abcBridge" = dontDistribute super."abcBridge";
  "abcnotation" = dontDistribute super."abcnotation";
  "abeson" = dontDistribute super."abeson";
  "abnf" = dontDistribute super."abnf";
  "abstract-deque-tests" = dontDistribute super."abstract-deque-tests";
  "abstract-par-accelerate" = dontDistribute super."abstract-par-accelerate";
  "abt" = dontDistribute super."abt";
  "ac-machine" = dontDistribute super."ac-machine";
  "ac-machine-conduit" = dontDistribute super."ac-machine-conduit";
  "accelerate-arithmetic" = dontDistribute super."accelerate-arithmetic";
  "accelerate-cublas" = dontDistribute super."accelerate-cublas";
  "accelerate-cuda" = dontDistribute super."accelerate-cuda";
  "accelerate-cufft" = dontDistribute super."accelerate-cufft";
  "accelerate-examples" = dontDistribute super."accelerate-examples";
  "accelerate-fft" = dontDistribute super."accelerate-fft";
  "accelerate-fftw" = dontDistribute super."accelerate-fftw";
  "accelerate-fourier" = dontDistribute super."accelerate-fourier";
  "accelerate-fourier-benchmark" = dontDistribute super."accelerate-fourier-benchmark";
  "accelerate-io" = dontDistribute super."accelerate-io";
  "accelerate-random" = dontDistribute super."accelerate-random";
  "accelerate-typelits" = dontDistribute super."accelerate-typelits";
  "accelerate-utility" = dontDistribute super."accelerate-utility";
  "accentuateus" = dontDistribute super."accentuateus";
  "access-time" = dontDistribute super."access-time";
  "accuerr" = dontDistribute super."accuerr";
  "acid-state-dist" = dontDistribute super."acid-state-dist";
  "acid-state-tls" = dontDistribute super."acid-state-tls";
  "acl2" = dontDistribute super."acl2";
  "acme-all-monad" = dontDistribute super."acme-all-monad";
  "acme-box" = dontDistribute super."acme-box";
  "acme-cadre" = dontDistribute super."acme-cadre";
  "acme-cofunctor" = dontDistribute super."acme-cofunctor";
  "acme-colosson" = dontDistribute super."acme-colosson";
  "acme-comonad" = dontDistribute super."acme-comonad";
  "acme-cutegirl" = dontDistribute super."acme-cutegirl";
  "acme-default" = dontDistribute super."acme-default";
  "acme-dont" = dontDistribute super."acme-dont";
  "acme-flipping-tables" = dontDistribute super."acme-flipping-tables";
  "acme-grawlix" = dontDistribute super."acme-grawlix";
  "acme-hq9plus" = dontDistribute super."acme-hq9plus";
  "acme-http" = dontDistribute super."acme-http";
  "acme-inator" = dontDistribute super."acme-inator";
  "acme-io" = dontDistribute super."acme-io";
  "acme-left-pad" = dontDistribute super."acme-left-pad";
  "acme-lolcat" = dontDistribute super."acme-lolcat";
  "acme-lookofdisapproval" = dontDistribute super."acme-lookofdisapproval";
  "acme-memorandom" = dontDistribute super."acme-memorandom";
  "acme-microwave" = dontDistribute super."acme-microwave";
  "acme-miscorder" = dontDistribute super."acme-miscorder";
  "acme-missiles" = dontDistribute super."acme-missiles";
  "acme-now" = dontDistribute super."acme-now";
  "acme-numbersystem" = dontDistribute super."acme-numbersystem";
  "acme-omitted" = dontDistribute super."acme-omitted";
  "acme-one" = dontDistribute super."acme-one";
  "acme-operators" = dontDistribute super."acme-operators";
  "acme-php" = dontDistribute super."acme-php";
  "acme-pointful-numbers" = dontDistribute super."acme-pointful-numbers";
  "acme-realworld" = dontDistribute super."acme-realworld";
  "acme-safe" = dontDistribute super."acme-safe";
  "acme-schoenfinkel" = dontDistribute super."acme-schoenfinkel";
  "acme-strfry" = dontDistribute super."acme-strfry";
  "acme-stringly-typed" = dontDistribute super."acme-stringly-typed";
  "acme-strtok" = dontDistribute super."acme-strtok";
  "acme-timemachine" = dontDistribute super."acme-timemachine";
  "acme-year" = dontDistribute super."acme-year";
  "acme-zero" = dontDistribute super."acme-zero";
  "activehs" = dontDistribute super."activehs";
  "activehs-base" = dontDistribute super."activehs-base";
  "activitystreams-aeson" = dontDistribute super."activitystreams-aeson";
  "actor" = dontDistribute super."actor";
  "adaptive-containers" = dontDistribute super."adaptive-containers";
  "adaptive-tuple" = dontDistribute super."adaptive-tuple";
  "adb" = dontDistribute super."adb";
  "adblock2privoxy" = dontDistribute super."adblock2privoxy";
  "addLicenseInfo" = dontDistribute super."addLicenseInfo";
  "adhoc-network" = dontDistribute super."adhoc-network";
  "adict" = dontDistribute super."adict";
  "adler32" = dontDistribute super."adler32";
  "adobe-swatch-exchange" = dontDistribute super."adobe-swatch-exchange";
  "adp-multi" = dontDistribute super."adp-multi";
  "adp-multi-monadiccp" = dontDistribute super."adp-multi-monadiccp";
  "aeson-applicative" = dontDistribute super."aeson-applicative";
  "aeson-bson" = dontDistribute super."aeson-bson";
  "aeson-coerce" = dontDistribute super."aeson-coerce";
  "aeson-diff" = dontDistribute super."aeson-diff";
  "aeson-filthy" = dontDistribute super."aeson-filthy";
  "aeson-flatten" = dontDistribute super."aeson-flatten";
  "aeson-iproute" = dontDistribute super."aeson-iproute";
  "aeson-json-ast" = dontDistribute super."aeson-json-ast";
  "aeson-native" = dontDistribute super."aeson-native";
  "aeson-parsec-picky" = dontDistribute super."aeson-parsec-picky";
  "aeson-prefix" = dontDistribute super."aeson-prefix";
  "aeson-schema" = dontDistribute super."aeson-schema";
  "aeson-serialize" = dontDistribute super."aeson-serialize";
  "aeson-smart" = dontDistribute super."aeson-smart";
  "aeson-streams" = dontDistribute super."aeson-streams";
  "aeson-t" = dontDistribute super."aeson-t";
  "aeson-toolkit" = dontDistribute super."aeson-toolkit";
  "aeson-value-parser" = dontDistribute super."aeson-value-parser";
  "aeson-yak" = dontDistribute super."aeson-yak";
  "affine-invariant-ensemble-mcmc" = dontDistribute super."affine-invariant-ensemble-mcmc";
  "afis" = dontDistribute super."afis";
  "afv" = dontDistribute super."afv";
  "ag-pictgen" = dontDistribute super."ag-pictgen";
  "agda-server" = dontDistribute super."agda-server";
  "agum" = dontDistribute super."agum";
  "aig" = dontDistribute super."aig";
  "air" = dontDistribute super."air";
  "air-extra" = dontDistribute super."air-extra";
  "air-spec" = dontDistribute super."air-spec";
  "air-th" = dontDistribute super."air-th";
  "airbrake" = dontDistribute super."airbrake";
  "airship" = doDistribute super."airship_0_5_0";
  "aivika" = dontDistribute super."aivika";
  "aivika-branches" = dontDistribute super."aivika-branches";
  "aivika-distributed" = dontDistribute super."aivika-distributed";
  "aivika-experiment" = dontDistribute super."aivika-experiment";
  "aivika-experiment-cairo" = dontDistribute super."aivika-experiment-cairo";
  "aivika-experiment-chart" = dontDistribute super."aivika-experiment-chart";
  "aivika-experiment-diagrams" = dontDistribute super."aivika-experiment-diagrams";
  "aivika-lattice" = dontDistribute super."aivika-lattice";
  "aivika-transformers" = dontDistribute super."aivika-transformers";
  "ajhc" = dontDistribute super."ajhc";
  "al" = dontDistribute super."al";
  "alarmclock" = doDistribute super."alarmclock_0_2_0_9";
  "alea" = dontDistribute super."alea";
  "alex-meta" = dontDistribute super."alex-meta";
  "alfred" = dontDistribute super."alfred";
  "alga" = dontDistribute super."alga";
  "algebra" = dontDistribute super."algebra";
  "algebra-dag" = dontDistribute super."algebra-dag";
  "algebra-sql" = dontDistribute super."algebra-sql";
  "algebraic" = dontDistribute super."algebraic";
  "algebraic-classes" = dontDistribute super."algebraic-classes";
  "align" = dontDistribute super."align";
  "align-text" = dontDistribute super."align-text";
  "aligned-foreignptr" = dontDistribute super."aligned-foreignptr";
  "allocated-processor" = dontDistribute super."allocated-processor";
  "alloy" = dontDistribute super."alloy";
  "alloy-proxy-fd" = dontDistribute super."alloy-proxy-fd";
  "almost-fix" = dontDistribute super."almost-fix";
  "alms" = dontDistribute super."alms";
  "alpha" = dontDistribute super."alpha";
  "alpino-tools" = dontDistribute super."alpino-tools";
  "alsa" = dontDistribute super."alsa";
  "alsa-core" = dontDistribute super."alsa-core";
  "alsa-gui" = dontDistribute super."alsa-gui";
  "alsa-midi" = dontDistribute super."alsa-midi";
  "alsa-mixer" = dontDistribute super."alsa-mixer";
  "alsa-pcm" = dontDistribute super."alsa-pcm";
  "alsa-pcm-tests" = dontDistribute super."alsa-pcm-tests";
  "alsa-seq" = dontDistribute super."alsa-seq";
  "alsa-seq-tests" = dontDistribute super."alsa-seq-tests";
  "altcomposition" = dontDistribute super."altcomposition";
  "alternative-io" = dontDistribute super."alternative-io";
  "altfloat" = dontDistribute super."altfloat";
  "alure" = dontDistribute super."alure";
  "amazon-emailer" = dontDistribute super."amazon-emailer";
  "amazon-emailer-client-snap" = dontDistribute super."amazon-emailer-client-snap";
  "amazon-products" = dontDistribute super."amazon-products";
  "amazonka-application-autoscaling" = dontDistribute super."amazonka-application-autoscaling";
  "amazonka-discovery" = dontDistribute super."amazonka-discovery";
  "ampersand" = dontDistribute super."ampersand";
  "amqp" = doDistribute super."amqp_0_13_1";
  "amqp-conduit" = dontDistribute super."amqp-conduit";
  "amrun" = dontDistribute super."amrun";
  "analyze-client" = dontDistribute super."analyze-client";
  "anansi" = dontDistribute super."anansi";
  "anansi-hscolour" = dontDistribute super."anansi-hscolour";
  "anansi-pandoc" = dontDistribute super."anansi-pandoc";
  "anatomy" = dontDistribute super."anatomy";
  "android" = dontDistribute super."android";
  "android-lint-summary" = dontDistribute super."android-lint-summary";
  "animalcase" = dontDistribute super."animalcase";
  "annah" = dontDistribute super."annah";
  "annihilator" = dontDistribute super."annihilator";
  "anonymous-sums-tests" = dontDistribute super."anonymous-sums-tests";
  "ansi-pretty" = dontDistribute super."ansi-pretty";
  "ansigraph" = dontDistribute super."ansigraph";
  "antagonist" = dontDistribute super."antagonist";
  "antfarm" = dontDistribute super."antfarm";
  "anticiv" = dontDistribute super."anticiv";
  "antigate" = dontDistribute super."antigate";
  "antimirov" = dontDistribute super."antimirov";
  "antiquoter" = dontDistribute super."antiquoter";
  "antisplice" = dontDistribute super."antisplice";
  "antlrc" = dontDistribute super."antlrc";
  "anydbm" = dontDistribute super."anydbm";
  "aosd" = dontDistribute super."aosd";
  "ap-reflect" = dontDistribute super."ap-reflect";
  "apache-md5" = dontDistribute super."apache-md5";
  "apelsin" = dontDistribute super."apelsin";
  "api-builder" = dontDistribute super."api-builder";
  "api-opentheory-unicode" = dontDistribute super."api-opentheory-unicode";
  "api-tools" = dontDistribute super."api-tools";
  "apiary-helics" = dontDistribute super."apiary-helics";
  "apiary-http-client" = dontDistribute super."apiary-http-client";
  "apiary-purescript" = dontDistribute super."apiary-purescript";
  "apis" = dontDistribute super."apis";
  "apotiki" = dontDistribute super."apotiki";
  "app-lens" = dontDistribute super."app-lens";
  "appc" = dontDistribute super."appc";
  "applicative-extras" = dontDistribute super."applicative-extras";
  "applicative-fail" = dontDistribute super."applicative-fail";
  "applicative-numbers" = dontDistribute super."applicative-numbers";
  "applicative-parsec" = dontDistribute super."applicative-parsec";
  "applicative-quoters" = dontDistribute super."applicative-quoters";
  "applicative-splice" = dontDistribute super."applicative-splice";
  "apply-refact" = doDistribute super."apply-refact_0_2_0_0";
  "apportionment" = dontDistribute super."apportionment";
  "approx-rand-test" = dontDistribute super."approx-rand-test";
  "approximate-equality" = dontDistribute super."approximate-equality";
  "ar-timestamp-wiper" = dontDistribute super."ar-timestamp-wiper";
  "arb-fft" = dontDistribute super."arb-fft";
  "arbb-vm" = dontDistribute super."arbb-vm";
  "archive" = dontDistribute super."archive";
  "archiver" = dontDistribute super."archiver";
  "archlinux" = dontDistribute super."archlinux";
  "archlinux-web" = dontDistribute super."archlinux-web";
  "archnews" = dontDistribute super."archnews";
  "arena" = dontDistribute super."arena";
  "arff" = dontDistribute super."arff";
  "arghwxhaskell" = dontDistribute super."arghwxhaskell";
  "argon" = dontDistribute super."argon";
  "argon2" = dontDistribute super."argon2";
  "argparser" = dontDistribute super."argparser";
  "arguedit" = dontDistribute super."arguedit";
  "ariadne" = dontDistribute super."ariadne";
  "arion" = dontDistribute super."arion";
  "arith-encode" = dontDistribute super."arith-encode";
  "arithmatic" = dontDistribute super."arithmatic";
  "arithmetic" = dontDistribute super."arithmetic";
  "armada" = dontDistribute super."armada";
  "arpa" = dontDistribute super."arpa";
  "array-forth" = dontDistribute super."array-forth";
  "array-memoize" = dontDistribute super."array-memoize";
  "array-primops" = dontDistribute super."array-primops";
  "array-utils" = dontDistribute super."array-utils";
  "arrow-improve" = dontDistribute super."arrow-improve";
  "arrowapply-utils" = dontDistribute super."arrowapply-utils";
  "arrowp" = dontDistribute super."arrowp";
  "arrows" = dontDistribute super."arrows";
  "artery" = dontDistribute super."artery";
  "arx" = dontDistribute super."arx";
  "arxiv" = dontDistribute super."arxiv";
  "ascetic" = dontDistribute super."ascetic";
  "ascii" = dontDistribute super."ascii";
  "ascii-cows" = dontDistribute super."ascii-cows";
  "ascii-flatten" = dontDistribute super."ascii-flatten";
  "ascii-table" = dontDistribute super."ascii-table";
  "ascii-vector-avc" = dontDistribute super."ascii-vector-avc";
  "ascii85-conduit" = dontDistribute super."ascii85-conduit";
  "asic" = dontDistribute super."asic";
  "asil" = dontDistribute super."asil";
  "asn1-data" = dontDistribute super."asn1-data";
  "asn1dump" = dontDistribute super."asn1dump";
  "assembler" = dontDistribute super."assembler";
  "assert" = dontDistribute super."assert";
  "assert-failure" = dontDistribute super."assert-failure";
  "assertions" = dontDistribute super."assertions";
  "assimp" = dontDistribute super."assimp";
  "astar" = dontDistribute super."astar";
  "astrds" = dontDistribute super."astrds";
  "astview" = dontDistribute super."astview";
  "astview-utils" = dontDistribute super."astview-utils";
  "async-ajax" = dontDistribute super."async-ajax";
  "async-extras" = dontDistribute super."async-extras";
  "async-manager" = dontDistribute super."async-manager";
  "async-pool" = dontDistribute super."async-pool";
  "asynchronous-exceptions" = dontDistribute super."asynchronous-exceptions";
  "aterm" = dontDistribute super."aterm";
  "aterm-utils" = dontDistribute super."aterm-utils";
  "atl" = dontDistribute super."atl";
  "atlassian-connect-core" = dontDistribute super."atlassian-connect-core";
  "atlassian-connect-descriptor" = dontDistribute super."atlassian-connect-descriptor";
  "atmos" = dontDistribute super."atmos";
  "atmos-dimensional" = dontDistribute super."atmos-dimensional";
  "atmos-dimensional-tf" = dontDistribute super."atmos-dimensional-tf";
  "atom" = dontDistribute super."atom";
  "atom-basic" = dontDistribute super."atom-basic";
  "atom-conduit" = doDistribute super."atom-conduit_0_3_1_1";
  "atom-msp430" = dontDistribute super."atom-msp430";
  "atomic-primops-foreign" = dontDistribute super."atomic-primops-foreign";
  "atomic-primops-vector" = dontDistribute super."atomic-primops-vector";
  "atomo" = dontDistribute super."atomo";
  "atp-haskell" = dontDistribute super."atp-haskell";
  "atrans" = dontDistribute super."atrans";
  "attempt" = dontDistribute super."attempt";
  "atto-lisp" = dontDistribute super."atto-lisp";
  "attoparsec-arff" = dontDistribute super."attoparsec-arff";
  "attoparsec-binary" = dontDistribute super."attoparsec-binary";
  "attoparsec-conduit" = dontDistribute super."attoparsec-conduit";
  "attoparsec-csv" = dontDistribute super."attoparsec-csv";
  "attoparsec-iteratee" = dontDistribute super."attoparsec-iteratee";
  "attoparsec-parsec" = dontDistribute super."attoparsec-parsec";
  "attoparsec-text" = dontDistribute super."attoparsec-text";
  "attoparsec-text-enumerator" = dontDistribute super."attoparsec-text-enumerator";
  "attosplit" = dontDistribute super."attosplit";
  "atuin" = dontDistribute super."atuin";
  "audacity" = dontDistribute super."audacity";
  "audiovisual" = dontDistribute super."audiovisual";
  "augeas" = dontDistribute super."augeas";
  "augur" = dontDistribute super."augur";
  "aur" = dontDistribute super."aur";
  "aur-api" = dontDistribute super."aur-api";
  "authenticate-kerberos" = dontDistribute super."authenticate-kerberos";
  "authenticate-ldap" = dontDistribute super."authenticate-ldap";
  "authinfo-hs" = dontDistribute super."authinfo-hs";
  "authoring" = dontDistribute super."authoring";
  "automitive-cse" = dontDistribute super."automitive-cse";
  "automotive-cse" = dontDistribute super."automotive-cse";
  "autonix-deps" = dontDistribute super."autonix-deps";
  "autonix-deps-kf5" = dontDistribute super."autonix-deps-kf5";
  "autoproc" = dontDistribute super."autoproc";
  "avahi" = dontDistribute super."avahi";
  "avatar-generator" = dontDistribute super."avatar-generator";
  "average" = dontDistribute super."average";
  "avl-static" = dontDistribute super."avl-static";
  "avr-shake" = dontDistribute super."avr-shake";
  "avwx" = dontDistribute super."avwx";
  "awesome-prelude" = dontDistribute super."awesome-prelude";
  "awesomium" = dontDistribute super."awesomium";
  "awesomium-glut" = dontDistribute super."awesomium-glut";
  "awesomium-raw" = dontDistribute super."awesomium-raw";
  "aws" = doDistribute super."aws_0_13_2";
  "aws-cloudfront-signer" = dontDistribute super."aws-cloudfront-signer";
  "aws-configuration-tools" = dontDistribute super."aws-configuration-tools";
  "aws-dynamodb-conduit" = dontDistribute super."aws-dynamodb-conduit";
  "aws-dynamodb-streams" = dontDistribute super."aws-dynamodb-streams";
  "aws-ec2" = dontDistribute super."aws-ec2";
  "aws-elastic-transcoder" = dontDistribute super."aws-elastic-transcoder";
  "aws-general" = dontDistribute super."aws-general";
  "aws-kinesis" = dontDistribute super."aws-kinesis";
  "aws-kinesis-client" = dontDistribute super."aws-kinesis-client";
  "aws-kinesis-reshard" = dontDistribute super."aws-kinesis-reshard";
  "aws-lambda" = dontDistribute super."aws-lambda";
  "aws-performance-tests" = dontDistribute super."aws-performance-tests";
  "aws-route53" = dontDistribute super."aws-route53";
  "aws-sdk" = dontDistribute super."aws-sdk";
  "aws-sdk-text-converter" = dontDistribute super."aws-sdk-text-converter";
  "aws-sdk-xml-unordered" = dontDistribute super."aws-sdk-xml-unordered";
  "aws-sign4" = dontDistribute super."aws-sign4";
  "aws-sns" = dontDistribute super."aws-sns";
  "azure-acs" = dontDistribute super."azure-acs";
  "azure-service-api" = dontDistribute super."azure-service-api";
  "azure-servicebus" = dontDistribute super."azure-servicebus";
  "azurify" = dontDistribute super."azurify";
  "b-tree" = dontDistribute super."b-tree";
  "babylon" = dontDistribute super."babylon";
  "backdropper" = dontDistribute super."backdropper";
  "backtracking-exceptions" = dontDistribute super."backtracking-exceptions";
  "backward-state" = dontDistribute super."backward-state";
  "bacteria" = dontDistribute super."bacteria";
  "bag" = dontDistribute super."bag";
  "bamboo" = dontDistribute super."bamboo";
  "bamboo-launcher" = dontDistribute super."bamboo-launcher";
  "bamboo-plugin-highlight" = dontDistribute super."bamboo-plugin-highlight";
  "bamboo-plugin-photo" = dontDistribute super."bamboo-plugin-photo";
  "bamboo-theme-blueprint" = dontDistribute super."bamboo-theme-blueprint";
  "bamboo-theme-mini-html5" = dontDistribute super."bamboo-theme-mini-html5";
  "bamse" = dontDistribute super."bamse";
  "bamstats" = dontDistribute super."bamstats";
  "bank-holiday-usa" = dontDistribute super."bank-holiday-usa";
  "banwords" = dontDistribute super."banwords";
  "barchart" = dontDistribute super."barchart";
  "barcodes-code128" = dontDistribute super."barcodes-code128";
  "barecheck" = dontDistribute super."barecheck";
  "barley" = dontDistribute super."barley";
  "barrie" = dontDistribute super."barrie";
  "barrier-monad" = dontDistribute super."barrier-monad";
  "base-generics" = dontDistribute super."base-generics";
  "base-io-access" = dontDistribute super."base-io-access";
  "base-noprelude" = doDistribute super."base-noprelude_4_8_2_0";
  "base32-bytestring" = dontDistribute super."base32-bytestring";
  "base58-bytestring" = dontDistribute super."base58-bytestring";
  "base58address" = dontDistribute super."base58address";
  "base64-conduit" = dontDistribute super."base64-conduit";
  "base91" = dontDistribute super."base91";
  "basex-client" = dontDistribute super."basex-client";
  "bash" = dontDistribute super."bash";
  "basic-lens" = dontDistribute super."basic-lens";
  "basic-sop" = dontDistribute super."basic-sop";
  "baskell" = dontDistribute super."baskell";
  "battlenet" = dontDistribute super."battlenet";
  "battlenet-yesod" = dontDistribute super."battlenet-yesod";
  "battleships" = dontDistribute super."battleships";
  "bayes-stack" = dontDistribute super."bayes-stack";
  "bbdb" = dontDistribute super."bbdb";
  "bbi" = dontDistribute super."bbi";
  "bcrypt" = doDistribute super."bcrypt_0_0_8";
  "bdd" = dontDistribute super."bdd";
  "bdelta" = dontDistribute super."bdelta";
  "bdo" = dontDistribute super."bdo";
  "beam" = dontDistribute super."beam";
  "beam-th" = dontDistribute super."beam-th";
  "beamable" = dontDistribute super."beamable";
  "bearriver" = dontDistribute super."bearriver";
  "beautifHOL" = dontDistribute super."beautifHOL";
  "bed-and-breakfast" = dontDistribute super."bed-and-breakfast";
  "bein" = dontDistribute super."bein";
  "bench" = dontDistribute super."bench";
  "benchmark-function" = dontDistribute super."benchmark-function";
  "bencoding" = dontDistribute super."bencoding";
  "berkeleydb" = dontDistribute super."berkeleydb";
  "berp" = dontDistribute super."berp";
  "bert" = dontDistribute super."bert";
  "besout" = dontDistribute super."besout";
  "bet" = dontDistribute super."bet";
  "betacode" = dontDistribute super."betacode";
  "between" = dontDistribute super."between";
  "bf-cata" = dontDistribute super."bf-cata";
  "bff" = dontDistribute super."bff";
  "bff-mono" = dontDistribute super."bff-mono";
  "bgmax" = dontDistribute super."bgmax";
  "bgzf" = dontDistribute super."bgzf";
  "bibdb" = dontDistribute super."bibdb";
  "bibtex" = dontDistribute super."bibtex";
  "bidirectionalization-combined" = dontDistribute super."bidirectionalization-combined";
  "bidispec" = dontDistribute super."bidispec";
  "bidispec-extras" = dontDistribute super."bidispec-extras";
  "bifunctors" = doDistribute super."bifunctors_5_2";
  "bighugethesaurus" = dontDistribute super."bighugethesaurus";
  "billboard-parser" = dontDistribute super."billboard-parser";
  "billeksah-forms" = dontDistribute super."billeksah-forms";
  "billeksah-main" = dontDistribute super."billeksah-main";
  "billeksah-main-static" = dontDistribute super."billeksah-main-static";
  "billeksah-pane" = dontDistribute super."billeksah-pane";
  "billeksah-services" = dontDistribute super."billeksah-services";
  "bimaps" = dontDistribute super."bimaps";
  "binary-communicator" = dontDistribute super."binary-communicator";
  "binary-derive" = dontDistribute super."binary-derive";
  "binary-enum" = dontDistribute super."binary-enum";
  "binary-file" = dontDistribute super."binary-file";
  "binary-generic" = dontDistribute super."binary-generic";
  "binary-indexed-tree" = dontDistribute super."binary-indexed-tree";
  "binary-literal-qq" = dontDistribute super."binary-literal-qq";
  "binary-protocol" = dontDistribute super."binary-protocol";
  "binary-protocol-zmq" = dontDistribute super."binary-protocol-zmq";
  "binary-state" = dontDistribute super."binary-state";
  "binary-store" = dontDistribute super."binary-store";
  "binary-streams" = dontDistribute super."binary-streams";
  "binary-strict" = dontDistribute super."binary-strict";
  "binarydefer" = dontDistribute super."binarydefer";
  "bind-marshal" = dontDistribute super."bind-marshal";
  "binding-core" = dontDistribute super."binding-core";
  "binding-gtk" = dontDistribute super."binding-gtk";
  "binding-wx" = dontDistribute super."binding-wx";
  "bindings" = dontDistribute super."bindings";
  "bindings-EsounD" = dontDistribute super."bindings-EsounD";
  "bindings-K8055" = dontDistribute super."bindings-K8055";
  "bindings-apr" = dontDistribute super."bindings-apr";
  "bindings-apr-util" = dontDistribute super."bindings-apr-util";
  "bindings-audiofile" = dontDistribute super."bindings-audiofile";
  "bindings-bfd" = dontDistribute super."bindings-bfd";
  "bindings-cctools" = dontDistribute super."bindings-cctools";
  "bindings-codec2" = dontDistribute super."bindings-codec2";
  "bindings-common" = dontDistribute super."bindings-common";
  "bindings-dc1394" = dontDistribute super."bindings-dc1394";
  "bindings-directfb" = dontDistribute super."bindings-directfb";
  "bindings-eskit" = dontDistribute super."bindings-eskit";
  "bindings-fann" = dontDistribute super."bindings-fann";
  "bindings-fluidsynth" = dontDistribute super."bindings-fluidsynth";
  "bindings-friso" = dontDistribute super."bindings-friso";
  "bindings-glib" = dontDistribute super."bindings-glib";
  "bindings-gobject" = dontDistribute super."bindings-gobject";
  "bindings-gpgme" = dontDistribute super."bindings-gpgme";
  "bindings-gsl" = dontDistribute super."bindings-gsl";
  "bindings-gts" = dontDistribute super."bindings-gts";
  "bindings-hamlib" = dontDistribute super."bindings-hamlib";
  "bindings-hdf5" = dontDistribute super."bindings-hdf5";
  "bindings-levmar" = dontDistribute super."bindings-levmar";
  "bindings-libcddb" = dontDistribute super."bindings-libcddb";
  "bindings-libffi" = dontDistribute super."bindings-libffi";
  "bindings-libftdi" = dontDistribute super."bindings-libftdi";
  "bindings-librrd" = dontDistribute super."bindings-librrd";
  "bindings-libstemmer" = dontDistribute super."bindings-libstemmer";
  "bindings-libusb" = dontDistribute super."bindings-libusb";
  "bindings-libv4l2" = dontDistribute super."bindings-libv4l2";
  "bindings-libzip" = dontDistribute super."bindings-libzip";
  "bindings-linux-videodev2" = dontDistribute super."bindings-linux-videodev2";
  "bindings-lxc" = dontDistribute super."bindings-lxc";
  "bindings-mmap" = dontDistribute super."bindings-mmap";
  "bindings-mpdecimal" = dontDistribute super."bindings-mpdecimal";
  "bindings-nettle" = dontDistribute super."bindings-nettle";
  "bindings-parport" = dontDistribute super."bindings-parport";
  "bindings-portaudio" = dontDistribute super."bindings-portaudio";
  "bindings-potrace" = dontDistribute super."bindings-potrace";
  "bindings-ppdev" = dontDistribute super."bindings-ppdev";
  "bindings-saga-cmd" = dontDistribute super."bindings-saga-cmd";
  "bindings-sane" = dontDistribute super."bindings-sane";
  "bindings-sc3" = dontDistribute super."bindings-sc3";
  "bindings-sipc" = dontDistribute super."bindings-sipc";
  "bindings-sophia" = dontDistribute super."bindings-sophia";
  "bindings-sqlite3" = dontDistribute super."bindings-sqlite3";
  "bindings-svm" = dontDistribute super."bindings-svm";
  "bindings-uname" = dontDistribute super."bindings-uname";
  "bindings-wlc" = dontDistribute super."bindings-wlc";
  "bindings-yices" = dontDistribute super."bindings-yices";
  "bindynamic" = dontDistribute super."bindynamic";
  "binembed" = dontDistribute super."binembed";
  "binembed-example" = dontDistribute super."binembed-example";
  "bini" = dontDistribute super."bini";
  "bio" = dontDistribute super."bio";
  "biohazard" = dontDistribute super."biohazard";
  "bioinformatics-toolkit" = dontDistribute super."bioinformatics-toolkit";
  "biophd" = doDistribute super."biophd_0_0_4";
  "biosff" = dontDistribute super."biosff";
  "biostockholm" = dontDistribute super."biostockholm";
  "bird" = dontDistribute super."bird";
  "bit-array" = dontDistribute super."bit-array";
  "bit-vector" = dontDistribute super."bit-vector";
  "bitarray" = dontDistribute super."bitarray";
  "bitcoin-payment-channel" = dontDistribute super."bitcoin-payment-channel";
  "bitcoin-rpc" = dontDistribute super."bitcoin-rpc";
  "bitly-cli" = dontDistribute super."bitly-cli";
  "bitmap" = dontDistribute super."bitmap";
  "bitmap-opengl" = dontDistribute super."bitmap-opengl";
  "bitmaps" = dontDistribute super."bitmaps";
  "bits" = doDistribute super."bits_0_4";
  "bits-atomic" = dontDistribute super."bits-atomic";
  "bits-bytestring" = dontDistribute super."bits-bytestring";
  "bits-conduit" = dontDistribute super."bits-conduit";
  "bits-extras" = dontDistribute super."bits-extras";
  "bitset" = dontDistribute super."bitset";
  "bitspeak" = dontDistribute super."bitspeak";
  "bitstream" = dontDistribute super."bitstream";
  "bitstring" = dontDistribute super."bitstring";
  "bittorrent" = dontDistribute super."bittorrent";
  "bitvec" = dontDistribute super."bitvec";
  "bitx-bitcoin" = dontDistribute super."bitx-bitcoin";
  "bk-tree" = dontDistribute super."bk-tree";
  "bkr" = dontDistribute super."bkr";
  "bktrees" = dontDistribute super."bktrees";
  "bla" = dontDistribute super."bla";
  "black-jewel" = dontDistribute super."black-jewel";
  "blacktip" = dontDistribute super."blacktip";
  "blakesum" = dontDistribute super."blakesum";
  "blakesum-demo" = dontDistribute super."blakesum-demo";
  "blas" = dontDistribute super."blas";
  "blas-hs" = dontDistribute super."blas-hs";
  "blatex" = dontDistribute super."blatex";
  "blaze" = dontDistribute super."blaze";
  "blaze-builder-conduit" = dontDistribute super."blaze-builder-conduit";
  "blaze-from-html" = dontDistribute super."blaze-from-html";
  "blaze-html-contrib" = dontDistribute super."blaze-html-contrib";
  "blaze-html-hexpat" = dontDistribute super."blaze-html-hexpat";
  "blaze-html-truncate" = dontDistribute super."blaze-html-truncate";
  "blaze-json" = dontDistribute super."blaze-json";
  "blaze-shields" = dontDistribute super."blaze-shields";
  "blaze-textual-native" = dontDistribute super."blaze-textual-native";
  "blazeMarker" = dontDistribute super."blazeMarker";
  "blink1" = dontDistribute super."blink1";
  "blip" = dontDistribute super."blip";
  "bliplib" = dontDistribute super."bliplib";
  "blockhash" = dontDistribute super."blockhash";
  "blocking-transactions" = dontDistribute super."blocking-transactions";
  "blogination" = dontDistribute super."blogination";
  "bloodhound-amazonka-auth" = dontDistribute super."bloodhound-amazonka-auth";
  "bloomfilter-redis" = dontDistribute super."bloomfilter-redis";
  "blosum" = dontDistribute super."blosum";
  "bloxorz" = dontDistribute super."bloxorz";
  "blubber" = dontDistribute super."blubber";
  "blubber-server" = dontDistribute super."blubber-server";
  "bluetile" = dontDistribute super."bluetile";
  "bluetileutils" = dontDistribute super."bluetileutils";
  "blunt" = dontDistribute super."blunt";
  "bmp" = doDistribute super."bmp_1_2_5_2";
  "board-games" = dontDistribute super."board-games";
  "bogre-banana" = dontDistribute super."bogre-banana";
  "bond" = dontDistribute super."bond";
  "bond-haskell" = dontDistribute super."bond-haskell";
  "bond-haskell-compiler" = dontDistribute super."bond-haskell-compiler";
  "boolean-list" = dontDistribute super."boolean-list";
  "boolean-normal-forms" = dontDistribute super."boolean-normal-forms";
  "boolexpr" = dontDistribute super."boolexpr";
  "bools" = dontDistribute super."bools";
  "boolsimplifier" = dontDistribute super."boolsimplifier";
  "boomange" = dontDistribute super."boomange";
  "boombox" = dontDistribute super."boombox";
  "boomslang" = dontDistribute super."boomslang";
  "borel" = dontDistribute super."borel";
  "boring-window-switcher" = dontDistribute super."boring-window-switcher";
  "bot" = dontDistribute super."bot";
  "botpp" = dontDistribute super."botpp";
  "bound-gen" = dontDistribute super."bound-gen";
  "bounded-tchan" = dontDistribute super."bounded-tchan";
  "boundingboxes" = dontDistribute super."boundingboxes";
  "bowntz" = dontDistribute super."bowntz";
  "bpann" = dontDistribute super."bpann";
  "braid" = dontDistribute super."braid";
  "brainfuck" = dontDistribute super."brainfuck";
  "brainfuck-monad" = dontDistribute super."brainfuck-monad";
  "brainfuck-tut" = dontDistribute super."brainfuck-tut";
  "break" = dontDistribute super."break";
  "breakout" = dontDistribute super."breakout";
  "breve" = dontDistribute super."breve";
  "brians-brain" = dontDistribute super."brians-brain";
  "brick" = doDistribute super."brick_0_4_1";
  "brillig" = dontDistribute super."brillig";
  "broccoli" = dontDistribute super."broccoli";
  "broker-haskell" = dontDistribute super."broker-haskell";
  "bsd-sysctl" = dontDistribute super."bsd-sysctl";
  "bson-generic" = dontDistribute super."bson-generic";
  "bson-generics" = dontDistribute super."bson-generics";
  "bson-mapping" = dontDistribute super."bson-mapping";
  "bspack" = dontDistribute super."bspack";
  "bsparse" = dontDistribute super."bsparse";
  "btree-concurrent" = dontDistribute super."btree-concurrent";
  "buffer-builder-aeson" = dontDistribute super."buffer-builder-aeson";
  "buffer-pipe" = dontDistribute super."buffer-pipe";
  "buffon" = dontDistribute super."buffon";
  "bugzilla" = dontDistribute super."bugzilla";
  "buildable" = dontDistribute super."buildable";
  "buildbox" = dontDistribute super."buildbox";
  "buildbox-tools" = dontDistribute super."buildbox-tools";
  "buildwrapper" = dontDistribute super."buildwrapper";
  "bullet" = dontDistribute super."bullet";
  "burst-detection" = dontDistribute super."burst-detection";
  "bus-pirate" = dontDistribute super."bus-pirate";
  "buster" = dontDistribute super."buster";
  "buster-gtk" = dontDistribute super."buster-gtk";
  "buster-network" = dontDistribute super."buster-network";
  "butterflies" = dontDistribute super."butterflies";
  "bv" = dontDistribute super."bv";
  "byline" = dontDistribute super."byline";
  "bytable" = dontDistribute super."bytable";
  "bytestring-arbitrary" = dontDistribute super."bytestring-arbitrary";
  "bytestring-builder" = doDistribute super."bytestring-builder_0_10_6_0_0";
  "bytestring-class" = dontDistribute super."bytestring-class";
  "bytestring-csv" = dontDistribute super."bytestring-csv";
  "bytestring-delta" = dontDistribute super."bytestring-delta";
  "bytestring-from" = dontDistribute super."bytestring-from";
  "bytestring-nums" = dontDistribute super."bytestring-nums";
  "bytestring-plain" = dontDistribute super."bytestring-plain";
  "bytestring-rematch" = dontDistribute super."bytestring-rematch";
  "bytestring-short" = dontDistribute super."bytestring-short";
  "bytestring-show" = dontDistribute super."bytestring-show";
  "bytestringparser" = dontDistribute super."bytestringparser";
  "bytestringparser-temporary" = dontDistribute super."bytestringparser-temporary";
  "bytestringreadp" = dontDistribute super."bytestringreadp";
  "c-dsl" = dontDistribute super."c-dsl";
  "c-io" = dontDistribute super."c-io";
  "c-storable-deriving" = dontDistribute super."c-storable-deriving";
  "c0check" = dontDistribute super."c0check";
  "c0parser" = dontDistribute super."c0parser";
  "c10k" = dontDistribute super."c10k";
  "c2hsc" = dontDistribute super."c2hsc";
  "cab" = dontDistribute super."cab";
  "cabal-audit" = dontDistribute super."cabal-audit";
  "cabal-bounds" = dontDistribute super."cabal-bounds";
  "cabal-cargs" = dontDistribute super."cabal-cargs";
  "cabal-constraints" = dontDistribute super."cabal-constraints";
  "cabal-db" = dontDistribute super."cabal-db";
  "cabal-dev" = dontDistribute super."cabal-dev";
  "cabal-dir" = dontDistribute super."cabal-dir";
  "cabal-ghc-dynflags" = dontDistribute super."cabal-ghc-dynflags";
  "cabal-ghci" = dontDistribute super."cabal-ghci";
  "cabal-graphdeps" = dontDistribute super."cabal-graphdeps";
  "cabal-helper" = doDistribute super."cabal-helper_0_6_3_1";
  "cabal-info" = dontDistribute super."cabal-info";
  "cabal-install" = doDistribute super."cabal-install_1_22_9_0";
  "cabal-install-bundle" = dontDistribute super."cabal-install-bundle";
  "cabal-install-ghc72" = dontDistribute super."cabal-install-ghc72";
  "cabal-install-ghc74" = dontDistribute super."cabal-install-ghc74";
  "cabal-lenses" = dontDistribute super."cabal-lenses";
  "cabal-macosx" = dontDistribute super."cabal-macosx";
  "cabal-meta" = dontDistribute super."cabal-meta";
  "cabal-mon" = dontDistribute super."cabal-mon";
  "cabal-nirvana" = dontDistribute super."cabal-nirvana";
  "cabal-progdeps" = dontDistribute super."cabal-progdeps";
  "cabal-query" = dontDistribute super."cabal-query";
  "cabal-scripts" = dontDistribute super."cabal-scripts";
  "cabal-setup" = dontDistribute super."cabal-setup";
  "cabal-sign" = dontDistribute super."cabal-sign";
  "cabal-test" = dontDistribute super."cabal-test";
  "cabal-test-bin" = dontDistribute super."cabal-test-bin";
  "cabal-test-compat" = dontDistribute super."cabal-test-compat";
  "cabal-test-quickcheck" = dontDistribute super."cabal-test-quickcheck";
  "cabal-uninstall" = dontDistribute super."cabal-uninstall";
  "cabal-upload" = dontDistribute super."cabal-upload";
  "cabal2arch" = dontDistribute super."cabal2arch";
  "cabal2doap" = dontDistribute super."cabal2doap";
  "cabal2ebuild" = dontDistribute super."cabal2ebuild";
  "cabal2ghci" = dontDistribute super."cabal2ghci";
  "cabal2nix" = dontDistribute super."cabal2nix";
  "cabal2spec" = dontDistribute super."cabal2spec";
  "cabalQuery" = dontDistribute super."cabalQuery";
  "cabalg" = dontDistribute super."cabalg";
  "cabalgraph" = dontDistribute super."cabalgraph";
  "cabalmdvrpm" = dontDistribute super."cabalmdvrpm";
  "cabalrpmdeps" = dontDistribute super."cabalrpmdeps";
  "cabalvchk" = dontDistribute super."cabalvchk";
  "cabin" = dontDistribute super."cabin";
  "cabocha" = dontDistribute super."cabocha";
  "cache" = dontDistribute super."cache";
  "cached-io" = dontDistribute super."cached-io";
  "cached-traversable" = dontDistribute super."cached-traversable";
  "cacophony" = doDistribute super."cacophony_0_6_0";
  "caf" = dontDistribute super."caf";
  "cafeteria-prelude" = dontDistribute super."cafeteria-prelude";
  "caffegraph" = dontDistribute super."caffegraph";
  "cairo" = doDistribute super."cairo_0_13_1_1";
  "cairo-appbase" = dontDistribute super."cairo-appbase";
  "cake" = dontDistribute super."cake";
  "cake3" = dontDistribute super."cake3";
  "cakyrespa" = dontDistribute super."cakyrespa";
  "cal3d" = dontDistribute super."cal3d";
  "cal3d-examples" = dontDistribute super."cal3d-examples";
  "cal3d-opengl" = dontDistribute super."cal3d-opengl";
  "calc" = dontDistribute super."calc";
  "caldims" = dontDistribute super."caldims";
  "caledon" = dontDistribute super."caledon";
  "calendar-recycling" = dontDistribute super."calendar-recycling";
  "call" = dontDistribute super."call";
  "call-haskell-from-anything" = dontDistribute super."call-haskell-from-anything";
  "camfort" = dontDistribute super."camfort";
  "camh" = dontDistribute super."camh";
  "campfire" = dontDistribute super."campfire";
  "canonical-filepath" = dontDistribute super."canonical-filepath";
  "canteven-config" = dontDistribute super."canteven-config";
  "canteven-http" = dontDistribute super."canteven-http";
  "canteven-listen-http" = dontDistribute super."canteven-listen-http";
  "canteven-log" = dontDistribute super."canteven-log";
  "canteven-template" = dontDistribute super."canteven-template";
  "cantor" = dontDistribute super."cantor";
  "cao" = dontDistribute super."cao";
  "cap" = dontDistribute super."cap";
  "capped-list" = dontDistribute super."capped-list";
  "capri" = dontDistribute super."capri";
  "car-pool" = dontDistribute super."car-pool";
  "caramia" = dontDistribute super."caramia";
  "carboncopy" = dontDistribute super."carboncopy";
  "carettah" = dontDistribute super."carettah";
  "cartel" = doDistribute super."cartel_0_16_0_0";
  "casa-abbreviations-and-acronyms" = dontDistribute super."casa-abbreviations-and-acronyms";
  "casadi-bindings" = dontDistribute super."casadi-bindings";
  "casadi-bindings-control" = dontDistribute super."casadi-bindings-control";
  "casadi-bindings-core" = dontDistribute super."casadi-bindings-core";
  "casadi-bindings-internal" = dontDistribute super."casadi-bindings-internal";
  "casadi-bindings-ipopt-interface" = dontDistribute super."casadi-bindings-ipopt-interface";
  "casadi-bindings-snopt-interface" = dontDistribute super."casadi-bindings-snopt-interface";
  "cascading" = dontDistribute super."cascading";
  "case-conversion" = dontDistribute super."case-conversion";
  "case-insensitive" = doDistribute super."case-insensitive_1_2_0_7";
  "cash" = dontDistribute super."cash";
  "casing" = dontDistribute super."casing";
  "casr-logbook" = dontDistribute super."casr-logbook";
  "cassandra-cql" = dontDistribute super."cassandra-cql";
  "cassandra-thrift" = dontDistribute super."cassandra-thrift";
  "cassava-conduit" = dontDistribute super."cassava-conduit";
  "cassava-megaparsec" = dontDistribute super."cassava-megaparsec";
  "cassava-streams" = dontDistribute super."cassava-streams";
  "cassette" = dontDistribute super."cassette";
  "cassy" = dontDistribute super."cassy";
  "castle" = dontDistribute super."castle";
  "casui" = dontDistribute super."casui";
  "catamorphism" = dontDistribute super."catamorphism";
  "catch-fd" = dontDistribute super."catch-fd";
  "categorical-algebra" = dontDistribute super."categorical-algebra";
  "categories" = dontDistribute super."categories";
  "category-extras" = dontDistribute super."category-extras";
  "category-printf" = dontDistribute super."category-printf";
  "category-traced" = dontDistribute super."category-traced";
  "cayley-dickson" = dontDistribute super."cayley-dickson";
  "cblrepo" = dontDistribute super."cblrepo";
  "cci" = dontDistribute super."cci";
  "ccnx" = dontDistribute super."ccnx";
  "cctools-workqueue" = dontDistribute super."cctools-workqueue";
  "cedict" = dontDistribute super."cedict";
  "cef" = dontDistribute super."cef";
  "ceilometer-common" = dontDistribute super."ceilometer-common";
  "cellrenderer-cairo" = dontDistribute super."cellrenderer-cairo";
  "cerberus" = dontDistribute super."cerberus";
  "cereal-derive" = dontDistribute super."cereal-derive";
  "cereal-enumerator" = dontDistribute super."cereal-enumerator";
  "cereal-ieee754" = dontDistribute super."cereal-ieee754";
  "cereal-io-streams" = dontDistribute super."cereal-io-streams";
  "cereal-plus" = dontDistribute super."cereal-plus";
  "cereal-streams" = dontDistribute super."cereal-streams";
  "cereal-text" = dontDistribute super."cereal-text";
  "certificate" = dontDistribute super."certificate";
  "cf" = dontDistribute super."cf";
  "cfipu" = dontDistribute super."cfipu";
  "cflp" = dontDistribute super."cflp";
  "cfopu" = dontDistribute super."cfopu";
  "cg" = dontDistribute super."cg";
  "cgen" = dontDistribute super."cgen";
  "cgi-undecidable" = dontDistribute super."cgi-undecidable";
  "cgi-utils" = dontDistribute super."cgi-utils";
  "cgrep" = dontDistribute super."cgrep";
  "chain-codes" = dontDistribute super."chain-codes";
  "chalk" = dontDistribute super."chalk";
  "chalkboard" = dontDistribute super."chalkboard";
  "chalkboard-viewer" = dontDistribute super."chalkboard-viewer";
  "chalmers-lava2000" = dontDistribute super."chalmers-lava2000";
  "chan-split" = dontDistribute super."chan-split";
  "change-monger" = dontDistribute super."change-monger";
  "charade" = dontDistribute super."charade";
  "charsetdetect" = dontDistribute super."charsetdetect";
  "chart-histogram" = dontDistribute super."chart-histogram";
  "chaselev-deque" = dontDistribute super."chaselev-deque";
  "chatter" = dontDistribute super."chatter";
  "chatty" = dontDistribute super."chatty";
  "chatty-text" = dontDistribute super."chatty-text";
  "chatty-utils" = dontDistribute super."chatty-utils";
  "cheapskate-terminal" = dontDistribute super."cheapskate-terminal";
  "check-pvp" = dontDistribute super."check-pvp";
  "checked" = dontDistribute super."checked";
  "chell-hunit" = dontDistribute super."chell-hunit";
  "chesshs" = dontDistribute super."chesshs";
  "chevalier-common" = dontDistribute super."chevalier-common";
  "chorale" = dontDistribute super."chorale";
  "chorale-geo" = dontDistribute super."chorale-geo";
  "chp" = dontDistribute super."chp";
  "chp-mtl" = dontDistribute super."chp-mtl";
  "chp-plus" = dontDistribute super."chp-plus";
  "chp-spec" = dontDistribute super."chp-spec";
  "chp-transformers" = dontDistribute super."chp-transformers";
  "chronograph" = dontDistribute super."chronograph";
  "chu2" = dontDistribute super."chu2";
  "chuchu" = dontDistribute super."chuchu";
  "chunked-data" = doDistribute super."chunked-data_0_2_0";
  "chunks" = dontDistribute super."chunks";
  "chunky" = dontDistribute super."chunky";
  "church-list" = dontDistribute super."church-list";
  "cil" = dontDistribute super."cil";
  "cinvoke" = dontDistribute super."cinvoke";
  "cio" = dontDistribute super."cio";
  "cipher-rc5" = dontDistribute super."cipher-rc5";
  "ciphersaber2" = dontDistribute super."ciphersaber2";
  "circ" = dontDistribute super."circ";
  "circlehs" = dontDistribute super."circlehs";
  "cirru-parser" = dontDistribute super."cirru-parser";
  "citation-resolve" = dontDistribute super."citation-resolve";
  "citeproc-hs" = dontDistribute super."citeproc-hs";
  "citeproc-hs-pandoc-filter" = dontDistribute super."citeproc-hs-pandoc-filter";
  "cityhash" = dontDistribute super."cityhash";
  "cjk" = dontDistribute super."cjk";
  "clac" = dontDistribute super."clac";
  "clafer" = dontDistribute super."clafer";
  "claferIG" = dontDistribute super."claferIG";
  "claferwiki" = dontDistribute super."claferwiki";
  "clang-pure" = dontDistribute super."clang-pure";
  "clanki" = dontDistribute super."clanki";
  "clarifai" = dontDistribute super."clarifai";
  "clash" = dontDistribute super."clash";
  "clash-lib" = doDistribute super."clash-lib_0_6_19";
  "clash-prelude-quickcheck" = dontDistribute super."clash-prelude-quickcheck";
  "clash-vhdl" = doDistribute super."clash-vhdl_0_6_15";
  "classify" = dontDistribute super."classify";
  "classy-parallel" = dontDistribute super."classy-parallel";
  "classy-prelude" = doDistribute super."classy-prelude_0_12_8";
  "classy-prelude-conduit" = doDistribute super."classy-prelude-conduit_0_12_8";
  "classy-prelude-yesod" = doDistribute super."classy-prelude-yesod_0_12_8";
  "clay" = doDistribute super."clay_0_10_1";
  "clckwrks" = doDistribute super."clckwrks_0_23_18";
  "clckwrks-dot-com" = dontDistribute super."clckwrks-dot-com";
  "clckwrks-plugin-bugs" = dontDistribute super."clckwrks-plugin-bugs";
  "clckwrks-plugin-ircbot" = dontDistribute super."clckwrks-plugin-ircbot";
  "clckwrks-theme-clckwrks" = dontDistribute super."clckwrks-theme-clckwrks";
  "clckwrks-theme-geo-bootstrap" = dontDistribute super."clckwrks-theme-geo-bootstrap";
  "cld2" = dontDistribute super."cld2";
  "clean-home" = dontDistribute super."clean-home";
  "clean-unions" = dontDistribute super."clean-unions";
  "cless" = dontDistribute super."cless";
  "clevercss" = dontDistribute super."clevercss";
  "cli" = dontDistribute super."cli";
  "click-clack" = dontDistribute super."click-clack";
  "clifford" = dontDistribute super."clifford";
  "clippard" = dontDistribute super."clippard";
  "clipper" = dontDistribute super."clipper";
  "clippings" = dontDistribute super."clippings";
  "clist" = dontDistribute super."clist";
  "cloben" = dontDistribute super."cloben";
  "clocked" = dontDistribute super."clocked";
  "clogparse" = dontDistribute super."clogparse";
  "clone-all" = dontDistribute super."clone-all";
  "closure" = dontDistribute super."closure";
  "cloud-haskell" = dontDistribute super."cloud-haskell";
  "cloudfront-signer" = dontDistribute super."cloudfront-signer";
  "cloudyfs" = dontDistribute super."cloudyfs";
  "cltw" = dontDistribute super."cltw";
  "clua" = dontDistribute super."clua";
  "cluss" = dontDistribute super."cluss";
  "clustertools" = dontDistribute super."clustertools";
  "clutterhs" = dontDistribute super."clutterhs";
  "cmaes" = dontDistribute super."cmaes";
  "cmark-highlight" = dontDistribute super."cmark-highlight";
  "cmark-lucid" = dontDistribute super."cmark-lucid";
  "cmark-sections" = dontDistribute super."cmark-sections";
  "cmath" = dontDistribute super."cmath";
  "cmathml3" = dontDistribute super."cmathml3";
  "cmd-item" = dontDistribute super."cmd-item";
  "cmdargs-browser" = dontDistribute super."cmdargs-browser";
  "cmdlib" = dontDistribute super."cmdlib";
  "cmdtheline" = dontDistribute super."cmdtheline";
  "cml" = dontDistribute super."cml";
  "cmonad" = dontDistribute super."cmonad";
  "cmph" = dontDistribute super."cmph";
  "cmu" = dontDistribute super."cmu";
  "cnc-spec-compiler" = dontDistribute super."cnc-spec-compiler";
  "cndict" = dontDistribute super."cndict";
  "codec" = dontDistribute super."codec";
  "codec-libevent" = dontDistribute super."codec-libevent";
  "codec-mbox" = dontDistribute super."codec-mbox";
  "codecov-haskell" = dontDistribute super."codecov-haskell";
  "codemonitor" = dontDistribute super."codemonitor";
  "codepad" = dontDistribute super."codepad";
  "codex" = doDistribute super."codex_0_4_0_10";
  "codo-notation" = dontDistribute super."codo-notation";
  "cofunctor" = dontDistribute super."cofunctor";
  "cognimeta-utils" = dontDistribute super."cognimeta-utils";
  "coin" = dontDistribute super."coin";
  "coinbase-exchange" = dontDistribute super."coinbase-exchange";
  "colada" = dontDistribute super."colada";
  "colchis" = dontDistribute super."colchis";
  "collada-output" = dontDistribute super."collada-output";
  "collada-types" = dontDistribute super."collada-types";
  "collapse-util" = dontDistribute super."collapse-util";
  "collection-json" = dontDistribute super."collection-json";
  "collections" = dontDistribute super."collections";
  "collections-api" = dontDistribute super."collections-api";
  "collections-base-instances" = dontDistribute super."collections-base-instances";
  "colock" = dontDistribute super."colock";
  "colonnade" = dontDistribute super."colonnade";
  "color-counter" = dontDistribute super."color-counter";
  "colorize-haskell" = dontDistribute super."colorize-haskell";
  "colors" = dontDistribute super."colors";
  "coltrane" = dontDistribute super."coltrane";
  "com" = dontDistribute super."com";
  "combinat" = dontDistribute super."combinat";
  "combinat-diagrams" = dontDistribute super."combinat-diagrams";
  "combinator-interactive" = dontDistribute super."combinator-interactive";
  "combinatorial-problems" = dontDistribute super."combinatorial-problems";
  "combinatorics" = dontDistribute super."combinatorics";
  "combobuffer" = dontDistribute super."combobuffer";
  "comfort-graph" = dontDistribute super."comfort-graph";
  "command" = dontDistribute super."command";
  "command-qq" = dontDistribute super."command-qq";
  "commander" = dontDistribute super."commander";
  "commodities" = dontDistribute super."commodities";
  "commsec" = dontDistribute super."commsec";
  "commsec-keyexchange" = dontDistribute super."commsec-keyexchange";
  "comonad" = doDistribute super."comonad_4_2_7_2";
  "comonad-extras" = dontDistribute super."comonad-extras";
  "comonad-random" = dontDistribute super."comonad-random";
  "compact-map" = dontDistribute super."compact-map";
  "compact-socket" = dontDistribute super."compact-socket";
  "compact-string" = dontDistribute super."compact-string";
  "compact-string-fix" = dontDistribute super."compact-string-fix";
  "compare-type" = dontDistribute super."compare-type";
  "compdata-automata" = dontDistribute super."compdata-automata";
  "compdata-dags" = dontDistribute super."compdata-dags";
  "compdata-param" = dontDistribute super."compdata-param";
  "compensated" = dontDistribute super."compensated";
  "competition" = dontDistribute super."competition";
  "compilation" = dontDistribute super."compilation";
  "complex-generic" = dontDistribute super."complex-generic";
  "complex-integrate" = dontDistribute super."complex-integrate";
  "complexity" = dontDistribute super."complexity";
  "compose-ltr" = dontDistribute super."compose-ltr";
  "compose-trans" = dontDistribute super."compose-trans";
  "compression" = dontDistribute super."compression";
  "compstrat" = dontDistribute super."compstrat";
  "comptrans" = dontDistribute super."comptrans";
  "computational-algebra" = dontDistribute super."computational-algebra";
  "computations" = dontDistribute super."computations";
  "concorde" = dontDistribute super."concorde";
  "concraft" = dontDistribute super."concraft";
  "concraft-hr" = dontDistribute super."concraft-hr";
  "concraft-pl" = dontDistribute super."concraft-pl";
  "concrete-relaxng-parser" = dontDistribute super."concrete-relaxng-parser";
  "concrete-typerep" = dontDistribute super."concrete-typerep";
  "concurrent-barrier" = dontDistribute super."concurrent-barrier";
  "concurrent-dns-cache" = dontDistribute super."concurrent-dns-cache";
  "concurrent-machines" = dontDistribute super."concurrent-machines";
  "concurrent-rpc" = dontDistribute super."concurrent-rpc";
  "concurrent-sa" = dontDistribute super."concurrent-sa";
  "concurrent-split" = dontDistribute super."concurrent-split";
  "concurrent-state" = dontDistribute super."concurrent-state";
  "concurrent-utilities" = dontDistribute super."concurrent-utilities";
  "concurrentoutput" = dontDistribute super."concurrentoutput";
  "cond" = dontDistribute super."cond";
  "condor" = dontDistribute super."condor";
  "condorcet" = dontDistribute super."condorcet";
  "conductive-base" = dontDistribute super."conductive-base";
  "conductive-clock" = dontDistribute super."conductive-clock";
  "conductive-hsc3" = dontDistribute super."conductive-hsc3";
  "conductive-song" = dontDistribute super."conductive-song";
  "conduit-audio" = dontDistribute super."conduit-audio";
  "conduit-audio-lame" = dontDistribute super."conduit-audio-lame";
  "conduit-audio-samplerate" = dontDistribute super."conduit-audio-samplerate";
  "conduit-audio-sndfile" = dontDistribute super."conduit-audio-sndfile";
  "conduit-find" = dontDistribute super."conduit-find";
  "conduit-merge" = dontDistribute super."conduit-merge";
  "conduit-network-stream" = dontDistribute super."conduit-network-stream";
  "conduit-resumablesink" = dontDistribute super."conduit-resumablesink";
  "conduit-tokenize-attoparsec" = dontDistribute super."conduit-tokenize-attoparsec";
  "conf" = dontDistribute super."conf";
  "config-manager" = dontDistribute super."config-manager";
  "config-select" = dontDistribute super."config-select";
  "config-value" = dontDistribute super."config-value";
  "config-value-getopt" = dontDistribute super."config-value-getopt";
  "configifier" = dontDistribute super."configifier";
  "configuration" = dontDistribute super."configuration";
  "confsolve" = dontDistribute super."confsolve";
  "congruence-relation" = dontDistribute super."congruence-relation";
  "conjugateGradient" = dontDistribute super."conjugateGradient";
  "conjure" = dontDistribute super."conjure";
  "conlogger" = dontDistribute super."conlogger";
  "connection-pool" = dontDistribute super."connection-pool";
  "consistent" = dontDistribute super."consistent";
  "console-program" = dontDistribute super."console-program";
  "const-math-ghc-plugin" = dontDistribute super."const-math-ghc-plugin";
  "constrained-categories" = dontDistribute super."constrained-categories";
  "constrained-normal" = dontDistribute super."constrained-normal";
  "constraint-classes" = dontDistribute super."constraint-classes";
  "constructible" = dontDistribute super."constructible";
  "constructive-algebra" = dontDistribute super."constructive-algebra";
  "consumers" = dontDistribute super."consumers";
  "container" = dontDistribute super."container";
  "container-builder" = dontDistribute super."container-builder";
  "container-classes" = dontDistribute super."container-classes";
  "containers-benchmark" = dontDistribute super."containers-benchmark";
  "containers-deepseq" = dontDistribute super."containers-deepseq";
  "context-free-grammar" = dontDistribute super."context-free-grammar";
  "context-stack" = dontDistribute super."context-stack";
  "continue" = dontDistribute super."continue";
  "continuum" = dontDistribute super."continuum";
  "continuum-client" = dontDistribute super."continuum-client";
  "control-event" = dontDistribute super."control-event";
  "control-monad-attempt" = dontDistribute super."control-monad-attempt";
  "control-monad-exception" = dontDistribute super."control-monad-exception";
  "control-monad-exception-monadsfd" = dontDistribute super."control-monad-exception-monadsfd";
  "control-monad-exception-monadstf" = dontDistribute super."control-monad-exception-monadstf";
  "control-monad-exception-mtl" = dontDistribute super."control-monad-exception-mtl";
  "control-monad-failure" = dontDistribute super."control-monad-failure";
  "control-monad-failure-mtl" = dontDistribute super."control-monad-failure-mtl";
  "control-monad-queue" = dontDistribute super."control-monad-queue";
  "control-timeout" = dontDistribute super."control-timeout";
  "contstuff" = dontDistribute super."contstuff";
  "contstuff-monads-tf" = dontDistribute super."contstuff-monads-tf";
  "contstuff-transformers" = dontDistribute super."contstuff-transformers";
  "conversion" = dontDistribute super."conversion";
  "conversion-bytestring" = dontDistribute super."conversion-bytestring";
  "conversion-case-insensitive" = dontDistribute super."conversion-case-insensitive";
  "conversion-text" = dontDistribute super."conversion-text";
  "convert" = dontDistribute super."convert";
  "convertible-ascii" = dontDistribute super."convertible-ascii";
  "convertible-text" = dontDistribute super."convertible-text";
  "cookbook" = dontDistribute super."cookbook";
  "coordinate" = dontDistribute super."coordinate";
  "copilot" = dontDistribute super."copilot";
  "copilot-c99" = dontDistribute super."copilot-c99";
  "copilot-cbmc" = dontDistribute super."copilot-cbmc";
  "copilot-core" = dontDistribute super."copilot-core";
  "copilot-language" = dontDistribute super."copilot-language";
  "copilot-libraries" = dontDistribute super."copilot-libraries";
  "copilot-sbv" = dontDistribute super."copilot-sbv";
  "copilot-theorem" = dontDistribute super."copilot-theorem";
  "copr" = dontDistribute super."copr";
  "core" = dontDistribute super."core";
  "core-haskell" = dontDistribute super."core-haskell";
  "corebot-bliki" = dontDistribute super."corebot-bliki";
  "coroutine-enumerator" = dontDistribute super."coroutine-enumerator";
  "coroutine-iteratee" = dontDistribute super."coroutine-iteratee";
  "coroutine-object" = dontDistribute super."coroutine-object";
  "couch-hs" = dontDistribute super."couch-hs";
  "couch-simple" = dontDistribute super."couch-simple";
  "couchdb-conduit" = dontDistribute super."couchdb-conduit";
  "couchdb-enumerator" = dontDistribute super."couchdb-enumerator";
  "count" = dontDistribute super."count";
  "countable" = dontDistribute super."countable";
  "counter" = dontDistribute super."counter";
  "court" = dontDistribute super."court";
  "coverage" = dontDistribute super."coverage";
  "cpio-conduit" = dontDistribute super."cpio-conduit";
  "cplex-hs" = dontDistribute super."cplex-hs";
  "cplusplus-th" = dontDistribute super."cplusplus-th";
  "cprng-aes-effect" = dontDistribute super."cprng-aes-effect";
  "cpsa" = dontDistribute super."cpsa";
  "cpuid" = dontDistribute super."cpuid";
  "cpuperf" = dontDistribute super."cpuperf";
  "cpython" = dontDistribute super."cpython";
  "cql" = doDistribute super."cql_3_0_7";
  "cql-io" = doDistribute super."cql-io_0_15_2";
  "cqrs" = dontDistribute super."cqrs";
  "cqrs-core" = dontDistribute super."cqrs-core";
  "cqrs-example" = dontDistribute super."cqrs-example";
  "cqrs-memory" = dontDistribute super."cqrs-memory";
  "cqrs-postgresql" = dontDistribute super."cqrs-postgresql";
  "cqrs-sqlite3" = dontDistribute super."cqrs-sqlite3";
  "cqrs-test" = dontDistribute super."cqrs-test";
  "cqrs-testkit" = dontDistribute super."cqrs-testkit";
  "cqrs-types" = dontDistribute super."cqrs-types";
  "cr" = dontDistribute super."cr";
  "crack" = dontDistribute super."crack";
  "craftwerk" = dontDistribute super."craftwerk";
  "craftwerk-cairo" = dontDistribute super."craftwerk-cairo";
  "craftwerk-gtk" = dontDistribute super."craftwerk-gtk";
  "craze" = dontDistribute super."craze";
  "crc" = dontDistribute super."crc";
  "crc16" = dontDistribute super."crc16";
  "crc16-table" = dontDistribute super."crc16-table";
  "creatur" = dontDistribute super."creatur";
  "crf-chain1" = dontDistribute super."crf-chain1";
  "crf-chain1-constrained" = dontDistribute super."crf-chain1-constrained";
  "crf-chain2-generic" = dontDistribute super."crf-chain2-generic";
  "crf-chain2-tiers" = dontDistribute super."crf-chain2-tiers";
  "critbit" = dontDistribute super."critbit";
  "criterion-plus" = dontDistribute super."criterion-plus";
  "criterion-to-html" = dontDistribute super."criterion-to-html";
  "crockford" = dontDistribute super."crockford";
  "crocodile" = dontDistribute super."crocodile";
  "cron-compat" = dontDistribute super."cron-compat";
  "cruncher-types" = dontDistribute super."cruncher-types";
  "crunghc" = dontDistribute super."crunghc";
  "crypto-cipher-benchmarks" = dontDistribute super."crypto-cipher-benchmarks";
  "crypto-classical" = dontDistribute super."crypto-classical";
  "crypto-conduit" = dontDistribute super."crypto-conduit";
  "crypto-enigma" = dontDistribute super."crypto-enigma";
  "crypto-multihash" = dontDistribute super."crypto-multihash";
  "crypto-pubkey-openssh" = dontDistribute super."crypto-pubkey-openssh";
  "crypto-random-effect" = dontDistribute super."crypto-random-effect";
  "crypto-totp" = dontDistribute super."crypto-totp";
  "cryptohash-md5" = dontDistribute super."cryptohash-md5";
  "cryptohash-sha1" = dontDistribute super."cryptohash-sha1";
  "cryptohash-sha256" = dontDistribute super."cryptohash-sha256";
  "cryptol" = doDistribute super."cryptol_2_3_0";
  "cryptonite" = doDistribute super."cryptonite_0_15";
  "cryptonite-openssl" = dontDistribute super."cryptonite-openssl";
  "cryptsy-api" = dontDistribute super."cryptsy-api";
  "crystalfontz" = dontDistribute super."crystalfontz";
  "cse-ghc-plugin" = dontDistribute super."cse-ghc-plugin";
  "csound-catalog" = dontDistribute super."csound-catalog";
  "csound-expression" = dontDistribute super."csound-expression";
  "csound-expression-dynamic" = dontDistribute super."csound-expression-dynamic";
  "csound-expression-opcodes" = dontDistribute super."csound-expression-opcodes";
  "csound-expression-typed" = dontDistribute super."csound-expression-typed";
  "csound-sampler" = dontDistribute super."csound-sampler";
  "csp" = dontDistribute super."csp";
  "cspmchecker" = dontDistribute super."cspmchecker";
  "css" = dontDistribute super."css";
  "css-text" = doDistribute super."css-text_0_1_2_1";
  "csv-enumerator" = dontDistribute super."csv-enumerator";
  "csv-nptools" = dontDistribute super."csv-nptools";
  "csv-table" = dontDistribute super."csv-table";
  "csv-to-qif" = dontDistribute super."csv-to-qif";
  "ctemplate" = dontDistribute super."ctemplate";
  "ctkl" = dontDistribute super."ctkl";
  "ctpl" = dontDistribute super."ctpl";
  "cube" = dontDistribute super."cube";
  "cubical" = dontDistribute super."cubical";
  "cubicbezier" = dontDistribute super."cubicbezier";
  "cublas" = dontDistribute super."cublas";
  "cuboid" = dontDistribute super."cuboid";
  "cuda" = dontDistribute super."cuda";
  "cudd" = dontDistribute super."cudd";
  "cufft" = dontDistribute super."cufft";
  "curl-aeson" = dontDistribute super."curl-aeson";
  "curlhs" = dontDistribute super."curlhs";
  "currency" = dontDistribute super."currency";
  "current-locale" = dontDistribute super."current-locale";
  "curry-base" = dontDistribute super."curry-base";
  "curry-frontend" = dontDistribute super."curry-frontend";
  "cursedcsv" = dontDistribute super."cursedcsv";
  "curve25519" = dontDistribute super."curve25519";
  "curves" = dontDistribute super."curves";
  "custom-prelude" = dontDistribute super."custom-prelude";
  "cv-combinators" = dontDistribute super."cv-combinators";
  "cyclotomic" = dontDistribute super."cyclotomic";
  "cypher" = dontDistribute super."cypher";
  "d-bus" = dontDistribute super."d-bus";
  "d3d11binding" = dontDistribute super."d3d11binding";
  "d3js" = dontDistribute super."d3js";
  "daemonize-doublefork" = dontDistribute super."daemonize-doublefork";
  "daemons" = dontDistribute super."daemons";
  "dag" = dontDistribute super."dag";
  "damnpacket" = dontDistribute super."damnpacket";
  "danibot" = dontDistribute super."danibot";
  "dao" = dontDistribute super."dao";
  "dapi" = dontDistribute super."dapi";
  "darcs-benchmark" = dontDistribute super."darcs-benchmark";
  "darcs-beta" = dontDistribute super."darcs-beta";
  "darcs-buildpackage" = dontDistribute super."darcs-buildpackage";
  "darcs-cabalized" = dontDistribute super."darcs-cabalized";
  "darcs-fastconvert" = dontDistribute super."darcs-fastconvert";
  "darcs-graph" = dontDistribute super."darcs-graph";
  "darcs-monitor" = dontDistribute super."darcs-monitor";
  "darcs-scripts" = dontDistribute super."darcs-scripts";
  "darcs2dot" = dontDistribute super."darcs2dot";
  "darcsden" = dontDistribute super."darcsden";
  "darcswatch" = dontDistribute super."darcswatch";
  "darkplaces-demo" = dontDistribute super."darkplaces-demo";
  "darkplaces-rcon" = dontDistribute super."darkplaces-rcon";
  "darkplaces-rcon-util" = dontDistribute super."darkplaces-rcon-util";
  "darkplaces-text" = dontDistribute super."darkplaces-text";
  "dash-haskell" = dontDistribute super."dash-haskell";
  "data-accessor-monadLib" = dontDistribute super."data-accessor-monadLib";
  "data-accessor-monads-fd" = dontDistribute super."data-accessor-monads-fd";
  "data-accessor-monads-tf" = dontDistribute super."data-accessor-monads-tf";
  "data-accessor-template" = dontDistribute super."data-accessor-template";
  "data-accessor-transformers" = dontDistribute super."data-accessor-transformers";
  "data-aviary" = dontDistribute super."data-aviary";
  "data-base" = dontDistribute super."data-base";
  "data-bword" = dontDistribute super."data-bword";
  "data-carousel" = dontDistribute super."data-carousel";
  "data-category" = dontDistribute super."data-category";
  "data-cell" = dontDistribute super."data-cell";
  "data-check" = dontDistribute super."data-check";
  "data-checked" = dontDistribute super."data-checked";
  "data-clist" = dontDistribute super."data-clist";
  "data-concurrent-queue" = dontDistribute super."data-concurrent-queue";
  "data-construction" = dontDistribute super."data-construction";
  "data-cycle" = dontDistribute super."data-cycle";
  "data-default" = doDistribute super."data-default_0_5_3";
  "data-default-class" = doDistribute super."data-default-class_0_0_1";
  "data-default-extra" = dontDistribute super."data-default-extra";
  "data-default-generics" = dontDistribute super."data-default-generics";
  "data-default-instances-base" = doDistribute super."data-default-instances-base_0_1_0";
  "data-default-instances-bytestring" = dontDistribute super."data-default-instances-bytestring";
  "data-default-instances-case-insensitive" = dontDistribute super."data-default-instances-case-insensitive";
  "data-default-instances-new-base" = dontDistribute super."data-default-instances-new-base";
  "data-default-instances-text" = dontDistribute super."data-default-instances-text";
  "data-default-instances-unordered-containers" = dontDistribute super."data-default-instances-unordered-containers";
  "data-default-instances-vector" = dontDistribute super."data-default-instances-vector";
  "data-dispersal" = dontDistribute super."data-dispersal";
  "data-dword" = dontDistribute super."data-dword";
  "data-easy" = dontDistribute super."data-easy";
  "data-elf" = dontDistribute super."data-elf";
  "data-embed" = dontDistribute super."data-embed";
  "data-endian" = dontDistribute super."data-endian";
  "data-extend-generic" = dontDistribute super."data-extend-generic";
  "data-extra" = dontDistribute super."data-extra";
  "data-filepath" = dontDistribute super."data-filepath";
  "data-fin" = dontDistribute super."data-fin";
  "data-fin-simple" = dontDistribute super."data-fin-simple";
  "data-fix" = dontDistribute super."data-fix";
  "data-fix-cse" = dontDistribute super."data-fix-cse";
  "data-flags" = dontDistribute super."data-flags";
  "data-flagset" = dontDistribute super."data-flagset";
  "data-fresh" = dontDistribute super."data-fresh";
  "data-function-meld" = dontDistribute super."data-function-meld";
  "data-function-tacit" = dontDistribute super."data-function-tacit";
  "data-interval" = dontDistribute super."data-interval";
  "data-ivar" = dontDistribute super."data-ivar";
  "data-json-token" = dontDistribute super."data-json-token";
  "data-kiln" = dontDistribute super."data-kiln";
  "data-layer" = dontDistribute super."data-layer";
  "data-layout" = dontDistribute super."data-layout";
  "data-lens" = dontDistribute super."data-lens";
  "data-lens-fd" = dontDistribute super."data-lens-fd";
  "data-lens-ixset" = dontDistribute super."data-lens-ixset";
  "data-lens-template" = dontDistribute super."data-lens-template";
  "data-list-sequences" = dontDistribute super."data-list-sequences";
  "data-map-multikey" = dontDistribute super."data-map-multikey";
  "data-named" = dontDistribute super."data-named";
  "data-nat" = dontDistribute super."data-nat";
  "data-object" = dontDistribute super."data-object";
  "data-object-json" = dontDistribute super."data-object-json";
  "data-object-yaml" = dontDistribute super."data-object-yaml";
  "data-partition" = dontDistribute super."data-partition";
  "data-pprint" = dontDistribute super."data-pprint";
  "data-quotientref" = dontDistribute super."data-quotientref";
  "data-r-tree" = dontDistribute super."data-r-tree";
  "data-ref" = dontDistribute super."data-ref";
  "data-reify-cse" = dontDistribute super."data-reify-cse";
  "data-repr" = dontDistribute super."data-repr";
  "data-result" = dontDistribute super."data-result";
  "data-rev" = dontDistribute super."data-rev";
  "data-rope" = dontDistribute super."data-rope";
  "data-rtuple" = dontDistribute super."data-rtuple";
  "data-serializer" = dontDistribute super."data-serializer";
  "data-size" = dontDistribute super."data-size";
  "data-spacepart" = dontDistribute super."data-spacepart";
  "data-store" = dontDistribute super."data-store";
  "data-stringmap" = dontDistribute super."data-stringmap";
  "data-structure-inferrer" = dontDistribute super."data-structure-inferrer";
  "data-sword" = dontDistribute super."data-sword";
  "data-tensor" = dontDistribute super."data-tensor";
  "data-textual" = dontDistribute super."data-textual";
  "data-timeout" = dontDistribute super."data-timeout";
  "data-transform" = dontDistribute super."data-transform";
  "data-treify" = dontDistribute super."data-treify";
  "data-type" = dontDistribute super."data-type";
  "data-util" = dontDistribute super."data-util";
  "data-variant" = dontDistribute super."data-variant";
  "database-migrate" = dontDistribute super."database-migrate";
  "database-study" = dontDistribute super."database-study";
  "datadog" = dontDistribute super."datadog";
  "dataenc" = dontDistribute super."dataenc";
  "dataflow" = dontDistribute super."dataflow";
  "datalog" = dontDistribute super."datalog";
  "datapacker" = dontDistribute super."datapacker";
  "date-cache" = dontDistribute super."date-cache";
  "dates" = dontDistribute super."dates";
  "datetime" = dontDistribute super."datetime";
  "datetime-sb" = dontDistribute super."datetime-sb";
  "dawdle" = dontDistribute super."dawdle";
  "dawg" = dontDistribute super."dawg";
  "dbcleaner" = dontDistribute super."dbcleaner";
  "dbf" = dontDistribute super."dbf";
  "dbjava" = dontDistribute super."dbjava";
  "dbus-client" = dontDistribute super."dbus-client";
  "dbus-core" = dontDistribute super."dbus-core";
  "dbus-qq" = dontDistribute super."dbus-qq";
  "dbus-th" = dontDistribute super."dbus-th";
  "dbus-th-introspection" = dontDistribute super."dbus-th-introspection";
  "dclabel" = dontDistribute super."dclabel";
  "dclabel-eci11" = dontDistribute super."dclabel-eci11";
  "ddate" = dontDistribute super."ddate";
  "ddc-base" = dontDistribute super."ddc-base";
  "ddc-build" = dontDistribute super."ddc-build";
  "ddc-code" = dontDistribute super."ddc-code";
  "ddc-core" = dontDistribute super."ddc-core";
  "ddc-core-babel" = dontDistribute super."ddc-core-babel";
  "ddc-core-eval" = dontDistribute super."ddc-core-eval";
  "ddc-core-flow" = dontDistribute super."ddc-core-flow";
  "ddc-core-llvm" = dontDistribute super."ddc-core-llvm";
  "ddc-core-salt" = dontDistribute super."ddc-core-salt";
  "ddc-core-simpl" = dontDistribute super."ddc-core-simpl";
  "ddc-core-tetra" = dontDistribute super."ddc-core-tetra";
  "ddc-driver" = dontDistribute super."ddc-driver";
  "ddc-interface" = dontDistribute super."ddc-interface";
  "ddc-source-tetra" = dontDistribute super."ddc-source-tetra";
  "ddc-tools" = dontDistribute super."ddc-tools";
  "ddc-war" = dontDistribute super."ddc-war";
  "ddci-core" = dontDistribute super."ddci-core";
  "dead-code-detection" = dontDistribute super."dead-code-detection";
  "dead-simple-json" = dontDistribute super."dead-simple-json";
  "debian-binary" = dontDistribute super."debian-binary";
  "debian-build" = doDistribute super."debian-build_0_9_2_0";
  "debug-diff" = dontDistribute super."debug-diff";
  "debug-time" = dontDistribute super."debug-time";
  "decepticons" = dontDistribute super."decepticons";
  "decimal-arithmetic" = dontDistribute super."decimal-arithmetic";
  "decode-utf8" = dontDistribute super."decode-utf8";
  "decoder-conduit" = dontDistribute super."decoder-conduit";
  "dedukti" = dontDistribute super."dedukti";
  "deepcontrol" = dontDistribute super."deepcontrol";
  "deeplearning-hs" = dontDistribute super."deeplearning-hs";
  "deepseq-bounded" = dontDistribute super."deepseq-bounded";
  "deepseq-generics" = doDistribute super."deepseq-generics_0_1_1_2";
  "deepseq-magic" = dontDistribute super."deepseq-magic";
  "deepseq-th" = dontDistribute super."deepseq-th";
  "deepzoom" = dontDistribute super."deepzoom";
  "defargs" = dontDistribute super."defargs";
  "definitive-base" = dontDistribute super."definitive-base";
  "definitive-filesystem" = dontDistribute super."definitive-filesystem";
  "definitive-graphics" = dontDistribute super."definitive-graphics";
  "definitive-parser" = dontDistribute super."definitive-parser";
  "definitive-reactive" = dontDistribute super."definitive-reactive";
  "definitive-sound" = dontDistribute super."definitive-sound";
  "deiko-config" = dontDistribute super."deiko-config";
  "dejafu" = doDistribute super."dejafu_0_3_2_1";
  "deka" = dontDistribute super."deka";
  "deka-tests" = dontDistribute super."deka-tests";
  "delaunay" = dontDistribute super."delaunay";
  "delay" = dontDistribute super."delay";
  "delicious" = dontDistribute super."delicious";
  "delimited-text" = dontDistribute super."delimited-text";
  "delimiter-separated" = dontDistribute super."delimiter-separated";
  "delta" = dontDistribute super."delta";
  "delta-h" = dontDistribute super."delta-h";
  "delude" = dontDistribute super."delude";
  "demarcate" = dontDistribute super."demarcate";
  "denominate" = dontDistribute super."denominate";
  "dense" = dontDistribute super."dense";
  "dependent-state" = dontDistribute super."dependent-state";
  "depends" = dontDistribute super."depends";
  "dephd" = dontDistribute super."dephd";
  "dequeue" = dontDistribute super."dequeue";
  "derangement" = dontDistribute super."derangement";
  "derivation-trees" = dontDistribute super."derivation-trees";
  "derive-IG" = dontDistribute super."derive-IG";
  "derive-enumerable" = dontDistribute super."derive-enumerable";
  "derive-gadt" = dontDistribute super."derive-gadt";
  "derive-monoid" = dontDistribute super."derive-monoid";
  "derive-topdown" = dontDistribute super."derive-topdown";
  "derive-trie" = dontDistribute super."derive-trie";
  "deriving-compat" = doDistribute super."deriving-compat_0_2";
  "derp" = dontDistribute super."derp";
  "derp-lib" = dontDistribute super."derp-lib";
  "descrilo" = dontDistribute super."descrilo";
  "despair" = dontDistribute super."despair";
  "deterministic-game-engine" = dontDistribute super."deterministic-game-engine";
  "detrospector" = dontDistribute super."detrospector";
  "deunicode" = dontDistribute super."deunicode";
  "devil" = dontDistribute super."devil";
  "dewdrop" = dontDistribute super."dewdrop";
  "dfrac" = dontDistribute super."dfrac";
  "dfsbuild" = dontDistribute super."dfsbuild";
  "dgim" = dontDistribute super."dgim";
  "dgs" = dontDistribute super."dgs";
  "dia-base" = dontDistribute super."dia-base";
  "dia-functions" = dontDistribute super."dia-functions";
  "diagrams-boolean" = dontDistribute super."diagrams-boolean";
  "diagrams-graphviz" = dontDistribute super."diagrams-graphviz";
  "diagrams-hsqml" = dontDistribute super."diagrams-hsqml";
  "diagrams-pandoc" = dontDistribute super."diagrams-pandoc";
  "diagrams-pdf" = dontDistribute super."diagrams-pdf";
  "diagrams-pgf" = dontDistribute super."diagrams-pgf";
  "diagrams-qrcode" = dontDistribute super."diagrams-qrcode";
  "diagrams-reflex" = dontDistribute super."diagrams-reflex";
  "diagrams-rubiks-cube" = dontDistribute super."diagrams-rubiks-cube";
  "diagrams-svg" = doDistribute super."diagrams-svg_1_3_1_10";
  "diagrams-tikz" = dontDistribute super."diagrams-tikz";
  "diagrams-wx" = dontDistribute super."diagrams-wx";
  "dialog" = dontDistribute super."dialog";
  "dice-entropy-conduit" = dontDistribute super."dice-entropy-conduit";
  "dicom" = dontDistribute super."dicom";
  "dictionary-sharing" = dontDistribute super."dictionary-sharing";
  "dictparser" = dontDistribute super."dictparser";
  "diet" = dontDistribute super."diet";
  "diff-gestalt" = dontDistribute super."diff-gestalt";
  "diff-parse" = dontDistribute super."diff-parse";
  "diffarray" = dontDistribute super."diffarray";
  "diffcabal" = dontDistribute super."diffcabal";
  "diffdump" = dontDistribute super."diffdump";
  "digamma" = dontDistribute super."digamma";
  "digest-pure" = dontDistribute super."digest-pure";
  "digestive-foundation-lucid" = dontDistribute super."digestive-foundation-lucid";
  "digestive-functors-happstack" = dontDistribute super."digestive-functors-happstack";
  "digestive-functors-heist" = dontDistribute super."digestive-functors-heist";
  "digestive-functors-hsp" = dontDistribute super."digestive-functors-hsp";
  "digestive-functors-scotty" = dontDistribute super."digestive-functors-scotty";
  "digestive-functors-snap" = dontDistribute super."digestive-functors-snap";
  "digit" = dontDistribute super."digit";
  "digitalocean-kzs" = dontDistribute super."digitalocean-kzs";
  "digits" = doDistribute super."digits_0_2";
  "dimensional-codata" = dontDistribute super."dimensional-codata";
  "dimensional-tf" = dontDistribute super."dimensional-tf";
  "dingo-core" = dontDistribute super."dingo-core";
  "dingo-example" = dontDistribute super."dingo-example";
  "dingo-widgets" = dontDistribute super."dingo-widgets";
  "diophantine" = dontDistribute super."diophantine";
  "diplomacy" = dontDistribute super."diplomacy";
  "diplomacy-server" = dontDistribute super."diplomacy-server";
  "direct-binary-files" = dontDistribute super."direct-binary-files";
  "direct-daemonize" = dontDistribute super."direct-daemonize";
  "direct-fastcgi" = dontDistribute super."direct-fastcgi";
  "direct-http" = dontDistribute super."direct-http";
  "direct-murmur-hash" = dontDistribute super."direct-murmur-hash";
  "direct-plugins" = dontDistribute super."direct-plugins";
  "directed-cubical" = dontDistribute super."directed-cubical";
  "directory-layout" = dontDistribute super."directory-layout";
  "directory-listing-webpage-parser" = dontDistribute super."directory-listing-webpage-parser";
  "dirfiles" = dontDistribute super."dirfiles";
  "dirstream" = dontDistribute super."dirstream";
  "disassembler" = dontDistribute super."disassembler";
  "discogs-haskell" = dontDistribute super."discogs-haskell";
  "discordian-calendar" = dontDistribute super."discordian-calendar";
  "discrete-space-map" = dontDistribute super."discrete-space-map";
  "discrimination" = dontDistribute super."discrimination";
  "disjoint-set" = dontDistribute super."disjoint-set";
  "disjoint-sets-st" = dontDistribute super."disjoint-sets-st";
  "dist-upload" = dontDistribute super."dist-upload";
  "distributed-process-azure" = dontDistribute super."distributed-process-azure";
  "distributed-process-ekg" = dontDistribute super."distributed-process-ekg";
  "distributed-process-lifted" = dontDistribute super."distributed-process-lifted";
  "distributed-process-monad-control" = dontDistribute super."distributed-process-monad-control";
  "distributed-process-p2p" = dontDistribute super."distributed-process-p2p";
  "distributed-process-platform" = dontDistribute super."distributed-process-platform";
  "distributed-process-zookeeper" = dontDistribute super."distributed-process-zookeeper";
  "distribution" = dontDistribute super."distribution";
  "distribution-nixpkgs" = dontDistribute super."distribution-nixpkgs";
  "distribution-plot" = dontDistribute super."distribution-plot";
  "djembe" = dontDistribute super."djembe";
  "djinn" = dontDistribute super."djinn";
  "djinn-th" = dontDistribute super."djinn-th";
  "dlist-instances" = doDistribute super."dlist-instances_0_1_1_1";
  "dns" = doDistribute super."dns_2_0_4";
  "dnscache" = dontDistribute super."dnscache";
  "dnsrbl" = dontDistribute super."dnsrbl";
  "dnssd" = dontDistribute super."dnssd";
  "doc-review" = dontDistribute super."doc-review";
  "doccheck" = dontDistribute super."doccheck";
  "docidx" = dontDistribute super."docidx";
  "docker" = dontDistribute super."docker";
  "dockercook" = dontDistribute super."dockercook";
  "doctest-discover-configurator" = dontDistribute super."doctest-discover-configurator";
  "doctest-prop" = dontDistribute super."doctest-prop";
  "docvim" = dontDistribute super."docvim";
  "dom-lt" = dontDistribute super."dom-lt";
  "dom-parser" = dontDistribute super."dom-parser";
  "dom-selector" = dontDistribute super."dom-selector";
  "domain-auth" = dontDistribute super."domain-auth";
  "dominion" = dontDistribute super."dominion";
  "domplate" = dontDistribute super."domplate";
  "dot-linker" = dontDistribute super."dot-linker";
  "dot2graphml" = dontDistribute super."dot2graphml";
  "dotenv" = doDistribute super."dotenv_0_3_0_1";
  "dotfs" = dontDistribute super."dotfs";
  "dotgen" = dontDistribute super."dotgen";
  "double-metaphone" = dontDistribute super."double-metaphone";
  "dove" = dontDistribute super."dove";
  "dow" = dontDistribute super."dow";
  "download-curl" = dontDistribute super."download-curl";
  "download-media-content" = dontDistribute super."download-media-content";
  "dozenal" = dontDistribute super."dozenal";
  "dozens" = dontDistribute super."dozens";
  "dph-base" = dontDistribute super."dph-base";
  "dph-examples" = dontDistribute super."dph-examples";
  "dph-lifted-base" = dontDistribute super."dph-lifted-base";
  "dph-lifted-copy" = dontDistribute super."dph-lifted-copy";
  "dph-lifted-vseg" = dontDistribute super."dph-lifted-vseg";
  "dph-par" = dontDistribute super."dph-par";
  "dph-prim-interface" = dontDistribute super."dph-prim-interface";
  "dph-prim-par" = dontDistribute super."dph-prim-par";
  "dph-prim-seq" = dontDistribute super."dph-prim-seq";
  "dph-seq" = dontDistribute super."dph-seq";
  "dpkg" = dontDistribute super."dpkg";
  "dpor" = doDistribute super."dpor_0_1_0_1";
  "drClickOn" = dontDistribute super."drClickOn";
  "draw-poker" = dontDistribute super."draw-poker";
  "dresdner-verkehrsbetriebe" = dontDistribute super."dresdner-verkehrsbetriebe";
  "drmaa" = dontDistribute super."drmaa";
  "dropbox-sdk" = dontDistribute super."dropbox-sdk";
  "dropsolve" = dontDistribute super."dropsolve";
  "ds-kanren" = dontDistribute super."ds-kanren";
  "dsh-sql" = dontDistribute super."dsh-sql";
  "dsmc" = dontDistribute super."dsmc";
  "dsmc-tools" = dontDistribute super."dsmc-tools";
  "dson" = dontDistribute super."dson";
  "dson-parsec" = dontDistribute super."dson-parsec";
  "dsp" = dontDistribute super."dsp";
  "dstring" = dontDistribute super."dstring";
  "dtab" = dontDistribute super."dtab";
  "dtd" = dontDistribute super."dtd";
  "dtd-text" = dontDistribute super."dtd-text";
  "dtd-types" = dontDistribute super."dtd-types";
  "dtrace" = dontDistribute super."dtrace";
  "dtw" = dontDistribute super."dtw";
  "dump" = dontDistribute super."dump";
  "dunai" = dontDistribute super."dunai";
  "duplo" = dontDistribute super."duplo";
  "dustme" = dontDistribute super."dustme";
  "dvda" = dontDistribute super."dvda";
  "dvdread" = dontDistribute super."dvdread";
  "dvi-processing" = dontDistribute super."dvi-processing";
  "dvorak" = dontDistribute super."dvorak";
  "dwarf" = dontDistribute super."dwarf";
  "dwarf-el" = dontDistribute super."dwarf-el";
  "dwarfadt" = dontDistribute super."dwarfadt";
  "dx9base" = dontDistribute super."dx9base";
  "dx9d3d" = dontDistribute super."dx9d3d";
  "dx9d3dx" = dontDistribute super."dx9d3dx";
  "dynamic-cabal" = dontDistribute super."dynamic-cabal";
  "dynamic-graph" = dontDistribute super."dynamic-graph";
  "dynamic-linker-template" = dontDistribute super."dynamic-linker-template";
  "dynamic-loader" = dontDistribute super."dynamic-loader";
  "dynamic-mvector" = dontDistribute super."dynamic-mvector";
  "dynamic-object" = dontDistribute super."dynamic-object";
  "dynamic-plot" = dontDistribute super."dynamic-plot";
  "dynamic-pp" = dontDistribute super."dynamic-pp";
  "dynobud" = dontDistribute super."dynobud";
  "dywapitchtrack" = dontDistribute super."dywapitchtrack";
  "dzen-utils" = dontDistribute super."dzen-utils";
  "eager-sockets" = dontDistribute super."eager-sockets";
  "easy-api" = dontDistribute super."easy-api";
  "easy-bitcoin" = dontDistribute super."easy-bitcoin";
  "easyjson" = dontDistribute super."easyjson";
  "easyplot" = dontDistribute super."easyplot";
  "easyrender" = dontDistribute super."easyrender";
  "ebeats" = dontDistribute super."ebeats";
  "ebnf-bff" = dontDistribute super."ebnf-bff";
  "ec2-signature" = dontDistribute super."ec2-signature";
  "ec2-unikernel" = dontDistribute super."ec2-unikernel";
  "eccrypto" = dontDistribute super."eccrypto";
  "ecdsa" = dontDistribute super."ecdsa";
  "ecma262" = dontDistribute super."ecma262";
  "ecu" = dontDistribute super."ecu";
  "ed25519" = dontDistribute super."ed25519";
  "ed25519-donna" = dontDistribute super."ed25519-donna";
  "eddie" = dontDistribute super."eddie";
  "edenmodules" = dontDistribute super."edenmodules";
  "edenskel" = dontDistribute super."edenskel";
  "edentv" = dontDistribute super."edentv";
  "edge" = dontDistribute super."edge";
  "edis" = dontDistribute super."edis";
  "edit-lenses" = dontDistribute super."edit-lenses";
  "edit-lenses-demo" = dontDistribute super."edit-lenses-demo";
  "editable" = dontDistribute super."editable";
  "editline" = dontDistribute super."editline";
  "editpipe" = dontDistribute super."editpipe";
  "effect-monad" = dontDistribute super."effect-monad";
  "effective-aspects" = dontDistribute super."effective-aspects";
  "effective-aspects-mzv" = dontDistribute super."effective-aspects-mzv";
  "effects" = dontDistribute super."effects";
  "effects-parser" = dontDistribute super."effects-parser";
  "effin" = dontDistribute super."effin";
  "egison" = dontDistribute super."egison";
  "egison-quote" = dontDistribute super."egison-quote";
  "egison-tutorial" = dontDistribute super."egison-tutorial";
  "ehaskell" = dontDistribute super."ehaskell";
  "ehs" = dontDistribute super."ehs";
  "eibd-client-simple" = dontDistribute super."eibd-client-simple";
  "eigen" = dontDistribute super."eigen";
  "eithers" = dontDistribute super."eithers";
  "ekg-bosun" = dontDistribute super."ekg-bosun";
  "ekg-carbon" = dontDistribute super."ekg-carbon";
  "ekg-log" = dontDistribute super."ekg-log";
  "ekg-push" = dontDistribute super."ekg-push";
  "ekg-rrd" = dontDistribute super."ekg-rrd";
  "electrum-mnemonic" = dontDistribute super."electrum-mnemonic";
  "elerea" = dontDistribute super."elerea";
  "elerea-examples" = dontDistribute super."elerea-examples";
  "elerea-sdl" = dontDistribute super."elerea-sdl";
  "elevator" = dontDistribute super."elevator";
  "elf" = dontDistribute super."elf";
  "elision" = dontDistribute super."elision";
  "elm-build-lib" = dontDistribute super."elm-build-lib";
  "elm-compiler" = dontDistribute super."elm-compiler";
  "elm-export" = dontDistribute super."elm-export";
  "elm-get" = dontDistribute super."elm-get";
  "elm-hybrid" = dontDistribute super."elm-hybrid";
  "elm-init" = dontDistribute super."elm-init";
  "elm-make" = dontDistribute super."elm-make";
  "elm-package" = dontDistribute super."elm-package";
  "elm-reactor" = dontDistribute super."elm-reactor";
  "elm-repl" = dontDistribute super."elm-repl";
  "elm-server" = dontDistribute super."elm-server";
  "elm-yesod" = dontDistribute super."elm-yesod";
  "elo" = dontDistribute super."elo";
  "elocrypt" = dontDistribute super."elocrypt";
  "emacs-keys" = dontDistribute super."emacs-keys";
  "email" = dontDistribute super."email";
  "email-header" = dontDistribute super."email-header";
  "email-postmark" = dontDistribute super."email-postmark";
  "email-validate-json" = dontDistribute super."email-validate-json";
  "email-validator" = dontDistribute super."email-validator";
  "emailparse" = dontDistribute super."emailparse";
  "embeddock" = dontDistribute super."embeddock";
  "embeddock-example" = dontDistribute super."embeddock-example";
  "embroidery" = dontDistribute super."embroidery";
  "emgm" = dontDistribute super."emgm";
  "empty" = dontDistribute super."empty";
  "enchant" = dontDistribute super."enchant";
  "encoding" = dontDistribute super."encoding";
  "endo" = dontDistribute super."endo";
  "engine-io-growler" = dontDistribute super."engine-io-growler";
  "engine-io-snap" = dontDistribute super."engine-io-snap";
  "engineering-units" = dontDistribute super."engineering-units";
  "enumerable" = dontDistribute super."enumerable";
  "enumerate" = dontDistribute super."enumerate";
  "enumeration" = dontDistribute super."enumeration";
  "enumerator-fd" = dontDistribute super."enumerator-fd";
  "enumerator-tf" = dontDistribute super."enumerator-tf";
  "enumfun" = dontDistribute super."enumfun";
  "enummapmap" = dontDistribute super."enummapmap";
  "enummapset" = dontDistribute super."enummapset";
  "enummapset-th" = dontDistribute super."enummapset-th";
  "enumset" = dontDistribute super."enumset";
  "env-locale" = dontDistribute super."env-locale";
  "env-parser" = dontDistribute super."env-parser";
  "envparse" = dontDistribute super."envparse";
  "epanet-haskell" = dontDistribute super."epanet-haskell";
  "epass" = dontDistribute super."epass";
  "epic" = dontDistribute super."epic";
  "epoll" = dontDistribute super."epoll";
  "eprocess" = dontDistribute super."eprocess";
  "epub" = dontDistribute super."epub";
  "epub-metadata" = dontDistribute super."epub-metadata";
  "epub-tools" = dontDistribute super."epub-tools";
  "epubname" = dontDistribute super."epubname";
  "equal-files" = dontDistribute super."equal-files";
  "equational-reasoning" = dontDistribute super."equational-reasoning";
  "erd" = dontDistribute super."erd";
  "erf-native" = dontDistribute super."erf-native";
  "erlang" = dontDistribute super."erlang";
  "eros" = dontDistribute super."eros";
  "eros-client" = dontDistribute super."eros-client";
  "eros-http" = dontDistribute super."eros-http";
  "errno" = dontDistribute super."errno";
  "error-analyze" = dontDistribute super."error-analyze";
  "error-continuations" = dontDistribute super."error-continuations";
  "error-list" = dontDistribute super."error-list";
  "error-loc" = dontDistribute super."error-loc";
  "error-location" = dontDistribute super."error-location";
  "error-message" = dontDistribute super."error-message";
  "error-util" = dontDistribute super."error-util";
  "errorcall-eq-instance" = dontDistribute super."errorcall-eq-instance";
  "ersatz" = dontDistribute super."ersatz";
  "ersatz-toysat" = dontDistribute super."ersatz-toysat";
  "ert" = dontDistribute super."ert";
  "esotericbot" = dontDistribute super."esotericbot";
  "ess" = dontDistribute super."ess";
  "estimator" = dontDistribute super."estimator";
  "estimators" = dontDistribute super."estimators";
  "estreps" = dontDistribute super."estreps";
  "eternal" = dontDistribute super."eternal";
  "ethereum-client-haskell" = dontDistribute super."ethereum-client-haskell";
  "ethereum-merkle-patricia-db" = dontDistribute super."ethereum-merkle-patricia-db";
  "ethereum-rlp" = dontDistribute super."ethereum-rlp";
  "ety" = dontDistribute super."ety";
  "euler" = dontDistribute super."euler";
  "euphoria" = dontDistribute super."euphoria";
  "eurofxref" = dontDistribute super."eurofxref";
  "event-driven" = dontDistribute super."event-driven";
  "event-handlers" = dontDistribute super."event-handlers";
  "event-list" = dontDistribute super."event-list";
  "event-monad" = dontDistribute super."event-monad";
  "eventloop" = dontDistribute super."eventloop";
  "eventsourced" = dontDistribute super."eventsourced";
  "eventstore" = doDistribute super."eventstore_0_12_0_0";
  "every-bit-counts" = dontDistribute super."every-bit-counts";
  "ewe" = dontDistribute super."ewe";
  "ex-pool" = dontDistribute super."ex-pool";
  "exception-hierarchy" = dontDistribute super."exception-hierarchy";
  "exception-mailer" = dontDistribute super."exception-mailer";
  "exception-monads-fd" = dontDistribute super."exception-monads-fd";
  "exception-monads-tf" = dontDistribute super."exception-monads-tf";
  "exceptions" = doDistribute super."exceptions_0_8_3";
  "exherbo-cabal" = dontDistribute super."exherbo-cabal";
  "exif" = dontDistribute super."exif";
  "exinst" = dontDistribute super."exinst";
  "exinst-aeson" = dontDistribute super."exinst-aeson";
  "exinst-bytes" = dontDistribute super."exinst-bytes";
  "exinst-deepseq" = dontDistribute super."exinst-deepseq";
  "exinst-hashable" = dontDistribute super."exinst-hashable";
  "existential" = dontDistribute super."existential";
  "exists" = dontDistribute super."exists";
  "exit-codes" = dontDistribute super."exit-codes";
  "exp-extended" = dontDistribute super."exp-extended";
  "exp-pairs" = dontDistribute super."exp-pairs";
  "expand" = dontDistribute super."expand";
  "expat-enumerator" = dontDistribute super."expat-enumerator";
  "expiring-mvar" = dontDistribute super."expiring-mvar";
  "explain" = dontDistribute super."explain";
  "explicit-determinant" = dontDistribute super."explicit-determinant";
  "explicit-iomodes" = dontDistribute super."explicit-iomodes";
  "explicit-iomodes-bytestring" = dontDistribute super."explicit-iomodes-bytestring";
  "explicit-iomodes-text" = dontDistribute super."explicit-iomodes-text";
  "explicit-sharing" = dontDistribute super."explicit-sharing";
  "explore" = dontDistribute super."explore";
  "exposed-containers" = dontDistribute super."exposed-containers";
  "expression-parser" = dontDistribute super."expression-parser";
  "extcore" = dontDistribute super."extcore";
  "extemp" = dontDistribute super."extemp";
  "extended-categories" = dontDistribute super."extended-categories";
  "extended-reals" = dontDistribute super."extended-reals";
  "extensible" = dontDistribute super."extensible";
  "extensible-data" = dontDistribute super."extensible-data";
  "external-sort" = dontDistribute super."external-sort";
  "extractelf" = dontDistribute super."extractelf";
  "ez-couch" = dontDistribute super."ez-couch";
  "faceted" = dontDistribute super."faceted";
  "factory" = dontDistribute super."factory";
  "factual-api" = dontDistribute super."factual-api";
  "fad" = dontDistribute super."fad";
  "fadno-braids" = dontDistribute super."fadno-braids";
  "failable-list" = dontDistribute super."failable-list";
  "failure" = dontDistribute super."failure";
  "failure-detector" = dontDistribute super."failure-detector";
  "fair-predicates" = dontDistribute super."fair-predicates";
  "fake-type" = dontDistribute super."fake-type";
  "faker" = dontDistribute super."faker";
  "falling-turnip" = dontDistribute super."falling-turnip";
  "fallingblocks" = dontDistribute super."fallingblocks";
  "family-tree" = dontDistribute super."family-tree";
  "fast-digits" = dontDistribute super."fast-digits";
  "fast-math" = dontDistribute super."fast-math";
  "fast-tags" = dontDistribute super."fast-tags";
  "fast-tagsoup" = dontDistribute super."fast-tagsoup";
  "fast-tagsoup-utf8-only" = dontDistribute super."fast-tagsoup-utf8-only";
  "fastbayes" = dontDistribute super."fastbayes";
  "fastcgi" = dontDistribute super."fastcgi";
  "fastedit" = dontDistribute super."fastedit";
  "fastirc" = dontDistribute super."fastirc";
  "fault-tree" = dontDistribute super."fault-tree";
  "fay-geoposition" = dontDistribute super."fay-geoposition";
  "fay-hsx" = dontDistribute super."fay-hsx";
  "fay-ref" = dontDistribute super."fay-ref";
  "fbmessenger-api" = dontDistribute super."fbmessenger-api";
  "fca" = dontDistribute super."fca";
  "fcache" = dontDistribute super."fcache";
  "fcd" = dontDistribute super."fcd";
  "fckeditor" = dontDistribute super."fckeditor";
  "fclabels-monadlib" = dontDistribute super."fclabels-monadlib";
  "fdo-trash" = dontDistribute super."fdo-trash";
  "fec" = dontDistribute super."fec";
  "fedora-packages" = dontDistribute super."fedora-packages";
  "feed-cli" = dontDistribute super."feed-cli";
  "feed-collect" = dontDistribute super."feed-collect";
  "feed-crawl" = dontDistribute super."feed-crawl";
  "feed-gipeda" = dontDistribute super."feed-gipeda";
  "feed-translator" = dontDistribute super."feed-translator";
  "feed2lj" = dontDistribute super."feed2lj";
  "feed2twitter" = dontDistribute super."feed2twitter";
  "feldspar-compiler" = dontDistribute super."feldspar-compiler";
  "feldspar-language" = dontDistribute super."feldspar-language";
  "feldspar-signal" = dontDistribute super."feldspar-signal";
  "fen2s" = dontDistribute super."fen2s";
  "fences" = dontDistribute super."fences";
  "fenfire" = dontDistribute super."fenfire";
  "fez-conf" = dontDistribute super."fez-conf";
  "ffeed" = dontDistribute super."ffeed";
  "fficxx" = dontDistribute super."fficxx";
  "fficxx-runtime" = dontDistribute super."fficxx-runtime";
  "ffmpeg-light" = dontDistribute super."ffmpeg-light";
  "ffmpeg-tutorials" = dontDistribute super."ffmpeg-tutorials";
  "fftwRaw" = dontDistribute super."fftwRaw";
  "fgl-extras-decompositions" = dontDistribute super."fgl-extras-decompositions";
  "fgl-visualize" = dontDistribute super."fgl-visualize";
  "fibon" = dontDistribute super."fibon";
  "fibonacci" = dontDistribute super."fibonacci";
  "fields" = dontDistribute super."fields";
  "fields-json" = dontDistribute super."fields-json";
  "fieldwise" = dontDistribute super."fieldwise";
  "fig" = dontDistribute super."fig";
  "file-collection" = dontDistribute super."file-collection";
  "file-command-qq" = dontDistribute super."file-command-qq";
  "filediff" = dontDistribute super."filediff";
  "filepath-io-access" = dontDistribute super."filepath-io-access";
  "filepather" = dontDistribute super."filepather";
  "filestore" = dontDistribute super."filestore";
  "filesystem-conduit" = dontDistribute super."filesystem-conduit";
  "filesystem-enumerator" = dontDistribute super."filesystem-enumerator";
  "filesystem-trees" = dontDistribute super."filesystem-trees";
  "filtrable" = dontDistribute super."filtrable";
  "final" = dontDistribute super."final";
  "find-conduit" = dontDistribute super."find-conduit";
  "fingertree-tf" = dontDistribute super."fingertree-tf";
  "finite-field" = dontDistribute super."finite-field";
  "finite-typelits" = dontDistribute super."finite-typelits";
  "first-and-last" = dontDistribute super."first-and-last";
  "first-class-patterns" = dontDistribute super."first-class-patterns";
  "firstify" = dontDistribute super."firstify";
  "fishfood" = dontDistribute super."fishfood";
  "fit" = dontDistribute super."fit";
  "fitsio" = dontDistribute super."fitsio";
  "fitspec" = dontDistribute super."fitspec";
  "fix-imports" = dontDistribute super."fix-imports";
  "fix-parser-simple" = dontDistribute super."fix-parser-simple";
  "fix-symbols-gitit" = dontDistribute super."fix-symbols-gitit";
  "fixed-length" = dontDistribute super."fixed-length";
  "fixed-point" = dontDistribute super."fixed-point";
  "fixed-point-vector" = dontDistribute super."fixed-point-vector";
  "fixed-point-vector-space" = dontDistribute super."fixed-point-vector-space";
  "fixed-precision" = dontDistribute super."fixed-precision";
  "fixed-storable-array" = dontDistribute super."fixed-storable-array";
  "fixed-vector-binary" = dontDistribute super."fixed-vector-binary";
  "fixed-vector-cereal" = dontDistribute super."fixed-vector-cereal";
  "fixedprec" = dontDistribute super."fixedprec";
  "fixedwidth-hs" = dontDistribute super."fixedwidth-hs";
  "fixfile" = dontDistribute super."fixfile";
  "fixhs" = dontDistribute super."fixhs";
  "fixplate" = dontDistribute super."fixplate";
  "fixpoint" = dontDistribute super."fixpoint";
  "fixtime" = dontDistribute super."fixtime";
  "fizz-buzz" = dontDistribute super."fizz-buzz";
  "fizzbuzz" = dontDistribute super."fizzbuzz";
  "flaccuraterip" = dontDistribute super."flaccuraterip";
  "flamethrower" = dontDistribute super."flamethrower";
  "flamingra" = dontDistribute super."flamingra";
  "flat-maybe" = dontDistribute super."flat-maybe";
  "flat-tex" = dontDistribute super."flat-tex";
  "flexible-time" = dontDistribute super."flexible-time";
  "flexible-unlit" = dontDistribute super."flexible-unlit";
  "flexiwrap" = dontDistribute super."flexiwrap";
  "flexiwrap-smallcheck" = dontDistribute super."flexiwrap-smallcheck";
  "flickr" = dontDistribute super."flickr";
  "flippers" = dontDistribute super."flippers";
  "flite" = dontDistribute super."flite";
  "flo" = dontDistribute super."flo";
  "float-binstring" = dontDistribute super."float-binstring";
  "floating-bits" = dontDistribute super."floating-bits";
  "floatshow" = dontDistribute super."floatshow";
  "flow-er" = dontDistribute super."flow-er";
  "flow2dot" = dontDistribute super."flow2dot";
  "flowdock" = dontDistribute super."flowdock";
  "flowdock-api" = dontDistribute super."flowdock-api";
  "flowdock-rest" = dontDistribute super."flowdock-rest";
  "flower" = dontDistribute super."flower";
  "flowlocks-framework" = dontDistribute super."flowlocks-framework";
  "flowsim" = dontDistribute super."flowsim";
  "fltkhs" = dontDistribute super."fltkhs";
  "fltkhs-demos" = dontDistribute super."fltkhs-demos";
  "fltkhs-fluid-demos" = dontDistribute super."fltkhs-fluid-demos";
  "fltkhs-fluid-examples" = dontDistribute super."fltkhs-fluid-examples";
  "fltkhs-hello-world" = dontDistribute super."fltkhs-hello-world";
  "fluent-logger" = dontDistribute super."fluent-logger";
  "fluent-logger-conduit" = dontDistribute super."fluent-logger-conduit";
  "fluidsynth" = dontDistribute super."fluidsynth";
  "fmark" = dontDistribute super."fmark";
  "foldl-incremental" = dontDistribute super."foldl-incremental";
  "foldl-transduce" = dontDistribute super."foldl-transduce";
  "foldl-transduce-attoparsec" = dontDistribute super."foldl-transduce-attoparsec";
  "folds" = dontDistribute super."folds";
  "folds-common" = dontDistribute super."folds-common";
  "follower" = dontDistribute super."follower";
  "foma" = dontDistribute super."foma";
  "font-opengl-basic4x6" = dontDistribute super."font-opengl-basic4x6";
  "foo" = dontDistribute super."foo";
  "foobar" = dontDistribute super."foobar";
  "for-free" = dontDistribute super."for-free";
  "forbidden-fruit" = dontDistribute super."forbidden-fruit";
  "fordo" = dontDistribute super."fordo";
  "foreign-storable-asymmetric" = dontDistribute super."foreign-storable-asymmetric";
  "foreign-var" = dontDistribute super."foreign-var";
  "forger" = dontDistribute super."forger";
  "forkable-monad" = dontDistribute super."forkable-monad";
  "formal" = dontDistribute super."formal";
  "format" = dontDistribute super."format";
  "format-status" = dontDistribute super."format-status";
  "formattable" = dontDistribute super."formattable";
  "forml" = dontDistribute super."forml";
  "formlets" = dontDistribute super."formlets";
  "formlets-hsp" = dontDistribute super."formlets-hsp";
  "formura" = dontDistribute super."formura";
  "forth-hll" = dontDistribute super."forth-hll";
  "fortran-src" = dontDistribute super."fortran-src";
  "foscam-directory" = dontDistribute super."foscam-directory";
  "foscam-filename" = dontDistribute super."foscam-filename";
  "foscam-sort" = dontDistribute super."foscam-sort";
  "fountain" = dontDistribute super."fountain";
  "fpco-api" = dontDistribute super."fpco-api";
  "fpipe" = dontDistribute super."fpipe";
  "fpnla" = dontDistribute super."fpnla";
  "fpnla-examples" = dontDistribute super."fpnla-examples";
  "fptest" = dontDistribute super."fptest";
  "fquery" = dontDistribute super."fquery";
  "fractal" = dontDistribute super."fractal";
  "fractals" = dontDistribute super."fractals";
  "fraction" = dontDistribute super."fraction";
  "frag" = dontDistribute super."frag";
  "frame" = dontDistribute super."frame";
  "frame-markdown" = dontDistribute super."frame-markdown";
  "franchise" = dontDistribute super."franchise";
  "fraxl" = dontDistribute super."fraxl";
  "freddy" = dontDistribute super."freddy";
  "free-concurrent" = dontDistribute super."free-concurrent";
  "free-functors" = dontDistribute super."free-functors";
  "free-game" = dontDistribute super."free-game";
  "free-http" = dontDistribute super."free-http";
  "free-operational" = dontDistribute super."free-operational";
  "free-theorems" = dontDistribute super."free-theorems";
  "free-theorems-counterexamples" = dontDistribute super."free-theorems-counterexamples";
  "free-theorems-seq" = dontDistribute super."free-theorems-seq";
  "free-theorems-seq-webui" = dontDistribute super."free-theorems-seq-webui";
  "free-theorems-webui" = dontDistribute super."free-theorems-webui";
  "freekick2" = dontDistribute super."freekick2";
  "freer" = dontDistribute super."freer";
  "freesect" = dontDistribute super."freesect";
  "freesound" = dontDistribute super."freesound";
  "freetype-simple" = dontDistribute super."freetype-simple";
  "freetype2" = dontDistribute super."freetype2";
  "fresco-binding" = dontDistribute super."fresco-binding";
  "fresh" = dontDistribute super."fresh";
  "friday" = dontDistribute super."friday";
  "friday-devil" = dontDistribute super."friday-devil";
  "friday-juicypixels" = dontDistribute super."friday-juicypixels";
  "friday-scale-dct" = dontDistribute super."friday-scale-dct";
  "friendly-time" = dontDistribute super."friendly-time";
  "frown" = dontDistribute super."frown";
  "frp-arduino" = dontDistribute super."frp-arduino";
  "frpnow" = dontDistribute super."frpnow";
  "frpnow-gloss" = dontDistribute super."frpnow-gloss";
  "frpnow-gtk" = dontDistribute super."frpnow-gtk";
  "frquotes" = dontDistribute super."frquotes";
  "fs-events" = dontDistribute super."fs-events";
  "fsharp" = dontDistribute super."fsharp";
  "fsmActions" = dontDistribute super."fsmActions";
  "fst" = dontDistribute super."fst";
  "fsutils" = dontDistribute super."fsutils";
  "fswatcher" = dontDistribute super."fswatcher";
  "ftdi" = dontDistribute super."ftdi";
  "ftp-conduit" = dontDistribute super."ftp-conduit";
  "ftphs" = dontDistribute super."ftphs";
  "ftree" = dontDistribute super."ftree";
  "ftshell" = dontDistribute super."ftshell";
  "fugue" = dontDistribute super."fugue";
  "full-sessions" = dontDistribute super."full-sessions";
  "full-text-search" = dontDistribute super."full-text-search";
  "fullstop" = dontDistribute super."fullstop";
  "funbot" = dontDistribute super."funbot";
  "funbot-client" = dontDistribute super."funbot-client";
  "funbot-ext-events" = dontDistribute super."funbot-ext-events";
  "funbot-git-hook" = dontDistribute super."funbot-git-hook";
  "funcons-tools" = dontDistribute super."funcons-tools";
  "function-combine" = dontDistribute super."function-combine";
  "function-instances-algebra" = dontDistribute super."function-instances-algebra";
  "functional-arrow" = dontDistribute super."functional-arrow";
  "functional-kmp" = dontDistribute super."functional-kmp";
  "functor-apply" = dontDistribute super."functor-apply";
  "functor-combo" = dontDistribute super."functor-combo";
  "functor-infix" = dontDistribute super."functor-infix";
  "functor-monadic" = dontDistribute super."functor-monadic";
  "functor-utils" = dontDistribute super."functor-utils";
  "functorm" = dontDistribute super."functorm";
  "functors" = dontDistribute super."functors";
  "funion" = dontDistribute super."funion";
  "funnyprint" = dontDistribute super."funnyprint";
  "funpat" = dontDistribute super."funpat";
  "funsat" = dontDistribute super."funsat";
  "fusion" = dontDistribute super."fusion";
  "futun" = dontDistribute super."futun";
  "future" = dontDistribute super."future";
  "future-resource" = dontDistribute super."future-resource";
  "fuzzy" = dontDistribute super."fuzzy";
  "fuzzy-timings" = dontDistribute super."fuzzy-timings";
  "fuzzytime" = dontDistribute super."fuzzytime";
  "fwgl" = dontDistribute super."fwgl";
  "fwgl-glfw" = dontDistribute super."fwgl-glfw";
  "fwgl-javascript" = dontDistribute super."fwgl-javascript";
  "g-npm" = dontDistribute super."g-npm";
  "gact" = dontDistribute super."gact";
  "game-of-life" = dontDistribute super."game-of-life";
  "game-probability" = dontDistribute super."game-probability";
  "game-tree" = dontDistribute super."game-tree";
  "gameclock" = dontDistribute super."gameclock";
  "gang-of-threads" = dontDistribute super."gang-of-threads";
  "garepinoh" = dontDistribute super."garepinoh";
  "garsia-wachs" = dontDistribute super."garsia-wachs";
  "gbu" = dontDistribute super."gbu";
  "gc" = dontDistribute super."gc";
  "gc-monitoring-wai" = dontDistribute super."gc-monitoring-wai";
  "gconf" = dontDistribute super."gconf";
  "gdiff" = dontDistribute super."gdiff";
  "gdiff-ig" = dontDistribute super."gdiff-ig";
  "gdiff-th" = dontDistribute super."gdiff-th";
  "gdo" = dontDistribute super."gdo";
  "gearbox" = dontDistribute super."gearbox";
  "geek" = dontDistribute super."geek";
  "geek-server" = dontDistribute super."geek-server";
  "gelatin" = dontDistribute super."gelatin";
  "gemstone" = dontDistribute super."gemstone";
  "gencheck" = dontDistribute super."gencheck";
  "gender" = dontDistribute super."gender";
  "genders" = dontDistribute super."genders";
  "general-prelude" = dontDistribute super."general-prelude";
  "generator" = dontDistribute super."generator";
  "generators" = dontDistribute super."generators";
  "generic-accessors" = dontDistribute super."generic-accessors";
  "generic-binary" = dontDistribute super."generic-binary";
  "generic-church" = dontDistribute super."generic-church";
  "generic-deepseq" = dontDistribute super."generic-deepseq";
  "generic-deriving" = doDistribute super."generic-deriving_1_10_5";
  "generic-lucid-scaffold" = dontDistribute super."generic-lucid-scaffold";
  "generic-maybe" = dontDistribute super."generic-maybe";
  "generic-pretty" = dontDistribute super."generic-pretty";
  "generic-random" = dontDistribute super."generic-random";
  "generic-server" = dontDistribute super."generic-server";
  "generic-storable" = dontDistribute super."generic-storable";
  "generic-tree" = dontDistribute super."generic-tree";
  "generic-xml" = dontDistribute super."generic-xml";
  "generics-sop-lens" = dontDistribute super."generics-sop-lens";
  "genericserialize" = dontDistribute super."genericserialize";
  "genetics" = dontDistribute super."genetics";
  "geni-gui" = dontDistribute super."geni-gui";
  "geni-util" = dontDistribute super."geni-util";
  "geniconvert" = dontDistribute super."geniconvert";
  "genifunctors" = dontDistribute super."genifunctors";
  "geniplate" = dontDistribute super."geniplate";
  "geniserver" = dontDistribute super."geniserver";
  "genprog" = dontDistribute super."genprog";
  "gentlemark" = dontDistribute super."gentlemark";
  "genvalidity" = dontDistribute super."genvalidity";
  "genvalidity-containers" = dontDistribute super."genvalidity-containers";
  "genvalidity-hspec" = dontDistribute super."genvalidity-hspec";
  "genvalidity-text" = dontDistribute super."genvalidity-text";
  "geo-resolver" = dontDistribute super."geo-resolver";
  "geo-uk" = dontDistribute super."geo-uk";
  "geocalc" = dontDistribute super."geocalc";
  "geocode-google" = dontDistribute super."geocode-google";
  "geodetic" = dontDistribute super."geodetic";
  "geodetics" = dontDistribute super."geodetics";
  "geohash" = dontDistribute super."geohash";
  "geoip2" = dontDistribute super."geoip2";
  "geojson" = dontDistribute super."geojson";
  "geojson-types" = dontDistribute super."geojson-types";
  "geolite-csv" = dontDistribute super."geolite-csv";
  "geom2d" = dontDistribute super."geom2d";
  "getemx" = dontDistribute super."getemx";
  "getflag" = dontDistribute super."getflag";
  "getopt-simple" = dontDistribute super."getopt-simple";
  "gf" = dontDistribute super."gf";
  "ggtsTC" = dontDistribute super."ggtsTC";
  "ghc-core" = dontDistribute super."ghc-core";
  "ghc-core-html" = dontDistribute super."ghc-core-html";
  "ghc-datasize" = dontDistribute super."ghc-datasize";
  "ghc-dump-tree" = dontDistribute super."ghc-dump-tree";
  "ghc-dup" = dontDistribute super."ghc-dup";
  "ghc-events-analyze" = dontDistribute super."ghc-events-analyze";
  "ghc-events-parallel" = dontDistribute super."ghc-events-parallel";
  "ghc-gc-tune" = dontDistribute super."ghc-gc-tune";
  "ghc-generic-instances" = dontDistribute super."ghc-generic-instances";
  "ghc-make" = dontDistribute super."ghc-make";
  "ghc-man-completion" = dontDistribute super."ghc-man-completion";
  "ghc-options" = dontDistribute super."ghc-options";
  "ghc-parmake" = dontDistribute super."ghc-parmake";
  "ghc-pkg-autofix" = dontDistribute super."ghc-pkg-autofix";
  "ghc-pkg-lib" = dontDistribute super."ghc-pkg-lib";
  "ghc-prof-flamegraph" = dontDistribute super."ghc-prof-flamegraph";
  "ghc-server" = dontDistribute super."ghc-server";
  "ghc-simple" = dontDistribute super."ghc-simple";
  "ghc-srcspan-plugin" = dontDistribute super."ghc-srcspan-plugin";
  "ghc-syb" = dontDistribute super."ghc-syb";
  "ghc-time-alloc-prof" = dontDistribute super."ghc-time-alloc-prof";
  "ghc-typelits-extra" = doDistribute super."ghc-typelits-extra_0_1_3";
  "ghc-typelits-natnormalise" = doDistribute super."ghc-typelits-natnormalise_0_4_6";
  "ghc-vis" = dontDistribute super."ghc-vis";
  "ghci-diagrams" = dontDistribute super."ghci-diagrams";
  "ghci-haskeline" = dontDistribute super."ghci-haskeline";
  "ghci-history-parser" = dontDistribute super."ghci-history-parser";
  "ghci-lib" = dontDistribute super."ghci-lib";
  "ghci-ng" = dontDistribute super."ghci-ng";
  "ghci-pretty" = dontDistribute super."ghci-pretty";
  "ghcjs-ajax" = dontDistribute super."ghcjs-ajax";
  "ghcjs-dom" = doDistribute super."ghcjs-dom_0_2_4_0";
  "ghcjs-dom-hello" = dontDistribute super."ghcjs-dom-hello";
  "ghcjs-dom-jsaddle" = dontDistribute super."ghcjs-dom-jsaddle";
  "ghcjs-dom-jsffi" = dontDistribute super."ghcjs-dom-jsffi";
  "ghcjs-dom-webkit" = dontDistribute super."ghcjs-dom-webkit";
  "ghcjs-hplay" = dontDistribute super."ghcjs-hplay";
  "ghcjs-perch" = dontDistribute super."ghcjs-perch";
  "ghcjs-websockets" = dontDistribute super."ghcjs-websockets";
  "ghclive" = dontDistribute super."ghclive";
  "ghczdecode" = dontDistribute super."ghczdecode";
  "ght" = dontDistribute super."ght";
  "gi-girepository" = dontDistribute super."gi-girepository";
  "gi-gst" = dontDistribute super."gi-gst";
  "gi-gstaudio" = dontDistribute super."gi-gstaudio";
  "gi-gstbase" = dontDistribute super."gi-gstbase";
  "gi-gstvideo" = dontDistribute super."gi-gstvideo";
  "gi-gtk-hs" = dontDistribute super."gi-gtk-hs";
  "gi-gtkosxapplication" = dontDistribute super."gi-gtkosxapplication";
  "gi-gtksource" = dontDistribute super."gi-gtksource";
  "gi-javascriptcore" = dontDistribute super."gi-javascriptcore";
  "gi-notify" = dontDistribute super."gi-notify";
  "gi-pangocairo" = dontDistribute super."gi-pangocairo";
  "gi-poppler" = dontDistribute super."gi-poppler";
  "gi-soup" = dontDistribute super."gi-soup";
  "gi-vte" = dontDistribute super."gi-vte";
  "gi-webkit" = dontDistribute super."gi-webkit";
  "gi-webkit2" = dontDistribute super."gi-webkit2";
  "gi-webkit2webextension" = dontDistribute super."gi-webkit2webextension";
  "giak" = dontDistribute super."giak";
  "gimlh" = dontDistribute super."gimlh";
  "ginger" = dontDistribute super."ginger";
  "ginsu" = dontDistribute super."ginsu";
  "gio" = doDistribute super."gio_0_13_1_1";
  "gipeda" = doDistribute super."gipeda_0_2_0_1";
  "gist" = dontDistribute super."gist";
  "git" = dontDistribute super."git";
  "git-all" = dontDistribute super."git-all";
  "git-annex" = doDistribute super."git-annex_6_20160511";
  "git-checklist" = dontDistribute super."git-checklist";
  "git-date" = dontDistribute super."git-date";
  "git-embed" = dontDistribute super."git-embed";
  "git-freq" = dontDistribute super."git-freq";
  "git-gpush" = dontDistribute super."git-gpush";
  "git-jump" = dontDistribute super."git-jump";
  "git-monitor" = dontDistribute super."git-monitor";
  "git-object" = dontDistribute super."git-object";
  "git-repair" = dontDistribute super."git-repair";
  "git-sanity" = dontDistribute super."git-sanity";
  "git-vogue" = dontDistribute super."git-vogue";
  "gitHUD" = dontDistribute super."gitHUD";
  "gitcache" = dontDistribute super."gitcache";
  "gitdo" = dontDistribute super."gitdo";
  "github-post-receive" = dontDistribute super."github-post-receive";
  "github-utils" = dontDistribute super."github-utils";
  "gitignore" = dontDistribute super."gitignore";
  "gitit" = dontDistribute super."gitit";
  "gitlib-cmdline" = dontDistribute super."gitlib-cmdline";
  "gitlib-cross" = dontDistribute super."gitlib-cross";
  "gitlib-s3" = dontDistribute super."gitlib-s3";
  "gitlib-sample" = dontDistribute super."gitlib-sample";
  "gitlib-utils" = dontDistribute super."gitlib-utils";
  "gitter" = dontDistribute super."gitter";
  "givegif" = dontDistribute super."givegif";
  "gl-capture" = dontDistribute super."gl-capture";
  "glade" = dontDistribute super."glade";
  "gladexml-accessor" = dontDistribute super."gladexml-accessor";
  "glambda" = dontDistribute super."glambda";
  "glapp" = dontDistribute super."glapp";
  "glasso" = dontDistribute super."glasso";
  "glib" = doDistribute super."glib_0_13_2_2";
  "glicko" = dontDistribute super."glicko";
  "glider-nlp" = dontDistribute super."glider-nlp";
  "glintcollider" = dontDistribute super."glintcollider";
  "gll" = dontDistribute super."gll";
  "global" = dontDistribute super."global";
  "global-config" = dontDistribute super."global-config";
  "global-lock" = dontDistribute super."global-lock";
  "global-variables" = dontDistribute super."global-variables";
  "glome-hs" = dontDistribute super."glome-hs";
  "gloss" = dontDistribute super."gloss";
  "gloss-accelerate" = dontDistribute super."gloss-accelerate";
  "gloss-algorithms" = dontDistribute super."gloss-algorithms";
  "gloss-banana" = dontDistribute super."gloss-banana";
  "gloss-devil" = dontDistribute super."gloss-devil";
  "gloss-examples" = dontDistribute super."gloss-examples";
  "gloss-game" = dontDistribute super."gloss-game";
  "gloss-juicy" = dontDistribute super."gloss-juicy";
  "gloss-raster" = dontDistribute super."gloss-raster";
  "gloss-raster-accelerate" = dontDistribute super."gloss-raster-accelerate";
  "gloss-rendering" = dontDistribute super."gloss-rendering";
  "gloss-sodium" = dontDistribute super."gloss-sodium";
  "glpk-hs" = dontDistribute super."glpk-hs";
  "glue" = dontDistribute super."glue";
  "glue-common" = dontDistribute super."glue-common";
  "glue-core" = dontDistribute super."glue-core";
  "glue-ekg" = dontDistribute super."glue-ekg";
  "glue-example" = dontDistribute super."glue-example";
  "gluturtle" = dontDistribute super."gluturtle";
  "gmap" = dontDistribute super."gmap";
  "gmndl" = dontDistribute super."gmndl";
  "gnome-desktop" = dontDistribute super."gnome-desktop";
  "gnome-keyring" = dontDistribute super."gnome-keyring";
  "gnomevfs" = dontDistribute super."gnomevfs";
  "gnss-converters" = dontDistribute super."gnss-converters";
  "gnuplot" = dontDistribute super."gnuplot";
  "goa" = dontDistribute super."goa";
  "goal-core" = dontDistribute super."goal-core";
  "goal-geometry" = dontDistribute super."goal-geometry";
  "goal-probability" = dontDistribute super."goal-probability";
  "goal-simulation" = dontDistribute super."goal-simulation";
  "goatee" = dontDistribute super."goatee";
  "goatee-gtk" = dontDistribute super."goatee-gtk";
  "gofer-prelude" = dontDistribute super."gofer-prelude";
  "gogol" = dontDistribute super."gogol";
  "gogol-adexchange-buyer" = dontDistribute super."gogol-adexchange-buyer";
  "gogol-adexchange-seller" = dontDistribute super."gogol-adexchange-seller";
  "gogol-admin-datatransfer" = dontDistribute super."gogol-admin-datatransfer";
  "gogol-admin-directory" = dontDistribute super."gogol-admin-directory";
  "gogol-admin-emailmigration" = dontDistribute super."gogol-admin-emailmigration";
  "gogol-admin-reports" = dontDistribute super."gogol-admin-reports";
  "gogol-adsense" = dontDistribute super."gogol-adsense";
  "gogol-adsense-host" = dontDistribute super."gogol-adsense-host";
  "gogol-affiliates" = dontDistribute super."gogol-affiliates";
  "gogol-analytics" = dontDistribute super."gogol-analytics";
  "gogol-android-enterprise" = dontDistribute super."gogol-android-enterprise";
  "gogol-android-publisher" = dontDistribute super."gogol-android-publisher";
  "gogol-appengine" = dontDistribute super."gogol-appengine";
  "gogol-apps-activity" = dontDistribute super."gogol-apps-activity";
  "gogol-apps-calendar" = dontDistribute super."gogol-apps-calendar";
  "gogol-apps-licensing" = dontDistribute super."gogol-apps-licensing";
  "gogol-apps-reseller" = dontDistribute super."gogol-apps-reseller";
  "gogol-apps-tasks" = dontDistribute super."gogol-apps-tasks";
  "gogol-appstate" = dontDistribute super."gogol-appstate";
  "gogol-autoscaler" = dontDistribute super."gogol-autoscaler";
  "gogol-bigquery" = dontDistribute super."gogol-bigquery";
  "gogol-billing" = dontDistribute super."gogol-billing";
  "gogol-blogger" = dontDistribute super."gogol-blogger";
  "gogol-books" = dontDistribute super."gogol-books";
  "gogol-civicinfo" = dontDistribute super."gogol-civicinfo";
  "gogol-classroom" = dontDistribute super."gogol-classroom";
  "gogol-cloudmonitoring" = dontDistribute super."gogol-cloudmonitoring";
  "gogol-cloudtrace" = dontDistribute super."gogol-cloudtrace";
  "gogol-compute" = dontDistribute super."gogol-compute";
  "gogol-container" = dontDistribute super."gogol-container";
  "gogol-core" = dontDistribute super."gogol-core";
  "gogol-customsearch" = dontDistribute super."gogol-customsearch";
  "gogol-dataflow" = dontDistribute super."gogol-dataflow";
  "gogol-dataproc" = dontDistribute super."gogol-dataproc";
  "gogol-datastore" = dontDistribute super."gogol-datastore";
  "gogol-debugger" = dontDistribute super."gogol-debugger";
  "gogol-deploymentmanager" = dontDistribute super."gogol-deploymentmanager";
  "gogol-dfareporting" = dontDistribute super."gogol-dfareporting";
  "gogol-discovery" = dontDistribute super."gogol-discovery";
  "gogol-dns" = dontDistribute super."gogol-dns";
  "gogol-doubleclick-bids" = dontDistribute super."gogol-doubleclick-bids";
  "gogol-doubleclick-search" = dontDistribute super."gogol-doubleclick-search";
  "gogol-drive" = dontDistribute super."gogol-drive";
  "gogol-firebase-rules" = dontDistribute super."gogol-firebase-rules";
  "gogol-fitness" = dontDistribute super."gogol-fitness";
  "gogol-fonts" = dontDistribute super."gogol-fonts";
  "gogol-freebasesearch" = dontDistribute super."gogol-freebasesearch";
  "gogol-fusiontables" = dontDistribute super."gogol-fusiontables";
  "gogol-games" = dontDistribute super."gogol-games";
  "gogol-games-configuration" = dontDistribute super."gogol-games-configuration";
  "gogol-games-management" = dontDistribute super."gogol-games-management";
  "gogol-genomics" = dontDistribute super."gogol-genomics";
  "gogol-gmail" = dontDistribute super."gogol-gmail";
  "gogol-groups-migration" = dontDistribute super."gogol-groups-migration";
  "gogol-groups-settings" = dontDistribute super."gogol-groups-settings";
  "gogol-identity-toolkit" = dontDistribute super."gogol-identity-toolkit";
  "gogol-kgsearch" = dontDistribute super."gogol-kgsearch";
  "gogol-latencytest" = dontDistribute super."gogol-latencytest";
  "gogol-logging" = dontDistribute super."gogol-logging";
  "gogol-maps-coordinate" = dontDistribute super."gogol-maps-coordinate";
  "gogol-maps-engine" = dontDistribute super."gogol-maps-engine";
  "gogol-mirror" = dontDistribute super."gogol-mirror";
  "gogol-monitoring" = dontDistribute super."gogol-monitoring";
  "gogol-oauth2" = dontDistribute super."gogol-oauth2";
  "gogol-pagespeed" = dontDistribute super."gogol-pagespeed";
  "gogol-partners" = dontDistribute super."gogol-partners";
  "gogol-people" = dontDistribute super."gogol-people";
  "gogol-play-moviespartner" = dontDistribute super."gogol-play-moviespartner";
  "gogol-plus" = dontDistribute super."gogol-plus";
  "gogol-plus-domains" = dontDistribute super."gogol-plus-domains";
  "gogol-prediction" = dontDistribute super."gogol-prediction";
  "gogol-proximitybeacon" = dontDistribute super."gogol-proximitybeacon";
  "gogol-pubsub" = dontDistribute super."gogol-pubsub";
  "gogol-qpxexpress" = dontDistribute super."gogol-qpxexpress";
  "gogol-replicapool" = dontDistribute super."gogol-replicapool";
  "gogol-replicapool-updater" = dontDistribute super."gogol-replicapool-updater";
  "gogol-resourcemanager" = dontDistribute super."gogol-resourcemanager";
  "gogol-resourceviews" = dontDistribute super."gogol-resourceviews";
  "gogol-script" = dontDistribute super."gogol-script";
  "gogol-sheets" = dontDistribute super."gogol-sheets";
  "gogol-shopping-content" = dontDistribute super."gogol-shopping-content";
  "gogol-siteverification" = dontDistribute super."gogol-siteverification";
  "gogol-spectrum" = dontDistribute super."gogol-spectrum";
  "gogol-sqladmin" = dontDistribute super."gogol-sqladmin";
  "gogol-storage" = dontDistribute super."gogol-storage";
  "gogol-storage-transfer" = dontDistribute super."gogol-storage-transfer";
  "gogol-tagmanager" = dontDistribute super."gogol-tagmanager";
  "gogol-taskqueue" = dontDistribute super."gogol-taskqueue";
  "gogol-translate" = dontDistribute super."gogol-translate";
  "gogol-urlshortener" = dontDistribute super."gogol-urlshortener";
  "gogol-useraccounts" = dontDistribute super."gogol-useraccounts";
  "gogol-vision" = dontDistribute super."gogol-vision";
  "gogol-webmaster-tools" = dontDistribute super."gogol-webmaster-tools";
  "gogol-youtube" = dontDistribute super."gogol-youtube";
  "gogol-youtube-analytics" = dontDistribute super."gogol-youtube-analytics";
  "gogol-youtube-reporting" = dontDistribute super."gogol-youtube-reporting";
  "gooey" = dontDistribute super."gooey";
  "google-dictionary" = dontDistribute super."google-dictionary";
  "google-drive" = dontDistribute super."google-drive";
  "google-html5-slide" = dontDistribute super."google-html5-slide";
  "google-mail-filters" = dontDistribute super."google-mail-filters";
  "google-oauth2" = dontDistribute super."google-oauth2";
  "google-search" = dontDistribute super."google-search";
  "google-translate" = dontDistribute super."google-translate";
  "googleplus" = dontDistribute super."googleplus";
  "googlepolyline" = dontDistribute super."googlepolyline";
  "gopherbot" = dontDistribute super."gopherbot";
  "gore-and-ash" = dontDistribute super."gore-and-ash";
  "gore-and-ash-actor" = dontDistribute super."gore-and-ash-actor";
  "gore-and-ash-async" = dontDistribute super."gore-and-ash-async";
  "gore-and-ash-demo" = dontDistribute super."gore-and-ash-demo";
  "gore-and-ash-glfw" = dontDistribute super."gore-and-ash-glfw";
  "gore-and-ash-logging" = dontDistribute super."gore-and-ash-logging";
  "gore-and-ash-network" = dontDistribute super."gore-and-ash-network";
  "gore-and-ash-sdl" = dontDistribute super."gore-and-ash-sdl";
  "gore-and-ash-sync" = dontDistribute super."gore-and-ash-sync";
  "gpah" = dontDistribute super."gpah";
  "gpcsets" = dontDistribute super."gpcsets";
  "gpio" = dontDistribute super."gpio";
  "gps" = dontDistribute super."gps";
  "gps2htmlReport" = dontDistribute super."gps2htmlReport";
  "gpx-conduit" = dontDistribute super."gpx-conduit";
  "graceful" = dontDistribute super."graceful";
  "grammar-combinators" = dontDistribute super."grammar-combinators";
  "grapefruit-examples" = dontDistribute super."grapefruit-examples";
  "grapefruit-frp" = dontDistribute super."grapefruit-frp";
  "grapefruit-records" = dontDistribute super."grapefruit-records";
  "grapefruit-ui" = dontDistribute super."grapefruit-ui";
  "grapefruit-ui-gtk" = dontDistribute super."grapefruit-ui-gtk";
  "graph-generators" = dontDistribute super."graph-generators";
  "graph-matchings" = dontDistribute super."graph-matchings";
  "graph-rewriting" = dontDistribute super."graph-rewriting";
  "graph-rewriting-cl" = dontDistribute super."graph-rewriting-cl";
  "graph-rewriting-gl" = dontDistribute super."graph-rewriting-gl";
  "graph-rewriting-lambdascope" = dontDistribute super."graph-rewriting-lambdascope";
  "graph-rewriting-layout" = dontDistribute super."graph-rewriting-layout";
  "graph-rewriting-ski" = dontDistribute super."graph-rewriting-ski";
  "graph-rewriting-strategies" = dontDistribute super."graph-rewriting-strategies";
  "graph-rewriting-trs" = dontDistribute super."graph-rewriting-trs";
  "graph-rewriting-ww" = dontDistribute super."graph-rewriting-ww";
  "graph-serialize" = dontDistribute super."graph-serialize";
  "graph-utils" = dontDistribute super."graph-utils";
  "graph-visit" = dontDistribute super."graph-visit";
  "graphbuilder" = dontDistribute super."graphbuilder";
  "graphene" = dontDistribute super."graphene";
  "graphics-drawingcombinators" = dontDistribute super."graphics-drawingcombinators";
  "graphics-formats-collada" = dontDistribute super."graphics-formats-collada";
  "graphicsFormats" = dontDistribute super."graphicsFormats";
  "graphicstools" = dontDistribute super."graphicstools";
  "graphmod" = dontDistribute super."graphmod";
  "graphql" = dontDistribute super."graphql";
  "graphtype" = dontDistribute super."graphtype";
  "graphviz" = doDistribute super."graphviz_2999_18_1_2";
  "grasp" = dontDistribute super."grasp";
  "gray-code" = dontDistribute super."gray-code";
  "gray-extended" = dontDistribute super."gray-extended";
  "greencard" = dontDistribute super."greencard";
  "greencard-lib" = dontDistribute super."greencard-lib";
  "greg-client" = dontDistribute super."greg-client";
  "gremlin-haskell" = dontDistribute super."gremlin-haskell";
  "greplicate" = dontDistribute super."greplicate";
  "grid" = dontDistribute super."grid";
  "gridfs" = dontDistribute super."gridfs";
  "gridland" = dontDistribute super."gridland";
  "grm" = dontDistribute super."grm";
  "groundhog-converters" = dontDistribute super."groundhog-converters";
  "groundhog-inspector" = dontDistribute super."groundhog-inspector";
  "group-with" = dontDistribute super."group-with";
  "groupoid" = dontDistribute super."groupoid";
  "gruff" = dontDistribute super."gruff";
  "gruff-examples" = dontDistribute super."gruff-examples";
  "gsc-weighting" = dontDistribute super."gsc-weighting";
  "gsl-random" = dontDistribute super."gsl-random";
  "gsl-random-fu" = dontDistribute super."gsl-random-fu";
  "gsmenu" = dontDistribute super."gsmenu";
  "gstreamer" = dontDistribute super."gstreamer";
  "gt-tools" = dontDistribute super."gt-tools";
  "gtfs" = dontDistribute super."gtfs";
  "gtk" = doDistribute super."gtk_0_14_2";
  "gtk-helpers" = dontDistribute super."gtk-helpers";
  "gtk-jsinput" = dontDistribute super."gtk-jsinput";
  "gtk-largeTreeStore" = dontDistribute super."gtk-largeTreeStore";
  "gtk-mac-integration" = dontDistribute super."gtk-mac-integration";
  "gtk-serialized-event" = dontDistribute super."gtk-serialized-event";
  "gtk-simple-list-view" = dontDistribute super."gtk-simple-list-view";
  "gtk-toggle-button-list" = dontDistribute super."gtk-toggle-button-list";
  "gtk-toy" = dontDistribute super."gtk-toy";
  "gtk-traymanager" = dontDistribute super."gtk-traymanager";
  "gtk2hs-buildtools" = doDistribute super."gtk2hs-buildtools_0_13_0_5";
  "gtk2hs-cast-glade" = dontDistribute super."gtk2hs-cast-glade";
  "gtk2hs-cast-glib" = dontDistribute super."gtk2hs-cast-glib";
  "gtk2hs-cast-gnomevfs" = dontDistribute super."gtk2hs-cast-gnomevfs";
  "gtk2hs-cast-gtk" = dontDistribute super."gtk2hs-cast-gtk";
  "gtk2hs-cast-gtkglext" = dontDistribute super."gtk2hs-cast-gtkglext";
  "gtk2hs-cast-gtksourceview2" = dontDistribute super."gtk2hs-cast-gtksourceview2";
  "gtk2hs-cast-th" = dontDistribute super."gtk2hs-cast-th";
  "gtk2hs-hello" = dontDistribute super."gtk2hs-hello";
  "gtk2hs-rpn" = dontDistribute super."gtk2hs-rpn";
  "gtk3" = doDistribute super."gtk3_0_14_2";
  "gtk3-mac-integration" = dontDistribute super."gtk3-mac-integration";
  "gtkglext" = dontDistribute super."gtkglext";
  "gtkimageview" = dontDistribute super."gtkimageview";
  "gtkrsync" = dontDistribute super."gtkrsync";
  "gtksourceview2" = dontDistribute super."gtksourceview2";
  "gtksourceview3" = doDistribute super."gtksourceview3_0_13_2_1";
  "guarded-rewriting" = dontDistribute super."guarded-rewriting";
  "guess-combinator" = dontDistribute super."guess-combinator";
  "guid" = dontDistribute super."guid";
  "gulcii" = dontDistribute super."gulcii";
  "gutenberg-fibonaccis" = dontDistribute super."gutenberg-fibonaccis";
  "gyah-bin" = dontDistribute super."gyah-bin";
  "h-booru" = dontDistribute super."h-booru";
  "h-gpgme" = dontDistribute super."h-gpgme";
  "h2048" = dontDistribute super."h2048";
  "hArduino" = dontDistribute super."hArduino";
  "hBDD" = dontDistribute super."hBDD";
  "hBDD-CMUBDD" = dontDistribute super."hBDD-CMUBDD";
  "hBDD-CUDD" = dontDistribute super."hBDD-CUDD";
  "hCsound" = dontDistribute super."hCsound";
  "hDFA" = dontDistribute super."hDFA";
  "hF2" = dontDistribute super."hF2";
  "hGelf" = dontDistribute super."hGelf";
  "hLLVM" = dontDistribute super."hLLVM";
  "hMollom" = dontDistribute super."hMollom";
  "hOpenPGP" = doDistribute super."hOpenPGP_2_4_4";
  "hPDB-examples" = dontDistribute super."hPDB-examples";
  "hPushover" = dontDistribute super."hPushover";
  "hR" = dontDistribute super."hR";
  "hRESP" = dontDistribute super."hRESP";
  "hS3" = dontDistribute super."hS3";
  "hScraper" = dontDistribute super."hScraper";
  "hSimpleDB" = dontDistribute super."hSimpleDB";
  "hTalos" = dontDistribute super."hTalos";
  "hTensor" = dontDistribute super."hTensor";
  "hVOIDP" = dontDistribute super."hVOIDP";
  "hXmixer" = dontDistribute super."hXmixer";
  "haar" = dontDistribute super."haar";
  "hablog" = dontDistribute super."hablog";
  "hacanon-light" = dontDistribute super."hacanon-light";
  "hack" = dontDistribute super."hack";
  "hack-contrib" = dontDistribute super."hack-contrib";
  "hack-contrib-press" = dontDistribute super."hack-contrib-press";
  "hack-frontend-happstack" = dontDistribute super."hack-frontend-happstack";
  "hack-frontend-monadcgi" = dontDistribute super."hack-frontend-monadcgi";
  "hack-handler-cgi" = dontDistribute super."hack-handler-cgi";
  "hack-handler-epoll" = dontDistribute super."hack-handler-epoll";
  "hack-handler-evhttp" = dontDistribute super."hack-handler-evhttp";
  "hack-handler-fastcgi" = dontDistribute super."hack-handler-fastcgi";
  "hack-handler-happstack" = dontDistribute super."hack-handler-happstack";
  "hack-handler-hyena" = dontDistribute super."hack-handler-hyena";
  "hack-handler-kibro" = dontDistribute super."hack-handler-kibro";
  "hack-handler-simpleserver" = dontDistribute super."hack-handler-simpleserver";
  "hack-middleware-cleanpath" = dontDistribute super."hack-middleware-cleanpath";
  "hack-middleware-clientsession" = dontDistribute super."hack-middleware-clientsession";
  "hack-middleware-gzip" = dontDistribute super."hack-middleware-gzip";
  "hack-middleware-jsonp" = dontDistribute super."hack-middleware-jsonp";
  "hack2" = dontDistribute super."hack2";
  "hack2-contrib" = dontDistribute super."hack2-contrib";
  "hack2-contrib-extra" = dontDistribute super."hack2-contrib-extra";
  "hack2-handler-happstack-server" = dontDistribute super."hack2-handler-happstack-server";
  "hack2-handler-mongrel2-http" = dontDistribute super."hack2-handler-mongrel2-http";
  "hack2-handler-snap-server" = dontDistribute super."hack2-handler-snap-server";
  "hack2-handler-warp" = dontDistribute super."hack2-handler-warp";
  "hack2-interface-wai" = dontDistribute super."hack2-interface-wai";
  "hackage-diff" = dontDistribute super."hackage-diff";
  "hackage-plot" = dontDistribute super."hackage-plot";
  "hackage-processing" = dontDistribute super."hackage-processing";
  "hackage-proxy" = dontDistribute super."hackage-proxy";
  "hackage-repo-tool" = dontDistribute super."hackage-repo-tool";
  "hackage-security" = dontDistribute super."hackage-security";
  "hackage-security-HTTP" = dontDistribute super."hackage-security-HTTP";
  "hackage-server" = dontDistribute super."hackage-server";
  "hackage-sparks" = dontDistribute super."hackage-sparks";
  "hackage2hwn" = dontDistribute super."hackage2hwn";
  "hackage2twitter" = dontDistribute super."hackage2twitter";
  "hackager" = dontDistribute super."hackager";
  "hackernews" = dontDistribute super."hackernews";
  "hackertyper" = dontDistribute super."hackertyper";
  "hackport" = dontDistribute super."hackport";
  "hactor" = dontDistribute super."hactor";
  "hactors" = dontDistribute super."hactors";
  "haddock" = dontDistribute super."haddock";
  "haddock-api" = doDistribute super."haddock-api_2_16_1";
  "haddock-leksah" = dontDistribute super."haddock-leksah";
  "haddock-library" = doDistribute super."haddock-library_1_2_1";
  "haddock-test" = dontDistribute super."haddock-test";
  "hadoop-formats" = dontDistribute super."hadoop-formats";
  "hadoop-rpc" = dontDistribute super."hadoop-rpc";
  "hadoop-tools" = dontDistribute super."hadoop-tools";
  "haeredes" = dontDistribute super."haeredes";
  "haggis" = dontDistribute super."haggis";
  "haha" = dontDistribute super."haha";
  "hahp" = dontDistribute super."hahp";
  "haiji" = dontDistribute super."haiji";
  "hailgun" = dontDistribute super."hailgun";
  "hailgun-send" = dontDistribute super."hailgun-send";
  "hails" = dontDistribute super."hails";
  "hails-bin" = dontDistribute super."hails-bin";
  "hairy" = dontDistribute super."hairy";
  "hakaru" = dontDistribute super."hakaru";
  "hake" = dontDistribute super."hake";
  "hakismet" = dontDistribute super."hakismet";
  "hako" = dontDistribute super."hako";
  "hakyll-R" = dontDistribute super."hakyll-R";
  "hakyll-agda" = dontDistribute super."hakyll-agda";
  "hakyll-blaze-templates" = dontDistribute super."hakyll-blaze-templates";
  "hakyll-contrib" = dontDistribute super."hakyll-contrib";
  "hakyll-contrib-csv" = dontDistribute super."hakyll-contrib-csv";
  "hakyll-contrib-elm" = dontDistribute super."hakyll-contrib-elm";
  "hakyll-contrib-hyphenation" = dontDistribute super."hakyll-contrib-hyphenation";
  "hakyll-contrib-links" = dontDistribute super."hakyll-contrib-links";
  "hakyll-convert" = dontDistribute super."hakyll-convert";
  "hakyll-elm" = dontDistribute super."hakyll-elm";
  "hakyll-filestore" = dontDistribute super."hakyll-filestore";
  "halberd" = dontDistribute super."halberd";
  "halfs" = dontDistribute super."halfs";
  "halipeto" = dontDistribute super."halipeto";
  "halive" = dontDistribute super."halive";
  "halma" = dontDistribute super."halma";
  "haltavista" = dontDistribute super."haltavista";
  "hamid" = dontDistribute super."hamid";
  "hampp" = dontDistribute super."hampp";
  "hamtmap" = dontDistribute super."hamtmap";
  "hamusic" = dontDistribute super."hamusic";
  "handa-gdata" = dontDistribute super."handa-gdata";
  "handa-geodata" = dontDistribute super."handa-geodata";
  "handa-opengl" = dontDistribute super."handa-opengl";
  "handle-like" = dontDistribute super."handle-like";
  "handsy" = dontDistribute super."handsy";
  "hangman" = dontDistribute super."hangman";
  "hannahci" = dontDistribute super."hannahci";
  "hans" = dontDistribute super."hans";
  "hans-pcap" = dontDistribute super."hans-pcap";
  "hans-pfq" = dontDistribute super."hans-pfq";
  "haphviz" = dontDistribute super."haphviz";
  "happindicator" = dontDistribute super."happindicator";
  "happindicator3" = dontDistribute super."happindicator3";
  "happraise" = dontDistribute super."happraise";
  "happs-hsp" = dontDistribute super."happs-hsp";
  "happs-hsp-template" = dontDistribute super."happs-hsp-template";
  "happs-tutorial" = dontDistribute super."happs-tutorial";
  "happstack" = dontDistribute super."happstack";
  "happstack-auth" = dontDistribute super."happstack-auth";
  "happstack-contrib" = dontDistribute super."happstack-contrib";
  "happstack-data" = dontDistribute super."happstack-data";
  "happstack-dlg" = dontDistribute super."happstack-dlg";
  "happstack-facebook" = dontDistribute super."happstack-facebook";
  "happstack-fastcgi" = dontDistribute super."happstack-fastcgi";
  "happstack-fay" = dontDistribute super."happstack-fay";
  "happstack-fay-ajax" = dontDistribute super."happstack-fay-ajax";
  "happstack-foundation" = dontDistribute super."happstack-foundation";
  "happstack-hamlet" = dontDistribute super."happstack-hamlet";
  "happstack-heist" = dontDistribute super."happstack-heist";
  "happstack-helpers" = dontDistribute super."happstack-helpers";
  "happstack-hstringtemplate" = dontDistribute super."happstack-hstringtemplate";
  "happstack-ixset" = dontDistribute super."happstack-ixset";
  "happstack-lite" = dontDistribute super."happstack-lite";
  "happstack-monad-peel" = dontDistribute super."happstack-monad-peel";
  "happstack-plugins" = dontDistribute super."happstack-plugins";
  "happstack-server-tls-cryptonite" = dontDistribute super."happstack-server-tls-cryptonite";
  "happstack-state" = dontDistribute super."happstack-state";
  "happstack-static-routing" = dontDistribute super."happstack-static-routing";
  "happstack-util" = dontDistribute super."happstack-util";
  "happstack-yui" = dontDistribute super."happstack-yui";
  "happy-meta" = dontDistribute super."happy-meta";
  "happybara" = dontDistribute super."happybara";
  "happybara-webkit" = dontDistribute super."happybara-webkit";
  "happybara-webkit-server" = dontDistribute super."happybara-webkit-server";
  "hapstone" = dontDistribute super."hapstone";
  "har" = dontDistribute super."har";
  "harchive" = dontDistribute super."harchive";
  "hardware-edsl" = dontDistribute super."hardware-edsl";
  "hark" = dontDistribute super."hark";
  "harmony" = dontDistribute super."harmony";
  "haroonga" = dontDistribute super."haroonga";
  "haroonga-httpd" = dontDistribute super."haroonga-httpd";
  "harpy" = dontDistribute super."harpy";
  "harvest-api" = dontDistribute super."harvest-api";
  "has" = dontDistribute super."has";
  "has-th" = dontDistribute super."has-th";
  "hascal" = dontDistribute super."hascal";
  "hascar" = dontDistribute super."hascar";
  "hascat" = dontDistribute super."hascat";
  "hascat-lib" = dontDistribute super."hascat-lib";
  "hascat-setup" = dontDistribute super."hascat-setup";
  "hascat-system" = dontDistribute super."hascat-system";
  "hash" = dontDistribute super."hash";
  "hashable-generics" = dontDistribute super."hashable-generics";
  "hashabler" = dontDistribute super."hashabler";
  "hashed-storage" = dontDistribute super."hashed-storage";
  "hashids" = dontDistribute super."hashids";
  "hashing" = dontDistribute super."hashing";
  "hashmap" = dontDistribute super."hashmap";
  "hashring" = dontDistribute super."hashring";
  "hashtables-plus" = dontDistribute super."hashtables-plus";
  "hasim" = dontDistribute super."hasim";
  "hask" = dontDistribute super."hask";
  "hask-home" = dontDistribute super."hask-home";
  "haskades" = dontDistribute super."haskades";
  "haskakafka" = dontDistribute super."haskakafka";
  "haskanoid" = dontDistribute super."haskanoid";
  "haskarrow" = dontDistribute super."haskarrow";
  "haskbot-core" = dontDistribute super."haskbot-core";
  "haskdeep" = dontDistribute super."haskdeep";
  "haskdogs" = dontDistribute super."haskdogs";
  "haskeem" = dontDistribute super."haskeem";
  "haskeline" = doDistribute super."haskeline_0_7_2_3";
  "haskeline-class" = dontDistribute super."haskeline-class";
  "haskell-aliyun" = dontDistribute super."haskell-aliyun";
  "haskell-awk" = dontDistribute super."haskell-awk";
  "haskell-bcrypt" = dontDistribute super."haskell-bcrypt";
  "haskell-brainfuck" = dontDistribute super."haskell-brainfuck";
  "haskell-cnc" = dontDistribute super."haskell-cnc";
  "haskell-coffee" = dontDistribute super."haskell-coffee";
  "haskell-compression" = dontDistribute super."haskell-compression";
  "haskell-course-preludes" = dontDistribute super."haskell-course-preludes";
  "haskell-docs" = dontDistribute super."haskell-docs";
  "haskell-exp-parser" = dontDistribute super."haskell-exp-parser";
  "haskell-fake-user-agent" = dontDistribute super."haskell-fake-user-agent";
  "haskell-formatter" = dontDistribute super."haskell-formatter";
  "haskell-ftp" = dontDistribute super."haskell-ftp";
  "haskell-generate" = dontDistribute super."haskell-generate";
  "haskell-gi" = doDistribute super."haskell-gi_0_17_4";
  "haskell-gi-base" = doDistribute super."haskell-gi-base_0_17";
  "haskell-google-trends" = dontDistribute super."haskell-google-trends";
  "haskell-import-graph" = dontDistribute super."haskell-import-graph";
  "haskell-in-space" = dontDistribute super."haskell-in-space";
  "haskell-kubernetes" = dontDistribute super."haskell-kubernetes";
  "haskell-modbus" = dontDistribute super."haskell-modbus";
  "haskell-mpfr" = dontDistribute super."haskell-mpfr";
  "haskell-mpi" = dontDistribute super."haskell-mpi";
  "haskell-names" = dontDistribute super."haskell-names";
  "haskell-openflow" = dontDistribute super."haskell-openflow";
  "haskell-packages" = dontDistribute super."haskell-packages";
  "haskell-pdf-presenter" = dontDistribute super."haskell-pdf-presenter";
  "haskell-platform-test" = dontDistribute super."haskell-platform-test";
  "haskell-player" = dontDistribute super."haskell-player";
  "haskell-plot" = dontDistribute super."haskell-plot";
  "haskell-proxy-list" = dontDistribute super."haskell-proxy-list";
  "haskell-qrencode" = dontDistribute super."haskell-qrencode";
  "haskell-read-editor" = dontDistribute super."haskell-read-editor";
  "haskell-reflect" = dontDistribute super."haskell-reflect";
  "haskell-rules" = dontDistribute super."haskell-rules";
  "haskell-src-exts-qq" = dontDistribute super."haskell-src-exts-qq";
  "haskell-src-meta-mwotton" = dontDistribute super."haskell-src-meta-mwotton";
  "haskell-token-utils" = dontDistribute super."haskell-token-utils";
  "haskell-tools-ast" = dontDistribute super."haskell-tools-ast";
  "haskell-tools-ast-fromghc" = dontDistribute super."haskell-tools-ast-fromghc";
  "haskell-tools-ast-gen" = dontDistribute super."haskell-tools-ast-gen";
  "haskell-tools-ast-trf" = dontDistribute super."haskell-tools-ast-trf";
  "haskell-tools-prettyprint" = dontDistribute super."haskell-tools-prettyprint";
  "haskell-tools-refactor" = dontDistribute super."haskell-tools-refactor";
  "haskell-tor" = dontDistribute super."haskell-tor";
  "haskell-type-exts" = dontDistribute super."haskell-type-exts";
  "haskell-typescript" = dontDistribute super."haskell-typescript";
  "haskell-tyrant" = dontDistribute super."haskell-tyrant";
  "haskell-updater" = dontDistribute super."haskell-updater";
  "haskell-xmpp" = dontDistribute super."haskell-xmpp";
  "haskell2010" = dontDistribute super."haskell2010";
  "haskell98" = dontDistribute super."haskell98";
  "haskell98libraries" = dontDistribute super."haskell98libraries";
  "haskelldb" = dontDistribute super."haskelldb";
  "haskelldb-connect-hdbc" = dontDistribute super."haskelldb-connect-hdbc";
  "haskelldb-connect-hdbc-catchio-mtl" = dontDistribute super."haskelldb-connect-hdbc-catchio-mtl";
  "haskelldb-connect-hdbc-catchio-tf" = dontDistribute super."haskelldb-connect-hdbc-catchio-tf";
  "haskelldb-connect-hdbc-catchio-transformers" = dontDistribute super."haskelldb-connect-hdbc-catchio-transformers";
  "haskelldb-connect-hdbc-lifted" = dontDistribute super."haskelldb-connect-hdbc-lifted";
  "haskelldb-dynamic" = dontDistribute super."haskelldb-dynamic";
  "haskelldb-flat" = dontDistribute super."haskelldb-flat";
  "haskelldb-hdbc" = dontDistribute super."haskelldb-hdbc";
  "haskelldb-hdbc-mysql" = dontDistribute super."haskelldb-hdbc-mysql";
  "haskelldb-hdbc-odbc" = dontDistribute super."haskelldb-hdbc-odbc";
  "haskelldb-hdbc-postgresql" = dontDistribute super."haskelldb-hdbc-postgresql";
  "haskelldb-hdbc-sqlite3" = dontDistribute super."haskelldb-hdbc-sqlite3";
  "haskelldb-hsql" = dontDistribute super."haskelldb-hsql";
  "haskelldb-hsql-mysql" = dontDistribute super."haskelldb-hsql-mysql";
  "haskelldb-hsql-odbc" = dontDistribute super."haskelldb-hsql-odbc";
  "haskelldb-hsql-oracle" = dontDistribute super."haskelldb-hsql-oracle";
  "haskelldb-hsql-postgresql" = dontDistribute super."haskelldb-hsql-postgresql";
  "haskelldb-hsql-sqlite" = dontDistribute super."haskelldb-hsql-sqlite";
  "haskelldb-hsql-sqlite3" = dontDistribute super."haskelldb-hsql-sqlite3";
  "haskelldb-th" = dontDistribute super."haskelldb-th";
  "haskelldb-wx" = dontDistribute super."haskelldb-wx";
  "haskellscrabble" = dontDistribute super."haskellscrabble";
  "haskellscript" = dontDistribute super."haskellscript";
  "haskelm" = dontDistribute super."haskelm";
  "haskelzinc" = dontDistribute super."haskelzinc";
  "haskgame" = dontDistribute super."haskgame";
  "haskheap" = dontDistribute super."haskheap";
  "haskhol-core" = dontDistribute super."haskhol-core";
  "haskmon" = dontDistribute super."haskmon";
  "haskoin" = dontDistribute super."haskoin";
  "haskoin-core" = dontDistribute super."haskoin-core";
  "haskoin-crypto" = dontDistribute super."haskoin-crypto";
  "haskoin-node" = dontDistribute super."haskoin-node";
  "haskoin-protocol" = dontDistribute super."haskoin-protocol";
  "haskoin-script" = dontDistribute super."haskoin-script";
  "haskoin-util" = dontDistribute super."haskoin-util";
  "haskoin-wallet" = dontDistribute super."haskoin-wallet";
  "haskoon" = dontDistribute super."haskoon";
  "haskoon-httpspec" = dontDistribute super."haskoon-httpspec";
  "haskoon-salvia" = dontDistribute super."haskoon-salvia";
  "haskore" = dontDistribute super."haskore";
  "haskore-realtime" = dontDistribute super."haskore-realtime";
  "haskore-supercollider" = dontDistribute super."haskore-supercollider";
  "haskore-synthesizer" = dontDistribute super."haskore-synthesizer";
  "haskore-vintage" = dontDistribute super."haskore-vintage";
  "hasktags" = dontDistribute super."hasktags";
  "haslo" = dontDistribute super."haslo";
  "hasloGUI" = dontDistribute super."hasloGUI";
  "hasparql-client" = dontDistribute super."hasparql-client";
  "haspell" = dontDistribute super."haspell";
  "hasql-backend" = dontDistribute super."hasql-backend";
  "hasql-cursor-query" = dontDistribute super."hasql-cursor-query";
  "hasql-cursor-transaction" = dontDistribute super."hasql-cursor-transaction";
  "hasql-optparse-applicative" = dontDistribute super."hasql-optparse-applicative";
  "hasql-pool" = dontDistribute super."hasql-pool";
  "hasql-postgres" = dontDistribute super."hasql-postgres";
  "hasql-postgres-options" = dontDistribute super."hasql-postgres-options";
  "hasql-th" = dontDistribute super."hasql-th";
  "hasql-transaction" = dontDistribute super."hasql-transaction";
  "hastache-aeson" = dontDistribute super."hastache-aeson";
  "haste" = dontDistribute super."haste";
  "haste-compiler" = dontDistribute super."haste-compiler";
  "haste-gapi" = dontDistribute super."haste-gapi";
  "haste-markup" = dontDistribute super."haste-markup";
  "haste-perch" = dontDistribute super."haste-perch";
  "hastily" = dontDistribute super."hastily";
  "hat" = dontDistribute super."hat";
  "hatex-guide" = dontDistribute super."hatex-guide";
  "hath" = dontDistribute super."hath";
  "hatt" = dontDistribute super."hatt";
  "haverer" = dontDistribute super."haverer";
  "hawitter" = dontDistribute super."hawitter";
  "haxl-facebook" = dontDistribute super."haxl-facebook";
  "haxparse" = dontDistribute super."haxparse";
  "haxr-th" = dontDistribute super."haxr-th";
  "haxy" = dontDistribute super."haxy";
  "hayland" = dontDistribute super."hayland";
  "hayoo-cli" = dontDistribute super."hayoo-cli";
  "hback" = dontDistribute super."hback";
  "hbb" = dontDistribute super."hbb";
  "hbcd" = dontDistribute super."hbcd";
  "hbeat" = dontDistribute super."hbeat";
  "hblas" = dontDistribute super."hblas";
  "hblock" = dontDistribute super."hblock";
  "hbro" = dontDistribute super."hbro";
  "hbro-contrib" = dontDistribute super."hbro-contrib";
  "hburg" = dontDistribute super."hburg";
  "hcc" = dontDistribute super."hcc";
  "hcg-minus" = dontDistribute super."hcg-minus";
  "hcg-minus-cairo" = dontDistribute super."hcg-minus-cairo";
  "hcheat" = dontDistribute super."hcheat";
  "hchesslib" = dontDistribute super."hchesslib";
  "hcltest" = dontDistribute super."hcltest";
  "hcoap" = dontDistribute super."hcoap";
  "hcron" = dontDistribute super."hcron";
  "hcube" = dontDistribute super."hcube";
  "hcwiid" = dontDistribute super."hcwiid";
  "hdaemonize" = doDistribute super."hdaemonize_0_5_0_2";
  "hdaemonize-buildfix" = dontDistribute super."hdaemonize-buildfix";
  "hdbc-aeson" = dontDistribute super."hdbc-aeson";
  "hdbc-postgresql-hstore" = dontDistribute super."hdbc-postgresql-hstore";
  "hdbc-tuple" = dontDistribute super."hdbc-tuple";
  "hdbi" = dontDistribute super."hdbi";
  "hdbi-conduit" = dontDistribute super."hdbi-conduit";
  "hdbi-postgresql" = dontDistribute super."hdbi-postgresql";
  "hdbi-sqlite" = dontDistribute super."hdbi-sqlite";
  "hdbi-tests" = dontDistribute super."hdbi-tests";
  "hdf" = dontDistribute super."hdf";
  "hdigest" = dontDistribute super."hdigest";
  "hdirect" = dontDistribute super."hdirect";
  "hdis86" = dontDistribute super."hdis86";
  "hdiscount" = dontDistribute super."hdiscount";
  "hdm" = dontDistribute super."hdm";
  "hdo" = dontDistribute super."hdo";
  "hdph" = dontDistribute super."hdph";
  "hdph-closure" = dontDistribute super."hdph-closure";
  "hdr-histogram" = dontDistribute super."hdr-histogram";
  "headergen" = dontDistribute super."headergen";
  "heapsort" = dontDistribute super."heapsort";
  "hecc" = dontDistribute super."hecc";
  "heckle" = dontDistribute super."heckle";
  "hedis" = doDistribute super."hedis_0_6_10";
  "hedis-config" = dontDistribute super."hedis-config";
  "hedis-monadic" = dontDistribute super."hedis-monadic";
  "hedis-namespace" = dontDistribute super."hedis-namespace";
  "hedis-pile" = dontDistribute super."hedis-pile";
  "hedis-simple" = dontDistribute super."hedis-simple";
  "hedis-tags" = dontDistribute super."hedis-tags";
  "hedn" = dontDistribute super."hedn";
  "hein" = dontDistribute super."hein";
  "heist-aeson" = dontDistribute super."heist-aeson";
  "heist-async" = dontDistribute super."heist-async";
  "helics" = dontDistribute super."helics";
  "helics-wai" = dontDistribute super."helics-wai";
  "helisp" = dontDistribute super."helisp";
  "helium" = dontDistribute super."helium";
  "helix" = dontDistribute super."helix";
  "hell" = dontDistribute super."hell";
  "hellage" = dontDistribute super."hellage";
  "hellnet" = dontDistribute super."hellnet";
  "hello" = dontDistribute super."hello";
  "helm" = dontDistribute super."helm";
  "help-esb" = dontDistribute super."help-esb";
  "hemkay" = dontDistribute super."hemkay";
  "hemkay-core" = dontDistribute super."hemkay-core";
  "hemokit" = dontDistribute super."hemokit";
  "hen" = dontDistribute super."hen";
  "henet" = dontDistribute super."henet";
  "hepevt" = dontDistribute super."hepevt";
  "her-lexer" = dontDistribute super."her-lexer";
  "her-lexer-parsec" = dontDistribute super."her-lexer-parsec";
  "herbalizer" = dontDistribute super."herbalizer";
  "heredocs" = dontDistribute super."heredocs";
  "herf-time" = dontDistribute super."herf-time";
  "hermit" = dontDistribute super."hermit";
  "hermit-syb" = dontDistribute super."hermit-syb";
  "hero-club-five-tenets" = dontDistribute super."hero-club-five-tenets";
  "heroku" = dontDistribute super."heroku";
  "heroku-persistent" = dontDistribute super."heroku-persistent";
  "herringbone" = dontDistribute super."herringbone";
  "herringbone-embed" = dontDistribute super."herringbone-embed";
  "herringbone-wai" = dontDistribute super."herringbone-wai";
  "hesh" = dontDistribute super."hesh";
  "hesql" = dontDistribute super."hesql";
  "hetero-dict" = dontDistribute super."hetero-dict";
  "hetero-map" = dontDistribute super."hetero-map";
  "hetris" = dontDistribute super."hetris";
  "heukarya" = dontDistribute super."heukarya";
  "hevolisa" = dontDistribute super."hevolisa";
  "hevolisa-dph" = dontDistribute super."hevolisa-dph";
  "hexdump" = dontDistribute super."hexdump";
  "hexif" = dontDistribute super."hexif";
  "hexpat-iteratee" = dontDistribute super."hexpat-iteratee";
  "hexpat-lens" = dontDistribute super."hexpat-lens";
  "hexpat-pickle" = dontDistribute super."hexpat-pickle";
  "hexpat-pickle-generic" = dontDistribute super."hexpat-pickle-generic";
  "hexpat-tagsoup" = dontDistribute super."hexpat-tagsoup";
  "hexpr" = dontDistribute super."hexpr";
  "hexquote" = dontDistribute super."hexquote";
  "heyefi" = dontDistribute super."heyefi";
  "hfann" = dontDistribute super."hfann";
  "hfd" = dontDistribute super."hfd";
  "hfiar" = dontDistribute super."hfiar";
  "hfmt" = dontDistribute super."hfmt";
  "hfoil" = dontDistribute super."hfoil";
  "hfov" = dontDistribute super."hfov";
  "hfractal" = dontDistribute super."hfractal";
  "hfusion" = dontDistribute super."hfusion";
  "hg-buildpackage" = dontDistribute super."hg-buildpackage";
  "hgal" = dontDistribute super."hgal";
  "hgalib" = dontDistribute super."hgalib";
  "hgdbmi" = dontDistribute super."hgdbmi";
  "hgearman" = dontDistribute super."hgearman";
  "hgen" = dontDistribute super."hgen";
  "hgeometric" = dontDistribute super."hgeometric";
  "hgeometry" = dontDistribute super."hgeometry";
  "hgeos" = dontDistribute super."hgeos";
  "hgithub" = dontDistribute super."hgithub";
  "hgl-example" = dontDistribute super."hgl-example";
  "hgom" = dontDistribute super."hgom";
  "hgopher" = dontDistribute super."hgopher";
  "hgrev" = dontDistribute super."hgrev";
  "hgrib" = dontDistribute super."hgrib";
  "hharp" = dontDistribute super."hharp";
  "hi" = dontDistribute super."hi";
  "hi3status" = dontDistribute super."hi3status";
  "hiccup" = dontDistribute super."hiccup";
  "hichi" = dontDistribute super."hichi";
  "hieraclus" = dontDistribute super."hieraclus";
  "hierarchical-clustering-diagrams" = dontDistribute super."hierarchical-clustering-diagrams";
  "hierarchical-exceptions" = dontDistribute super."hierarchical-exceptions";
  "hierarchy" = dontDistribute super."hierarchy";
  "hiernotify" = dontDistribute super."hiernotify";
  "highWaterMark" = dontDistribute super."highWaterMark";
  "higher-leveldb" = dontDistribute super."higher-leveldb";
  "higherorder" = dontDistribute super."higherorder";
  "highlight-versions" = dontDistribute super."highlight-versions";
  "highlighter" = dontDistribute super."highlighter";
  "highlighter2" = dontDistribute super."highlighter2";
  "hills" = dontDistribute super."hills";
  "himerge" = dontDistribute super."himerge";
  "himg" = dontDistribute super."himg";
  "himpy" = dontDistribute super."himpy";
  "hindley-milner" = dontDistribute super."hindley-milner";
  "hinduce-associations-apriori" = dontDistribute super."hinduce-associations-apriori";
  "hinduce-classifier" = dontDistribute super."hinduce-classifier";
  "hinduce-classifier-decisiontree" = dontDistribute super."hinduce-classifier-decisiontree";
  "hinduce-examples" = dontDistribute super."hinduce-examples";
  "hinduce-missingh" = dontDistribute super."hinduce-missingh";
  "hinotify-bytestring" = dontDistribute super."hinotify-bytestring";
  "hinquire" = dontDistribute super."hinquire";
  "hinstaller" = dontDistribute super."hinstaller";
  "hint" = doDistribute super."hint_0_5_2";
  "hint-server" = dontDistribute super."hint-server";
  "hinvaders" = dontDistribute super."hinvaders";
  "hinze-streams" = dontDistribute super."hinze-streams";
  "hip" = dontDistribute super."hip";
  "hipbot" = dontDistribute super."hipbot";
  "hipchat-hs" = dontDistribute super."hipchat-hs";
  "hipe" = dontDistribute super."hipe";
  "hips" = dontDistribute super."hips";
  "hircules" = dontDistribute super."hircules";
  "hirt" = dontDistribute super."hirt";
  "hissmetrics" = dontDistribute super."hissmetrics";
  "hist-pl" = dontDistribute super."hist-pl";
  "hist-pl-dawg" = dontDistribute super."hist-pl-dawg";
  "hist-pl-fusion" = dontDistribute super."hist-pl-fusion";
  "hist-pl-lexicon" = dontDistribute super."hist-pl-lexicon";
  "hist-pl-lmf" = dontDistribute super."hist-pl-lmf";
  "hist-pl-transliter" = dontDistribute super."hist-pl-transliter";
  "hist-pl-types" = dontDistribute super."hist-pl-types";
  "histogram-fill-binary" = dontDistribute super."histogram-fill-binary";
  "histogram-fill-cereal" = dontDistribute super."histogram-fill-cereal";
  "historian" = dontDistribute super."historian";
  "hit-graph" = dontDistribute super."hit-graph";
  "hjcase" = dontDistribute super."hjcase";
  "hjs" = dontDistribute super."hjs";
  "hjson-query" = dontDistribute super."hjson-query";
  "hjsonpointer" = dontDistribute super."hjsonpointer";
  "hjsonschema" = dontDistribute super."hjsonschema";
  "hkdf" = dontDistribute super."hkdf";
  "hlatex" = dontDistribute super."hlatex";
  "hlbfgsb" = dontDistribute super."hlbfgsb";
  "hlcm" = dontDistribute super."hlcm";
  "hleap" = dontDistribute super."hleap";
  "hledger" = doDistribute super."hledger_0_27";
  "hledger-chart" = dontDistribute super."hledger-chart";
  "hledger-diff" = dontDistribute super."hledger-diff";
  "hledger-irr" = dontDistribute super."hledger-irr";
  "hledger-lib" = doDistribute super."hledger-lib_0_27";
  "hledger-ui" = doDistribute super."hledger-ui_0_27_4";
  "hledger-vty" = dontDistribute super."hledger-vty";
  "hlibBladeRF" = dontDistribute super."hlibBladeRF";
  "hlibev" = dontDistribute super."hlibev";
  "hlibfam" = dontDistribute super."hlibfam";
  "hlogger" = dontDistribute super."hlogger";
  "hlongurl" = dontDistribute super."hlongurl";
  "hls" = dontDistribute super."hls";
  "hlwm" = dontDistribute super."hlwm";
  "hly" = dontDistribute super."hly";
  "hmark" = dontDistribute super."hmark";
  "hmarkup" = dontDistribute super."hmarkup";
  "hmatrix-banded" = dontDistribute super."hmatrix-banded";
  "hmatrix-csv" = dontDistribute super."hmatrix-csv";
  "hmatrix-glpk" = dontDistribute super."hmatrix-glpk";
  "hmatrix-mmap" = dontDistribute super."hmatrix-mmap";
  "hmatrix-nipals" = dontDistribute super."hmatrix-nipals";
  "hmatrix-quadprogpp" = dontDistribute super."hmatrix-quadprogpp";
  "hmatrix-repa" = dontDistribute super."hmatrix-repa";
  "hmatrix-special" = dontDistribute super."hmatrix-special";
  "hmatrix-static" = dontDistribute super."hmatrix-static";
  "hmatrix-svdlibc" = dontDistribute super."hmatrix-svdlibc";
  "hmatrix-syntax" = dontDistribute super."hmatrix-syntax";
  "hmatrix-tests" = dontDistribute super."hmatrix-tests";
  "hmeap" = dontDistribute super."hmeap";
  "hmeap-utils" = dontDistribute super."hmeap-utils";
  "hmemdb" = dontDistribute super."hmemdb";
  "hmenu" = dontDistribute super."hmenu";
  "hmidi" = dontDistribute super."hmidi";
  "hmk" = dontDistribute super."hmk";
  "hmm" = dontDistribute super."hmm";
  "hmm-hmatrix" = dontDistribute super."hmm-hmatrix";
  "hmp3" = dontDistribute super."hmp3";
  "hmpfr" = dontDistribute super."hmpfr";
  "hmt-diagrams" = dontDistribute super."hmt-diagrams";
  "hmumps" = dontDistribute super."hmumps";
  "hnetcdf" = dontDistribute super."hnetcdf";
  "hnix" = dontDistribute super."hnix";
  "hnn" = dontDistribute super."hnn";
  "hnop" = dontDistribute super."hnop";
  "ho-rewriting" = dontDistribute super."ho-rewriting";
  "hoauth" = dontDistribute super."hoauth";
  "hob" = dontDistribute super."hob";
  "hobbes" = dontDistribute super."hobbes";
  "hobbits" = dontDistribute super."hobbits";
  "hoe" = dontDistribute super."hoe";
  "hofix-mtl" = dontDistribute super."hofix-mtl";
  "hog" = dontDistribute super."hog";
  "hogg" = dontDistribute super."hogg";
  "hogre" = dontDistribute super."hogre";
  "hogre-examples" = dontDistribute super."hogre-examples";
  "hois" = dontDistribute super."hois";
  "hoist-error" = dontDistribute super."hoist-error";
  "hold-em" = dontDistribute super."hold-em";
  "hole" = dontDistribute super."hole";
  "holey-format" = dontDistribute super."holey-format";
  "homeomorphic" = dontDistribute super."homeomorphic";
  "hommage" = dontDistribute super."hommage";
  "hommage-ds" = dontDistribute super."hommage-ds";
  "homoiconic" = dontDistribute super."homoiconic";
  "homplexity" = dontDistribute super."homplexity";
  "honi" = dontDistribute super."honi";
  "honk" = dontDistribute super."honk";
  "hoobuddy" = dontDistribute super."hoobuddy";
  "hood" = dontDistribute super."hood";
  "hood-off" = dontDistribute super."hood-off";
  "hood2" = dontDistribute super."hood2";
  "hoodie" = dontDistribute super."hoodie";
  "hoodle" = dontDistribute super."hoodle";
  "hoodle-builder" = dontDistribute super."hoodle-builder";
  "hoodle-core" = dontDistribute super."hoodle-core";
  "hoodle-extra" = dontDistribute super."hoodle-extra";
  "hoodle-parser" = dontDistribute super."hoodle-parser";
  "hoodle-publish" = dontDistribute super."hoodle-publish";
  "hoodle-render" = dontDistribute super."hoodle-render";
  "hoodle-types" = dontDistribute super."hoodle-types";
  "hoogle" = doDistribute super."hoogle_4_2_43";
  "hoogle-index" = dontDistribute super."hoogle-index";
  "hooks-dir" = dontDistribute super."hooks-dir";
  "hoovie" = dontDistribute super."hoovie";
  "hopencc" = dontDistribute super."hopencc";
  "hopencl" = dontDistribute super."hopencl";
  "hopenpgp-tools" = doDistribute super."hopenpgp-tools_0_18";
  "hopfield" = dontDistribute super."hopfield";
  "hopfield-networks" = dontDistribute super."hopfield-networks";
  "hopfli" = dontDistribute super."hopfli";
  "hoppy-docs" = dontDistribute super."hoppy-docs";
  "hoppy-generator" = dontDistribute super."hoppy-generator";
  "hoppy-runtime" = dontDistribute super."hoppy-runtime";
  "hoppy-std" = dontDistribute super."hoppy-std";
  "hops" = dontDistribute super."hops";
  "hoq" = dontDistribute super."hoq";
  "horizon" = dontDistribute super."horizon";
  "hosc-json" = dontDistribute super."hosc-json";
  "hosc-utils" = dontDistribute super."hosc-utils";
  "hosts-server" = dontDistribute super."hosts-server";
  "hothasktags" = dontDistribute super."hothasktags";
  "hotswap" = dontDistribute super."hotswap";
  "hourglass-fuzzy-parsing" = dontDistribute super."hourglass-fuzzy-parsing";
  "houseman" = dontDistribute super."houseman";
  "hp2any-core" = dontDistribute super."hp2any-core";
  "hp2any-graph" = dontDistribute super."hp2any-graph";
  "hp2any-manager" = dontDistribute super."hp2any-manager";
  "hp2html" = dontDistribute super."hp2html";
  "hp2pretty" = dontDistribute super."hp2pretty";
  "hpaco" = dontDistribute super."hpaco";
  "hpaco-lib" = dontDistribute super."hpaco-lib";
  "hpage" = dontDistribute super."hpage";
  "hpapi" = dontDistribute super."hpapi";
  "hpaste" = dontDistribute super."hpaste";
  "hpasteit" = dontDistribute super."hpasteit";
  "hpath" = dontDistribute super."hpath";
  "hpc-strobe" = dontDistribute super."hpc-strobe";
  "hpc-tracer" = dontDistribute super."hpc-tracer";
  "hpdft" = dontDistribute super."hpdft";
  "hpio" = dontDistribute super."hpio";
  "hplayground" = dontDistribute super."hplayground";
  "hplaylist" = dontDistribute super."hplaylist";
  "hpodder" = dontDistribute super."hpodder";
  "hpp" = dontDistribute super."hpp";
  "hpqtypes" = dontDistribute super."hpqtypes";
  "hprotoc" = doDistribute super."hprotoc_2_2_0";
  "hprotoc-fork" = dontDistribute super."hprotoc-fork";
  "hps" = dontDistribute super."hps";
  "hps-cairo" = dontDistribute super."hps-cairo";
  "hps-kmeans" = dontDistribute super."hps-kmeans";
  "hpuz" = dontDistribute super."hpuz";
  "hpygments" = dontDistribute super."hpygments";
  "hpylos" = dontDistribute super."hpylos";
  "hpyrg" = dontDistribute super."hpyrg";
  "hquantlib" = dontDistribute super."hquantlib";
  "hquery" = dontDistribute super."hquery";
  "hranker" = dontDistribute super."hranker";
  "hreader" = dontDistribute super."hreader";
  "hricket" = dontDistribute super."hricket";
  "hruby" = dontDistribute super."hruby";
  "hs-blake2" = dontDistribute super."hs-blake2";
  "hs-captcha" = dontDistribute super."hs-captcha";
  "hs-carbon" = dontDistribute super."hs-carbon";
  "hs-carbon-examples" = dontDistribute super."hs-carbon-examples";
  "hs-cdb" = dontDistribute super."hs-cdb";
  "hs-dotnet" = dontDistribute super."hs-dotnet";
  "hs-duktape" = dontDistribute super."hs-duktape";
  "hs-excelx" = dontDistribute super."hs-excelx";
  "hs-ffmpeg" = dontDistribute super."hs-ffmpeg";
  "hs-fltk" = dontDistribute super."hs-fltk";
  "hs-gchart" = dontDistribute super."hs-gchart";
  "hs-gen-iface" = dontDistribute super."hs-gen-iface";
  "hs-gizapp" = dontDistribute super."hs-gizapp";
  "hs-inspector" = dontDistribute super."hs-inspector";
  "hs-java" = dontDistribute super."hs-java";
  "hs-json-rpc" = dontDistribute super."hs-json-rpc";
  "hs-logo" = dontDistribute super."hs-logo";
  "hs-mesos" = dontDistribute super."hs-mesos";
  "hs-nombre-generator" = dontDistribute super."hs-nombre-generator";
  "hs-pgms" = dontDistribute super."hs-pgms";
  "hs-php-session" = dontDistribute super."hs-php-session";
  "hs-pkg-config" = dontDistribute super."hs-pkg-config";
  "hs-pkpass" = dontDistribute super."hs-pkpass";
  "hs-popen" = dontDistribute super."hs-popen";
  "hs-re" = dontDistribute super."hs-re";
  "hs-scrape" = dontDistribute super."hs-scrape";
  "hs-twitter" = dontDistribute super."hs-twitter";
  "hs-twitterarchiver" = dontDistribute super."hs-twitterarchiver";
  "hs-vcard" = dontDistribute super."hs-vcard";
  "hs2048" = dontDistribute super."hs2048";
  "hs2bf" = dontDistribute super."hs2bf";
  "hs2dot" = dontDistribute super."hs2dot";
  "hsConfigure" = dontDistribute super."hsConfigure";
  "hsSqlite3" = dontDistribute super."hsSqlite3";
  "hsXenCtrl" = dontDistribute super."hsXenCtrl";
  "hsay" = dontDistribute super."hsay";
  "hsbackup" = dontDistribute super."hsbackup";
  "hsbencher" = dontDistribute super."hsbencher";
  "hsbencher-codespeed" = dontDistribute super."hsbencher-codespeed";
  "hsbencher-fusion" = dontDistribute super."hsbencher-fusion";
  "hsc2hs" = dontDistribute super."hsc2hs";
  "hsc3" = dontDistribute super."hsc3";
  "hsc3-auditor" = dontDistribute super."hsc3-auditor";
  "hsc3-cairo" = dontDistribute super."hsc3-cairo";
  "hsc3-data" = dontDistribute super."hsc3-data";
  "hsc3-db" = dontDistribute super."hsc3-db";
  "hsc3-dot" = dontDistribute super."hsc3-dot";
  "hsc3-forth" = dontDistribute super."hsc3-forth";
  "hsc3-graphs" = dontDistribute super."hsc3-graphs";
  "hsc3-lang" = dontDistribute super."hsc3-lang";
  "hsc3-lisp" = dontDistribute super."hsc3-lisp";
  "hsc3-plot" = dontDistribute super."hsc3-plot";
  "hsc3-process" = dontDistribute super."hsc3-process";
  "hsc3-rec" = dontDistribute super."hsc3-rec";
  "hsc3-rw" = dontDistribute super."hsc3-rw";
  "hsc3-server" = dontDistribute super."hsc3-server";
  "hsc3-sf" = dontDistribute super."hsc3-sf";
  "hsc3-sf-hsndfile" = dontDistribute super."hsc3-sf-hsndfile";
  "hsc3-unsafe" = dontDistribute super."hsc3-unsafe";
  "hsc3-utils" = dontDistribute super."hsc3-utils";
  "hscamwire" = dontDistribute super."hscamwire";
  "hscassandra" = dontDistribute super."hscassandra";
  "hscd" = dontDistribute super."hscd";
  "hsclock" = dontDistribute super."hsclock";
  "hscope" = dontDistribute super."hscope";
  "hscrtmpl" = dontDistribute super."hscrtmpl";
  "hscuid" = dontDistribute super."hscuid";
  "hscurses" = dontDistribute super."hscurses";
  "hscurses-fish-ex" = dontDistribute super."hscurses-fish-ex";
  "hsdif" = dontDistribute super."hsdif";
  "hsdip" = dontDistribute super."hsdip";
  "hsdns" = dontDistribute super."hsdns";
  "hsdns-cache" = dontDistribute super."hsdns-cache";
  "hsemail-ns" = dontDistribute super."hsemail-ns";
  "hsenv" = dontDistribute super."hsenv";
  "hserv" = dontDistribute super."hserv";
  "hset" = dontDistribute super."hset";
  "hsfacter" = dontDistribute super."hsfacter";
  "hsfcsh" = dontDistribute super."hsfcsh";
  "hsfilt" = dontDistribute super."hsfilt";
  "hsgnutls" = dontDistribute super."hsgnutls";
  "hsgnutls-yj" = dontDistribute super."hsgnutls-yj";
  "hsgsom" = dontDistribute super."hsgsom";
  "hsgtd" = dontDistribute super."hsgtd";
  "hsharc" = dontDistribute super."hsharc";
  "hsilop" = dontDistribute super."hsilop";
  "hsimport" = dontDistribute super."hsimport";
  "hsini" = dontDistribute super."hsini";
  "hskeleton" = dontDistribute super."hskeleton";
  "hslackbuilder" = dontDistribute super."hslackbuilder";
  "hslibsvm" = dontDistribute super."hslibsvm";
  "hslinks" = dontDistribute super."hslinks";
  "hslogger-reader" = dontDistribute super."hslogger-reader";
  "hslogger-template" = dontDistribute super."hslogger-template";
  "hslogger4j" = dontDistribute super."hslogger4j";
  "hslogstash" = dontDistribute super."hslogstash";
  "hsmagick" = dontDistribute super."hsmagick";
  "hsmisc" = dontDistribute super."hsmisc";
  "hsmtpclient" = dontDistribute super."hsmtpclient";
  "hsndfile-storablevector" = dontDistribute super."hsndfile-storablevector";
  "hsnock" = dontDistribute super."hsnock";
  "hsnoise" = dontDistribute super."hsnoise";
  "hsns" = dontDistribute super."hsns";
  "hsnsq" = dontDistribute super."hsnsq";
  "hsntp" = dontDistribute super."hsntp";
  "hsoptions" = dontDistribute super."hsoptions";
  "hsp-cgi" = dontDistribute super."hsp-cgi";
  "hsparklines" = dontDistribute super."hsparklines";
  "hsparql" = dontDistribute super."hsparql";
  "hspear" = dontDistribute super."hspear";
  "hspec-checkers" = dontDistribute super."hspec-checkers";
  "hspec-expectations-lens" = dontDistribute super."hspec-expectations-lens";
  "hspec-expectations-lifted" = dontDistribute super."hspec-expectations-lifted";
  "hspec-expectations-pretty" = dontDistribute super."hspec-expectations-pretty";
  "hspec-experimental" = dontDistribute super."hspec-experimental";
  "hspec-laws" = dontDistribute super."hspec-laws";
  "hspec-megaparsec" = doDistribute super."hspec-megaparsec_0_1_1";
  "hspec-monad-control" = dontDistribute super."hspec-monad-control";
  "hspec-server" = dontDistribute super."hspec-server";
  "hspec-shouldbe" = dontDistribute super."hspec-shouldbe";
  "hspec-slow" = dontDistribute super."hspec-slow";
  "hspec-stack-rerun" = dontDistribute super."hspec-stack-rerun";
  "hspec-structured-formatter" = dontDistribute super."hspec-structured-formatter";
  "hspec-test-framework" = dontDistribute super."hspec-test-framework";
  "hspec-test-framework-th" = dontDistribute super."hspec-test-framework-th";
  "hspec-test-sandbox" = dontDistribute super."hspec-test-sandbox";
  "hspec2" = dontDistribute super."hspec2";
  "hspr-sh" = dontDistribute super."hspr-sh";
  "hspread" = dontDistribute super."hspread";
  "hspresent" = dontDistribute super."hspresent";
  "hsprocess" = dontDistribute super."hsprocess";
  "hsql" = dontDistribute super."hsql";
  "hsql-mysql" = dontDistribute super."hsql-mysql";
  "hsql-odbc" = dontDistribute super."hsql-odbc";
  "hsql-postgresql" = dontDistribute super."hsql-postgresql";
  "hsql-sqlite3" = dontDistribute super."hsql-sqlite3";
  "hsqml" = dontDistribute super."hsqml";
  "hsqml-datamodel" = dontDistribute super."hsqml-datamodel";
  "hsqml-datamodel-vinyl" = dontDistribute super."hsqml-datamodel-vinyl";
  "hsqml-demo-morris" = dontDistribute super."hsqml-demo-morris";
  "hsqml-demo-notes" = dontDistribute super."hsqml-demo-notes";
  "hsqml-demo-samples" = dontDistribute super."hsqml-demo-samples";
  "hsqml-morris" = dontDistribute super."hsqml-morris";
  "hsreadability" = dontDistribute super."hsreadability";
  "hsseccomp" = dontDistribute super."hsseccomp";
  "hsshellscript" = dontDistribute super."hsshellscript";
  "hssourceinfo" = dontDistribute super."hssourceinfo";
  "hssqlppp" = dontDistribute super."hssqlppp";
  "hssqlppp-th" = dontDistribute super."hssqlppp-th";
  "hstats" = dontDistribute super."hstats";
  "hstest" = dontDistribute super."hstest";
  "hstidy" = dontDistribute super."hstidy";
  "hstorchat" = dontDistribute super."hstorchat";
  "hstradeking" = dontDistribute super."hstradeking";
  "hstyle" = dontDistribute super."hstyle";
  "hstzaar" = dontDistribute super."hstzaar";
  "hsubconvert" = dontDistribute super."hsubconvert";
  "hsverilog" = dontDistribute super."hsverilog";
  "hswip" = dontDistribute super."hswip";
  "hsx" = dontDistribute super."hsx";
  "hsx-xhtml" = dontDistribute super."hsx-xhtml";
  "hsyscall" = dontDistribute super."hsyscall";
  "hsyslog" = doDistribute super."hsyslog_2_0";
  "hsyslog-udp" = dontDistribute super."hsyslog-udp";
  "hszephyr" = dontDistribute super."hszephyr";
  "htags" = dontDistribute super."htags";
  "htar" = dontDistribute super."htar";
  "htiled" = dontDistribute super."htiled";
  "htime" = dontDistribute super."htime";
  "html-email-validate" = dontDistribute super."html-email-validate";
  "html-entities" = dontDistribute super."html-entities";
  "html-kure" = dontDistribute super."html-kure";
  "html-minimalist" = dontDistribute super."html-minimalist";
  "html-parse" = dontDistribute super."html-parse";
  "html-rules" = dontDistribute super."html-rules";
  "html-tokenizer" = dontDistribute super."html-tokenizer";
  "html-truncate" = dontDistribute super."html-truncate";
  "html2hamlet" = dontDistribute super."html2hamlet";
  "html5-entity" = dontDistribute super."html5-entity";
  "htodo" = dontDistribute super."htodo";
  "htrace" = dontDistribute super."htrace";
  "hts" = dontDistribute super."hts";
  "htsn" = dontDistribute super."htsn";
  "htsn-common" = dontDistribute super."htsn-common";
  "htsn-import" = dontDistribute super."htsn-import";
  "http-api-data" = doDistribute super."http-api-data_0_2_4";
  "http-attoparsec" = dontDistribute super."http-attoparsec";
  "http-client-auth" = dontDistribute super."http-client-auth";
  "http-client-conduit" = dontDistribute super."http-client-conduit";
  "http-client-lens" = dontDistribute super."http-client-lens";
  "http-client-multipart" = dontDistribute super."http-client-multipart";
  "http-client-request-modifiers" = dontDistribute super."http-client-request-modifiers";
  "http-client-session" = dontDistribute super."http-client-session";
  "http-client-streams" = dontDistribute super."http-client-streams";
  "http-conduit-browser" = dontDistribute super."http-conduit-browser";
  "http-conduit-downloader" = dontDistribute super."http-conduit-downloader";
  "http-dispatch" = dontDistribute super."http-dispatch";
  "http-encodings" = dontDistribute super."http-encodings";
  "http-enumerator" = dontDistribute super."http-enumerator";
  "http-kinder" = dontDistribute super."http-kinder";
  "http-kit" = dontDistribute super."http-kit";
  "http-listen" = dontDistribute super."http-listen";
  "http-monad" = dontDistribute super."http-monad";
  "http-proxy" = dontDistribute super."http-proxy";
  "http-querystring" = dontDistribute super."http-querystring";
  "http-response-decoder" = dontDistribute super."http-response-decoder";
  "http-server" = dontDistribute super."http-server";
  "http-shed" = dontDistribute super."http-shed";
  "http-test" = dontDistribute super."http-test";
  "http-trace" = dontDistribute super."http-trace";
  "http-wget" = dontDistribute super."http-wget";
  "https-everywhere-rules" = dontDistribute super."https-everywhere-rules";
  "https-everywhere-rules-raw" = dontDistribute super."https-everywhere-rules-raw";
  "httpspec" = dontDistribute super."httpspec";
  "htune" = dontDistribute super."htune";
  "htzaar" = dontDistribute super."htzaar";
  "hub" = dontDistribute super."hub";
  "hubigraph" = dontDistribute super."hubigraph";
  "hubris" = dontDistribute super."hubris";
  "huckleberry" = dontDistribute super."huckleberry";
  "huffman" = dontDistribute super."huffman";
  "hugs2yc" = dontDistribute super."hugs2yc";
  "hulk" = dontDistribute super."hulk";
  "hums" = dontDistribute super."hums";
  "hunch" = dontDistribute super."hunch";
  "hunit-gui" = dontDistribute super."hunit-gui";
  "hunit-parsec" = dontDistribute super."hunit-parsec";
  "hunit-rematch" = dontDistribute super."hunit-rematch";
  "hunp" = dontDistribute super."hunp";
  "hunt-searchengine" = dontDistribute super."hunt-searchengine";
  "hunt-server" = dontDistribute super."hunt-server";
  "hunt-server-cli" = dontDistribute super."hunt-server-cli";
  "hurdle" = dontDistribute super."hurdle";
  "husk-scheme" = dontDistribute super."husk-scheme";
  "husk-scheme-libs" = dontDistribute super."husk-scheme-libs";
  "husky" = dontDistribute super."husky";
  "hutton" = dontDistribute super."hutton";
  "huttons-razor" = dontDistribute super."huttons-razor";
  "huzzy" = dontDistribute super."huzzy";
  "hw-bits" = doDistribute super."hw-bits_0_0_0_6";
  "hw-json" = doDistribute super."hw-json_0_0_0_2";
  "hw-mquery" = dontDistribute super."hw-mquery";
  "hw-prim" = doDistribute super."hw-prim_0_0_0_10";
  "hw-rankselect" = doDistribute super."hw-rankselect_0_0_0_2";
  "hwall-auth-iitk" = dontDistribute super."hwall-auth-iitk";
  "hws" = dontDistribute super."hws";
  "hwsl2" = dontDistribute super."hwsl2";
  "hwsl2-bytevector" = dontDistribute super."hwsl2-bytevector";
  "hwsl2-reducers" = dontDistribute super."hwsl2-reducers";
  "hx" = dontDistribute super."hx";
  "hxmppc" = dontDistribute super."hxmppc";
  "hxournal" = dontDistribute super."hxournal";
  "hxt-binary" = dontDistribute super."hxt-binary";
  "hxt-cache" = dontDistribute super."hxt-cache";
  "hxt-extras" = dontDistribute super."hxt-extras";
  "hxt-filter" = dontDistribute super."hxt-filter";
  "hxt-xpath" = dontDistribute super."hxt-xpath";
  "hxt-xslt" = dontDistribute super."hxt-xslt";
  "hxthelper" = dontDistribute super."hxthelper";
  "hxweb" = dontDistribute super."hxweb";
  "hyahtzee" = dontDistribute super."hyahtzee";
  "hyakko" = dontDistribute super."hyakko";
  "hybrid" = dontDistribute super."hybrid";
  "hydra-hs" = dontDistribute super."hydra-hs";
  "hydra-print" = dontDistribute super."hydra-print";
  "hydrogen" = dontDistribute super."hydrogen";
  "hydrogen-cli" = dontDistribute super."hydrogen-cli";
  "hydrogen-cli-args" = dontDistribute super."hydrogen-cli-args";
  "hydrogen-data" = dontDistribute super."hydrogen-data";
  "hydrogen-multimap" = dontDistribute super."hydrogen-multimap";
  "hydrogen-parsing" = dontDistribute super."hydrogen-parsing";
  "hydrogen-prelude" = dontDistribute super."hydrogen-prelude";
  "hydrogen-prelude-parsec" = dontDistribute super."hydrogen-prelude-parsec";
  "hydrogen-syntax" = dontDistribute super."hydrogen-syntax";
  "hydrogen-util" = dontDistribute super."hydrogen-util";
  "hydrogen-version" = dontDistribute super."hydrogen-version";
  "hyena" = dontDistribute super."hyena";
  "hylide" = dontDistribute super."hylide";
  "hylogen" = dontDistribute super."hylogen";
  "hylolib" = dontDistribute super."hylolib";
  "hylotab" = dontDistribute super."hylotab";
  "hyloutils" = dontDistribute super."hyloutils";
  "hyperdrive" = dontDistribute super."hyperdrive";
  "hyperfunctions" = dontDistribute super."hyperfunctions";
  "hyperloglogplus" = dontDistribute super."hyperloglogplus";
  "hyperpublic" = dontDistribute super."hyperpublic";
  "hyphenate" = dontDistribute super."hyphenate";
  "hypher" = dontDistribute super."hypher";
  "hzaif" = dontDistribute super."hzaif";
  "hzk" = dontDistribute super."hzk";
  "i18n" = dontDistribute super."i18n";
  "iCalendar" = dontDistribute super."iCalendar";
  "iException" = dontDistribute super."iException";
  "iap-verifier" = dontDistribute super."iap-verifier";
  "ib-api" = dontDistribute super."ib-api";
  "iban" = dontDistribute super."iban";
  "ibus-hs" = dontDistribute super."ibus-hs";
  "ideas" = dontDistribute super."ideas";
  "ideas-math" = dontDistribute super."ideas-math";
  "idempotent" = dontDistribute super."idempotent";
  "identicon" = dontDistribute super."identicon";
  "identifiers" = dontDistribute super."identifiers";
  "idiii" = dontDistribute super."idiii";
  "idna" = dontDistribute super."idna";
  "idna2008" = dontDistribute super."idna2008";
  "idris" = doDistribute super."idris_0_11_2";
  "ieee" = dontDistribute super."ieee";
  "ieee-utils" = dontDistribute super."ieee-utils";
  "ieee-utils-tempfix" = dontDistribute super."ieee-utils-tempfix";
  "ieee754-parser" = dontDistribute super."ieee754-parser";
  "ifcxt" = dontDistribute super."ifcxt";
  "iff" = dontDistribute super."iff";
  "ifscs" = dontDistribute super."ifscs";
  "ig" = doDistribute super."ig_0_7";
  "ige-mac-integration" = dontDistribute super."ige-mac-integration";
  "igraph" = dontDistribute super."igraph";
  "igrf" = dontDistribute super."igrf";
  "ihaskell-display" = dontDistribute super."ihaskell-display";
  "ihaskell-parsec" = dontDistribute super."ihaskell-parsec";
  "ihaskell-plot" = dontDistribute super."ihaskell-plot";
  "ihaskell-widgets" = dontDistribute super."ihaskell-widgets";
  "ihttp" = dontDistribute super."ihttp";
  "ilist" = dontDistribute super."ilist";
  "illuminate" = dontDistribute super."illuminate";
  "image-type" = dontDistribute super."image-type";
  "imagefilters" = dontDistribute super."imagefilters";
  "imagemagick" = dontDistribute super."imagemagick";
  "imagepaste" = dontDistribute super."imagepaste";
  "imap" = dontDistribute super."imap";
  "imapget" = dontDistribute super."imapget";
  "imbib" = dontDistribute super."imbib";
  "imgurder" = dontDistribute super."imgurder";
  "imm" = dontDistribute super."imm";
  "imparse" = dontDistribute super."imparse";
  "imperative-edsl" = dontDistribute super."imperative-edsl";
  "imperative-edsl-vhdl" = dontDistribute super."imperative-edsl-vhdl";
  "implicit" = dontDistribute super."implicit";
  "implicit-logging" = dontDistribute super."implicit-logging";
  "implicit-params" = dontDistribute super."implicit-params";
  "imports" = dontDistribute super."imports";
  "impossible" = dontDistribute super."impossible";
  "improve" = dontDistribute super."improve";
  "impure-containers" = dontDistribute super."impure-containers";
  "inc-ref" = dontDistribute super."inc-ref";
  "inch" = dontDistribute super."inch";
  "incremental-computing" = dontDistribute super."incremental-computing";
  "incremental-maps" = dontDistribute super."incremental-maps";
  "incremental-sat-solver" = dontDistribute super."incremental-sat-solver";
  "increments" = dontDistribute super."increments";
  "indentation" = dontDistribute super."indentation";
  "indentation-core" = dontDistribute super."indentation-core";
  "indentation-parsec" = dontDistribute super."indentation-parsec";
  "indentation-trifecta" = dontDistribute super."indentation-trifecta";
  "indentparser" = dontDistribute super."indentparser";
  "index-core" = dontDistribute super."index-core";
  "indexed" = dontDistribute super."indexed";
  "indexed-do-notation" = dontDistribute super."indexed-do-notation";
  "indexed-extras" = dontDistribute super."indexed-extras";
  "indexed-free" = dontDistribute super."indexed-free";
  "indian-language-font-converter" = dontDistribute super."indian-language-font-converter";
  "indices" = dontDistribute super."indices";
  "indieweb-algorithms" = dontDistribute super."indieweb-algorithms";
  "inf-interval" = dontDistribute super."inf-interval";
  "infer-upstream" = dontDistribute super."infer-upstream";
  "infernu" = dontDistribute super."infernu";
  "infinite-search" = dontDistribute super."infinite-search";
  "infinity" = dontDistribute super."infinity";
  "infix" = dontDistribute super."infix";
  "inflist" = dontDistribute super."inflist";
  "influxdb" = dontDistribute super."influxdb";
  "informative" = dontDistribute super."informative";
  "ini-qq" = dontDistribute super."ini-qq";
  "inilist" = dontDistribute super."inilist";
  "inject" = dontDistribute super."inject";
  "inject-function" = dontDistribute super."inject-function";
  "inline-c" = doDistribute super."inline-c_0_5_5_5";
  "inline-c-win32" = dontDistribute super."inline-c-win32";
  "inline-java" = dontDistribute super."inline-java";
  "inline-r" = doDistribute super."inline-r_0_8_0_1";
  "inquire" = dontDistribute super."inquire";
  "inserts" = dontDistribute super."inserts";
  "inspection-proxy" = dontDistribute super."inspection-proxy";
  "instance-control" = dontDistribute super."instance-control";
  "instant-aeson" = dontDistribute super."instant-aeson";
  "instant-bytes" = dontDistribute super."instant-bytes";
  "instant-deepseq" = dontDistribute super."instant-deepseq";
  "instant-generics" = dontDistribute super."instant-generics";
  "instant-hashable" = dontDistribute super."instant-hashable";
  "instant-zipper" = dontDistribute super."instant-zipper";
  "instinct" = dontDistribute super."instinct";
  "instrument-chord" = dontDistribute super."instrument-chord";
  "int-cast" = dontDistribute super."int-cast";
  "integer-pure" = dontDistribute super."integer-pure";
  "integer-simple" = dontDistribute super."integer-simple";
  "intel-aes" = dontDistribute super."intel-aes";
  "interchangeable" = dontDistribute super."interchangeable";
  "interleavableGen" = dontDistribute super."interleavableGen";
  "interleavableIO" = dontDistribute super."interleavableIO";
  "interleave" = dontDistribute super."interleave";
  "interlude" = dontDistribute super."interlude";
  "interlude-l" = dontDistribute super."interlude-l";
  "intern" = dontDistribute super."intern";
  "internetmarke" = dontDistribute super."internetmarke";
  "intero" = dontDistribute super."intero";
  "interpol" = dontDistribute super."interpol";
  "interpolatedstring-qq" = dontDistribute super."interpolatedstring-qq";
  "interpolatedstring-qq-mwotton" = dontDistribute super."interpolatedstring-qq-mwotton";
  "interpolation" = dontDistribute super."interpolation";
  "interruptible" = dontDistribute super."interruptible";
  "interspersed" = dontDistribute super."interspersed";
  "intricacy" = dontDistribute super."intricacy";
  "intset" = dontDistribute super."intset";
  "invariant" = doDistribute super."invariant_0_3_1";
  "invertible" = dontDistribute super."invertible";
  "invertible-syntax" = dontDistribute super."invertible-syntax";
  "io-capture" = dontDistribute super."io-capture";
  "io-reactive" = dontDistribute super."io-reactive";
  "io-streams-http" = dontDistribute super."io-streams-http";
  "io-throttle" = dontDistribute super."io-throttle";
  "ioctl" = dontDistribute super."ioctl";
  "ioref-stable" = dontDistribute super."ioref-stable";
  "iothread" = dontDistribute super."iothread";
  "iotransaction" = dontDistribute super."iotransaction";
  "ip" = dontDistribute super."ip";
  "ip-quoter" = dontDistribute super."ip-quoter";
  "ipatch" = dontDistribute super."ipatch";
  "ipc" = dontDistribute super."ipc";
  "ipcvar" = dontDistribute super."ipcvar";
  "ipopt-hs" = dontDistribute super."ipopt-hs";
  "ipprint" = dontDistribute super."ipprint";
  "iptables-helpers" = dontDistribute super."iptables-helpers";
  "iptadmin" = dontDistribute super."iptadmin";
  "irc-bytestring" = dontDistribute super."irc-bytestring";
  "irc-client" = doDistribute super."irc-client_0_3_0_0";
  "irc-colors" = dontDistribute super."irc-colors";
  "irc-conduit" = doDistribute super."irc-conduit_0_1_2_0";
  "irc-core" = dontDistribute super."irc-core";
  "irc-fun-bot" = dontDistribute super."irc-fun-bot";
  "irc-fun-client" = dontDistribute super."irc-fun-client";
  "irc-fun-color" = dontDistribute super."irc-fun-color";
  "irc-fun-messages" = dontDistribute super."irc-fun-messages";
  "irc-fun-types" = dontDistribute super."irc-fun-types";
  "ircbot" = dontDistribute super."ircbot";
  "ircbouncer" = dontDistribute super."ircbouncer";
  "ireal" = dontDistribute super."ireal";
  "iridium" = dontDistribute super."iridium";
  "iron-mq" = dontDistribute super."iron-mq";
  "ironforge" = dontDistribute super."ironforge";
  "is" = dontDistribute super."is";
  "isdicom" = dontDistribute super."isdicom";
  "isevaluated" = dontDistribute super."isevaluated";
  "isiz" = dontDistribute super."isiz";
  "ismtp" = dontDistribute super."ismtp";
  "iso8583-bitmaps" = dontDistribute super."iso8583-bitmaps";
  "isobmff-builder" = dontDistribute super."isobmff-builder";
  "isohunt" = dontDistribute super."isohunt";
  "ispositive" = dontDistribute super."ispositive";
  "itanium-abi" = dontDistribute super."itanium-abi";
  "iter-stats" = dontDistribute super."iter-stats";
  "iterIO" = dontDistribute super."iterIO";
  "iteratee" = dontDistribute super."iteratee";
  "iteratee-compress" = dontDistribute super."iteratee-compress";
  "iteratee-mtl" = dontDistribute super."iteratee-mtl";
  "iteratee-parsec" = dontDistribute super."iteratee-parsec";
  "iteratee-stm" = dontDistribute super."iteratee-stm";
  "iterio-server" = dontDistribute super."iterio-server";
  "ivar-simple" = dontDistribute super."ivar-simple";
  "ivor" = dontDistribute super."ivor";
  "ivory" = dontDistribute super."ivory";
  "ivory-artifact" = dontDistribute super."ivory-artifact";
  "ivory-backend-c" = dontDistribute super."ivory-backend-c";
  "ivory-bitdata" = dontDistribute super."ivory-bitdata";
  "ivory-eval" = dontDistribute super."ivory-eval";
  "ivory-examples" = dontDistribute super."ivory-examples";
  "ivory-hw" = dontDistribute super."ivory-hw";
  "ivory-opts" = dontDistribute super."ivory-opts";
  "ivory-quickcheck" = dontDistribute super."ivory-quickcheck";
  "ivory-serialize" = dontDistribute super."ivory-serialize";
  "ivory-stdlib" = dontDistribute super."ivory-stdlib";
  "ivy-web" = dontDistribute super."ivy-web";
  "ixdopp" = dontDistribute super."ixdopp";
  "ixmonad" = dontDistribute super."ixmonad";
  "iyql" = dontDistribute super."iyql";
  "j2hs" = dontDistribute super."j2hs";
  "ja-base-extra" = dontDistribute super."ja-base-extra";
  "jack" = dontDistribute super."jack";
  "jack-bindings" = dontDistribute super."jack-bindings";
  "jackminimix" = dontDistribute super."jackminimix";
  "jacobi-roots" = dontDistribute super."jacobi-roots";
  "jail" = dontDistribute super."jail";
  "jailbreak-cabal" = dontDistribute super."jailbreak-cabal";
  "jalaali" = dontDistribute super."jalaali";
  "jalla" = dontDistribute super."jalla";
  "jammittools" = dontDistribute super."jammittools";
  "jarfind" = dontDistribute super."jarfind";
  "java-bridge" = dontDistribute super."java-bridge";
  "java-bridge-extras" = dontDistribute super."java-bridge-extras";
  "java-character" = dontDistribute super."java-character";
  "java-poker" = dontDistribute super."java-poker";
  "java-reflect" = dontDistribute super."java-reflect";
  "javaclass" = dontDistribute super."javaclass";
  "javasf" = dontDistribute super."javasf";
  "javav" = dontDistribute super."javav";
  "jcdecaux-vls" = dontDistribute super."jcdecaux-vls";
  "jdi" = dontDistribute super."jdi";
  "jespresso" = dontDistribute super."jespresso";
  "jobqueue" = dontDistribute super."jobqueue";
  "join" = dontDistribute super."join";
  "joinlist" = dontDistribute super."joinlist";
  "jonathanscard" = dontDistribute super."jonathanscard";
  "jort" = dontDistribute super."jort";
  "jpeg" = dontDistribute super."jpeg";
  "js-good-parts" = dontDistribute super."js-good-parts";
  "js-jquery" = doDistribute super."js-jquery_1_12_4";
  "jsaddle" = doDistribute super."jsaddle_0_3_0_3";
  "jsaddle-dom" = dontDistribute super."jsaddle-dom";
  "jsaddle-hello" = dontDistribute super."jsaddle-hello";
  "jsc" = dontDistribute super."jsc";
  "jsmw" = dontDistribute super."jsmw";
  "json-api" = dontDistribute super."json-api";
  "json-assertions" = dontDistribute super."json-assertions";
  "json-ast" = dontDistribute super."json-ast";
  "json-ast-json-encoder" = dontDistribute super."json-ast-json-encoder";
  "json-ast-quickcheck" = dontDistribute super."json-ast-quickcheck";
  "json-b" = dontDistribute super."json-b";
  "json-encoder" = dontDistribute super."json-encoder";
  "json-enumerator" = dontDistribute super."json-enumerator";
  "json-extra" = dontDistribute super."json-extra";
  "json-fu" = dontDistribute super."json-fu";
  "json-incremental-decoder" = dontDistribute super."json-incremental-decoder";
  "json-litobj" = dontDistribute super."json-litobj";
  "json-pointer" = dontDistribute super."json-pointer";
  "json-pointer-aeson" = dontDistribute super."json-pointer-aeson";
  "json-pointer-hasql" = dontDistribute super."json-pointer-hasql";
  "json-python" = dontDistribute super."json-python";
  "json-qq" = dontDistribute super."json-qq";
  "json-rpc" = dontDistribute super."json-rpc";
  "json-rpc-client" = dontDistribute super."json-rpc-client";
  "json-rpc-generic" = dontDistribute super."json-rpc-generic";
  "json-rpc-server" = dontDistribute super."json-rpc-server";
  "json-sop" = dontDistribute super."json-sop";
  "json-state" = dontDistribute super."json-state";
  "json-stream" = dontDistribute super."json-stream";
  "json-togo" = dontDistribute super."json-togo";
  "json-tools" = dontDistribute super."json-tools";
  "json-types" = dontDistribute super."json-types";
  "json2" = dontDistribute super."json2";
  "json2-hdbc" = dontDistribute super."json2-hdbc";
  "json2-types" = dontDistribute super."json2-types";
  "json2yaml" = dontDistribute super."json2yaml";
  "jsonresume" = dontDistribute super."jsonresume";
  "jsonrpc-conduit" = dontDistribute super."jsonrpc-conduit";
  "jsonschema-gen" = dontDistribute super."jsonschema-gen";
  "jsonsql" = dontDistribute super."jsonsql";
  "jsontsv" = dontDistribute super."jsontsv";
  "jspath" = dontDistribute super."jspath";
  "juandelacosa" = dontDistribute super."juandelacosa";
  "judy" = dontDistribute super."judy";
  "jukebox" = dontDistribute super."jukebox";
  "jump" = dontDistribute super."jump";
  "jumpthefive" = dontDistribute super."jumpthefive";
  "jvm-parser" = dontDistribute super."jvm-parser";
  "kademlia" = dontDistribute super."kademlia";
  "kafka-client" = dontDistribute super."kafka-client";
  "kan-extensions" = doDistribute super."kan-extensions_4_2_3";
  "kangaroo" = dontDistribute super."kangaroo";
  "kansas-lava" = dontDistribute super."kansas-lava";
  "kansas-lava-cores" = dontDistribute super."kansas-lava-cores";
  "kansas-lava-papilio" = dontDistribute super."kansas-lava-papilio";
  "kansas-lava-shake" = dontDistribute super."kansas-lava-shake";
  "karakuri" = dontDistribute super."karakuri";
  "karver" = dontDistribute super."karver";
  "katt" = dontDistribute super."katt";
  "kawhi" = dontDistribute super."kawhi";
  "kazura-queue" = dontDistribute super."kazura-queue";
  "kbq-gu" = dontDistribute super."kbq-gu";
  "kd-tree" = dontDistribute super."kd-tree";
  "kdesrc-build-extra" = dontDistribute super."kdesrc-build-extra";
  "keenser" = dontDistribute super."keenser";
  "keera-callbacks" = dontDistribute super."keera-callbacks";
  "keera-hails-i18n" = dontDistribute super."keera-hails-i18n";
  "keera-hails-mvc-controller" = dontDistribute super."keera-hails-mvc-controller";
  "keera-hails-mvc-environment-gtk" = dontDistribute super."keera-hails-mvc-environment-gtk";
  "keera-hails-mvc-model-lightmodel" = dontDistribute super."keera-hails-mvc-model-lightmodel";
  "keera-hails-mvc-model-protectedmodel" = dontDistribute super."keera-hails-mvc-model-protectedmodel";
  "keera-hails-mvc-solutions-config" = dontDistribute super."keera-hails-mvc-solutions-config";
  "keera-hails-mvc-solutions-gtk" = dontDistribute super."keera-hails-mvc-solutions-gtk";
  "keera-hails-mvc-view" = dontDistribute super."keera-hails-mvc-view";
  "keera-hails-mvc-view-gtk" = dontDistribute super."keera-hails-mvc-view-gtk";
  "keera-hails-reactive-fs" = dontDistribute super."keera-hails-reactive-fs";
  "keera-hails-reactive-gtk" = dontDistribute super."keera-hails-reactive-gtk";
  "keera-hails-reactive-network" = dontDistribute super."keera-hails-reactive-network";
  "keera-hails-reactive-polling" = dontDistribute super."keera-hails-reactive-polling";
  "keera-hails-reactive-wx" = dontDistribute super."keera-hails-reactive-wx";
  "keera-hails-reactive-yampa" = dontDistribute super."keera-hails-reactive-yampa";
  "keera-hails-reactivelenses" = dontDistribute super."keera-hails-reactivelenses";
  "keera-hails-reactivevalues" = dontDistribute super."keera-hails-reactivevalues";
  "keera-posture" = dontDistribute super."keera-posture";
  "keiretsu" = dontDistribute super."keiretsu";
  "kevin" = dontDistribute super."kevin";
  "keyed" = dontDistribute super."keyed";
  "keyring" = dontDistribute super."keyring";
  "keystore" = dontDistribute super."keystore";
  "keyvaluehash" = dontDistribute super."keyvaluehash";
  "keyword-args" = dontDistribute super."keyword-args";
  "khph" = dontDistribute super."khph";
  "kibro" = dontDistribute super."kibro";
  "kicad-data" = dontDistribute super."kicad-data";
  "kickass-torrents-dump-parser" = dontDistribute super."kickass-torrents-dump-parser";
  "kickchan" = dontDistribute super."kickchan";
  "kif-parser" = dontDistribute super."kif-parser";
  "kinds" = dontDistribute super."kinds";
  "kit" = dontDistribute super."kit";
  "kmeans-par" = dontDistribute super."kmeans-par";
  "kmeans-vector" = dontDistribute super."kmeans-vector";
  "knots" = dontDistribute super."knots";
  "koellner-phonetic" = dontDistribute super."koellner-phonetic";
  "kontrakcja-templates" = dontDistribute super."kontrakcja-templates";
  "korfu" = dontDistribute super."korfu";
  "kqueue" = dontDistribute super."kqueue";
  "krpc" = dontDistribute super."krpc";
  "ks-test" = dontDistribute super."ks-test";
  "ktx" = dontDistribute super."ktx";
  "kure-your-boilerplate" = dontDistribute super."kure-your-boilerplate";
  "kyotocabinet" = dontDistribute super."kyotocabinet";
  "l-bfgs-b" = dontDistribute super."l-bfgs-b";
  "labeled-graph" = dontDistribute super."labeled-graph";
  "labeled-tree" = dontDistribute super."labeled-tree";
  "laborantin-hs" = dontDistribute super."laborantin-hs";
  "labyrinth" = dontDistribute super."labyrinth";
  "labyrinth-server" = dontDistribute super."labyrinth-server";
  "lagrangian" = dontDistribute super."lagrangian";
  "laika" = dontDistribute super."laika";
  "lambda-ast" = dontDistribute super."lambda-ast";
  "lambda-bridge" = dontDistribute super."lambda-bridge";
  "lambda-canvas" = dontDistribute super."lambda-canvas";
  "lambda-devs" = dontDistribute super."lambda-devs";
  "lambda-options" = dontDistribute super."lambda-options";
  "lambda-placeholders" = dontDistribute super."lambda-placeholders";
  "lambda-toolbox" = dontDistribute super."lambda-toolbox";
  "lambda2js" = dontDistribute super."lambda2js";
  "lambdaBase" = dontDistribute super."lambdaBase";
  "lambdaFeed" = dontDistribute super."lambdaFeed";
  "lambdaLit" = dontDistribute super."lambdaLit";
  "lambdabot" = dontDistribute super."lambdabot";
  "lambdabot-core" = dontDistribute super."lambdabot-core";
  "lambdabot-haskell-plugins" = dontDistribute super."lambdabot-haskell-plugins";
  "lambdabot-irc-plugins" = dontDistribute super."lambdabot-irc-plugins";
  "lambdabot-misc-plugins" = dontDistribute super."lambdabot-misc-plugins";
  "lambdabot-novelty-plugins" = dontDistribute super."lambdabot-novelty-plugins";
  "lambdabot-reference-plugins" = dontDistribute super."lambdabot-reference-plugins";
  "lambdabot-social-plugins" = dontDistribute super."lambdabot-social-plugins";
  "lambdabot-trusted" = dontDistribute super."lambdabot-trusted";
  "lambdabot-utils" = dontDistribute super."lambdabot-utils";
  "lambdacat" = dontDistribute super."lambdacat";
  "lambdacms-core" = dontDistribute super."lambdacms-core";
  "lambdacms-media" = dontDistribute super."lambdacms-media";
  "lambdacube" = dontDistribute super."lambdacube";
  "lambdacube-bullet" = dontDistribute super."lambdacube-bullet";
  "lambdacube-core" = dontDistribute super."lambdacube-core";
  "lambdacube-edsl" = dontDistribute super."lambdacube-edsl";
  "lambdacube-engine" = dontDistribute super."lambdacube-engine";
  "lambdacube-examples" = dontDistribute super."lambdacube-examples";
  "lambdacube-samples" = dontDistribute super."lambdacube-samples";
  "lambdatex" = dontDistribute super."lambdatex";
  "lambdatwit" = dontDistribute super."lambdatwit";
  "lambdaya-bus" = dontDistribute super."lambdaya-bus";
  "lambdiff" = dontDistribute super."lambdiff";
  "lame-tester" = dontDistribute super."lame-tester";
  "language-asn1" = dontDistribute super."language-asn1";
  "language-bash" = dontDistribute super."language-bash";
  "language-boogie" = dontDistribute super."language-boogie";
  "language-c-comments" = dontDistribute super."language-c-comments";
  "language-c-inline" = dontDistribute super."language-c-inline";
  "language-cil" = dontDistribute super."language-cil";
  "language-css" = dontDistribute super."language-css";
  "language-dart" = dontDistribute super."language-dart";
  "language-dot" = dontDistribute super."language-dot";
  "language-ecmascript-analysis" = dontDistribute super."language-ecmascript-analysis";
  "language-eiffel" = dontDistribute super."language-eiffel";
  "language-fortran" = dontDistribute super."language-fortran";
  "language-gcl" = dontDistribute super."language-gcl";
  "language-go" = dontDistribute super."language-go";
  "language-guess" = dontDistribute super."language-guess";
  "language-java-classfile" = dontDistribute super."language-java-classfile";
  "language-javascript" = doDistribute super."language-javascript_0_6_0_8";
  "language-kort" = dontDistribute super."language-kort";
  "language-lua" = dontDistribute super."language-lua";
  "language-lua-qq" = dontDistribute super."language-lua-qq";
  "language-mixal" = dontDistribute super."language-mixal";
  "language-objc" = dontDistribute super."language-objc";
  "language-openscad" = dontDistribute super."language-openscad";
  "language-pig" = dontDistribute super."language-pig";
  "language-puppet" = dontDistribute super."language-puppet";
  "language-python" = dontDistribute super."language-python";
  "language-python-colour" = dontDistribute super."language-python-colour";
  "language-python-test" = dontDistribute super."language-python-test";
  "language-qux" = dontDistribute super."language-qux";
  "language-sh" = dontDistribute super."language-sh";
  "language-slice" = dontDistribute super."language-slice";
  "language-spelling" = dontDistribute super."language-spelling";
  "language-sqlite" = dontDistribute super."language-sqlite";
  "language-thrift" = doDistribute super."language-thrift_0_8_0_1";
  "language-typescript" = dontDistribute super."language-typescript";
  "language-vhdl" = dontDistribute super."language-vhdl";
  "language-webidl" = dontDistribute super."language-webidl";
  "lat" = dontDistribute super."lat";
  "latest-npm-version" = dontDistribute super."latest-npm-version";
  "latex" = dontDistribute super."latex";
  "launchpad-control" = dontDistribute super."launchpad-control";
  "lax" = dontDistribute super."lax";
  "layers" = dontDistribute super."layers";
  "layers-game" = dontDistribute super."layers-game";
  "layout" = dontDistribute super."layout";
  "layout-bootstrap" = dontDistribute super."layout-bootstrap";
  "lazy-io" = dontDistribute super."lazy-io";
  "lazy-search" = dontDistribute super."lazy-search";
  "lazyarray" = dontDistribute super."lazyarray";
  "lazyio" = dontDistribute super."lazyio";
  "lazysmallcheck" = dontDistribute super."lazysmallcheck";
  "lazysplines" = dontDistribute super."lazysplines";
  "lbfgs" = dontDistribute super."lbfgs";
  "lcs" = dontDistribute super."lcs";
  "ld-intervals" = dontDistribute super."ld-intervals";
  "lda" = dontDistribute super."lda";
  "ldap-client" = dontDistribute super."ldap-client";
  "ldif" = dontDistribute super."ldif";
  "leaf" = dontDistribute super."leaf";
  "leaky" = dontDistribute super."leaky";
  "leancheck" = dontDistribute super."leancheck";
  "leankit-api" = dontDistribute super."leankit-api";
  "leapseconds-announced" = dontDistribute super."leapseconds-announced";
  "learn" = dontDistribute super."learn";
  "learn-physics" = dontDistribute super."learn-physics";
  "learn-physics-examples" = dontDistribute super."learn-physics-examples";
  "learning-hmm" = dontDistribute super."learning-hmm";
  "leetify" = dontDistribute super."leetify";
  "legion" = dontDistribute super."legion";
  "leksah" = dontDistribute super."leksah";
  "lendingclub" = dontDistribute super."lendingclub";
  "lens" = doDistribute super."lens_4_13";
  "lens-family-th" = doDistribute super."lens-family-th_0_4_1_0";
  "lens-prelude" = dontDistribute super."lens-prelude";
  "lens-properties" = dontDistribute super."lens-properties";
  "lens-sop" = dontDistribute super."lens-sop";
  "lens-text-encoding" = dontDistribute super."lens-text-encoding";
  "lens-time" = dontDistribute super."lens-time";
  "lens-tutorial" = dontDistribute super."lens-tutorial";
  "lens-utils" = dontDistribute super."lens-utils";
  "lenses" = dontDistribute super."lenses";
  "lensref" = dontDistribute super."lensref";
  "lenz" = dontDistribute super."lenz";
  "lenz-template" = dontDistribute super."lenz-template";
  "level-monad" = dontDistribute super."level-monad";
  "leveldb-haskell-fork" = dontDistribute super."leveldb-haskell-fork";
  "levmar" = dontDistribute super."levmar";
  "levmar-chart" = dontDistribute super."levmar-chart";
  "lfst" = dontDistribute super."lfst";
  "lgtk" = dontDistribute super."lgtk";
  "lha" = dontDistribute super."lha";
  "lhae" = dontDistribute super."lhae";
  "lhc" = dontDistribute super."lhc";
  "lhe" = dontDistribute super."lhe";
  "lhs2TeX-hl" = dontDistribute super."lhs2TeX-hl";
  "lhs2html" = dontDistribute super."lhs2html";
  "lhslatex" = dontDistribute super."lhslatex";
  "libGenI" = dontDistribute super."libGenI";
  "libarchive-conduit" = dontDistribute super."libarchive-conduit";
  "libconfig" = dontDistribute super."libconfig";
  "libcspm" = dontDistribute super."libcspm";
  "libexpect" = dontDistribute super."libexpect";
  "libffi" = dontDistribute super."libffi";
  "libgraph" = dontDistribute super."libgraph";
  "libhbb" = dontDistribute super."libhbb";
  "libjenkins" = dontDistribute super."libjenkins";
  "liblastfm" = dontDistribute super."liblastfm";
  "liblinear-enumerator" = dontDistribute super."liblinear-enumerator";
  "libltdl" = dontDistribute super."libltdl";
  "libmpd" = dontDistribute super."libmpd";
  "libnvvm" = dontDistribute super."libnvvm";
  "liboleg" = dontDistribute super."liboleg";
  "libpafe" = dontDistribute super."libpafe";
  "libpq" = dontDistribute super."libpq";
  "librandomorg" = dontDistribute super."librandomorg";
  "libravatar" = dontDistribute super."libravatar";
  "libroman" = dontDistribute super."libroman";
  "libssh2" = dontDistribute super."libssh2";
  "libssh2-conduit" = dontDistribute super."libssh2-conduit";
  "libstackexchange" = dontDistribute super."libstackexchange";
  "libsystemd-daemon" = dontDistribute super."libsystemd-daemon";
  "libtagc" = dontDistribute super."libtagc";
  "libvirt-hs" = dontDistribute super."libvirt-hs";
  "libvorbis" = dontDistribute super."libvorbis";
  "libxls" = dontDistribute super."libxls";
  "libxml" = dontDistribute super."libxml";
  "libxml-enumerator" = dontDistribute super."libxml-enumerator";
  "libxslt" = dontDistribute super."libxslt";
  "life" = dontDistribute super."life";
  "lifted-base" = doDistribute super."lifted-base_0_2_3_8";
  "lifted-protolude" = dontDistribute super."lifted-protolude";
  "lifted-threads" = dontDistribute super."lifted-threads";
  "lifter" = dontDistribute super."lifter";
  "ligature" = dontDistribute super."ligature";
  "ligd" = dontDistribute super."ligd";
  "lighttpd-conf" = dontDistribute super."lighttpd-conf";
  "lighttpd-conf-qq" = dontDistribute super."lighttpd-conf-qq";
  "lilypond" = dontDistribute super."lilypond";
  "limp" = dontDistribute super."limp";
  "limp-cbc" = dontDistribute super."limp-cbc";
  "lin-alg" = dontDistribute super."lin-alg";
  "linda" = dontDistribute super."linda";
  "lindenmayer" = dontDistribute super."lindenmayer";
  "line-break" = dontDistribute super."line-break";
  "line2pdf" = dontDistribute super."line2pdf";
  "linear-algebra-cblas" = dontDistribute super."linear-algebra-cblas";
  "linear-circuit" = dontDistribute super."linear-circuit";
  "linear-grammar" = dontDistribute super."linear-grammar";
  "linear-maps" = dontDistribute super."linear-maps";
  "linear-opengl" = dontDistribute super."linear-opengl";
  "linear-vect" = dontDistribute super."linear-vect";
  "linearEqSolver" = dontDistribute super."linearEqSolver";
  "linearscan" = dontDistribute super."linearscan";
  "linearscan-hoopl" = dontDistribute super."linearscan-hoopl";
  "linebreak" = dontDistribute super."linebreak";
  "linguistic-ordinals" = dontDistribute super."linguistic-ordinals";
  "link-relations" = dontDistribute super."link-relations";
  "linkchk" = dontDistribute super."linkchk";
  "linkcore" = dontDistribute super."linkcore";
  "linkedhashmap" = dontDistribute super."linkedhashmap";
  "linklater" = dontDistribute super."linklater";
  "linode" = dontDistribute super."linode";
  "linux-blkid" = dontDistribute super."linux-blkid";
  "linux-cgroup" = dontDistribute super."linux-cgroup";
  "linux-evdev" = dontDistribute super."linux-evdev";
  "linux-inotify" = dontDistribute super."linux-inotify";
  "linux-kmod" = dontDistribute super."linux-kmod";
  "linux-mount" = dontDistribute super."linux-mount";
  "linux-perf" = dontDistribute super."linux-perf";
  "linux-ptrace" = dontDistribute super."linux-ptrace";
  "linux-xattr" = dontDistribute super."linux-xattr";
  "linx-gateway" = dontDistribute super."linx-gateway";
  "lio" = dontDistribute super."lio";
  "lio-eci11" = dontDistribute super."lio-eci11";
  "lio-fs" = dontDistribute super."lio-fs";
  "lio-simple" = dontDistribute super."lio-simple";
  "lipsum-gen" = dontDistribute super."lipsum-gen";
  "liquid-fixpoint" = dontDistribute super."liquid-fixpoint";
  "liquidhaskell" = dontDistribute super."liquidhaskell";
  "liquidhaskell-cabal" = dontDistribute super."liquidhaskell-cabal";
  "liquidhaskell-cabal-demo" = dontDistribute super."liquidhaskell-cabal-demo";
  "lispparser" = dontDistribute super."lispparser";
  "list-extras" = dontDistribute super."list-extras";
  "list-grouping" = dontDistribute super."list-grouping";
  "list-mux" = dontDistribute super."list-mux";
  "list-remote-forwards" = dontDistribute super."list-remote-forwards";
  "list-t-attoparsec" = dontDistribute super."list-t-attoparsec";
  "list-t-html-parser" = dontDistribute super."list-t-html-parser";
  "list-t-http-client" = dontDistribute super."list-t-http-client";
  "list-t-libcurl" = dontDistribute super."list-t-libcurl";
  "list-t-text" = dontDistribute super."list-t-text";
  "list-transformer" = dontDistribute super."list-transformer";
  "list-tries" = dontDistribute super."list-tries";
  "list-zip-def" = dontDistribute super."list-zip-def";
  "listlike-instances" = dontDistribute super."listlike-instances";
  "lists" = dontDistribute super."lists";
  "listsafe" = dontDistribute super."listsafe";
  "lit" = dontDistribute super."lit";
  "literals" = dontDistribute super."literals";
  "live-sequencer" = dontDistribute super."live-sequencer";
  "ll-picosat" = dontDistribute super."ll-picosat";
  "llrbtree" = dontDistribute super."llrbtree";
  "llsd" = dontDistribute super."llsd";
  "llvm" = dontDistribute super."llvm";
  "llvm-analysis" = dontDistribute super."llvm-analysis";
  "llvm-base" = dontDistribute super."llvm-base";
  "llvm-base-types" = dontDistribute super."llvm-base-types";
  "llvm-base-util" = dontDistribute super."llvm-base-util";
  "llvm-data-interop" = dontDistribute super."llvm-data-interop";
  "llvm-extra" = dontDistribute super."llvm-extra";
  "llvm-ffi" = dontDistribute super."llvm-ffi";
  "llvm-general" = dontDistribute super."llvm-general";
  "llvm-general-pure" = dontDistribute super."llvm-general-pure";
  "llvm-general-quote" = dontDistribute super."llvm-general-quote";
  "llvm-ht" = dontDistribute super."llvm-ht";
  "llvm-pkg-config" = dontDistribute super."llvm-pkg-config";
  "llvm-pretty" = dontDistribute super."llvm-pretty";
  "llvm-pretty-bc-parser" = dontDistribute super."llvm-pretty-bc-parser";
  "llvm-tf" = dontDistribute super."llvm-tf";
  "llvm-tools" = dontDistribute super."llvm-tools";
  "lmdb" = dontDistribute super."lmdb";
  "lmonad" = dontDistribute super."lmonad";
  "lmonad-yesod" = dontDistribute super."lmonad-yesod";
  "loadavg" = dontDistribute super."loadavg";
  "local-address" = dontDistribute super."local-address";
  "local-search" = dontDistribute super."local-search";
  "located" = dontDistribute super."located";
  "located-base" = dontDistribute super."located-base";
  "located-monad-logger" = dontDistribute super."located-monad-logger";
  "locators" = dontDistribute super."locators";
  "loch" = dontDistribute super."loch";
  "lock-file" = dontDistribute super."lock-file";
  "locked-poll" = dontDistribute super."locked-poll";
  "lockfree-queue" = dontDistribute super."lockfree-queue";
  "log" = dontDistribute super."log";
  "log-effect" = dontDistribute super."log-effect";
  "log2json" = dontDistribute super."log2json";
  "logentries" = dontDistribute super."logentries";
  "logger" = dontDistribute super."logger";
  "logging" = dontDistribute super."logging";
  "logging-effect" = dontDistribute super."logging-effect";
  "logging-facade-journald" = dontDistribute super."logging-facade-journald";
  "logic-TPTP" = dontDistribute super."logic-TPTP";
  "logic-classes" = dontDistribute super."logic-classes";
  "logicst" = dontDistribute super."logicst";
  "logict-state" = dontDistribute super."logict-state";
  "logplex-parse" = dontDistribute super."logplex-parse";
  "logsink" = dontDistribute super."logsink";
  "lojban" = dontDistribute super."lojban";
  "lojbanParser" = dontDistribute super."lojbanParser";
  "lojbanXiragan" = dontDistribute super."lojbanXiragan";
  "lojysamban" = dontDistribute super."lojysamban";
  "lol" = dontDistribute super."lol";
  "lol-apps" = dontDistribute super."lol-apps";
  "loli" = dontDistribute super."loli";
  "lookup-tables" = dontDistribute super."lookup-tables";
  "loop-effin" = dontDistribute super."loop-effin";
  "loop-while" = dontDistribute super."loop-while";
  "loops" = dontDistribute super."loops";
  "loopy" = dontDistribute super."loopy";
  "lord" = dontDistribute super."lord";
  "lorem" = dontDistribute super."lorem";
  "loris" = dontDistribute super."loris";
  "loshadka" = dontDistribute super."loshadka";
  "lostcities" = dontDistribute super."lostcities";
  "lowgl" = dontDistribute super."lowgl";
  "lp-diagrams" = dontDistribute super."lp-diagrams";
  "lp-diagrams-svg" = dontDistribute super."lp-diagrams-svg";
  "ls-usb" = dontDistribute super."ls-usb";
  "lscabal" = dontDistribute super."lscabal";
  "lss" = dontDistribute super."lss";
  "lsystem" = dontDistribute super."lsystem";
  "ltext" = doDistribute super."ltext_0_0_2_1";
  "ltiv1p1" = dontDistribute super."ltiv1p1";
  "ltl" = dontDistribute super."ltl";
  "lua-bc" = dontDistribute super."lua-bc";
  "lua-bytecode" = dontDistribute super."lua-bytecode";
  "luachunk" = dontDistribute super."luachunk";
  "luautils" = dontDistribute super."luautils";
  "lub" = dontDistribute super."lub";
  "lucid-foundation" = dontDistribute super."lucid-foundation";
  "lucid-svg" = doDistribute super."lucid-svg_0_6_0_1";
  "lucienne" = dontDistribute super."lucienne";
  "luhn" = dontDistribute super."luhn";
  "lui" = dontDistribute super."lui";
  "luis-client" = dontDistribute super."luis-client";
  "luka" = dontDistribute super."luka";
  "lushtags" = dontDistribute super."lushtags";
  "luthor" = dontDistribute super."luthor";
  "lvish" = dontDistribute super."lvish";
  "lvmlib" = dontDistribute super."lvmlib";
  "lvmrun" = dontDistribute super."lvmrun";
  "lxc" = dontDistribute super."lxc";
  "lye" = dontDistribute super."lye";
  "lz4" = dontDistribute super."lz4";
  "lzma" = dontDistribute super."lzma";
  "lzma-clib" = dontDistribute super."lzma-clib";
  "lzma-enumerator" = dontDistribute super."lzma-enumerator";
  "lzma-streams" = dontDistribute super."lzma-streams";
  "maam" = dontDistribute super."maam";
  "mac" = dontDistribute super."mac";
  "macbeth-lib" = dontDistribute super."macbeth-lib";
  "maccatcher" = dontDistribute super."maccatcher";
  "machinecell" = dontDistribute super."machinecell";
  "machines" = doDistribute super."machines_0_5_1";
  "machines-zlib" = dontDistribute super."machines-zlib";
  "macho" = dontDistribute super."macho";
  "maclight" = dontDistribute super."maclight";
  "macosx-make-standalone" = dontDistribute super."macosx-make-standalone";
  "mage" = dontDistribute super."mage";
  "magico" = dontDistribute super."magico";
  "magma" = dontDistribute super."magma";
  "mahoro" = dontDistribute super."mahoro";
  "maid" = dontDistribute super."maid";
  "mailbox-count" = dontDistribute super."mailbox-count";
  "mailchimp-subscribe" = dontDistribute super."mailchimp-subscribe";
  "mailgun" = dontDistribute super."mailgun";
  "majordomo" = dontDistribute super."majordomo";
  "majority" = dontDistribute super."majority";
  "make-hard-links" = dontDistribute super."make-hard-links";
  "make-package" = dontDistribute super."make-package";
  "makedo" = dontDistribute super."makedo";
  "makefile" = dontDistribute super."makefile";
  "manatee" = dontDistribute super."manatee";
  "manatee-all" = dontDistribute super."manatee-all";
  "manatee-anything" = dontDistribute super."manatee-anything";
  "manatee-browser" = dontDistribute super."manatee-browser";
  "manatee-core" = dontDistribute super."manatee-core";
  "manatee-curl" = dontDistribute super."manatee-curl";
  "manatee-editor" = dontDistribute super."manatee-editor";
  "manatee-filemanager" = dontDistribute super."manatee-filemanager";
  "manatee-imageviewer" = dontDistribute super."manatee-imageviewer";
  "manatee-ircclient" = dontDistribute super."manatee-ircclient";
  "manatee-mplayer" = dontDistribute super."manatee-mplayer";
  "manatee-pdfviewer" = dontDistribute super."manatee-pdfviewer";
  "manatee-processmanager" = dontDistribute super."manatee-processmanager";
  "manatee-reader" = dontDistribute super."manatee-reader";
  "manatee-template" = dontDistribute super."manatee-template";
  "manatee-terminal" = dontDistribute super."manatee-terminal";
  "manatee-welcome" = dontDistribute super."manatee-welcome";
  "mancala" = dontDistribute super."mancala";
  "mandulia" = dontDistribute super."mandulia";
  "mangopay" = dontDistribute super."mangopay";
  "manifold-random" = dontDistribute super."manifold-random";
  "manifolds" = dontDistribute super."manifolds";
  "map-exts" = dontDistribute super."map-exts";
  "mappy" = dontDistribute super."mappy";
  "marionetta" = dontDistribute super."marionetta";
  "markdown-kate" = dontDistribute super."markdown-kate";
  "markdown-pap" = dontDistribute super."markdown-pap";
  "markdown2svg" = dontDistribute super."markdown2svg";
  "marked-pretty" = dontDistribute super."marked-pretty";
  "markov" = dontDistribute super."markov";
  "markov-chain" = dontDistribute super."markov-chain";
  "markov-processes" = dontDistribute super."markov-processes";
  "markup-preview" = dontDistribute super."markup-preview";
  "marmalade-upload" = dontDistribute super."marmalade-upload";
  "marquise" = dontDistribute super."marquise";
  "marxup" = dontDistribute super."marxup";
  "masakazu-bot" = dontDistribute super."masakazu-bot";
  "mastermind" = dontDistribute super."mastermind";
  "matcher" = dontDistribute super."matcher";
  "matchers" = dontDistribute super."matchers";
  "math-functions" = doDistribute super."math-functions_0_1_7_0";
  "mathblog" = dontDistribute super."mathblog";
  "mathgenealogy" = dontDistribute super."mathgenealogy";
  "mathista" = dontDistribute super."mathista";
  "mathlink" = dontDistribute super."mathlink";
  "matlab" = dontDistribute super."matlab";
  "matrix-market" = dontDistribute super."matrix-market";
  "matrix-market-pure" = dontDistribute super."matrix-market-pure";
  "matsuri" = dontDistribute super."matsuri";
  "maude" = dontDistribute super."maude";
  "maxent" = dontDistribute super."maxent";
  "maxsharing" = dontDistribute super."maxsharing";
  "maybe-justify" = dontDistribute super."maybe-justify";
  "maybench" = dontDistribute super."maybench";
  "mbox-tools" = dontDistribute super."mbox-tools";
  "mcm" = dontDistribute super."mcm";
  "mcmaster-gloss-examples" = dontDistribute super."mcmaster-gloss-examples";
  "mcmc-samplers" = dontDistribute super."mcmc-samplers";
  "mcmc-synthesis" = dontDistribute super."mcmc-synthesis";
  "mcpi" = dontDistribute super."mcpi";
  "mdapi" = dontDistribute super."mdapi";
  "mdcat" = dontDistribute super."mdcat";
  "mdo" = dontDistribute super."mdo";
  "mdp" = dontDistribute super."mdp";
  "means" = dontDistribute super."means";
  "mecab" = dontDistribute super."mecab";
  "mecha" = dontDistribute super."mecha";
  "mediawiki" = dontDistribute super."mediawiki";
  "mediawiki2latex" = dontDistribute super."mediawiki2latex";
  "medium-sdk-haskell" = dontDistribute super."medium-sdk-haskell";
  "meep" = dontDistribute super."meep";
  "mega-sdist" = dontDistribute super."mega-sdist";
  "megaparsec" = doDistribute super."megaparsec_4_4_0";
  "meldable-heap" = dontDistribute super."meldable-heap";
  "mellon-core" = dontDistribute super."mellon-core";
  "mellon-gpio" = dontDistribute super."mellon-gpio";
  "mellon-web" = dontDistribute super."mellon-web";
  "melody" = dontDistribute super."melody";
  "memcache" = dontDistribute super."memcache";
  "memcache-conduit" = dontDistribute super."memcache-conduit";
  "memcache-haskell" = dontDistribute super."memcache-haskell";
  "memcached" = dontDistribute super."memcached";
  "memexml" = dontDistribute super."memexml";
  "memo-ptr" = dontDistribute super."memo-ptr";
  "memo-sqlite" = dontDistribute super."memo-sqlite";
  "memscript" = dontDistribute super."memscript";
  "merge-bash-history" = dontDistribute super."merge-bash-history";
  "mersenne-random" = dontDistribute super."mersenne-random";
  "messente" = dontDistribute super."messente";
  "meta-misc" = dontDistribute super."meta-misc";
  "meta-par" = dontDistribute super."meta-par";
  "meta-par-accelerate" = dontDistribute super."meta-par-accelerate";
  "metadata" = dontDistribute super."metadata";
  "metamorphic" = dontDistribute super."metamorphic";
  "metaplug" = dontDistribute super."metaplug";
  "metric" = dontDistribute super."metric";
  "metricsd-client" = dontDistribute super."metricsd-client";
  "metronome" = dontDistribute super."metronome";
  "mezzolens" = dontDistribute super."mezzolens";
  "mfsolve" = dontDistribute super."mfsolve";
  "mgeneric" = dontDistribute super."mgeneric";
  "mi" = dontDistribute super."mi";
  "microbench" = dontDistribute super."microbench";
  "microformats2-types" = dontDistribute super."microformats2-types";
  "microlens-each" = dontDistribute super."microlens-each";
  "micrologger" = dontDistribute super."micrologger";
  "microtimer" = dontDistribute super."microtimer";
  "mida" = dontDistribute super."mida";
  "midi" = dontDistribute super."midi";
  "midi-alsa" = dontDistribute super."midi-alsa";
  "midi-music-box" = dontDistribute super."midi-music-box";
  "midi-util" = dontDistribute super."midi-util";
  "midimory" = dontDistribute super."midimory";
  "midisurface" = dontDistribute super."midisurface";
  "mighttpd" = dontDistribute super."mighttpd";
  "mighttpd2" = dontDistribute super."mighttpd2";
  "mikmod" = dontDistribute super."mikmod";
  "miku" = dontDistribute super."miku";
  "milena" = dontDistribute super."milena";
  "mime" = dontDistribute super."mime";
  "mime-directory" = dontDistribute super."mime-directory";
  "mime-string" = dontDistribute super."mime-string";
  "minecraft-data" = dontDistribute super."minecraft-data";
  "mines" = dontDistribute super."mines";
  "minesweeper" = dontDistribute super."minesweeper";
  "miniball" = dontDistribute super."miniball";
  "miniforth" = dontDistribute super."miniforth";
  "minilens" = dontDistribute super."minilens";
  "minimal-configuration" = dontDistribute super."minimal-configuration";
  "minimorph" = dontDistribute super."minimorph";
  "minimung" = dontDistribute super."minimung";
  "minions" = dontDistribute super."minions";
  "minioperational" = dontDistribute super."minioperational";
  "miniplex" = dontDistribute super."miniplex";
  "minirotate" = dontDistribute super."minirotate";
  "minisat" = dontDistribute super."minisat";
  "ministg" = dontDistribute super."ministg";
  "miniutter" = dontDistribute super."miniutter";
  "minlen" = dontDistribute super."minlen";
  "minst-idx" = dontDistribute super."minst-idx";
  "mios" = dontDistribute super."mios";
  "mirror-tweet" = dontDistribute super."mirror-tweet";
  "missing-py2" = dontDistribute super."missing-py2";
  "mix-arrows" = dontDistribute super."mix-arrows";
  "mixed-strategies" = dontDistribute super."mixed-strategies";
  "mkbndl" = dontDistribute super."mkbndl";
  "mkcabal" = dontDistribute super."mkcabal";
  "ml-w" = dontDistribute super."ml-w";
  "mlist" = dontDistribute super."mlist";
  "mmtl" = dontDistribute super."mmtl";
  "mmtl-base" = dontDistribute super."mmtl-base";
  "mnist-idx" = dontDistribute super."mnist-idx";
  "moan" = dontDistribute super."moan";
  "modbus-tcp" = dontDistribute super."modbus-tcp";
  "modelicaparser" = dontDistribute super."modelicaparser";
  "modsplit" = dontDistribute super."modsplit";
  "modular-arithmetic" = dontDistribute super."modular-arithmetic";
  "modular-prelude" = dontDistribute super."modular-prelude";
  "modular-prelude-classy" = dontDistribute super."modular-prelude-classy";
  "module-management" = dontDistribute super."module-management";
  "modulespection" = dontDistribute super."modulespection";
  "modulo" = dontDistribute super."modulo";
  "moe" = dontDistribute super."moe";
  "mohws" = dontDistribute super."mohws";
  "monad-abort-fd" = dontDistribute super."monad-abort-fd";
  "monad-atom" = dontDistribute super."monad-atom";
  "monad-atom-simple" = dontDistribute super."monad-atom-simple";
  "monad-bool" = dontDistribute super."monad-bool";
  "monad-classes" = dontDistribute super."monad-classes";
  "monad-codec" = dontDistribute super."monad-codec";
  "monad-connect" = dontDistribute super."monad-connect";
  "monad-dijkstra" = dontDistribute super."monad-dijkstra";
  "monad-exception" = dontDistribute super."monad-exception";
  "monad-fork" = dontDistribute super."monad-fork";
  "monad-gen" = dontDistribute super."monad-gen";
  "monad-hash" = dontDistribute super."monad-hash";
  "monad-interleave" = dontDistribute super."monad-interleave";
  "monad-levels" = dontDistribute super."monad-levels";
  "monad-lgbt" = dontDistribute super."monad-lgbt";
  "monad-log" = dontDistribute super."monad-log";
  "monad-logger-prefix" = dontDistribute super."monad-logger-prefix";
  "monad-loops-stm" = dontDistribute super."monad-loops-stm";
  "monad-lrs" = dontDistribute super."monad-lrs";
  "monad-memo" = dontDistribute super."monad-memo";
  "monad-mersenne-random" = dontDistribute super."monad-mersenne-random";
  "monad-open" = dontDistribute super."monad-open";
  "monad-ox" = dontDistribute super."monad-ox";
  "monad-parallel-progressbar" = dontDistribute super."monad-parallel-progressbar";
  "monad-param" = dontDistribute super."monad-param";
  "monad-ran" = dontDistribute super."monad-ran";
  "monad-resumption" = dontDistribute super."monad-resumption";
  "monad-state" = dontDistribute super."monad-state";
  "monad-statevar" = dontDistribute super."monad-statevar";
  "monad-ste" = dontDistribute super."monad-ste";
  "monad-stlike-io" = dontDistribute super."monad-stlike-io";
  "monad-stlike-stm" = dontDistribute super."monad-stlike-stm";
  "monad-stm" = dontDistribute super."monad-stm";
  "monad-supply" = dontDistribute super."monad-supply";
  "monad-task" = dontDistribute super."monad-task";
  "monad-timing" = dontDistribute super."monad-timing";
  "monad-tx" = dontDistribute super."monad-tx";
  "monad-unify" = dontDistribute super."monad-unify";
  "monad-wrap" = dontDistribute super."monad-wrap";
  "monadIO" = dontDistribute super."monadIO";
  "monadLib-compose" = dontDistribute super."monadLib-compose";
  "monadacme" = dontDistribute super."monadacme";
  "monadbi" = dontDistribute super."monadbi";
  "monadfibre" = dontDistribute super."monadfibre";
  "monadiccp" = dontDistribute super."monadiccp";
  "monadiccp-gecode" = dontDistribute super."monadiccp-gecode";
  "monadio-unwrappable" = dontDistribute super."monadio-unwrappable";
  "monadlist" = dontDistribute super."monadlist";
  "monadloc-pp" = dontDistribute super."monadloc-pp";
  "monads-fd" = dontDistribute super."monads-fd";
  "monadtransform" = dontDistribute super."monadtransform";
  "monarch" = dontDistribute super."monarch";
  "mondo" = dontDistribute super."mondo";
  "mongoDB" = doDistribute super."mongoDB_2_0_10";
  "mongodb-queue" = dontDistribute super."mongodb-queue";
  "mongrel2-handler" = dontDistribute super."mongrel2-handler";
  "monitor" = dontDistribute super."monitor";
  "monky" = dontDistribute super."monky";
  "mono-foldable" = dontDistribute super."mono-foldable";
  "mono-traversable" = doDistribute super."mono-traversable_0_10_2";
  "mono-traversable-instances" = dontDistribute super."mono-traversable-instances";
  "monoid-absorbing" = dontDistribute super."monoid-absorbing";
  "monoid-owns" = dontDistribute super."monoid-owns";
  "monoid-record" = dontDistribute super."monoid-record";
  "monoid-statistics" = dontDistribute super."monoid-statistics";
  "monoid-subclasses" = doDistribute super."monoid-subclasses_0_4_2";
  "monoid-transformer" = dontDistribute super."monoid-transformer";
  "monoidal-containers" = doDistribute super."monoidal-containers_0_1_2_5";
  "monoidplus" = dontDistribute super."monoidplus";
  "monoids" = dontDistribute super."monoids";
  "monomorphic" = dontDistribute super."monomorphic";
  "montage" = dontDistribute super."montage";
  "montage-client" = dontDistribute super."montage-client";
  "monte-carlo" = dontDistribute super."monte-carlo";
  "moo" = dontDistribute super."moo";
  "moonshine" = dontDistribute super."moonshine";
  "morfette" = dontDistribute super."morfette";
  "morfeusz" = dontDistribute super."morfeusz";
  "morph" = dontDistribute super."morph";
  "mosaico-lib" = dontDistribute super."mosaico-lib";
  "mount" = dontDistribute super."mount";
  "mp" = dontDistribute super."mp";
  "mp3decoder" = dontDistribute super."mp3decoder";
  "mpdmate" = dontDistribute super."mpdmate";
  "mpppc" = dontDistribute super."mpppc";
  "mpretty" = dontDistribute super."mpretty";
  "mpris" = dontDistribute super."mpris";
  "mprover" = dontDistribute super."mprover";
  "mps" = dontDistribute super."mps";
  "mpvguihs" = dontDistribute super."mpvguihs";
  "mqtt-hs" = dontDistribute super."mqtt-hs";
  "mrm" = dontDistribute super."mrm";
  "ms" = dontDistribute super."ms";
  "msgpack" = dontDistribute super."msgpack";
  "msgpack-aeson" = dontDistribute super."msgpack-aeson";
  "msgpack-idl" = dontDistribute super."msgpack-idl";
  "msgpack-rpc" = dontDistribute super."msgpack-rpc";
  "msh" = dontDistribute super."msh";
  "msu" = dontDistribute super."msu";
  "mtgoxapi" = dontDistribute super."mtgoxapi";
  "mtl-c" = dontDistribute super."mtl-c";
  "mtl-evil-instances" = dontDistribute super."mtl-evil-instances";
  "mtl-tf" = dontDistribute super."mtl-tf";
  "mtl-unleashed" = dontDistribute super."mtl-unleashed";
  "mtlparse" = dontDistribute super."mtlparse";
  "mtlx" = dontDistribute super."mtlx";
  "mtp" = dontDistribute super."mtp";
  "mtree" = dontDistribute super."mtree";
  "mucipher" = dontDistribute super."mucipher";
  "mudbath" = dontDistribute super."mudbath";
  "muesli" = dontDistribute super."muesli";
  "mueval" = dontDistribute super."mueval";
  "mulang" = dontDistribute super."mulang";
  "multext-east-msd" = dontDistribute super."multext-east-msd";
  "multi-cabal" = dontDistribute super."multi-cabal";
  "multiaddr" = dontDistribute super."multiaddr";
  "multifocal" = dontDistribute super."multifocal";
  "multihash" = dontDistribute super."multihash";
  "multipart-names" = dontDistribute super."multipart-names";
  "multipass" = dontDistribute super."multipass";
  "multiplate-simplified" = dontDistribute super."multiplate-simplified";
  "multiplicity" = dontDistribute super."multiplicity";
  "multirec" = dontDistribute super."multirec";
  "multirec-alt-deriver" = dontDistribute super."multirec-alt-deriver";
  "multirec-binary" = dontDistribute super."multirec-binary";
  "multisetrewrite" = dontDistribute super."multisetrewrite";
  "multistate" = dontDistribute super."multistate";
  "muon" = dontDistribute super."muon";
  "murder" = dontDistribute super."murder";
  "murmur" = dontDistribute super."murmur";
  "murmur3" = dontDistribute super."murmur3";
  "murmurhash3" = dontDistribute super."murmurhash3";
  "music-articulation" = dontDistribute super."music-articulation";
  "music-diatonic" = dontDistribute super."music-diatonic";
  "music-dynamics" = dontDistribute super."music-dynamics";
  "music-dynamics-literal" = dontDistribute super."music-dynamics-literal";
  "music-graphics" = dontDistribute super."music-graphics";
  "music-parts" = dontDistribute super."music-parts";
  "music-pitch" = dontDistribute super."music-pitch";
  "music-pitch-literal" = dontDistribute super."music-pitch-literal";
  "music-preludes" = dontDistribute super."music-preludes";
  "music-score" = dontDistribute super."music-score";
  "music-sibelius" = dontDistribute super."music-sibelius";
  "music-suite" = dontDistribute super."music-suite";
  "music-util" = dontDistribute super."music-util";
  "musicbrainz-email" = dontDistribute super."musicbrainz-email";
  "musicxml" = dontDistribute super."musicxml";
  "musicxml2" = dontDistribute super."musicxml2";
  "mustache-haskell" = dontDistribute super."mustache-haskell";
  "mustache2hs" = dontDistribute super."mustache2hs";
  "mutable-iter" = dontDistribute super."mutable-iter";
  "mute-unmute" = dontDistribute super."mute-unmute";
  "mvc" = dontDistribute super."mvc";
  "mvc-updates" = dontDistribute super."mvc-updates";
  "mvclient" = dontDistribute super."mvclient";
  "mwc-random-monad" = dontDistribute super."mwc-random-monad";
  "myTestlll" = dontDistribute super."myTestlll";
  "mybitcoin-sci" = dontDistribute super."mybitcoin-sci";
  "myo" = dontDistribute super."myo";
  "mysnapsession" = dontDistribute super."mysnapsession";
  "mysnapsession-example" = dontDistribute super."mysnapsession-example";
  "mysql-effect" = dontDistribute super."mysql-effect";
  "mysql-simple-quasi" = dontDistribute super."mysql-simple-quasi";
  "mysql-simple-typed" = dontDistribute super."mysql-simple-typed";
  "mywatch" = dontDistribute super."mywatch";
  "mzv" = dontDistribute super."mzv";
  "n-m" = dontDistribute super."n-m";
  "nagios-perfdata" = dontDistribute super."nagios-perfdata";
  "nagios-plugin-ekg" = dontDistribute super."nagios-plugin-ekg";
  "named-formlet" = dontDistribute super."named-formlet";
  "named-lock" = dontDistribute super."named-lock";
  "named-records" = dontDistribute super."named-records";
  "namelist" = dontDistribute super."namelist";
  "names" = dontDistribute super."names";
  "namespace" = dontDistribute super."namespace";
  "nano-cryptr" = dontDistribute super."nano-cryptr";
  "nano-hmac" = dontDistribute super."nano-hmac";
  "nano-md5" = dontDistribute super."nano-md5";
  "nanoAgda" = dontDistribute super."nanoAgda";
  "nanocurses" = dontDistribute super."nanocurses";
  "nanomsg" = dontDistribute super."nanomsg";
  "nanomsg-haskell" = dontDistribute super."nanomsg-haskell";
  "nanoparsec" = dontDistribute super."nanoparsec";
  "nanovg" = dontDistribute super."nanovg";
  "nanq" = dontDistribute super."nanq";
  "narc" = dontDistribute super."narc";
  "nat" = dontDistribute super."nat";
  "native" = dontDistribute super."native";
  "nats-queue" = dontDistribute super."nats-queue";
  "natural-number" = dontDistribute super."natural-number";
  "natural-numbers" = dontDistribute super."natural-numbers";
  "naturalcomp" = dontDistribute super."naturalcomp";
  "naturals" = dontDistribute super."naturals";
  "naver-translate" = dontDistribute super."naver-translate";
  "nbt" = dontDistribute super."nbt";
  "nc-indicators" = dontDistribute super."nc-indicators";
  "ncurses" = dontDistribute super."ncurses";
  "neat" = dontDistribute super."neat";
  "needle" = dontDistribute super."needle";
  "neet" = dontDistribute super."neet";
  "nehe-tuts" = dontDistribute super."nehe-tuts";
  "neil" = dontDistribute super."neil";
  "neither" = dontDistribute super."neither";
  "nemesis" = dontDistribute super."nemesis";
  "nemesis-titan" = dontDistribute super."nemesis-titan";
  "nerf" = dontDistribute super."nerf";
  "nero" = dontDistribute super."nero";
  "nero-wai" = dontDistribute super."nero-wai";
  "nero-warp" = dontDistribute super."nero-warp";
  "nested-routes" = doDistribute super."nested-routes_7_0_0";
  "nested-sequence" = dontDistribute super."nested-sequence";
  "nested-sets" = dontDistribute super."nested-sets";
  "nestedmap" = dontDistribute super."nestedmap";
  "net-concurrent" = dontDistribute super."net-concurrent";
  "netclock" = dontDistribute super."netclock";
  "netcore" = dontDistribute super."netcore";
  "netlines" = dontDistribute super."netlines";
  "netlink" = dontDistribute super."netlink";
  "netlist" = dontDistribute super."netlist";
  "netlist-to-vhdl" = dontDistribute super."netlist-to-vhdl";
  "netpbm" = dontDistribute super."netpbm";
  "netrc" = dontDistribute super."netrc";
  "netspec" = dontDistribute super."netspec";
  "netstring-enumerator" = dontDistribute super."netstring-enumerator";
  "nettle-frp" = dontDistribute super."nettle-frp";
  "nettle-netkit" = dontDistribute super."nettle-netkit";
  "nettle-openflow" = dontDistribute super."nettle-openflow";
  "netwire" = dontDistribute super."netwire";
  "netwire-input" = dontDistribute super."netwire-input";
  "netwire-input-glfw" = dontDistribute super."netwire-input-glfw";
  "network-address" = dontDistribute super."network-address";
  "network-api-support" = dontDistribute super."network-api-support";
  "network-bitcoin" = dontDistribute super."network-bitcoin";
  "network-builder" = dontDistribute super."network-builder";
  "network-bytestring" = dontDistribute super."network-bytestring";
  "network-conduit" = dontDistribute super."network-conduit";
  "network-connection" = dontDistribute super."network-connection";
  "network-data" = dontDistribute super."network-data";
  "network-dbus" = dontDistribute super."network-dbus";
  "network-dns" = dontDistribute super."network-dns";
  "network-enumerator" = dontDistribute super."network-enumerator";
  "network-fancy" = dontDistribute super."network-fancy";
  "network-hans" = dontDistribute super."network-hans";
  "network-interfacerequest" = dontDistribute super."network-interfacerequest";
  "network-ip" = dontDistribute super."network-ip";
  "network-metrics" = dontDistribute super."network-metrics";
  "network-minihttp" = dontDistribute super."network-minihttp";
  "network-msg" = dontDistribute super."network-msg";
  "network-netpacket" = dontDistribute super."network-netpacket";
  "network-pgi" = dontDistribute super."network-pgi";
  "network-rpca" = dontDistribute super."network-rpca";
  "network-server" = dontDistribute super."network-server";
  "network-service" = dontDistribute super."network-service";
  "network-simple-sockaddr" = dontDistribute super."network-simple-sockaddr";
  "network-simple-tls" = dontDistribute super."network-simple-tls";
  "network-socket-options" = dontDistribute super."network-socket-options";
  "network-stream" = dontDistribute super."network-stream";
  "network-topic-models" = dontDistribute super."network-topic-models";
  "network-transport-amqp" = dontDistribute super."network-transport-amqp";
  "network-uri-static" = dontDistribute super."network-uri-static";
  "network-wai-router" = dontDistribute super."network-wai-router";
  "network-websocket" = dontDistribute super."network-websocket";
  "networked-game" = dontDistribute super."networked-game";
  "neural" = dontDistribute super."neural";
  "newports" = dontDistribute super."newports";
  "newsynth" = dontDistribute super."newsynth";
  "newt" = dontDistribute super."newt";
  "newtype-deriving" = dontDistribute super."newtype-deriving";
  "newtype-th" = dontDistribute super."newtype-th";
  "newtyper" = dontDistribute super."newtyper";
  "nextstep-plist" = dontDistribute super."nextstep-plist";
  "nf" = dontDistribute super."nf";
  "ngrams-loader" = dontDistribute super."ngrams-loader";
  "ngx-export" = dontDistribute super."ngx-export";
  "niagra" = dontDistribute super."niagra";
  "nibblestring" = dontDistribute super."nibblestring";
  "nicify" = dontDistribute super."nicify";
  "nicovideo-translator" = dontDistribute super."nicovideo-translator";
  "nikepub" = dontDistribute super."nikepub";
  "nimber" = dontDistribute super."nimber";
  "nist-beacon" = dontDistribute super."nist-beacon";
  "nitro" = dontDistribute super."nitro";
  "nix-eval" = dontDistribute super."nix-eval";
  "nixfromnpm" = dontDistribute super."nixfromnpm";
  "nixos-types" = dontDistribute super."nixos-types";
  "nkjp" = dontDistribute super."nkjp";
  "nlp-scores" = dontDistribute super."nlp-scores";
  "nlp-scores-scripts" = dontDistribute super."nlp-scores-scripts";
  "nm" = dontDistribute super."nm";
  "nme" = dontDistribute super."nme";
  "nntp" = dontDistribute super."nntp";
  "no-buffering-workaround" = dontDistribute super."no-buffering-workaround";
  "no-role-annots" = dontDistribute super."no-role-annots";
  "nofib-analyse" = dontDistribute super."nofib-analyse";
  "nofib-analyze" = dontDistribute super."nofib-analyze";
  "noise" = dontDistribute super."noise";
  "non-empty" = dontDistribute super."non-empty";
  "non-negative" = dontDistribute super."non-negative";
  "nondeterminism" = dontDistribute super."nondeterminism";
  "nonempty-alternative" = dontDistribute super."nonempty-alternative";
  "nonfree" = dontDistribute super."nonfree";
  "nonlinear-optimization" = dontDistribute super."nonlinear-optimization";
  "nonlinear-optimization-ad" = dontDistribute super."nonlinear-optimization-ad";
  "noodle" = dontDistribute super."noodle";
  "normaldistribution" = dontDistribute super."normaldistribution";
  "not-gloss" = dontDistribute super."not-gloss";
  "not-gloss-examples" = dontDistribute super."not-gloss-examples";
  "not-in-base" = dontDistribute super."not-in-base";
  "notcpp" = dontDistribute super."notcpp";
  "notmuch-haskell" = dontDistribute super."notmuch-haskell";
  "notmuch-web" = dontDistribute super."notmuch-web";
  "notzero" = dontDistribute super."notzero";
  "np-extras" = dontDistribute super."np-extras";
  "np-linear" = dontDistribute super."np-linear";
  "nptools" = dontDistribute super."nptools";
  "nth-prime" = dontDistribute super."nth-prime";
  "nthable" = dontDistribute super."nthable";
  "ntp-control" = dontDistribute super."ntp-control";
  "null-canvas" = dontDistribute super."null-canvas";
  "nullary" = dontDistribute super."nullary";
  "nullpipe" = dontDistribute super."nullpipe";
  "number" = dontDistribute super."number";
  "number-length" = dontDistribute super."number-length";
  "numbering" = dontDistribute super."numbering";
  "numerals" = dontDistribute super."numerals";
  "numerals-base" = dontDistribute super."numerals-base";
  "numeric-limits" = dontDistribute super."numeric-limits";
  "numeric-prelude" = dontDistribute super."numeric-prelude";
  "numeric-qq" = dontDistribute super."numeric-qq";
  "numeric-quest" = dontDistribute super."numeric-quest";
  "numeric-ranges" = dontDistribute super."numeric-ranges";
  "numeric-tools" = dontDistribute super."numeric-tools";
  "numericpeano" = dontDistribute super."numericpeano";
  "nums" = dontDistribute super."nums";
  "numtype" = dontDistribute super."numtype";
  "numtype-tf" = dontDistribute super."numtype-tf";
  "nurbs" = dontDistribute super."nurbs";
  "nvim-hs" = dontDistribute super."nvim-hs";
  "nvim-hs-contrib" = dontDistribute super."nvim-hs-contrib";
  "nyan" = dontDistribute super."nyan";
  "nylas" = dontDistribute super."nylas";
  "nymphaea" = dontDistribute super."nymphaea";
  "oanda-rest-api" = dontDistribute super."oanda-rest-api";
  "oauthenticated" = dontDistribute super."oauthenticated";
  "obdd" = dontDistribute super."obdd";
  "oberon0" = dontDistribute super."oberon0";
  "obj" = dontDistribute super."obj";
  "objectid" = dontDistribute super."objectid";
  "observable-sharing" = dontDistribute super."observable-sharing";
  "octane" = doDistribute super."octane_0_4_24";
  "octohat" = dontDistribute super."octohat";
  "octopus" = dontDistribute super."octopus";
  "oculus" = dontDistribute super."oculus";
  "oden-go-packages" = dontDistribute super."oden-go-packages";
  "oeis" = dontDistribute super."oeis";
  "off-simple" = dontDistribute super."off-simple";
  "ohloh-hs" = dontDistribute super."ohloh-hs";
  "oi" = dontDistribute super."oi";
  "oidc-client" = dontDistribute super."oidc-client";
  "ois-input-manager" = dontDistribute super."ois-input-manager";
  "old-version" = dontDistribute super."old-version";
  "olwrapper" = dontDistribute super."olwrapper";
  "omaketex" = dontDistribute super."omaketex";
  "omega" = dontDistribute super."omega";
  "omnicodec" = dontDistribute super."omnicodec";
  "on-a-horse" = dontDistribute super."on-a-horse";
  "on-demand-ssh-tunnel" = dontDistribute super."on-demand-ssh-tunnel";
  "once" = doDistribute super."once_0_1_0_0";
  "one-liner" = dontDistribute super."one-liner";
  "one-time-password" = dontDistribute super."one-time-password";
  "oneOfN" = dontDistribute super."oneOfN";
  "oneormore" = dontDistribute super."oneormore";
  "only" = dontDistribute super."only";
  "onu-course" = dontDistribute super."onu-course";
  "opaleye" = doDistribute super."opaleye_0_4_2_0";
  "opaleye-classy" = dontDistribute super."opaleye-classy";
  "opaleye-sqlite" = dontDistribute super."opaleye-sqlite";
  "open-haddock" = dontDistribute super."open-haddock";
  "open-pandoc" = dontDistribute super."open-pandoc";
  "open-signals" = dontDistribute super."open-signals";
  "open-symbology" = dontDistribute super."open-symbology";
  "open-typerep" = dontDistribute super."open-typerep";
  "open-union" = dontDistribute super."open-union";
  "open-witness" = dontDistribute super."open-witness";
  "opencog-atomspace" = dontDistribute super."opencog-atomspace";
  "opencv-raw" = dontDistribute super."opencv-raw";
  "opendatatable" = dontDistribute super."opendatatable";
  "openexchangerates" = dontDistribute super."openexchangerates";
  "openflow" = dontDistribute super."openflow";
  "opengl-dlp-stereo" = dontDistribute super."opengl-dlp-stereo";
  "opengl-spacenavigator" = dontDistribute super."opengl-spacenavigator";
  "opengles" = dontDistribute super."opengles";
  "openid" = dontDistribute super."openid";
  "openpgp" = dontDistribute super."openpgp";
  "openpgp-Crypto" = dontDistribute super."openpgp-Crypto";
  "openpgp-crypto-api" = dontDistribute super."openpgp-crypto-api";
  "opensoundcontrol-ht" = dontDistribute super."opensoundcontrol-ht";
  "openssh-github-keys" = dontDistribute super."openssh-github-keys";
  "openssl-createkey" = dontDistribute super."openssl-createkey";
  "opentheory" = dontDistribute super."opentheory";
  "opentheory-bits" = dontDistribute super."opentheory-bits";
  "opentheory-byte" = dontDistribute super."opentheory-byte";
  "opentheory-char" = dontDistribute super."opentheory-char";
  "opentheory-divides" = dontDistribute super."opentheory-divides";
  "opentheory-fibonacci" = dontDistribute super."opentheory-fibonacci";
  "opentheory-parser" = dontDistribute super."opentheory-parser";
  "opentheory-prime" = dontDistribute super."opentheory-prime";
  "opentheory-primitive" = dontDistribute super."opentheory-primitive";
  "opentheory-probability" = dontDistribute super."opentheory-probability";
  "opentheory-stream" = dontDistribute super."opentheory-stream";
  "opentheory-unicode" = dontDistribute super."opentheory-unicode";
  "operational-alacarte" = dontDistribute super."operational-alacarte";
  "operational-extra" = dontDistribute super."operational-extra";
  "opml" = dontDistribute super."opml";
  "opn" = dontDistribute super."opn";
  "optimal-blocks" = dontDistribute super."optimal-blocks";
  "optimization" = dontDistribute super."optimization";
  "optimusprime" = dontDistribute super."optimusprime";
  "option" = dontDistribute super."option";
  "optional" = dontDistribute super."optional";
  "options-time" = dontDistribute super."options-time";
  "optparse-declarative" = dontDistribute super."optparse-declarative";
  "optparse-text" = dontDistribute super."optparse-text";
  "orc" = dontDistribute super."orc";
  "orchestrate" = dontDistribute super."orchestrate";
  "orchid" = dontDistribute super."orchid";
  "orchid-demo" = dontDistribute super."orchid-demo";
  "ord-adhoc" = dontDistribute super."ord-adhoc";
  "order-maintenance" = dontDistribute super."order-maintenance";
  "order-statistic-tree" = dontDistribute super."order-statistic-tree";
  "order-statistics" = dontDistribute super."order-statistics";
  "ordered" = dontDistribute super."ordered";
  "orders" = dontDistribute super."orders";
  "ordrea" = dontDistribute super."ordrea";
  "organize-imports" = dontDistribute super."organize-imports";
  "orgmode" = dontDistribute super."orgmode";
  "orgmode-parse" = dontDistribute super."orgmode-parse";
  "origami" = dontDistribute super."origami";
  "os-release" = dontDistribute super."os-release";
  "osc" = dontDistribute super."osc";
  "oscpacking" = dontDistribute super."oscpacking";
  "osm-conduit" = dontDistribute super."osm-conduit";
  "osm-download" = dontDistribute super."osm-download";
  "oso2pdf" = dontDistribute super."oso2pdf";
  "osx-ar" = dontDistribute super."osx-ar";
  "ot" = dontDistribute super."ot";
  "ottparse-pretty" = dontDistribute super."ottparse-pretty";
  "overloaded-records" = dontDistribute super."overloaded-records";
  "overture" = dontDistribute super."overture";
  "pack" = dontDistribute super."pack";
  "package-o-tron" = dontDistribute super."package-o-tron";
  "package-vt" = dontDistribute super."package-vt";
  "packed-dawg" = dontDistribute super."packed-dawg";
  "packedstring" = dontDistribute super."packedstring";
  "packer" = dontDistribute super."packer";
  "packman" = dontDistribute super."packman";
  "packunused" = dontDistribute super."packunused";
  "pacman-memcache" = dontDistribute super."pacman-memcache";
  "padKONTROL" = dontDistribute super."padKONTROL";
  "pagarme" = dontDistribute super."pagarme";
  "pagination" = dontDistribute super."pagination";
  "pagure-hook-receiver" = dontDistribute super."pagure-hook-receiver";
  "palindromes" = dontDistribute super."palindromes";
  "pam" = dontDistribute super."pam";
  "panda" = dontDistribute super."panda";
  "pandoc-citeproc" = doDistribute super."pandoc-citeproc_0_9_1_1";
  "pandoc-citeproc-preamble" = dontDistribute super."pandoc-citeproc-preamble";
  "pandoc-crossref" = dontDistribute super."pandoc-crossref";
  "pandoc-csv2table" = dontDistribute super."pandoc-csv2table";
  "pandoc-include" = dontDistribute super."pandoc-include";
  "pandoc-japanese-filters" = dontDistribute super."pandoc-japanese-filters";
  "pandoc-lens" = dontDistribute super."pandoc-lens";
  "pandoc-placetable" = dontDistribute super."pandoc-placetable";
  "pandoc-plantuml-diagrams" = dontDistribute super."pandoc-plantuml-diagrams";
  "pandoc-unlit" = dontDistribute super."pandoc-unlit";
  "pango" = doDistribute super."pango_0_13_1_1";
  "papillon" = dontDistribute super."papillon";
  "pappy" = dontDistribute super."pappy";
  "para" = dontDistribute super."para";
  "paragon" = dontDistribute super."paragon";
  "parallel-tasks" = dontDistribute super."parallel-tasks";
  "parallel-tree-search" = dontDistribute super."parallel-tree-search";
  "parameterized-data" = dontDistribute super."parameterized-data";
  "paranoia" = dontDistribute super."paranoia";
  "parco" = dontDistribute super."parco";
  "parco-attoparsec" = dontDistribute super."parco-attoparsec";
  "parco-parsec" = dontDistribute super."parco-parsec";
  "parcom-lib" = dontDistribute super."parcom-lib";
  "parconc-examples" = dontDistribute super."parconc-examples";
  "parport" = dontDistribute super."parport";
  "parse-dimacs" = dontDistribute super."parse-dimacs";
  "parse-help" = dontDistribute super."parse-help";
  "parsec-extra" = dontDistribute super."parsec-extra";
  "parsec-numbers" = dontDistribute super."parsec-numbers";
  "parsec-parsers" = dontDistribute super."parsec-parsers";
  "parsec-permutation" = dontDistribute super."parsec-permutation";
  "parsec-tagsoup" = dontDistribute super."parsec-tagsoup";
  "parsec-trace" = dontDistribute super."parsec-trace";
  "parsec-utils" = dontDistribute super."parsec-utils";
  "parsec1" = dontDistribute super."parsec1";
  "parsec2" = dontDistribute super."parsec2";
  "parsec3" = dontDistribute super."parsec3";
  "parsec3-numbers" = dontDistribute super."parsec3-numbers";
  "parsedate" = dontDistribute super."parsedate";
  "parseerror-eq" = dontDistribute super."parseerror-eq";
  "parsek" = dontDistribute super."parsek";
  "parsely" = dontDistribute super."parsely";
  "parser-helper" = dontDistribute super."parser-helper";
  "parser241" = dontDistribute super."parser241";
  "parsergen" = dontDistribute super."parsergen";
  "parsestar" = dontDistribute super."parsestar";
  "parsimony" = dontDistribute super."parsimony";
  "partage" = dontDistribute super."partage";
  "partial" = dontDistribute super."partial";
  "partial-lens" = dontDistribute super."partial-lens";
  "partial-uri" = dontDistribute super."partial-uri";
  "partly" = dontDistribute super."partly";
  "passage" = dontDistribute super."passage";
  "passwords" = dontDistribute super."passwords";
  "pastis" = dontDistribute super."pastis";
  "pasty" = dontDistribute super."pasty";
  "patch-combinators" = dontDistribute super."patch-combinators";
  "patch-image" = dontDistribute super."patch-image";
  "path-io" = doDistribute super."path-io_1_1_0";
  "pathfinding" = dontDistribute super."pathfinding";
  "pathfindingcore" = dontDistribute super."pathfindingcore";
  "pathtype" = dontDistribute super."pathtype";
  "patronscraper" = dontDistribute super."patronscraper";
  "patterns" = dontDistribute super."patterns";
  "paymill" = dontDistribute super."paymill";
  "paypal-adaptive-hoops" = dontDistribute super."paypal-adaptive-hoops";
  "paypal-api" = dontDistribute super."paypal-api";
  "pb" = dontDistribute super."pb";
  "pbc4hs" = dontDistribute super."pbc4hs";
  "pbkdf" = dontDistribute super."pbkdf";
  "pcap-conduit" = dontDistribute super."pcap-conduit";
  "pcap-enumerator" = dontDistribute super."pcap-enumerator";
  "pcd-loader" = dontDistribute super."pcd-loader";
  "pcf" = dontDistribute super."pcf";
  "pcg-random" = dontDistribute super."pcg-random";
  "pcre-less" = dontDistribute super."pcre-less";
  "pcre-light-extra" = dontDistribute super."pcre-light-extra";
  "pdf-toolbox-viewer" = dontDistribute super."pdf-toolbox-viewer";
  "pdf2line" = dontDistribute super."pdf2line";
  "pdfsplit" = dontDistribute super."pdfsplit";
  "pdynload" = dontDistribute super."pdynload";
  "peakachu" = dontDistribute super."peakachu";
  "peano" = dontDistribute super."peano";
  "peano-inf" = dontDistribute super."peano-inf";
  "pec" = dontDistribute super."pec";
  "pecoff" = dontDistribute super."pecoff";
  "peg" = dontDistribute super."peg";
  "peggy" = dontDistribute super."peggy";
  "pell" = dontDistribute super."pell";
  "penn-treebank" = dontDistribute super."penn-treebank";
  "penny" = dontDistribute super."penny";
  "penny-bin" = dontDistribute super."penny-bin";
  "penny-lib" = dontDistribute super."penny-lib";
  "peparser" = dontDistribute super."peparser";
  "perceptron" = dontDistribute super."perceptron";
  "perdure" = dontDistribute super."perdure";
  "perfecthash" = dontDistribute super."perfecthash";
  "period" = dontDistribute super."period";
  "periodic" = dontDistribute super."periodic";
  "perm" = dontDistribute super."perm";
  "permute" = dontDistribute super."permute";
  "persist2er" = dontDistribute super."persist2er";
  "persistent" = doDistribute super."persistent_2_2_4_1";
  "persistent-audit" = dontDistribute super."persistent-audit";
  "persistent-cereal" = dontDistribute super."persistent-cereal";
  "persistent-database-url" = dontDistribute super."persistent-database-url";
  "persistent-equivalence" = dontDistribute super."persistent-equivalence";
  "persistent-hssqlppp" = dontDistribute super."persistent-hssqlppp";
  "persistent-instances-iproute" = dontDistribute super."persistent-instances-iproute";
  "persistent-iproute" = dontDistribute super."persistent-iproute";
  "persistent-map" = dontDistribute super."persistent-map";
  "persistent-mongoDB" = doDistribute super."persistent-mongoDB_2_1_4";
  "persistent-mysql" = doDistribute super."persistent-mysql_2_3_0_2";
  "persistent-odbc" = dontDistribute super."persistent-odbc";
  "persistent-postgresql" = doDistribute super."persistent-postgresql_2_2_2";
  "persistent-protobuf" = dontDistribute super."persistent-protobuf";
  "persistent-ratelimit" = dontDistribute super."persistent-ratelimit";
  "persistent-redis" = dontDistribute super."persistent-redis";
  "persistent-sqlite" = doDistribute super."persistent-sqlite_2_2_1";
  "persistent-template" = doDistribute super."persistent-template_2_1_8_1";
  "persistent-vector" = dontDistribute super."persistent-vector";
  "persistent-zookeeper" = dontDistribute super."persistent-zookeeper";
  "persona" = dontDistribute super."persona";
  "persona-idp" = dontDistribute super."persona-idp";
  "pesca" = dontDistribute super."pesca";
  "peyotls" = dontDistribute super."peyotls";
  "peyotls-codec" = dontDistribute super."peyotls-codec";
  "pez" = dontDistribute super."pez";
  "pg-harness" = dontDistribute super."pg-harness";
  "pg-harness-client" = dontDistribute super."pg-harness-client";
  "pg-harness-server" = dontDistribute super."pg-harness-server";
  "pg-store" = dontDistribute super."pg-store";
  "pgdl" = dontDistribute super."pgdl";
  "pgm" = dontDistribute super."pgm";
  "pgsql-simple" = dontDistribute super."pgsql-simple";
  "pgstream" = dontDistribute super."pgstream";
  "phasechange" = dontDistribute super."phasechange";
  "phash" = dontDistribute super."phash";
  "phizzle" = dontDistribute super."phizzle";
  "phoityne" = dontDistribute super."phoityne";
  "phoityne-vscode" = dontDistribute super."phoityne-vscode";
  "phone-metadata" = dontDistribute super."phone-metadata";
  "phone-numbers" = dontDistribute super."phone-numbers";
  "phone-push" = dontDistribute super."phone-push";
  "phonetic-code" = dontDistribute super."phonetic-code";
  "phooey" = dontDistribute super."phooey";
  "photoname" = dontDistribute super."photoname";
  "phraskell" = dontDistribute super."phraskell";
  "phybin" = dontDistribute super."phybin";
  "pi-calculus" = dontDistribute super."pi-calculus";
  "pia-forward" = dontDistribute super."pia-forward";
  "pianola" = dontDistribute super."pianola";
  "picologic" = dontDistribute super."picologic";
  "picosat" = dontDistribute super."picosat";
  "piet" = dontDistribute super."piet";
  "piki" = dontDistribute super."piki";
  "pinboard" = dontDistribute super."pinboard";
  "pinch" = doDistribute super."pinch_0_2_0_2";
  "pipe-enumerator" = dontDistribute super."pipe-enumerator";
  "pipeclip" = dontDistribute super."pipeclip";
  "pipes-async" = dontDistribute super."pipes-async";
  "pipes-attoparsec-streaming" = dontDistribute super."pipes-attoparsec-streaming";
  "pipes-bzip" = dontDistribute super."pipes-bzip";
  "pipes-cacophony" = doDistribute super."pipes-cacophony_0_2_1";
  "pipes-cellular" = dontDistribute super."pipes-cellular";
  "pipes-cellular-csv" = dontDistribute super."pipes-cellular-csv";
  "pipes-cereal" = dontDistribute super."pipes-cereal";
  "pipes-cereal-plus" = dontDistribute super."pipes-cereal-plus";
  "pipes-cliff" = doDistribute super."pipes-cliff_0_10_0_4";
  "pipes-conduit" = dontDistribute super."pipes-conduit";
  "pipes-core" = dontDistribute super."pipes-core";
  "pipes-courier" = dontDistribute super."pipes-courier";
  "pipes-errors" = dontDistribute super."pipes-errors";
  "pipes-extra" = dontDistribute super."pipes-extra";
  "pipes-files" = dontDistribute super."pipes-files";
  "pipes-interleave" = dontDistribute super."pipes-interleave";
  "pipes-key-value-csv" = dontDistribute super."pipes-key-value-csv";
  "pipes-lzma" = dontDistribute super."pipes-lzma";
  "pipes-network-tls" = dontDistribute super."pipes-network-tls";
  "pipes-p2p" = dontDistribute super."pipes-p2p";
  "pipes-p2p-examples" = dontDistribute super."pipes-p2p-examples";
  "pipes-postgresql-simple" = dontDistribute super."pipes-postgresql-simple";
  "pipes-random" = dontDistribute super."pipes-random";
  "pipes-rt" = dontDistribute super."pipes-rt";
  "pipes-s3" = dontDistribute super."pipes-s3";
  "pipes-shell" = dontDistribute super."pipes-shell";
  "pipes-sqlite-simple" = dontDistribute super."pipes-sqlite-simple";
  "pipes-vector" = dontDistribute super."pipes-vector";
  "pipes-websockets" = dontDistribute super."pipes-websockets";
  "pipes-zeromq4" = dontDistribute super."pipes-zeromq4";
  "pipes-zlib" = dontDistribute super."pipes-zlib";
  "pisigma" = dontDistribute super."pisigma";
  "pit" = dontDistribute super."pit";
  "pitchtrack" = dontDistribute super."pitchtrack";
  "pivotal-tracker" = dontDistribute super."pivotal-tracker";
  "pixelated-avatar-generator" = dontDistribute super."pixelated-avatar-generator";
  "pkcs1" = dontDistribute super."pkcs1";
  "pkcs7" = dontDistribute super."pkcs7";
  "pkggraph" = dontDistribute super."pkggraph";
  "pktree" = dontDistribute super."pktree";
  "plailude" = dontDistribute super."plailude";
  "planar-graph" = dontDistribute super."planar-graph";
  "plat" = dontDistribute super."plat";
  "playlists" = dontDistribute super."playlists";
  "plist" = dontDistribute super."plist";
  "plist-buddy" = dontDistribute super."plist-buddy";
  "plivo" = dontDistribute super."plivo";
  "plot-lab" = dontDistribute super."plot-lab";
  "plotfont" = dontDistribute super."plotfont";
  "plotserver-api" = dontDistribute super."plotserver-api";
  "plugins" = dontDistribute super."plugins";
  "plugins-auto" = dontDistribute super."plugins-auto";
  "plugins-multistage" = dontDistribute super."plugins-multistage";
  "plumbers" = dontDistribute super."plumbers";
  "ply-loader" = dontDistribute super."ply-loader";
  "png-file" = dontDistribute super."png-file";
  "pngload" = dontDistribute super."pngload";
  "pngload-fixed" = dontDistribute super."pngload-fixed";
  "pnm" = dontDistribute super."pnm";
  "pocket-dns" = dontDistribute super."pocket-dns";
  "pointed" = doDistribute super."pointed_4_2_0_2";
  "pointfree" = dontDistribute super."pointfree";
  "pointless-haskell" = dontDistribute super."pointless-haskell";
  "pointless-lenses" = dontDistribute super."pointless-lenses";
  "pointless-rewrite" = dontDistribute super."pointless-rewrite";
  "poker-eval" = dontDistribute super."poker-eval";
  "pokitdok" = dontDistribute super."pokitdok";
  "polar" = dontDistribute super."polar";
  "polar-configfile" = dontDistribute super."polar-configfile";
  "polar-shader" = dontDistribute super."polar-shader";
  "polh-lexicon" = dontDistribute super."polh-lexicon";
  "polimorf" = dontDistribute super."polimorf";
  "poll" = dontDistribute super."poll";
  "poly-control" = dontDistribute super."poly-control";
  "polyToMonoid" = dontDistribute super."polyToMonoid";
  "polymap" = dontDistribute super."polymap";
  "polynom" = dontDistribute super."polynom";
  "polynomial" = dontDistribute super."polynomial";
  "polyseq" = dontDistribute super."polyseq";
  "polysoup" = dontDistribute super."polysoup";
  "polytypeable" = dontDistribute super."polytypeable";
  "polytypeable-utils" = dontDistribute super."polytypeable-utils";
  "pomodoro" = dontDistribute super."pomodoro";
  "ponder" = dontDistribute super."ponder";
  "pong-server" = dontDistribute super."pong-server";
  "pontarius-mediaserver" = dontDistribute super."pontarius-mediaserver";
  "pontarius-xmpp" = dontDistribute super."pontarius-xmpp";
  "pontarius-xpmn" = dontDistribute super."pontarius-xpmn";
  "pony" = dontDistribute super."pony";
  "pool" = dontDistribute super."pool";
  "pool-conduit" = dontDistribute super."pool-conduit";
  "pooled-io" = dontDistribute super."pooled-io";
  "pop3-client" = dontDistribute super."pop3-client";
  "popenhs" = dontDistribute super."popenhs";
  "poppler" = dontDistribute super."poppler";
  "populate-setup-exe-cache" = dontDistribute super."populate-setup-exe-cache";
  "portable-lines" = dontDistribute super."portable-lines";
  "portaudio" = dontDistribute super."portaudio";
  "porte" = dontDistribute super."porte";
  "porter" = dontDistribute super."porter";
  "ports" = dontDistribute super."ports";
  "ports-tools" = dontDistribute super."ports-tools";
  "positive" = dontDistribute super."positive";
  "posix-acl" = dontDistribute super."posix-acl";
  "posix-escape" = dontDistribute super."posix-escape";
  "posix-filelock" = dontDistribute super."posix-filelock";
  "posix-paths" = dontDistribute super."posix-paths";
  "posix-pty" = dontDistribute super."posix-pty";
  "posix-timer" = dontDistribute super."posix-timer";
  "posix-waitpid" = dontDistribute super."posix-waitpid";
  "possible" = dontDistribute super."possible";
  "postcodes" = dontDistribute super."postcodes";
  "postgresql-config" = dontDistribute super."postgresql-config";
  "postgresql-connector" = dontDistribute super."postgresql-connector";
  "postgresql-copy-escape" = dontDistribute super."postgresql-copy-escape";
  "postgresql-cube" = dontDistribute super."postgresql-cube";
  "postgresql-error-codes" = dontDistribute super."postgresql-error-codes";
  "postgresql-query" = dontDistribute super."postgresql-query";
  "postgresql-simple-bind" = dontDistribute super."postgresql-simple-bind";
  "postgresql-simple-migration" = dontDistribute super."postgresql-simple-migration";
  "postgresql-simple-sop" = dontDistribute super."postgresql-simple-sop";
  "postgresql-simple-typed" = dontDistribute super."postgresql-simple-typed";
  "postgresql-typed" = dontDistribute super."postgresql-typed";
  "postgrest" = dontDistribute super."postgrest";
  "postie" = dontDistribute super."postie";
  "postmark" = dontDistribute super."postmark";
  "postmaster" = dontDistribute super."postmaster";
  "potato-tool" = dontDistribute super."potato-tool";
  "potrace" = dontDistribute super."potrace";
  "potrace-diagrams" = dontDistribute super."potrace-diagrams";
  "powermate" = dontDistribute super."powermate";
  "powerpc" = dontDistribute super."powerpc";
  "ppm" = dontDistribute super."ppm";
  "pqc" = dontDistribute super."pqc";
  "pqueue" = dontDistribute super."pqueue";
  "pqueue-mtl" = dontDistribute super."pqueue-mtl";
  "practice-room" = dontDistribute super."practice-room";
  "precis" = dontDistribute super."precis";
  "predicates" = dontDistribute super."predicates";
  "prednote-test" = dontDistribute super."prednote-test";
  "prefork" = dontDistribute super."prefork";
  "pregame" = dontDistribute super."pregame";
  "prelude-compat" = dontDistribute super."prelude-compat";
  "prelude-edsl" = dontDistribute super."prelude-edsl";
  "prelude-generalize" = dontDistribute super."prelude-generalize";
  "prelude-plus" = dontDistribute super."prelude-plus";
  "prelude-prime" = dontDistribute super."prelude-prime";
  "prelude2010" = dontDistribute super."prelude2010";
  "preprocess-haskell" = dontDistribute super."preprocess-haskell";
  "present" = dontDistribute super."present";
  "press" = dontDistribute super."press";
  "presto-hdbc" = dontDistribute super."presto-hdbc";
  "prettify" = dontDistribute super."prettify";
  "pretty-compact" = dontDistribute super."pretty-compact";
  "pretty-error" = dontDistribute super."pretty-error";
  "pretty-ncols" = dontDistribute super."pretty-ncols";
  "pretty-show" = doDistribute super."pretty-show_1_6_12";
  "pretty-sop" = dontDistribute super."pretty-sop";
  "pretty-tree" = dontDistribute super."pretty-tree";
  "prettyFunctionComposing" = dontDistribute super."prettyFunctionComposing";
  "prim-spoon" = dontDistribute super."prim-spoon";
  "prim-uniq" = dontDistribute super."prim-uniq";
  "primitive-simd" = dontDistribute super."primitive-simd";
  "primula-board" = dontDistribute super."primula-board";
  "primula-bot" = dontDistribute super."primula-bot";
  "pringletons" = dontDistribute super."pringletons";
  "print-debugger" = dontDistribute super."print-debugger";
  "printf-mauke" = dontDistribute super."printf-mauke";
  "printf-safe" = dontDistribute super."printf-safe";
  "printxosd" = dontDistribute super."printxosd";
  "priority-queue" = dontDistribute super."priority-queue";
  "priority-sync" = dontDistribute super."priority-sync";
  "privileged-concurrency" = dontDistribute super."privileged-concurrency";
  "prizm" = dontDistribute super."prizm";
  "probability" = dontDistribute super."probability";
  "probable" = dontDistribute super."probable";
  "proc" = dontDistribute super."proc";
  "process-conduit" = dontDistribute super."process-conduit";
  "process-extras" = doDistribute super."process-extras_0_3_3_8";
  "process-iterio" = dontDistribute super."process-iterio";
  "process-leksah" = dontDistribute super."process-leksah";
  "process-listlike" = dontDistribute super."process-listlike";
  "process-progress" = dontDistribute super."process-progress";
  "process-qq" = dontDistribute super."process-qq";
  "processing" = dontDistribute super."processing";
  "processing-for-haskell" = dontDistribute super."processing-for-haskell";
  "processor-creative-kit" = dontDistribute super."processor-creative-kit";
  "procrastinating-structure" = dontDistribute super."procrastinating-structure";
  "procrastinating-variable" = dontDistribute super."procrastinating-variable";
  "procstat" = dontDistribute super."procstat";
  "proctest" = dontDistribute super."proctest";
  "prof2dot" = dontDistribute super."prof2dot";
  "prof2pretty" = dontDistribute super."prof2pretty";
  "progress" = dontDistribute super."progress";
  "progressbar" = dontDistribute super."progressbar";
  "progression" = dontDistribute super."progression";
  "progressive" = dontDistribute super."progressive";
  "proj4-hs-bindings" = dontDistribute super."proj4-hs-bindings";
  "projection" = dontDistribute super."projection";
  "prolog" = dontDistribute super."prolog";
  "prolog-graph" = dontDistribute super."prolog-graph";
  "prolog-graph-lib" = dontDistribute super."prolog-graph-lib";
  "prologue" = dontDistribute super."prologue";
  "prometheus" = dontDistribute super."prometheus";
  "promise" = dontDistribute super."promise";
  "promises" = dontDistribute super."promises";
  "propane" = dontDistribute super."propane";
  "propellor" = dontDistribute super."propellor";
  "properties" = dontDistribute super."properties";
  "property-list" = dontDistribute super."property-list";
  "proplang" = dontDistribute super."proplang";
  "props" = dontDistribute super."props";
  "prosper" = dontDistribute super."prosper";
  "proteaaudio" = dontDistribute super."proteaaudio";
  "proto-lens" = dontDistribute super."proto-lens";
  "proto-lens-arbitrary" = dontDistribute super."proto-lens-arbitrary";
  "proto-lens-combinators" = dontDistribute super."proto-lens-combinators";
  "proto-lens-optparse" = dontDistribute super."proto-lens-optparse";
  "proto-lens-protoc" = dontDistribute super."proto-lens-protoc";
  "protobuf-native" = dontDistribute super."protobuf-native";
  "protocol-buffers" = doDistribute super."protocol-buffers_2_2_0";
  "protocol-buffers-descriptor" = doDistribute super."protocol-buffers-descriptor_2_2_0";
  "protocol-buffers-descriptor-fork" = dontDistribute super."protocol-buffers-descriptor-fork";
  "protocol-buffers-fork" = dontDistribute super."protocol-buffers-fork";
  "proton-haskell" = dontDistribute super."proton-haskell";
  "prototype" = dontDistribute super."prototype";
  "prove-everywhere-server" = dontDistribute super."prove-everywhere-server";
  "proxy-kindness" = dontDistribute super."proxy-kindness";
  "psc-ide" = dontDistribute super."psc-ide";
  "pseudo-boolean" = dontDistribute super."pseudo-boolean";
  "pseudo-trie" = dontDistribute super."pseudo-trie";
  "pseudomacros" = dontDistribute super."pseudomacros";
  "pub" = dontDistribute super."pub";
  "publicsuffix" = doDistribute super."publicsuffix_0_20160522";
  "publicsuffixlist" = dontDistribute super."publicsuffixlist";
  "publicsuffixlistcreate" = dontDistribute super."publicsuffixlistcreate";
  "pubnub" = dontDistribute super."pubnub";
  "pubsub" = dontDistribute super."pubsub";
  "puffytools" = dontDistribute super."puffytools";
  "pugixml" = dontDistribute super."pugixml";
  "pugs-DrIFT" = dontDistribute super."pugs-DrIFT";
  "pugs-HsSyck" = dontDistribute super."pugs-HsSyck";
  "pugs-compat" = dontDistribute super."pugs-compat";
  "pugs-hsregex" = dontDistribute super."pugs-hsregex";
  "pulse" = dontDistribute super."pulse";
  "pulse-simple" = dontDistribute super."pulse-simple";
  "punkt" = dontDistribute super."punkt";
  "punycode" = dontDistribute super."punycode";
  "puppetresources" = dontDistribute super."puppetresources";
  "pure-fft" = dontDistribute super."pure-fft";
  "pure-priority-queue" = dontDistribute super."pure-priority-queue";
  "pure-priority-queue-tests" = dontDistribute super."pure-priority-queue-tests";
  "pure-zlib" = dontDistribute super."pure-zlib";
  "purescript" = doDistribute super."purescript_0_8_5_0";
  "purescript-bridge" = dontDistribute super."purescript-bridge";
  "purescript-bundle-fast" = dontDistribute super."purescript-bundle-fast";
  "pursuit-client" = dontDistribute super."pursuit-client";
  "push-notify" = dontDistribute super."push-notify";
  "push-notify-ccs" = dontDistribute super."push-notify-ccs";
  "push-notify-general" = dontDistribute super."push-notify-general";
  "pusher-haskell" = dontDistribute super."pusher-haskell";
  "pusher-http-haskell" = doDistribute super."pusher-http-haskell_0_3_0_2";
  "pusher-ws" = dontDistribute super."pusher-ws";
  "pushme" = dontDistribute super."pushme";
  "putlenses" = dontDistribute super."putlenses";
  "puzzle-draw" = dontDistribute super."puzzle-draw";
  "puzzle-draw-cmdline" = dontDistribute super."puzzle-draw-cmdline";
  "pvd" = dontDistribute super."pvd";
  "pwstore-cli" = dontDistribute super."pwstore-cli";
  "pxsl-tools" = dontDistribute super."pxsl-tools";
  "pyffi" = dontDistribute super."pyffi";
  "pyfi" = dontDistribute super."pyfi";
  "python-pickle" = dontDistribute super."python-pickle";
  "qc-oi-testgenerator" = dontDistribute super."qc-oi-testgenerator";
  "qd" = dontDistribute super."qd";
  "qd-vec" = dontDistribute super."qd-vec";
  "qed" = dontDistribute super."qed";
  "qhull-simple" = dontDistribute super."qhull-simple";
  "qrcode" = dontDistribute super."qrcode";
  "qt" = dontDistribute super."qt";
  "qtah-cpp-qt5" = dontDistribute super."qtah-cpp-qt5";
  "qtah-examples" = dontDistribute super."qtah-examples";
  "qtah-generator" = dontDistribute super."qtah-generator";
  "qtah-qt5" = dontDistribute super."qtah-qt5";
  "quadratic-irrational" = dontDistribute super."quadratic-irrational";
  "quantfin" = dontDistribute super."quantfin";
  "quantities" = dontDistribute super."quantities";
  "quantum-arrow" = dontDistribute super."quantum-arrow";
  "quantum-random" = dontDistribute super."quantum-random";
  "qudb" = dontDistribute super."qudb";
  "quenya-verb" = dontDistribute super."quenya-verb";
  "querystring-pickle" = dontDistribute super."querystring-pickle";
  "queue" = dontDistribute super."queue";
  "queuelike" = dontDistribute super."queuelike";
  "quick-generator" = dontDistribute super."quick-generator";
  "quick-schema" = dontDistribute super."quick-schema";
  "quickbooks" = dontDistribute super."quickbooks";
  "quickcheck-combinators" = dontDistribute super."quickcheck-combinators";
  "quickcheck-poly" = dontDistribute super."quickcheck-poly";
  "quickcheck-properties" = dontDistribute super."quickcheck-properties";
  "quickcheck-property-comb" = dontDistribute super."quickcheck-property-comb";
  "quickcheck-property-monad" = dontDistribute super."quickcheck-property-monad";
  "quickcheck-regex" = dontDistribute super."quickcheck-regex";
  "quickcheck-relaxng" = dontDistribute super."quickcheck-relaxng";
  "quickcheck-rematch" = dontDistribute super."quickcheck-rematch";
  "quickcheck-script" = dontDistribute super."quickcheck-script";
  "quickcheck-webdriver" = dontDistribute super."quickcheck-webdriver";
  "quicklz" = dontDistribute super."quicklz";
  "quickpull" = dontDistribute super."quickpull";
  "quickset" = dontDistribute super."quickset";
  "quickspec" = dontDistribute super."quickspec";
  "quickterm" = dontDistribute super."quickterm";
  "quicktest" = dontDistribute super."quicktest";
  "quickwebapp" = dontDistribute super."quickwebapp";
  "quipper" = dontDistribute super."quipper";
  "quiver" = dontDistribute super."quiver";
  "quiver-binary" = dontDistribute super."quiver-binary";
  "quiver-bytestring" = dontDistribute super."quiver-bytestring";
  "quiver-cell" = dontDistribute super."quiver-cell";
  "quiver-csv" = dontDistribute super."quiver-csv";
  "quiver-enumerator" = dontDistribute super."quiver-enumerator";
  "quiver-groups" = dontDistribute super."quiver-groups";
  "quiver-http" = dontDistribute super."quiver-http";
  "quiver-instances" = dontDistribute super."quiver-instances";
  "quiver-interleave" = dontDistribute super."quiver-interleave";
  "quiver-sort" = dontDistribute super."quiver-sort";
  "quoridor-hs" = dontDistribute super."quoridor-hs";
  "qux" = dontDistribute super."qux";
  "raaz" = dontDistribute super."raaz";
  "rabocsv2qif" = dontDistribute super."rabocsv2qif";
  "rad" = dontDistribute super."rad";
  "radian" = dontDistribute super."radian";
  "radium" = dontDistribute super."radium";
  "radium-formula-parser" = dontDistribute super."radium-formula-parser";
  "radix" = dontDistribute super."radix";
  "rados-haskell" = dontDistribute super."rados-haskell";
  "rail-compiler-editor" = dontDistribute super."rail-compiler-editor";
  "rainbow-tests" = dontDistribute super."rainbow-tests";
  "rake" = dontDistribute super."rake";
  "rakhana" = dontDistribute super."rakhana";
  "ralist" = dontDistribute super."ralist";
  "rallod" = dontDistribute super."rallod";
  "raml" = dontDistribute super."raml";
  "rand-vars" = dontDistribute super."rand-vars";
  "randfile" = dontDistribute super."randfile";
  "random-access-list" = dontDistribute super."random-access-list";
  "random-derive" = dontDistribute super."random-derive";
  "random-eff" = dontDistribute super."random-eff";
  "random-effin" = dontDistribute super."random-effin";
  "random-extras" = dontDistribute super."random-extras";
  "random-hypergeometric" = dontDistribute super."random-hypergeometric";
  "random-stream" = dontDistribute super."random-stream";
  "random-variates" = dontDistribute super."random-variates";
  "randomgen" = dontDistribute super."randomgen";
  "randproc" = dontDistribute super."randproc";
  "randsolid" = dontDistribute super."randsolid";
  "range-space" = dontDistribute super."range-space";
  "rangemin" = dontDistribute super."rangemin";
  "ranges" = dontDistribute super."ranges";
  "rapid" = dontDistribute super."rapid";
  "rascal" = dontDistribute super."rascal";
  "rate-limit" = dontDistribute super."rate-limit";
  "ratel" = doDistribute super."ratel_0_1_3";
  "ratel-wai" = doDistribute super."ratel-wai_0_1_2";
  "ratio-int" = dontDistribute super."ratio-int";
  "raven-haskell" = dontDistribute super."raven-haskell";
  "raven-haskell-scotty" = dontDistribute super."raven-haskell-scotty";
  "rawstring-qm" = dontDistribute super."rawstring-qm";
  "razom-text-util" = dontDistribute super."razom-text-util";
  "rbr" = dontDistribute super."rbr";
  "rclient" = dontDistribute super."rclient";
  "rcu" = dontDistribute super."rcu";
  "rdf4h" = dontDistribute super."rdf4h";
  "rdioh" = dontDistribute super."rdioh";
  "rdtsc" = dontDistribute super."rdtsc";
  "rdtsc-enolan" = dontDistribute super."rdtsc-enolan";
  "re2" = dontDistribute super."re2";
  "react-flux" = dontDistribute super."react-flux";
  "react-haskell" = dontDistribute super."react-haskell";
  "react-tutorial-haskell-server" = dontDistribute super."react-tutorial-haskell-server";
  "reaction-logic" = dontDistribute super."reaction-logic";
  "reactive" = dontDistribute super."reactive";
  "reactive-bacon" = dontDistribute super."reactive-bacon";
  "reactive-balsa" = dontDistribute super."reactive-balsa";
  "reactive-banana" = dontDistribute super."reactive-banana";
  "reactive-banana-sdl" = dontDistribute super."reactive-banana-sdl";
  "reactive-banana-sdl2" = dontDistribute super."reactive-banana-sdl2";
  "reactive-banana-threepenny" = dontDistribute super."reactive-banana-threepenny";
  "reactive-banana-wx" = dontDistribute super."reactive-banana-wx";
  "reactive-fieldtrip" = dontDistribute super."reactive-fieldtrip";
  "reactive-glut" = dontDistribute super."reactive-glut";
  "reactive-haskell" = dontDistribute super."reactive-haskell";
  "reactive-io" = dontDistribute super."reactive-io";
  "reactive-thread" = dontDistribute super."reactive-thread";
  "reactivity" = dontDistribute super."reactivity";
  "reactor" = dontDistribute super."reactor";
  "read-bounded" = dontDistribute super."read-bounded";
  "readline-statevar" = dontDistribute super."readline-statevar";
  "readpyc" = dontDistribute super."readpyc";
  "readshp" = dontDistribute super."readshp";
  "really-simple-xml-parser" = dontDistribute super."really-simple-xml-parser";
  "reasonable-lens" = dontDistribute super."reasonable-lens";
  "reasonable-operational" = dontDistribute super."reasonable-operational";
  "rebase" = dontDistribute super."rebase";
  "recaptcha" = dontDistribute super."recaptcha";
  "record" = dontDistribute super."record";
  "record-aeson" = dontDistribute super."record-aeson";
  "record-gl" = dontDistribute super."record-gl";
  "record-preprocessor" = dontDistribute super."record-preprocessor";
  "record-syntax" = dontDistribute super."record-syntax";
  "records" = dontDistribute super."records";
  "records-th" = dontDistribute super."records-th";
  "recursive-line-count" = dontDistribute super."recursive-line-count";
  "redHandlers" = dontDistribute super."redHandlers";
  "reddit" = dontDistribute super."reddit";
  "redis" = dontDistribute super."redis";
  "redis-hs" = dontDistribute super."redis-hs";
  "redis-job-queue" = dontDistribute super."redis-job-queue";
  "redis-simple" = dontDistribute super."redis-simple";
  "redo" = dontDistribute super."redo";
  "reenact" = dontDistribute super."reenact";
  "reexport-crypto-random" = dontDistribute super."reexport-crypto-random";
  "ref" = dontDistribute super."ref";
  "ref-mtl" = dontDistribute super."ref-mtl";
  "ref-tf" = dontDistribute super."ref-tf";
  "refcount" = dontDistribute super."refcount";
  "reference" = dontDistribute super."reference";
  "references" = dontDistribute super."references";
  "refh" = dontDistribute super."refh";
  "refined" = dontDistribute super."refined";
  "reflection-extras" = dontDistribute super."reflection-extras";
  "reflection-without-remorse" = dontDistribute super."reflection-without-remorse";
  "reflex" = dontDistribute super."reflex";
  "reflex-animation" = dontDistribute super."reflex-animation";
  "reflex-dom" = dontDistribute super."reflex-dom";
  "reflex-dom-colonnade" = dontDistribute super."reflex-dom-colonnade";
  "reflex-dom-contrib" = dontDistribute super."reflex-dom-contrib";
  "reflex-dom-helpers" = dontDistribute super."reflex-dom-helpers";
  "reflex-gloss" = dontDistribute super."reflex-gloss";
  "reflex-gloss-scene" = dontDistribute super."reflex-gloss-scene";
  "reflex-jsx" = dontDistribute super."reflex-jsx";
  "reflex-orphans" = dontDistribute super."reflex-orphans";
  "reflex-transformers" = dontDistribute super."reflex-transformers";
  "regex-deriv" = dontDistribute super."regex-deriv";
  "regex-dfa" = dontDistribute super."regex-dfa";
  "regex-easy" = dontDistribute super."regex-easy";
  "regex-genex" = dontDistribute super."regex-genex";
  "regex-parsec" = dontDistribute super."regex-parsec";
  "regex-pderiv" = dontDistribute super."regex-pderiv";
  "regex-posix-unittest" = dontDistribute super."regex-posix-unittest";
  "regex-tdfa-pipes" = dontDistribute super."regex-tdfa-pipes";
  "regex-tdfa-quasiquoter" = dontDistribute super."regex-tdfa-quasiquoter";
  "regex-tdfa-unittest" = dontDistribute super."regex-tdfa-unittest";
  "regex-tdfa-utf8" = dontDistribute super."regex-tdfa-utf8";
  "regex-tre" = dontDistribute super."regex-tre";
  "regex-type" = dontDistribute super."regex-type";
  "regex-xmlschema" = dontDistribute super."regex-xmlschema";
  "regexchar" = dontDistribute super."regexchar";
  "regexdot" = dontDistribute super."regexdot";
  "regexp-tries" = dontDistribute super."regexp-tries";
  "regexpr" = dontDistribute super."regexpr";
  "regexpr-symbolic" = dontDistribute super."regexpr-symbolic";
  "regexqq" = dontDistribute super."regexqq";
  "regional-pointers" = dontDistribute super."regional-pointers";
  "regions" = dontDistribute super."regions";
  "regions-monadsfd" = dontDistribute super."regions-monadsfd";
  "regions-monadstf" = dontDistribute super."regions-monadstf";
  "regions-mtl" = dontDistribute super."regions-mtl";
  "register-machine-typelevel" = dontDistribute super."register-machine-typelevel";
  "regress" = dontDistribute super."regress";
  "regular" = dontDistribute super."regular";
  "regular-extras" = dontDistribute super."regular-extras";
  "regular-web" = dontDistribute super."regular-web";
  "regular-xmlpickler" = dontDistribute super."regular-xmlpickler";
  "reheat" = dontDistribute super."reheat";
  "rehoo" = dontDistribute super."rehoo";
  "rei" = dontDistribute super."rei";
  "reified-records" = dontDistribute super."reified-records";
  "reify" = dontDistribute super."reify";
  "relacion" = dontDistribute super."relacion";
  "relation" = dontDistribute super."relation";
  "relational-postgresql8" = dontDistribute super."relational-postgresql8";
  "relational-record-examples" = dontDistribute super."relational-record-examples";
  "relative-date" = dontDistribute super."relative-date";
  "relit" = dontDistribute super."relit";
  "rematch-text" = dontDistribute super."rematch-text";
  "remote" = dontDistribute super."remote";
  "remote-debugger" = dontDistribute super."remote-debugger";
  "remote-json" = dontDistribute super."remote-json";
  "remote-json-client" = dontDistribute super."remote-json-client";
  "remote-json-server" = dontDistribute super."remote-json-server";
  "remote-monad" = dontDistribute super."remote-monad";
  "remotion" = dontDistribute super."remotion";
  "renderable" = dontDistribute super."renderable";
  "reord" = dontDistribute super."reord";
  "reorderable" = dontDistribute super."reorderable";
  "repa-array" = dontDistribute super."repa-array";
  "repa-bytestring" = dontDistribute super."repa-bytestring";
  "repa-convert" = dontDistribute super."repa-convert";
  "repa-eval" = dontDistribute super."repa-eval";
  "repa-examples" = dontDistribute super."repa-examples";
  "repa-fftw" = dontDistribute super."repa-fftw";
  "repa-flow" = dontDistribute super."repa-flow";
  "repa-linear-algebra" = dontDistribute super."repa-linear-algebra";
  "repa-plugin" = dontDistribute super."repa-plugin";
  "repa-scalar" = dontDistribute super."repa-scalar";
  "repa-series" = dontDistribute super."repa-series";
  "repa-sndfile" = dontDistribute super."repa-sndfile";
  "repa-stream" = dontDistribute super."repa-stream";
  "repa-v4l2" = dontDistribute super."repa-v4l2";
  "repl" = dontDistribute super."repl";
  "repl-toolkit" = dontDistribute super."repl-toolkit";
  "replicant" = dontDistribute super."replicant";
  "repline" = dontDistribute super."repline";
  "repo-based-blog" = dontDistribute super."repo-based-blog";
  "repr" = dontDistribute super."repr";
  "repr-tree-syb" = dontDistribute super."repr-tree-syb";
  "representable-functors" = dontDistribute super."representable-functors";
  "representable-profunctors" = dontDistribute super."representable-profunctors";
  "representable-tries" = dontDistribute super."representable-tries";
  "reqcatcher" = dontDistribute super."reqcatcher";
  "request-monad" = dontDistribute super."request-monad";
  "reserve" = dontDistribute super."reserve";
  "resistor-cube" = dontDistribute super."resistor-cube";
  "resource-effect" = dontDistribute super."resource-effect";
  "resource-embed" = dontDistribute super."resource-embed";
  "resource-pool-catchio" = dontDistribute super."resource-pool-catchio";
  "resource-pool-monad" = dontDistribute super."resource-pool-monad";
  "resource-simple" = dontDistribute super."resource-simple";
  "respond" = dontDistribute super."respond";
  "rest-example" = dontDistribute super."rest-example";
  "restful-snap" = dontDistribute super."restful-snap";
  "restricted-workers" = dontDistribute super."restricted-workers";
  "restyle" = dontDistribute super."restyle";
  "resumable-exceptions" = dontDistribute super."resumable-exceptions";
  "rethinkdb-client-driver" = doDistribute super."rethinkdb-client-driver_0_0_22";
  "rethinkdb-model" = dontDistribute super."rethinkdb-model";
  "rethinkdb-wereHamster" = dontDistribute super."rethinkdb-wereHamster";
  "retryer" = dontDistribute super."retryer";
  "revdectime" = dontDistribute super."revdectime";
  "reverse-apply" = dontDistribute super."reverse-apply";
  "reverse-arguments" = dontDistribute super."reverse-arguments";
  "reverse-geocoding" = dontDistribute super."reverse-geocoding";
  "reversi" = dontDistribute super."reversi";
  "rewrite" = dontDistribute super."rewrite";
  "rewriting" = dontDistribute super."rewriting";
  "rex" = dontDistribute super."rex";
  "rezoom" = dontDistribute super."rezoom";
  "rfc3339" = dontDistribute super."rfc3339";
  "rhythm-game-tutorial" = dontDistribute super."rhythm-game-tutorial";
  "riak" = doDistribute super."riak_1_0_1_1";
  "richreports" = dontDistribute super."richreports";
  "riemann" = dontDistribute super."riemann";
  "riff" = dontDistribute super."riff";
  "ring-buffer" = dontDistribute super."ring-buffer";
  "riot" = dontDistribute super."riot";
  "ripple" = dontDistribute super."ripple";
  "ripple-federation" = dontDistribute super."ripple-federation";
  "risc386" = dontDistribute super."risc386";
  "rison" = dontDistribute super."rison";
  "rivers" = dontDistribute super."rivers";
  "rivet" = dontDistribute super."rivet";
  "rivet-adaptor-postgresql" = dontDistribute super."rivet-adaptor-postgresql";
  "rivet-autoimporter" = dontDistribute super."rivet-autoimporter";
  "rivet-core" = dontDistribute super."rivet-core";
  "rivet-migration" = dontDistribute super."rivet-migration";
  "rivet-simple-deploy" = dontDistribute super."rivet-simple-deploy";
  "rlglue" = dontDistribute super."rlglue";
  "rlist" = dontDistribute super."rlist";
  "rmonad" = dontDistribute super."rmonad";
  "rncryptor" = dontDistribute super."rncryptor";
  "robin" = dontDistribute super."robin";
  "robot" = dontDistribute super."robot";
  "robots-txt" = dontDistribute super."robots-txt";
  "rocksdb-haskell" = dontDistribute super."rocksdb-haskell";
  "roguestar" = dontDistribute super."roguestar";
  "roguestar-engine" = dontDistribute super."roguestar-engine";
  "roguestar-gl" = dontDistribute super."roguestar-gl";
  "roguestar-glut" = dontDistribute super."roguestar-glut";
  "rollbar" = dontDistribute super."rollbar";
  "roller" = dontDistribute super."roller";
  "rolling-queue" = dontDistribute super."rolling-queue";
  "roman-numerals" = dontDistribute super."roman-numerals";
  "romkan" = dontDistribute super."romkan";
  "roots" = dontDistribute super."roots";
  "rope" = dontDistribute super."rope";
  "rosa" = dontDistribute super."rosa";
  "rose-trie" = dontDistribute super."rose-trie";
  "roshask" = dontDistribute super."roshask";
  "rosso" = dontDistribute super."rosso";
  "rot13" = dontDistribute super."rot13";
  "roundRobin" = dontDistribute super."roundRobin";
  "rounding" = dontDistribute super."rounding";
  "roundtrip" = dontDistribute super."roundtrip";
  "roundtrip-aeson" = dontDistribute super."roundtrip-aeson";
  "roundtrip-string" = dontDistribute super."roundtrip-string";
  "roundtrip-xml" = dontDistribute super."roundtrip-xml";
  "route-generator" = dontDistribute super."route-generator";
  "route-planning" = dontDistribute super."route-planning";
  "rowrecord" = dontDistribute super."rowrecord";
  "rpc" = dontDistribute super."rpc";
  "rpc-framework" = dontDistribute super."rpc-framework";
  "rpf" = dontDistribute super."rpf";
  "rpm" = dontDistribute super."rpm";
  "rsagl" = dontDistribute super."rsagl";
  "rsagl-frp" = dontDistribute super."rsagl-frp";
  "rsagl-math" = dontDistribute super."rsagl-math";
  "rspp" = dontDistribute super."rspp";
  "rss" = dontDistribute super."rss";
  "rss2irc" = dontDistribute super."rss2irc";
  "rtcm" = dontDistribute super."rtcm";
  "rtld" = dontDistribute super."rtld";
  "rtlsdr" = dontDistribute super."rtlsdr";
  "rtorrent-rpc" = dontDistribute super."rtorrent-rpc";
  "rtorrent-state" = dontDistribute super."rtorrent-state";
  "rts-loader" = dontDistribute super."rts-loader";
  "rubberband" = dontDistribute super."rubberband";
  "ruby-marshal" = dontDistribute super."ruby-marshal";
  "ruby-qq" = dontDistribute super."ruby-qq";
  "ruff" = dontDistribute super."ruff";
  "ruler" = dontDistribute super."ruler";
  "ruler-core" = dontDistribute super."ruler-core";
  "rungekutta" = dontDistribute super."rungekutta";
  "runghc" = dontDistribute super."runghc";
  "rwlock" = dontDistribute super."rwlock";
  "rws" = dontDistribute super."rws";
  "s-cargot" = dontDistribute super."s-cargot";
  "safe-access" = dontDistribute super."safe-access";
  "safe-exceptions" = dontDistribute super."safe-exceptions";
  "safe-failure" = dontDistribute super."safe-failure";
  "safe-failure-cme" = dontDistribute super."safe-failure-cme";
  "safe-freeze" = dontDistribute super."safe-freeze";
  "safe-globals" = dontDistribute super."safe-globals";
  "safe-lazy-io" = dontDistribute super."safe-lazy-io";
  "safe-length" = dontDistribute super."safe-length";
  "safe-plugins" = dontDistribute super."safe-plugins";
  "safe-printf" = dontDistribute super."safe-printf";
  "safeint" = dontDistribute super."safeint";
  "safer-file-handles" = dontDistribute super."safer-file-handles";
  "safer-file-handles-bytestring" = dontDistribute super."safer-file-handles-bytestring";
  "safer-file-handles-text" = dontDistribute super."safer-file-handles-text";
  "saferoute" = dontDistribute super."saferoute";
  "sai-shape-syb" = dontDistribute super."sai-shape-syb";
  "saltine" = dontDistribute super."saltine";
  "saltine-quickcheck" = dontDistribute super."saltine-quickcheck";
  "salvia" = dontDistribute super."salvia";
  "salvia-demo" = dontDistribute super."salvia-demo";
  "salvia-extras" = dontDistribute super."salvia-extras";
  "salvia-protocol" = dontDistribute super."salvia-protocol";
  "salvia-sessions" = dontDistribute super."salvia-sessions";
  "salvia-websocket" = dontDistribute super."salvia-websocket";
  "sample-frame" = dontDistribute super."sample-frame";
  "sample-frame-np" = dontDistribute super."sample-frame-np";
  "samtools" = dontDistribute super."samtools";
  "samtools-conduit" = dontDistribute super."samtools-conduit";
  "samtools-enumerator" = dontDistribute super."samtools-enumerator";
  "samtools-iteratee" = dontDistribute super."samtools-iteratee";
  "sandi" = doDistribute super."sandi_0_3_6";
  "sandlib" = dontDistribute super."sandlib";
  "sarasvati" = dontDistribute super."sarasvati";
  "sarsi" = dontDistribute super."sarsi";
  "sasl" = dontDistribute super."sasl";
  "sat" = dontDistribute super."sat";
  "sat-micro-hs" = dontDistribute super."sat-micro-hs";
  "satchmo" = dontDistribute super."satchmo";
  "satchmo-backends" = dontDistribute super."satchmo-backends";
  "satchmo-examples" = dontDistribute super."satchmo-examples";
  "satchmo-funsat" = dontDistribute super."satchmo-funsat";
  "satchmo-minisat" = dontDistribute super."satchmo-minisat";
  "satchmo-toysat" = dontDistribute super."satchmo-toysat";
  "sbp" = dontDistribute super."sbp";
  "sbp2udp" = dontDistribute super."sbp2udp";
  "sbv" = doDistribute super."sbv_5_11";
  "sbvPlugin" = dontDistribute super."sbvPlugin";
  "sc3-rdu" = dontDistribute super."sc3-rdu";
  "scalable-server" = dontDistribute super."scalable-server";
  "scaleimage" = dontDistribute super."scaleimage";
  "scalp-webhooks" = dontDistribute super."scalp-webhooks";
  "scan" = dontDistribute super."scan";
  "scan-vector-machine" = dontDistribute super."scan-vector-machine";
  "scanner-attoparsec" = dontDistribute super."scanner-attoparsec";
  "scat" = dontDistribute super."scat";
  "scc" = dontDistribute super."scc";
  "scenegraph" = dontDistribute super."scenegraph";
  "scgi" = dontDistribute super."scgi";
  "schedevr" = dontDistribute super."schedevr";
  "schedule-planner" = dontDistribute super."schedule-planner";
  "schedyield" = dontDistribute super."schedyield";
  "scholdoc" = dontDistribute super."scholdoc";
  "scholdoc-citeproc" = dontDistribute super."scholdoc-citeproc";
  "scholdoc-texmath" = dontDistribute super."scholdoc-texmath";
  "scholdoc-types" = dontDistribute super."scholdoc-types";
  "schonfinkeling" = dontDistribute super."schonfinkeling";
  "sci-ratio" = dontDistribute super."sci-ratio";
  "science-constants" = dontDistribute super."science-constants";
  "science-constants-dimensional" = dontDistribute super."science-constants-dimensional";
  "scion" = dontDistribute super."scion";
  "scion-browser" = dontDistribute super."scion-browser";
  "scons2dot" = dontDistribute super."scons2dot";
  "scope" = dontDistribute super."scope";
  "scope-cairo" = dontDistribute super."scope-cairo";
  "scottish" = dontDistribute super."scottish";
  "scotty-binding-play" = dontDistribute super."scotty-binding-play";
  "scotty-blaze" = dontDistribute super."scotty-blaze";
  "scotty-cookie" = dontDistribute super."scotty-cookie";
  "scotty-fay" = dontDistribute super."scotty-fay";
  "scotty-hastache" = dontDistribute super."scotty-hastache";
  "scotty-params-parser" = dontDistribute super."scotty-params-parser";
  "scotty-resource" = dontDistribute super."scotty-resource";
  "scotty-rest" = dontDistribute super."scotty-rest";
  "scotty-session" = dontDistribute super."scotty-session";
  "scotty-tls" = dontDistribute super."scotty-tls";
  "scotty-view" = dontDistribute super."scotty-view";
  "scp-streams" = dontDistribute super."scp-streams";
  "scrabble-bot" = dontDistribute super."scrabble-bot";
  "scrape-changes" = dontDistribute super."scrape-changes";
  "scrobble" = dontDistribute super."scrobble";
  "scroll" = dontDistribute super."scroll";
  "scrz" = dontDistribute super."scrz";
  "scyther-proof" = dontDistribute super."scyther-proof";
  "sde-solver" = dontDistribute super."sde-solver";
  "sdf2p1-parser" = dontDistribute super."sdf2p1-parser";
  "sdl2-cairo" = dontDistribute super."sdl2-cairo";
  "sdl2-cairo-image" = dontDistribute super."sdl2-cairo-image";
  "sdl2-compositor" = dontDistribute super."sdl2-compositor";
  "sdl2-image" = dontDistribute super."sdl2-image";
  "sdl2-ttf" = dontDistribute super."sdl2-ttf";
  "sdnv" = dontDistribute super."sdnv";
  "sdr" = dontDistribute super."sdr";
  "seacat" = dontDistribute super."seacat";
  "seal-module" = dontDistribute super."seal-module";
  "search" = dontDistribute super."search";
  "sec" = dontDistribute super."sec";
  "secd" = dontDistribute super."secd";
  "secdh" = dontDistribute super."secdh";
  "seclib" = dontDistribute super."seclib";
  "second-transfer" = dontDistribute super."second-transfer";
  "secp256k1" = dontDistribute super."secp256k1";
  "secret-santa" = dontDistribute super."secret-santa";
  "secret-sharing" = dontDistribute super."secret-sharing";
  "secrm" = dontDistribute super."secrm";
  "secure-sockets" = dontDistribute super."secure-sockets";
  "sednaDBXML" = dontDistribute super."sednaDBXML";
  "select" = dontDistribute super."select";
  "selectors" = dontDistribute super."selectors";
  "selenium" = dontDistribute super."selenium";
  "selenium-server" = dontDistribute super."selenium-server";
  "selfrestart" = dontDistribute super."selfrestart";
  "selinux" = dontDistribute super."selinux";
  "semaphore-plus" = dontDistribute super."semaphore-plus";
  "semi-iso" = dontDistribute super."semi-iso";
  "semibounded-lattices" = dontDistribute super."semibounded-lattices";
  "semigroupoids" = doDistribute super."semigroupoids_5_0_1";
  "semigroupoids-syntax" = dontDistribute super."semigroupoids-syntax";
  "semigroups" = doDistribute super."semigroups_0_18_1";
  "semigroups-actions" = dontDistribute super."semigroups-actions";
  "semiring" = dontDistribute super."semiring";
  "semver-range" = dontDistribute super."semver-range";
  "sendgrid-haskell" = dontDistribute super."sendgrid-haskell";
  "sensei" = dontDistribute super."sensei";
  "sensenet" = dontDistribute super."sensenet";
  "sentence-jp" = dontDistribute super."sentence-jp";
  "sentry" = dontDistribute super."sentry";
  "senza" = dontDistribute super."senza";
  "separated" = dontDistribute super."separated";
  "seqaid" = dontDistribute super."seqaid";
  "seqid" = dontDistribute super."seqid";
  "seqid-streams" = dontDistribute super."seqid-streams";
  "seqloc-datafiles" = dontDistribute super."seqloc-datafiles";
  "sequence" = dontDistribute super."sequence";
  "sequent-core" = dontDistribute super."sequent-core";
  "sequential-index" = dontDistribute super."sequential-index";
  "sequor" = dontDistribute super."sequor";
  "serial" = dontDistribute super."serial";
  "serial-test-generators" = dontDistribute super."serial-test-generators";
  "serpentine" = dontDistribute super."serpentine";
  "serv" = dontDistribute super."serv";
  "serv-wai" = dontDistribute super."serv-wai";
  "servant-aeson-specs" = dontDistribute super."servant-aeson-specs";
  "servant-auth-cookie" = dontDistribute super."servant-auth-cookie";
  "servant-csharp" = dontDistribute super."servant-csharp";
  "servant-ede" = dontDistribute super."servant-ede";
  "servant-elm" = dontDistribute super."servant-elm";
  "servant-examples" = dontDistribute super."servant-examples";
  "servant-github" = dontDistribute super."servant-github";
  "servant-haxl-client" = dontDistribute super."servant-haxl-client";
  "servant-jquery" = dontDistribute super."servant-jquery";
  "servant-pandoc" = dontDistribute super."servant-pandoc";
  "servant-pool" = dontDistribute super."servant-pool";
  "servant-postgresql" = dontDistribute super."servant-postgresql";
  "servant-purescript" = dontDistribute super."servant-purescript";
  "servant-quickcheck" = dontDistribute super."servant-quickcheck";
  "servant-response" = dontDistribute super."servant-response";
  "servant-router" = dontDistribute super."servant-router";
  "servant-scotty" = dontDistribute super."servant-scotty";
  "servant-subscriber" = dontDistribute super."servant-subscriber";
  "servant-swagger" = doDistribute super."servant-swagger_1_0_3";
  "servant-swagger-ui" = dontDistribute super."servant-swagger-ui";
  "server-generic" = dontDistribute super."server-generic";
  "ses-html-snaplet" = dontDistribute super."ses-html-snaplet";
  "sessions" = dontDistribute super."sessions";
  "set-cover" = dontDistribute super."set-cover";
  "set-with" = dontDistribute super."set-with";
  "setdown" = dontDistribute super."setdown";
  "setgame" = dontDistribute super."setgame";
  "setops" = dontDistribute super."setops";
  "setters" = dontDistribute super."setters";
  "settings" = dontDistribute super."settings";
  "sexp" = dontDistribute super."sexp";
  "sexp-grammar" = dontDistribute super."sexp-grammar";
  "sexp-show" = dontDistribute super."sexp-show";
  "sexpr" = dontDistribute super."sexpr";
  "sext" = dontDistribute super."sext";
  "sfml-audio" = dontDistribute super."sfml-audio";
  "sfmt" = dontDistribute super."sfmt";
  "sfnt2woff" = dontDistribute super."sfnt2woff";
  "sgd" = dontDistribute super."sgd";
  "sgf" = dontDistribute super."sgf";
  "sgrep" = dontDistribute super."sgrep";
  "sha-streams" = dontDistribute super."sha-streams";
  "shadower" = dontDistribute super."shadower";
  "shadowsocks" = dontDistribute super."shadowsocks";
  "shady-gen" = dontDistribute super."shady-gen";
  "shady-graphics" = dontDistribute super."shady-graphics";
  "shake-cabal-build" = dontDistribute super."shake-cabal-build";
  "shake-extras" = dontDistribute super."shake-extras";
  "shake-language-c" = doDistribute super."shake-language-c_0_9_1";
  "shake-minify" = dontDistribute super."shake-minify";
  "shake-pack" = dontDistribute super."shake-pack";
  "shake-persist" = dontDistribute super."shake-persist";
  "shaker" = dontDistribute super."shaker";
  "shakespeare-babel" = dontDistribute super."shakespeare-babel";
  "shakespeare-css" = dontDistribute super."shakespeare-css";
  "shakespeare-i18n" = dontDistribute super."shakespeare-i18n";
  "shakespeare-js" = dontDistribute super."shakespeare-js";
  "shakespeare-sass" = dontDistribute super."shakespeare-sass";
  "shakespeare-text" = dontDistribute super."shakespeare-text";
  "shana" = dontDistribute super."shana";
  "shapefile" = dontDistribute super."shapefile";
  "shapely-data" = dontDistribute super."shapely-data";
  "sharc-timbre" = dontDistribute super."sharc-timbre";
  "shared-buffer" = dontDistribute super."shared-buffer";
  "shared-fields" = dontDistribute super."shared-fields";
  "shared-memory" = dontDistribute super."shared-memory";
  "sharedio" = dontDistribute super."sharedio";
  "she" = dontDistribute super."she";
  "shelduck" = dontDistribute super."shelduck";
  "shell-escape" = dontDistribute super."shell-escape";
  "shell-monad" = dontDistribute super."shell-monad";
  "shell-pipe" = dontDistribute super."shell-pipe";
  "shellish" = dontDistribute super."shellish";
  "shellmate" = dontDistribute super."shellmate";
  "shellmate-extras" = dontDistribute super."shellmate-extras";
  "shelly-extra" = dontDistribute super."shelly-extra";
  "shine" = dontDistribute super."shine";
  "shine-varying" = dontDistribute super."shine-varying";
  "shivers-cfg" = dontDistribute super."shivers-cfg";
  "shoap" = dontDistribute super."shoap";
  "shortcircuit" = dontDistribute super."shortcircuit";
  "shorten-strings" = dontDistribute super."shorten-strings";
  "show" = dontDistribute super."show";
  "show-type" = dontDistribute super."show-type";
  "showdown" = dontDistribute super."showdown";
  "shpider" = dontDistribute super."shpider";
  "shplit" = dontDistribute super."shplit";
  "shqq" = dontDistribute super."shqq";
  "shuffle" = dontDistribute super."shuffle";
  "sieve" = dontDistribute super."sieve";
  "sifflet" = dontDistribute super."sifflet";
  "sifflet-lib" = dontDistribute super."sifflet-lib";
  "sign" = dontDistribute super."sign";
  "signals" = dontDistribute super."signals";
  "signed-multiset" = dontDistribute super."signed-multiset";
  "simd" = dontDistribute super."simd";
  "simgi" = dontDistribute super."simgi";
  "simple-actors" = dontDistribute super."simple-actors";
  "simple-atom" = dontDistribute super."simple-atom";
  "simple-bluetooth" = dontDistribute super."simple-bluetooth";
  "simple-c-value" = dontDistribute super."simple-c-value";
  "simple-conduit" = dontDistribute super."simple-conduit";
  "simple-config" = dontDistribute super."simple-config";
  "simple-css" = dontDistribute super."simple-css";
  "simple-eval" = dontDistribute super."simple-eval";
  "simple-firewire" = dontDistribute super."simple-firewire";
  "simple-form" = dontDistribute super."simple-form";
  "simple-genetic-algorithm" = dontDistribute super."simple-genetic-algorithm";
  "simple-genetic-algorithm-mr" = dontDistribute super."simple-genetic-algorithm-mr";
  "simple-get-opt" = dontDistribute super."simple-get-opt";
  "simple-index" = dontDistribute super."simple-index";
  "simple-log-syslog" = dontDistribute super."simple-log-syslog";
  "simple-neural-networks" = dontDistribute super."simple-neural-networks";
  "simple-nix" = dontDistribute super."simple-nix";
  "simple-observer" = dontDistribute super."simple-observer";
  "simple-pascal" = dontDistribute super."simple-pascal";
  "simple-pipe" = dontDistribute super."simple-pipe";
  "simple-rope" = dontDistribute super."simple-rope";
  "simple-server" = dontDistribute super."simple-server";
  "simple-sessions" = dontDistribute super."simple-sessions";
  "simple-sql-parser" = dontDistribute super."simple-sql-parser";
  "simple-stacked-vm" = dontDistribute super."simple-stacked-vm";
  "simple-tabular" = dontDistribute super."simple-tabular";
  "simple-tar" = dontDistribute super."simple-tar";
  "simple-vec3" = dontDistribute super."simple-vec3";
  "simpleargs" = dontDistribute super."simpleargs";
  "simpleirc-lens" = dontDistribute super."simpleirc-lens";
  "simplenote" = dontDistribute super."simplenote";
  "simpleprelude" = dontDistribute super."simpleprelude";
  "simplesmtpclient" = dontDistribute super."simplesmtpclient";
  "simplessh" = dontDistribute super."simplessh";
  "simplest-sqlite" = dontDistribute super."simplest-sqlite";
  "simplex" = dontDistribute super."simplex";
  "simplex-basic" = dontDistribute super."simplex-basic";
  "simseq" = dontDistribute super."simseq";
  "simtreelo" = dontDistribute super."simtreelo";
  "sindre" = dontDistribute super."sindre";
  "singleton-nats" = dontDistribute super."singleton-nats";
  "singletons" = doDistribute super."singletons_2_0_1";
  "sink" = dontDistribute super."sink";
  "siphon" = dontDistribute super."siphon";
  "sirkel" = dontDistribute super."sirkel";
  "sitemap" = dontDistribute super."sitemap";
  "size-based" = dontDistribute super."size-based";
  "sized" = dontDistribute super."sized";
  "sized-types" = dontDistribute super."sized-types";
  "sized-vector" = dontDistribute super."sized-vector";
  "sizes" = dontDistribute super."sizes";
  "sjsp" = dontDistribute super."sjsp";
  "skeleton" = dontDistribute super."skeleton";
  "skell" = dontDistribute super."skell";
  "skemmtun" = dontDistribute super."skemmtun";
  "skulk" = dontDistribute super."skulk";
  "skype4hs" = dontDistribute super."skype4hs";
  "skypelogexport" = dontDistribute super."skypelogexport";
  "slack" = dontDistribute super."slack";
  "slack-api" = dontDistribute super."slack-api";
  "slack-notify-haskell" = dontDistribute super."slack-notify-haskell";
  "sleep" = dontDistribute super."sleep";
  "slice-cpp-gen" = dontDistribute super."slice-cpp-gen";
  "slidemews" = dontDistribute super."slidemews";
  "sloane" = dontDistribute super."sloane";
  "slot-lambda" = dontDistribute super."slot-lambda";
  "sloth" = dontDistribute super."sloth";
  "smallarray" = dontDistribute super."smallarray";
  "smallcheck-laws" = dontDistribute super."smallcheck-laws";
  "smallcheck-lens" = dontDistribute super."smallcheck-lens";
  "smallcheck-series" = dontDistribute super."smallcheck-series";
  "smallpt-hs" = dontDistribute super."smallpt-hs";
  "smallstring" = dontDistribute super."smallstring";
  "smaoin" = dontDistribute super."smaoin";
  "smartGroup" = dontDistribute super."smartGroup";
  "smartcheck" = dontDistribute super."smartcheck";
  "smartconstructor" = dontDistribute super."smartconstructor";
  "smartword" = dontDistribute super."smartword";
  "sme" = dontDistribute super."sme";
  "smerdyakov" = dontDistribute super."smerdyakov";
  "smsaero" = dontDistribute super."smsaero";
  "smt-lib" = dontDistribute super."smt-lib";
  "smtlib2" = dontDistribute super."smtlib2";
  "smtp-mail-ng" = dontDistribute super."smtp-mail-ng";
  "smtp2mta" = dontDistribute super."smtp2mta";
  "smtps-gmail" = dontDistribute super."smtps-gmail";
  "snake" = dontDistribute super."snake";
  "snake-game" = dontDistribute super."snake-game";
  "snap-accept" = dontDistribute super."snap-accept";
  "snap-app" = dontDistribute super."snap-app";
  "snap-auth-cli" = dontDistribute super."snap-auth-cli";
  "snap-blaze" = dontDistribute super."snap-blaze";
  "snap-blaze-clay" = dontDistribute super."snap-blaze-clay";
  "snap-configuration-utilities" = dontDistribute super."snap-configuration-utilities";
  "snap-cors" = dontDistribute super."snap-cors";
  "snap-elm" = dontDistribute super."snap-elm";
  "snap-error-collector" = dontDistribute super."snap-error-collector";
  "snap-extras" = dontDistribute super."snap-extras";
  "snap-language" = dontDistribute super."snap-language";
  "snap-loader-dynamic" = dontDistribute super."snap-loader-dynamic";
  "snap-loader-static" = dontDistribute super."snap-loader-static";
  "snap-predicates" = dontDistribute super."snap-predicates";
  "snap-routes" = dontDistribute super."snap-routes";
  "snap-testing" = dontDistribute super."snap-testing";
  "snap-utils" = dontDistribute super."snap-utils";
  "snap-web-routes" = dontDistribute super."snap-web-routes";
  "snaplet-acid-state" = dontDistribute super."snaplet-acid-state";
  "snaplet-actionlog" = dontDistribute super."snaplet-actionlog";
  "snaplet-amqp" = dontDistribute super."snaplet-amqp";
  "snaplet-auth-acid" = dontDistribute super."snaplet-auth-acid";
  "snaplet-coffee" = dontDistribute super."snaplet-coffee";
  "snaplet-css-min" = dontDistribute super."snaplet-css-min";
  "snaplet-environments" = dontDistribute super."snaplet-environments";
  "snaplet-ghcjs" = dontDistribute super."snaplet-ghcjs";
  "snaplet-hasql" = dontDistribute super."snaplet-hasql";
  "snaplet-haxl" = dontDistribute super."snaplet-haxl";
  "snaplet-hdbc" = dontDistribute super."snaplet-hdbc";
  "snaplet-hslogger" = dontDistribute super."snaplet-hslogger";
  "snaplet-i18n" = dontDistribute super."snaplet-i18n";
  "snaplet-influxdb" = dontDistribute super."snaplet-influxdb";
  "snaplet-lss" = dontDistribute super."snaplet-lss";
  "snaplet-mandrill" = dontDistribute super."snaplet-mandrill";
  "snaplet-mongoDB" = dontDistribute super."snaplet-mongoDB";
  "snaplet-mongodb-minimalistic" = dontDistribute super."snaplet-mongodb-minimalistic";
  "snaplet-mysql-simple" = dontDistribute super."snaplet-mysql-simple";
  "snaplet-oauth" = dontDistribute super."snaplet-oauth";
  "snaplet-persistent" = dontDistribute super."snaplet-persistent";
  "snaplet-postgresql-simple" = dontDistribute super."snaplet-postgresql-simple";
  "snaplet-postmark" = dontDistribute super."snaplet-postmark";
  "snaplet-purescript" = dontDistribute super."snaplet-purescript";
  "snaplet-recaptcha" = dontDistribute super."snaplet-recaptcha";
  "snaplet-redis" = dontDistribute super."snaplet-redis";
  "snaplet-redson" = dontDistribute super."snaplet-redson";
  "snaplet-rest" = dontDistribute super."snaplet-rest";
  "snaplet-riak" = dontDistribute super."snaplet-riak";
  "snaplet-sass" = dontDistribute super."snaplet-sass";
  "snaplet-sedna" = dontDistribute super."snaplet-sedna";
  "snaplet-ses-html" = dontDistribute super."snaplet-ses-html";
  "snaplet-sqlite-simple" = dontDistribute super."snaplet-sqlite-simple";
  "snaplet-stripe" = dontDistribute super."snaplet-stripe";
  "snaplet-tasks" = dontDistribute super."snaplet-tasks";
  "snaplet-typed-sessions" = dontDistribute super."snaplet-typed-sessions";
  "snaplet-wordpress" = dontDistribute super."snaplet-wordpress";
  "snappy" = dontDistribute super."snappy";
  "snappy-conduit" = dontDistribute super."snappy-conduit";
  "snappy-framing" = dontDistribute super."snappy-framing";
  "snappy-iteratee" = dontDistribute super."snappy-iteratee";
  "sndfile-enumerators" = dontDistribute super."sndfile-enumerators";
  "sneakyterm" = dontDistribute super."sneakyterm";
  "sneathlane-haste" = dontDistribute super."sneathlane-haste";
  "snippet-extractor" = dontDistribute super."snippet-extractor";
  "snm" = dontDistribute super."snm";
  "snow-white" = dontDistribute super."snow-white";
  "snowball" = dontDistribute super."snowball";
  "snowglobe" = dontDistribute super."snowglobe";
  "sock2stream" = dontDistribute super."sock2stream";
  "sockaddr" = dontDistribute super."sockaddr";
  "socket-activation" = dontDistribute super."socket-activation";
  "socket-sctp" = dontDistribute super."socket-sctp";
  "socketio" = dontDistribute super."socketio";
  "socketson" = dontDistribute super."socketson";
  "soegtk" = dontDistribute super."soegtk";
  "solga" = dontDistribute super."solga";
  "solga-swagger" = dontDistribute super."solga-swagger";
  "solr" = dontDistribute super."solr";
  "sonic-visualiser" = dontDistribute super."sonic-visualiser";
  "sophia" = dontDistribute super."sophia";
  "sort-by-pinyin" = dontDistribute super."sort-by-pinyin";
  "sorted" = dontDistribute super."sorted";
  "sorted-list" = doDistribute super."sorted-list_0_1_6_1";
  "sorting" = dontDistribute super."sorting";
  "sorty" = dontDistribute super."sorty";
  "sound-collage" = dontDistribute super."sound-collage";
  "sounddelay" = dontDistribute super."sounddelay";
  "source-code-server" = dontDistribute super."source-code-server";
  "sousit" = dontDistribute super."sousit";
  "sox" = dontDistribute super."sox";
  "soxlib" = dontDistribute super."soxlib";
  "soyuz" = dontDistribute super."soyuz";
  "spacefill" = dontDistribute super."spacefill";
  "spacepart" = dontDistribute super."spacepart";
  "spaceprobe" = dontDistribute super."spaceprobe";
  "spanout" = dontDistribute super."spanout";
  "sparkle" = dontDistribute super."sparkle";
  "sparse" = dontDistribute super."sparse";
  "sparse-lin-alg" = dontDistribute super."sparse-lin-alg";
  "sparsebit" = dontDistribute super."sparsebit";
  "sparsecheck" = dontDistribute super."sparsecheck";
  "sparser" = dontDistribute super."sparser";
  "spata" = dontDistribute super."spata";
  "spatial-math" = dontDistribute super."spatial-math";
  "spawn" = dontDistribute super."spawn";
  "spe" = dontDistribute super."spe";
  "special-functors" = dontDistribute super."special-functors";
  "special-keys" = dontDistribute super."special-keys";
  "specialize-th" = dontDistribute super."specialize-th";
  "species" = dontDistribute super."species";
  "speculation-transformers" = dontDistribute super."speculation-transformers";
  "spelling-suggest" = dontDistribute super."spelling-suggest";
  "sphero" = dontDistribute super."sphero";
  "sphinx-cli" = dontDistribute super."sphinx-cli";
  "spice" = dontDistribute super."spice";
  "spike" = dontDistribute super."spike";
  "spine" = dontDistribute super."spine";
  "spir-v" = dontDistribute super."spir-v";
  "splay" = dontDistribute super."splay";
  "splaytree" = dontDistribute super."splaytree";
  "spline3" = dontDistribute super."spline3";
  "splines" = dontDistribute super."splines";
  "split-channel" = dontDistribute super."split-channel";
  "split-record" = dontDistribute super."split-record";
  "split-tchan" = dontDistribute super."split-tchan";
  "splitter" = dontDistribute super."splitter";
  "splot" = dontDistribute super."splot";
  "spoonutil" = dontDistribute super."spoonutil";
  "spoty" = dontDistribute super."spoty";
  "spreadsheet" = dontDistribute super."spreadsheet";
  "spritz" = dontDistribute super."spritz";
  "sproxy" = dontDistribute super."sproxy";
  "sproxy-web" = dontDistribute super."sproxy-web";
  "spsa" = dontDistribute super."spsa";
  "spy" = dontDistribute super."spy";
  "sql-simple" = dontDistribute super."sql-simple";
  "sql-simple-mysql" = dontDistribute super."sql-simple-mysql";
  "sql-simple-pool" = dontDistribute super."sql-simple-pool";
  "sql-simple-postgresql" = dontDistribute super."sql-simple-postgresql";
  "sql-simple-sqlite" = dontDistribute super."sql-simple-sqlite";
  "sqlite" = dontDistribute super."sqlite";
  "sqlite-simple-typed" = dontDistribute super."sqlite-simple-typed";
  "sqlvalue-list" = dontDistribute super."sqlvalue-list";
  "squeeze" = dontDistribute super."squeeze";
  "sr-extra" = dontDistribute super."sr-extra";
  "srcinst" = dontDistribute super."srcinst";
  "srec" = dontDistribute super."srec";
  "sscgi" = dontDistribute super."sscgi";
  "sscript" = dontDistribute super."sscript";
  "ssh" = dontDistribute super."ssh";
  "sshd-lint" = dontDistribute super."sshd-lint";
  "sshtun" = dontDistribute super."sshtun";
  "sssp" = dontDistribute super."sssp";
  "sstable" = dontDistribute super."sstable";
  "ssv" = dontDistribute super."ssv";
  "stable-heap" = dontDistribute super."stable-heap";
  "stable-maps" = dontDistribute super."stable-maps";
  "stable-marriage" = dontDistribute super."stable-marriage";
  "stable-memo" = dontDistribute super."stable-memo";
  "stable-tree" = dontDistribute super."stable-tree";
  "stache" = dontDistribute super."stache";
  "stack-hpc-coveralls" = dontDistribute super."stack-hpc-coveralls";
  "stack-prism" = dontDistribute super."stack-prism";
  "stack-run" = dontDistribute super."stack-run";
  "stackage-curator" = doDistribute super."stackage-curator_0_14_0";
  "standalone-derive-topdown" = dontDistribute super."standalone-derive-topdown";
  "standalone-haddock" = dontDistribute super."standalone-haddock";
  "star-to-star" = dontDistribute super."star-to-star";
  "star-to-star-contra" = dontDistribute super."star-to-star-contra";
  "starling" = dontDistribute super."starling";
  "starrover2" = dontDistribute super."starrover2";
  "stash" = dontDistribute super."stash";
  "state" = dontDistribute super."state";
  "state-bag" = dontDistribute super."state-bag";
  "state-record" = dontDistribute super."state-record";
  "statechart" = dontDistribute super."statechart";
  "stateful-mtl" = dontDistribute super."stateful-mtl";
  "statethread" = dontDistribute super."statethread";
  "statgrab" = dontDistribute super."statgrab";
  "static-hash" = dontDistribute super."static-hash";
  "static-resources" = dontDistribute super."static-resources";
  "staticanalysis" = dontDistribute super."staticanalysis";
  "statistics-dirichlet" = dontDistribute super."statistics-dirichlet";
  "statistics-fusion" = dontDistribute super."statistics-fusion";
  "statistics-hypergeometric-genvar" = dontDistribute super."statistics-hypergeometric-genvar";
  "stats" = dontDistribute super."stats";
  "statsd" = dontDistribute super."statsd";
  "statsd-client" = dontDistribute super."statsd-client";
  "statsd-datadog" = dontDistribute super."statsd-datadog";
  "statvfs" = dontDistribute super."statvfs";
  "stb-image" = dontDistribute super."stb-image";
  "stb-truetype" = dontDistribute super."stb-truetype";
  "stdata" = dontDistribute super."stdata";
  "stdf" = dontDistribute super."stdf";
  "steambrowser" = dontDistribute super."steambrowser";
  "steeloverseer" = dontDistribute super."steeloverseer";
  "stemmer" = dontDistribute super."stemmer";
  "step-function" = dontDistribute super."step-function";
  "stepwise" = dontDistribute super."stepwise";
  "stgi" = dontDistribute super."stgi";
  "stickyKeysHotKey" = dontDistribute super."stickyKeysHotKey";
  "stitch" = dontDistribute super."stitch";
  "stm-channelize" = dontDistribute super."stm-channelize";
  "stm-chunked-queues" = dontDistribute super."stm-chunked-queues";
  "stm-conduit" = doDistribute super."stm-conduit_2_8_0";
  "stm-containers" = doDistribute super."stm-containers_0_2_14";
  "stm-firehose" = dontDistribute super."stm-firehose";
  "stm-io-hooks" = dontDistribute super."stm-io-hooks";
  "stm-lifted" = dontDistribute super."stm-lifted";
  "stm-linkedlist" = dontDistribute super."stm-linkedlist";
  "stm-orelse-io" = dontDistribute super."stm-orelse-io";
  "stm-promise" = dontDistribute super."stm-promise";
  "stm-queue-extras" = dontDistribute super."stm-queue-extras";
  "stm-sbchan" = dontDistribute super."stm-sbchan";
  "stm-split" = dontDistribute super."stm-split";
  "stm-tlist" = dontDistribute super."stm-tlist";
  "stmcontrol" = dontDistribute super."stmcontrol";
  "stomp-conduit" = dontDistribute super."stomp-conduit";
  "stomp-patterns" = dontDistribute super."stomp-patterns";
  "stomp-queue" = dontDistribute super."stomp-queue";
  "stompl" = dontDistribute super."stompl";
  "storable" = dontDistribute super."storable";
  "storable-record" = dontDistribute super."storable-record";
  "storable-static-array" = dontDistribute super."storable-static-array";
  "storable-tuple" = dontDistribute super."storable-tuple";
  "storablevector" = dontDistribute super."storablevector";
  "storablevector-carray" = dontDistribute super."storablevector-carray";
  "storablevector-streamfusion" = dontDistribute super."storablevector-streamfusion";
  "store" = dontDistribute super."store";
  "store-core" = dontDistribute super."store-core";
  "str" = dontDistribute super."str";
  "stratum-tool" = dontDistribute super."stratum-tool";
  "stratux" = dontDistribute super."stratux";
  "stratux-http" = dontDistribute super."stratux-http";
  "stratux-types" = dontDistribute super."stratux-types";
  "stratux-websockets" = dontDistribute super."stratux-websockets";
  "stream" = dontDistribute super."stream";
  "stream-fusion" = dontDistribute super."stream-fusion";
  "stream-monad" = dontDistribute super."stream-monad";
  "streamed" = dontDistribute super."streamed";
  "streaming-eversion" = dontDistribute super."streaming-eversion";
  "streaming-histogram" = dontDistribute super."streaming-histogram";
  "streaming-png" = dontDistribute super."streaming-png";
  "streaming-utils" = dontDistribute super."streaming-utils";
  "streaming-wai" = dontDistribute super."streaming-wai";
  "streams" = doDistribute super."streams_3_2_1";
  "strict-concurrency" = dontDistribute super."strict-concurrency";
  "strict-data" = dontDistribute super."strict-data";
  "strict-ghc-plugin" = dontDistribute super."strict-ghc-plugin";
  "strict-identity" = dontDistribute super."strict-identity";
  "strict-io" = dontDistribute super."strict-io";
  "strictify" = dontDistribute super."strictify";
  "strictly" = dontDistribute super."strictly";
  "string" = dontDistribute super."string";
  "string-convert" = dontDistribute super."string-convert";
  "string-quote" = dontDistribute super."string-quote";
  "string-similarity" = dontDistribute super."string-similarity";
  "string-typelits" = dontDistribute super."string-typelits";
  "stringlike" = dontDistribute super."stringlike";
  "stringprep" = dontDistribute super."stringprep";
  "strings" = dontDistribute super."strings";
  "stringtable-atom" = dontDistribute super."stringtable-atom";
  "strio" = dontDistribute super."strio";
  "stripe" = dontDistribute super."stripe";
  "stripe-core" = doDistribute super."stripe-core_2_0_3";
  "stripe-haskell" = doDistribute super."stripe-haskell_2_0_3";
  "stripe-http-streams" = doDistribute super."stripe-http-streams_2_0_3";
  "strive" = doDistribute super."strive_2_2_2";
  "strptime" = dontDistribute super."strptime";
  "structs" = dontDistribute super."structs";
  "structural-induction" = dontDistribute super."structural-induction";
  "structural-traversal" = dontDistribute super."structural-traversal";
  "structured-haskell-mode" = dontDistribute super."structured-haskell-mode";
  "structured-mongoDB" = dontDistribute super."structured-mongoDB";
  "structures" = dontDistribute super."structures";
  "stunclient" = dontDistribute super."stunclient";
  "stunts" = dontDistribute super."stunts";
  "stylized" = dontDistribute super."stylized";
  "sub-state" = dontDistribute super."sub-state";
  "subhask" = dontDistribute super."subhask";
  "subleq-toolchain" = dontDistribute super."subleq-toolchain";
  "subnet" = dontDistribute super."subnet";
  "subtitleParser" = dontDistribute super."subtitleParser";
  "subtitles" = dontDistribute super."subtitles";
  "subwordgraph" = dontDistribute super."subwordgraph";
  "suffixarray" = dontDistribute super."suffixarray";
  "suffixtree" = dontDistribute super."suffixtree";
  "sugarhaskell" = dontDistribute super."sugarhaskell";
  "suitable" = dontDistribute super."suitable";
  "sump" = dontDistribute super."sump";
  "sunlight" = dontDistribute super."sunlight";
  "sunroof-compiler" = dontDistribute super."sunroof-compiler";
  "sunroof-examples" = dontDistribute super."sunroof-examples";
  "sunroof-server" = dontDistribute super."sunroof-server";
  "super-user-spark" = dontDistribute super."super-user-spark";
  "supercollider-ht" = dontDistribute super."supercollider-ht";
  "supercollider-midi" = dontDistribute super."supercollider-midi";
  "superdoc" = dontDistribute super."superdoc";
  "supero" = dontDistribute super."supero";
  "supervisor" = dontDistribute super."supervisor";
  "supplemented" = dontDistribute super."supplemented";
  "suspend" = dontDistribute super."suspend";
  "svg2q" = dontDistribute super."svg2q";
  "svgcairo" = dontDistribute super."svgcairo";
  "svgutils" = dontDistribute super."svgutils";
  "svm" = dontDistribute super."svm";
  "svm-light-utils" = dontDistribute super."svm-light-utils";
  "svm-simple" = dontDistribute super."svm-simple";
  "svndump" = dontDistribute super."svndump";
  "swagger2" = doDistribute super."swagger2_2_0_2";
  "swapper" = dontDistribute super."swapper";
  "swearjure" = dontDistribute super."swearjure";
  "swf" = dontDistribute super."swf";
  "swift-lda" = dontDistribute super."swift-lda";
  "swish" = dontDistribute super."swish";
  "sws" = dontDistribute super."sws";
  "syb-extras" = dontDistribute super."syb-extras";
  "syb-with-class-instances-text" = dontDistribute super."syb-with-class-instances-text";
  "sylvia" = dontDistribute super."sylvia";
  "sym" = dontDistribute super."sym";
  "sym-plot" = dontDistribute super."sym-plot";
  "symengine" = dontDistribute super."symengine";
  "symengine-hs" = dontDistribute super."symengine-hs";
  "sync" = dontDistribute super."sync";
  "synchronous-channels" = dontDistribute super."synchronous-channels";
  "syncthing-hs" = dontDistribute super."syncthing-hs";
  "synt" = dontDistribute super."synt";
  "syntactic" = dontDistribute super."syntactic";
  "syntactical" = dontDistribute super."syntactical";
  "syntax" = dontDistribute super."syntax";
  "syntax-attoparsec" = dontDistribute super."syntax-attoparsec";
  "syntax-example" = dontDistribute super."syntax-example";
  "syntax-example-json" = dontDistribute super."syntax-example-json";
  "syntax-pretty" = dontDistribute super."syntax-pretty";
  "syntax-printer" = dontDistribute super."syntax-printer";
  "syntax-trees" = dontDistribute super."syntax-trees";
  "syntax-trees-fork-bairyn" = dontDistribute super."syntax-trees-fork-bairyn";
  "synthesizer" = dontDistribute super."synthesizer";
  "synthesizer-alsa" = dontDistribute super."synthesizer-alsa";
  "synthesizer-core" = dontDistribute super."synthesizer-core";
  "synthesizer-dimensional" = dontDistribute super."synthesizer-dimensional";
  "synthesizer-filter" = dontDistribute super."synthesizer-filter";
  "synthesizer-inference" = dontDistribute super."synthesizer-inference";
  "synthesizer-llvm" = dontDistribute super."synthesizer-llvm";
  "synthesizer-midi" = dontDistribute super."synthesizer-midi";
  "sys-auth-smbclient" = dontDistribute super."sys-auth-smbclient";
  "sys-process" = dontDistribute super."sys-process";
  "system-canonicalpath" = dontDistribute super."system-canonicalpath";
  "system-command" = dontDistribute super."system-command";
  "system-gpio" = dontDistribute super."system-gpio";
  "system-info" = dontDistribute super."system-info";
  "system-inotify" = dontDistribute super."system-inotify";
  "system-lifted" = dontDistribute super."system-lifted";
  "system-locale" = dontDistribute super."system-locale";
  "system-random-effect" = dontDistribute super."system-random-effect";
  "system-test" = dontDistribute super."system-test";
  "system-time-monotonic" = dontDistribute super."system-time-monotonic";
  "system-util" = dontDistribute super."system-util";
  "system-uuid" = dontDistribute super."system-uuid";
  "systemd" = dontDistribute super."systemd";
  "systemstats" = dontDistribute super."systemstats";
  "t-regex" = dontDistribute super."t-regex";
  "t3-client" = dontDistribute super."t3-client";
  "t3-game" = dontDistribute super."t3-game";
  "t3-server" = dontDistribute super."t3-server";
  "ta" = dontDistribute super."ta";
  "table" = dontDistribute super."table";
  "table-layout" = dontDistribute super."table-layout";
  "table-tennis" = dontDistribute super."table-tennis";
  "tableaux" = dontDistribute super."tableaux";
  "tables" = dontDistribute super."tables";
  "tablestorage" = dontDistribute super."tablestorage";
  "tabloid" = dontDistribute super."tabloid";
  "taffybar" = dontDistribute super."taffybar";
  "tag-bits" = dontDistribute super."tag-bits";
  "tag-stream" = dontDistribute super."tag-stream";
  "tagchup" = dontDistribute super."tagchup";
  "tagged-exception-core" = dontDistribute super."tagged-exception-core";
  "tagged-list" = dontDistribute super."tagged-list";
  "tagged-th" = dontDistribute super."tagged-th";
  "tagged-timers" = dontDistribute super."tagged-timers";
  "tagged-transformer" = dontDistribute super."tagged-transformer";
  "tagging" = dontDistribute super."tagging";
  "taglib" = dontDistribute super."taglib";
  "taglib-api" = dontDistribute super."taglib-api";
  "tagset-positional" = dontDistribute super."tagset-positional";
  "tagsoup" = doDistribute super."tagsoup_0_13_10";
  "tagsoup-ht" = dontDistribute super."tagsoup-ht";
  "tagsoup-megaparsec" = dontDistribute super."tagsoup-megaparsec";
  "tagsoup-parsec" = dontDistribute super."tagsoup-parsec";
  "tai64" = dontDistribute super."tai64";
  "tak" = dontDistribute super."tak";
  "tak-ai" = dontDistribute super."tak-ai";
  "takahashi" = dontDistribute super."takahashi";
  "takusen-oracle" = dontDistribute super."takusen-oracle";
  "tamarin-prover" = dontDistribute super."tamarin-prover";
  "tamarin-prover-term" = dontDistribute super."tamarin-prover-term";
  "tamarin-prover-theory" = dontDistribute super."tamarin-prover-theory";
  "tamarin-prover-utils" = dontDistribute super."tamarin-prover-utils";
  "tamper" = dontDistribute super."tamper";
  "target" = dontDistribute super."target";
  "task" = dontDistribute super."task";
  "task-distribution" = dontDistribute super."task-distribution";
  "taskpool" = dontDistribute super."taskpool";
  "tasty-groundhog-converters" = dontDistribute super."tasty-groundhog-converters";
  "tasty-hunit-adapter" = dontDistribute super."tasty-hunit-adapter";
  "tasty-integrate" = dontDistribute super."tasty-integrate";
  "tasty-laws" = dontDistribute super."tasty-laws";
  "tasty-lens" = dontDistribute super."tasty-lens";
  "tasty-program" = dontDistribute super."tasty-program";
  "tateti-tateti" = dontDistribute super."tateti-tateti";
  "tau" = dontDistribute super."tau";
  "tbox" = dontDistribute super."tbox";
  "tcache-AWS" = dontDistribute super."tcache-AWS";
  "tccli" = dontDistribute super."tccli";
  "tce-conf" = dontDistribute super."tce-conf";
  "tconfig" = dontDistribute super."tconfig";
  "tcp" = dontDistribute super."tcp";
  "tcp-streams" = dontDistribute super."tcp-streams";
  "tdd-util" = dontDistribute super."tdd-util";
  "tdoc" = dontDistribute super."tdoc";
  "teams" = dontDistribute super."teams";
  "teeth" = dontDistribute super."teeth";
  "telegram" = dontDistribute super."telegram";
  "teleport" = dontDistribute super."teleport";
  "template-default" = dontDistribute super."template-default";
  "template-haskell-util" = dontDistribute super."template-haskell-util";
  "template-hsml" = dontDistribute super."template-hsml";
  "template-yj" = dontDistribute super."template-yj";
  "templatepg" = dontDistribute super."templatepg";
  "templater" = dontDistribute super."templater";
  "tempo" = dontDistribute super."tempo";
  "tempodb" = dontDistribute super."tempodb";
  "temporal-csound" = dontDistribute super."temporal-csound";
  "temporal-media" = dontDistribute super."temporal-media";
  "temporal-music-notation" = dontDistribute super."temporal-music-notation";
  "temporal-music-notation-demo" = dontDistribute super."temporal-music-notation-demo";
  "temporal-music-notation-western" = dontDistribute super."temporal-music-notation-western";
  "temporary-resourcet" = dontDistribute super."temporary-resourcet";
  "tempus" = dontDistribute super."tempus";
  "tempus-fugit" = dontDistribute super."tempus-fugit";
  "tensor" = dontDistribute super."tensor";
  "term-rewriting" = dontDistribute super."term-rewriting";
  "termbox-bindings" = dontDistribute super."termbox-bindings";
  "termination-combinators" = dontDistribute super."termination-combinators";
  "terminfo" = doDistribute super."terminfo_0_4_0_2";
  "terminfo-hs" = dontDistribute super."terminfo-hs";
  "termplot" = dontDistribute super."termplot";
  "terntup" = dontDistribute super."terntup";
  "terrahs" = dontDistribute super."terrahs";
  "tersmu" = dontDistribute super."tersmu";
  "test-fixture" = dontDistribute super."test-fixture";
  "test-framework-doctest" = dontDistribute super."test-framework-doctest";
  "test-framework-golden" = dontDistribute super."test-framework-golden";
  "test-framework-program" = dontDistribute super."test-framework-program";
  "test-framework-quickcheck" = dontDistribute super."test-framework-quickcheck";
  "test-framework-sandbox" = dontDistribute super."test-framework-sandbox";
  "test-framework-skip" = dontDistribute super."test-framework-skip";
  "test-framework-testing-feat" = dontDistribute super."test-framework-testing-feat";
  "test-invariant" = dontDistribute super."test-invariant";
  "test-pkg" = dontDistribute super."test-pkg";
  "test-sandbox" = dontDistribute super."test-sandbox";
  "test-sandbox-compose" = dontDistribute super."test-sandbox-compose";
  "test-sandbox-hunit" = dontDistribute super."test-sandbox-hunit";
  "test-sandbox-quickcheck" = dontDistribute super."test-sandbox-quickcheck";
  "test-shouldbe" = dontDistribute super."test-shouldbe";
  "testPkg" = dontDistribute super."testPkg";
  "testbench" = dontDistribute super."testbench";
  "testing-type-modifiers" = dontDistribute super."testing-type-modifiers";
  "testloop" = dontDistribute super."testloop";
  "testpack" = dontDistribute super."testpack";
  "testpattern" = dontDistribute super."testpattern";
  "testrunner" = dontDistribute super."testrunner";
  "tetris" = dontDistribute super."tetris";
  "tex2txt" = dontDistribute super."tex2txt";
  "texrunner" = dontDistribute super."texrunner";
  "text-all" = dontDistribute super."text-all";
  "text-and-plots" = dontDistribute super."text-and-plots";
  "text-conversions" = dontDistribute super."text-conversions";
  "text-format-simple" = dontDistribute super."text-format-simple";
  "text-icu-normalized" = dontDistribute super."text-icu-normalized";
  "text-icu-translit" = dontDistribute super."text-icu-translit";
  "text-json-qq" = dontDistribute super."text-json-qq";
  "text-latin1" = dontDistribute super."text-latin1";
  "text-lips" = dontDistribute super."text-lips";
  "text-loc" = dontDistribute super."text-loc";
  "text-locale-encoding" = dontDistribute super."text-locale-encoding";
  "text-normal" = dontDistribute super."text-normal";
  "text-position" = dontDistribute super."text-position";
  "text-printer" = dontDistribute super."text-printer";
  "text-regex-replace" = dontDistribute super."text-regex-replace";
  "text-register-machine" = dontDistribute super."text-register-machine";
  "text-render" = dontDistribute super."text-render";
  "text-show" = doDistribute super."text-show_2_1_2";
  "text-show-instances" = dontDistribute super."text-show-instances";
  "text-stream-decode" = dontDistribute super."text-stream-decode";
  "text-utf7" = dontDistribute super."text-utf7";
  "text-xml-generic" = dontDistribute super."text-xml-generic";
  "text-xml-qq" = dontDistribute super."text-xml-qq";
  "text-zipper-monad" = dontDistribute super."text-zipper-monad";
  "text1" = dontDistribute super."text1";
  "textPlot" = dontDistribute super."textPlot";
  "textmatetags" = dontDistribute super."textmatetags";
  "textocat-api" = dontDistribute super."textocat-api";
  "texts" = dontDistribute super."texts";
  "textual" = dontDistribute super."textual";
  "tfp" = dontDistribute super."tfp";
  "tfp-th" = dontDistribute super."tfp-th";
  "tftp" = dontDistribute super."tftp";
  "tga" = dontDistribute super."tga";
  "th-alpha" = dontDistribute super."th-alpha";
  "th-build" = dontDistribute super."th-build";
  "th-cas" = dontDistribute super."th-cas";
  "th-context" = dontDistribute super."th-context";
  "th-desugar" = doDistribute super."th-desugar_1_5_5";
  "th-fold" = dontDistribute super."th-fold";
  "th-inline-io-action" = dontDistribute super."th-inline-io-action";
  "th-instance-reification" = dontDistribute super."th-instance-reification";
  "th-instances" = dontDistribute super."th-instances";
  "th-kinds" = dontDistribute super."th-kinds";
  "th-kinds-fork" = dontDistribute super."th-kinds-fork";
  "th-orphans" = doDistribute super."th-orphans_0_13_0";
  "th-printf" = dontDistribute super."th-printf";
  "th-sccs" = dontDistribute super."th-sccs";
  "th-traced" = dontDistribute super."th-traced";
  "th-typegraph" = dontDistribute super."th-typegraph";
  "th-utilities" = dontDistribute super."th-utilities";
  "themoviedb" = dontDistribute super."themoviedb";
  "themplate" = dontDistribute super."themplate";
  "thentos-cookie-session" = dontDistribute super."thentos-cookie-session";
  "theoremquest" = dontDistribute super."theoremquest";
  "theoremquest-client" = dontDistribute super."theoremquest-client";
  "these" = doDistribute super."these_0_6_2_1";
  "thespian" = dontDistribute super."thespian";
  "theta-functions" = dontDistribute super."theta-functions";
  "thih" = dontDistribute super."thih";
  "thimk" = dontDistribute super."thimk";
  "thorn" = dontDistribute super."thorn";
  "thread-local-storage" = dontDistribute super."thread-local-storage";
  "threadPool" = dontDistribute super."threadPool";
  "threadmanager" = dontDistribute super."threadmanager";
  "threads-pool" = dontDistribute super."threads-pool";
  "threads-supervisor" = dontDistribute super."threads-supervisor";
  "threadscope" = dontDistribute super."threadscope";
  "threefish" = dontDistribute super."threefish";
  "threepenny-gui" = dontDistribute super."threepenny-gui";
  "thrift" = dontDistribute super."thrift";
  "thrist" = dontDistribute super."thrist";
  "throttle" = dontDistribute super."throttle";
  "throttled-io-loop" = dontDistribute super."throttled-io-loop";
  "thumbnail" = dontDistribute super."thumbnail";
  "tianbar" = dontDistribute super."tianbar";
  "tic-tac-toe" = dontDistribute super."tic-tac-toe";
  "tickle" = dontDistribute super."tickle";
  "tictactoe3d" = dontDistribute super."tictactoe3d";
  "tidal" = doDistribute super."tidal_0_7_1";
  "tidal-midi" = dontDistribute super."tidal-midi";
  "tidal-serial" = dontDistribute super."tidal-serial";
  "tidal-vis" = dontDistribute super."tidal-vis";
  "tie-knot" = dontDistribute super."tie-knot";
  "tiempo" = dontDistribute super."tiempo";
  "tiger" = dontDistribute super."tiger";
  "tight-apply" = dontDistribute super."tight-apply";
  "tightrope" = dontDistribute super."tightrope";
  "tighttp" = dontDistribute super."tighttp";
  "tilings" = dontDistribute super."tilings";
  "timberc" = dontDistribute super."timberc";
  "time-cache" = dontDistribute super."time-cache";
  "time-extras" = dontDistribute super."time-extras";
  "time-exts" = dontDistribute super."time-exts";
  "time-http" = dontDistribute super."time-http";
  "time-interval" = dontDistribute super."time-interval";
  "time-io-access" = dontDistribute super."time-io-access";
  "time-out" = dontDistribute super."time-out";
  "time-patterns" = dontDistribute super."time-patterns";
  "time-qq" = dontDistribute super."time-qq";
  "time-recurrence" = dontDistribute super."time-recurrence";
  "time-series" = dontDistribute super."time-series";
  "time-w3c" = dontDistribute super."time-w3c";
  "timecalc" = dontDistribute super."timecalc";
  "timeconsole" = dontDistribute super."timeconsole";
  "timelens" = dontDistribute super."timelens";
  "timeless" = dontDistribute super."timeless";
  "timelike" = dontDistribute super."timelike";
  "timelike-clock" = dontDistribute super."timelike-clock";
  "timelike-time" = dontDistribute super."timelike-time";
  "timeout" = dontDistribute super."timeout";
  "timeout-control" = dontDistribute super."timeout-control";
  "timeout-with-results" = dontDistribute super."timeout-with-results";
  "timeparsers" = dontDistribute super."timeparsers";
  "timeplot" = dontDistribute super."timeplot";
  "timeprint" = dontDistribute super."timeprint";
  "timers" = dontDistribute super."timers";
  "timers-updatable" = dontDistribute super."timers-updatable";
  "timestamp-subprocess-lines" = dontDistribute super."timestamp-subprocess-lines";
  "timestamper" = dontDistribute super."timestamper";
  "timezone-olson-th" = dontDistribute super."timezone-olson-th";
  "timing-convenience" = dontDistribute super."timing-convenience";
  "tinyMesh" = dontDistribute super."tinyMesh";
  "tip-haskell-frontend" = dontDistribute super."tip-haskell-frontend";
  "tip-lib" = dontDistribute super."tip-lib";
  "tiphys" = dontDistribute super."tiphys";
  "titlecase" = dontDistribute super."titlecase";
  "tkhs" = dontDistribute super."tkhs";
  "tkyprof" = dontDistribute super."tkyprof";
  "tld" = dontDistribute super."tld";
  "tls-extra" = dontDistribute super."tls-extra";
  "tmpl" = dontDistribute super."tmpl";
  "tn" = dontDistribute super."tn";
  "tnet" = dontDistribute super."tnet";
  "to-haskell" = dontDistribute super."to-haskell";
  "to-string-class" = dontDistribute super."to-string-class";
  "to-string-instances" = dontDistribute super."to-string-instances";
  "todos" = dontDistribute super."todos";
  "tofromxml" = dontDistribute super."tofromxml";
  "toilet" = dontDistribute super."toilet";
  "tokenify" = dontDistribute super."tokenify";
  "tokenize" = dontDistribute super."tokenize";
  "toktok" = dontDistribute super."toktok";
  "tokyocabinet-haskell" = dontDistribute super."tokyocabinet-haskell";
  "tokyotyrant-haskell" = dontDistribute super."tokyotyrant-haskell";
  "tomato-rubato-openal" = dontDistribute super."tomato-rubato-openal";
  "toml" = dontDistribute super."toml";
  "toolshed" = dontDistribute super."toolshed";
  "topkata" = dontDistribute super."topkata";
  "torch" = dontDistribute super."torch";
  "total" = dontDistribute super."total";
  "total-alternative" = dontDistribute super."total-alternative";
  "total-map" = dontDistribute super."total-map";
  "total-maps" = dontDistribute super."total-maps";
  "touched" = dontDistribute super."touched";
  "toysolver" = dontDistribute super."toysolver";
  "tpdb" = dontDistribute super."tpdb";
  "trace" = dontDistribute super."trace";
  "trace-call" = dontDistribute super."trace-call";
  "trace-function-call" = dontDistribute super."trace-function-call";
  "traced" = dontDistribute super."traced";
  "tracer" = dontDistribute super."tracer";
  "tracetree" = dontDistribute super."tracetree";
  "tracker" = dontDistribute super."tracker";
  "traildb" = dontDistribute super."traildb";
  "trajectory" = dontDistribute super."trajectory";
  "transactional-events" = dontDistribute super."transactional-events";
  "transf" = dontDistribute super."transf";
  "transformations" = dontDistribute super."transformations";
  "transformers-abort" = dontDistribute super."transformers-abort";
  "transformers-compat" = doDistribute super."transformers-compat_0_4_0_4";
  "transformers-compose" = dontDistribute super."transformers-compose";
  "transformers-convert" = dontDistribute super."transformers-convert";
  "transformers-eff" = dontDistribute super."transformers-eff";
  "transformers-free" = dontDistribute super."transformers-free";
  "transformers-runnable" = dontDistribute super."transformers-runnable";
  "transformers-supply" = dontDistribute super."transformers-supply";
  "transient" = dontDistribute super."transient";
  "transient-universe" = dontDistribute super."transient-universe";
  "translatable-intset" = dontDistribute super."translatable-intset";
  "translate" = dontDistribute super."translate";
  "travis" = dontDistribute super."travis";
  "travis-meta-yaml" = dontDistribute super."travis-meta-yaml";
  "trawl" = dontDistribute super."trawl";
  "traypoweroff" = dontDistribute super."traypoweroff";
  "tree-monad" = dontDistribute super."tree-monad";
  "treemap-html" = dontDistribute super."treemap-html";
  "treemap-html-tools" = dontDistribute super."treemap-html-tools";
  "treersec" = dontDistribute super."treersec";
  "treeviz" = dontDistribute super."treeviz";
  "tremulous-query" = dontDistribute super."tremulous-query";
  "trhsx" = dontDistribute super."trhsx";
  "triangulation" = dontDistribute super."triangulation";
  "trifecta" = doDistribute super."trifecta_1_5_2";
  "trimpolya" = dontDistribute super."trimpolya";
  "tripLL" = dontDistribute super."tripLL";
  "trivia" = dontDistribute super."trivia";
  "trivial-constraint" = dontDistribute super."trivial-constraint";
  "tropical" = dontDistribute super."tropical";
  "truelevel" = dontDistribute super."truelevel";
  "trurl" = dontDistribute super."trurl";
  "truthful" = dontDistribute super."truthful";
  "tsession" = dontDistribute super."tsession";
  "tsession-happstack" = dontDistribute super."tsession-happstack";
  "tskiplist" = dontDistribute super."tskiplist";
  "tslib" = dontDistribute super."tslib";
  "tslogger" = dontDistribute super."tslogger";
  "tsp-viz" = dontDistribute super."tsp-viz";
  "tsparse" = dontDistribute super."tsparse";
  "tst" = dontDistribute super."tst";
  "tsvsql" = dontDistribute super."tsvsql";
  "ttask" = dontDistribute super."ttask";
  "tubes" = dontDistribute super."tubes";
  "tuntap" = dontDistribute super."tuntap";
  "tup-functor" = dontDistribute super."tup-functor";
  "tuple-gen" = dontDistribute super."tuple-gen";
  "tuple-generic" = dontDistribute super."tuple-generic";
  "tuple-hlist" = dontDistribute super."tuple-hlist";
  "tuple-lenses" = dontDistribute super."tuple-lenses";
  "tuple-morph" = dontDistribute super."tuple-morph";
  "tupleinstances" = dontDistribute super."tupleinstances";
  "turing" = dontDistribute super."turing";
  "turing-machines" = dontDistribute super."turing-machines";
  "turing-music" = dontDistribute super."turing-music";
  "turingMachine" = dontDistribute super."turingMachine";
  "turkish-deasciifier" = dontDistribute super."turkish-deasciifier";
  "turni" = dontDistribute super."turni";
  "tweak" = dontDistribute super."tweak";
  "twee" = dontDistribute super."twee";
  "twentefp" = dontDistribute super."twentefp";
  "twentefp-eventloop-graphics" = dontDistribute super."twentefp-eventloop-graphics";
  "twentefp-eventloop-trees" = dontDistribute super."twentefp-eventloop-trees";
  "twentefp-graphs" = dontDistribute super."twentefp-graphs";
  "twentefp-number" = dontDistribute super."twentefp-number";
  "twentefp-rosetree" = dontDistribute super."twentefp-rosetree";
  "twentefp-trees" = dontDistribute super."twentefp-trees";
  "twentefp-websockets" = dontDistribute super."twentefp-websockets";
  "twentyseven" = dontDistribute super."twentyseven";
  "twhs" = dontDistribute super."twhs";
  "twidge" = dontDistribute super."twidge";
  "twilight-stm" = dontDistribute super."twilight-stm";
  "twilio" = dontDistribute super."twilio";
  "twill" = dontDistribute super."twill";
  "twiml" = dontDistribute super."twiml";
  "twine" = dontDistribute super."twine";
  "twisty" = dontDistribute super."twisty";
  "twitch" = dontDistribute super."twitch";
  "twitter" = dontDistribute super."twitter";
  "twitter-enumerator" = dontDistribute super."twitter-enumerator";
  "tx" = dontDistribute super."tx";
  "txt-sushi" = dontDistribute super."txt-sushi";
  "txt2rtf" = dontDistribute super."txt2rtf";
  "txtblk" = dontDistribute super."txtblk";
  "ty" = dontDistribute super."ty";
  "typalyze" = dontDistribute super."typalyze";
  "type-booleans" = dontDistribute super."type-booleans";
  "type-cache" = dontDistribute super."type-cache";
  "type-cereal" = dontDistribute super."type-cereal";
  "type-combinators" = dontDistribute super."type-combinators";
  "type-combinators-quote" = dontDistribute super."type-combinators-quote";
  "type-digits" = dontDistribute super."type-digits";
  "type-equality" = dontDistribute super."type-equality";
  "type-equality-check" = dontDistribute super."type-equality-check";
  "type-fun" = dontDistribute super."type-fun";
  "type-functions" = dontDistribute super."type-functions";
  "type-hint" = dontDistribute super."type-hint";
  "type-int" = dontDistribute super."type-int";
  "type-iso" = dontDistribute super."type-iso";
  "type-level" = dontDistribute super."type-level";
  "type-level-bst" = dontDistribute super."type-level-bst";
  "type-level-natural-number" = dontDistribute super."type-level-natural-number";
  "type-level-natural-number-induction" = dontDistribute super."type-level-natural-number-induction";
  "type-level-natural-number-operations" = dontDistribute super."type-level-natural-number-operations";
  "type-level-sets" = dontDistribute super."type-level-sets";
  "type-level-tf" = dontDistribute super."type-level-tf";
  "type-list" = doDistribute super."type-list_0_3_0_4";
  "type-natural" = dontDistribute super."type-natural";
  "type-operators" = dontDistribute super."type-operators";
  "type-ord" = dontDistribute super."type-ord";
  "type-ord-spine-cereal" = dontDistribute super."type-ord-spine-cereal";
  "type-prelude" = dontDistribute super."type-prelude";
  "type-settheory" = dontDistribute super."type-settheory";
  "type-spine" = dontDistribute super."type-spine";
  "type-structure" = dontDistribute super."type-structure";
  "type-sub-th" = dontDistribute super."type-sub-th";
  "type-unary" = dontDistribute super."type-unary";
  "typeable-th" = dontDistribute super."typeable-th";
  "typed-spreadsheet" = dontDistribute super."typed-spreadsheet";
  "typed-wire" = dontDistribute super."typed-wire";
  "typed-wire-utils" = dontDistribute super."typed-wire-utils";
  "typedquery" = dontDistribute super."typedquery";
  "typehash" = dontDistribute super."typehash";
  "typelevel" = dontDistribute super."typelevel";
  "typelevel-tensor" = dontDistribute super."typelevel-tensor";
  "typeof" = dontDistribute super."typeof";
  "typeparams" = dontDistribute super."typeparams";
  "typesafe-endian" = dontDistribute super."typesafe-endian";
  "typescript-docs" = dontDistribute super."typescript-docs";
  "typical" = dontDistribute super."typical";
  "uAgda" = dontDistribute super."uAgda";
  "uacpid" = dontDistribute super."uacpid";
  "uber" = dontDistribute super."uber";
  "uberlast" = dontDistribute super."uberlast";
  "uconv" = dontDistribute super."uconv";
  "udbus" = dontDistribute super."udbus";
  "udbus-model" = dontDistribute super."udbus-model";
  "udcode" = dontDistribute super."udcode";
  "udev" = dontDistribute super."udev";
  "uhc-light" = dontDistribute super."uhc-light";
  "uhc-util" = dontDistribute super."uhc-util";
  "uhexdump" = dontDistribute super."uhexdump";
  "uhttpc" = dontDistribute super."uhttpc";
  "ui-command" = dontDistribute super."ui-command";
  "uid" = dontDistribute super."uid";
  "una" = dontDistribute super."una";
  "unagi-chan" = dontDistribute super."unagi-chan";
  "unagi-streams" = dontDistribute super."unagi-streams";
  "unamb" = dontDistribute super."unamb";
  "unamb-custom" = dontDistribute super."unamb-custom";
  "unbound" = dontDistribute super."unbound";
  "unbounded-delays-units" = dontDistribute super."unbounded-delays-units";
  "unboxed-containers" = dontDistribute super."unboxed-containers";
  "unbreak" = dontDistribute super."unbreak";
  "unfoldable" = dontDistribute super."unfoldable";
  "unfoldable-restricted" = dontDistribute super."unfoldable-restricted";
  "ungadtagger" = dontDistribute super."ungadtagger";
  "uni-events" = dontDistribute super."uni-events";
  "uni-graphs" = dontDistribute super."uni-graphs";
  "uni-htk" = dontDistribute super."uni-htk";
  "uni-posixutil" = dontDistribute super."uni-posixutil";
  "uni-reactor" = dontDistribute super."uni-reactor";
  "uni-uDrawGraph" = dontDistribute super."uni-uDrawGraph";
  "uni-util" = dontDistribute super."uni-util";
  "unicode" = dontDistribute super."unicode";
  "unicode-names" = dontDistribute super."unicode-names";
  "unicode-normalization" = dontDistribute super."unicode-normalization";
  "unicode-prelude" = dontDistribute super."unicode-prelude";
  "unicode-properties" = dontDistribute super."unicode-properties";
  "unicode-show" = dontDistribute super."unicode-show";
  "unicode-symbols" = dontDistribute super."unicode-symbols";
  "unicode-transforms" = dontDistribute super."unicode-transforms";
  "unicoder" = dontDistribute super."unicoder";
  "uniform-io" = dontDistribute super."uniform-io";
  "uniform-pair" = dontDistribute super."uniform-pair";
  "union" = doDistribute super."union_0_1_1_0";
  "union-find-array" = dontDistribute super."union-find-array";
  "union-map" = dontDistribute super."union-map";
  "unique" = dontDistribute super."unique";
  "unique-logic" = dontDistribute super."unique-logic";
  "unique-logic-tf" = dontDistribute super."unique-logic-tf";
  "uniqueid" = dontDistribute super."uniqueid";
  "unit" = dontDistribute super."unit";
  "unit-constraint" = dontDistribute super."unit-constraint";
  "units" = dontDistribute super."units";
  "units-attoparsec" = dontDistribute super."units-attoparsec";
  "units-defs" = dontDistribute super."units-defs";
  "units-parser" = dontDistribute super."units-parser";
  "unittyped" = dontDistribute super."unittyped";
  "universal-binary" = dontDistribute super."universal-binary";
  "universe-th" = dontDistribute super."universe-th";
  "unix-compat" = doDistribute super."unix-compat_0_4_1_4";
  "unix-fcntl" = dontDistribute super."unix-fcntl";
  "unix-handle" = dontDistribute super."unix-handle";
  "unix-io-extra" = dontDistribute super."unix-io-extra";
  "unix-memory" = dontDistribute super."unix-memory";
  "unix-process-conduit" = dontDistribute super."unix-process-conduit";
  "unix-pty-light" = dontDistribute super."unix-pty-light";
  "unlambda" = dontDistribute super."unlambda";
  "unlit" = dontDistribute super."unlit";
  "unm-hip" = dontDistribute super."unm-hip";
  "unordered-containers-rematch" = dontDistribute super."unordered-containers-rematch";
  "unordered-graphs" = dontDistribute super."unordered-graphs";
  "unpack-funcs" = dontDistribute super."unpack-funcs";
  "unroll-ghc-plugin" = dontDistribute super."unroll-ghc-plugin";
  "unsafe" = dontDistribute super."unsafe";
  "unsafe-promises" = dontDistribute super."unsafe-promises";
  "unsafely" = dontDistribute super."unsafely";
  "unsafeperformst" = dontDistribute super."unsafeperformst";
  "unscramble" = dontDistribute super."unscramble";
  "unsequential" = dontDistribute super."unsequential";
  "unusable-pkg" = dontDistribute super."unusable-pkg";
  "unused" = dontDistribute super."unused";
  "uom-plugin" = dontDistribute super."uom-plugin";
  "up" = dontDistribute super."up";
  "up-grade" = dontDistribute super."up-grade";
  "uploadcare" = dontDistribute super."uploadcare";
  "upskirt" = dontDistribute super."upskirt";
  "ureader" = dontDistribute super."ureader";
  "urembed" = dontDistribute super."urembed";
  "uri" = dontDistribute super."uri";
  "uri-conduit" = dontDistribute super."uri-conduit";
  "uri-enumerator" = dontDistribute super."uri-enumerator";
  "uri-enumerator-file" = dontDistribute super."uri-enumerator-file";
  "uri-template" = dontDistribute super."uri-template";
  "url-generic" = dontDistribute super."url-generic";
  "urlcheck" = dontDistribute super."urlcheck";
  "urldecode" = dontDistribute super."urldecode";
  "urldisp-happstack" = dontDistribute super."urldisp-happstack";
  "urlencoded" = dontDistribute super."urlencoded";
  "urn" = dontDistribute super."urn";
  "urxml" = dontDistribute super."urxml";
  "usb" = dontDistribute super."usb";
  "usb-enumerator" = dontDistribute super."usb-enumerator";
  "usb-hid" = dontDistribute super."usb-hid";
  "usb-id-database" = dontDistribute super."usb-id-database";
  "usb-iteratee" = dontDistribute super."usb-iteratee";
  "usb-safe" = dontDistribute super."usb-safe";
  "utc" = dontDistribute super."utc";
  "utf8-env" = dontDistribute super."utf8-env";
  "utf8-prelude" = dontDistribute super."utf8-prelude";
  "uu-cco" = dontDistribute super."uu-cco";
  "uu-cco-examples" = dontDistribute super."uu-cco-examples";
  "uu-cco-hut-parsing" = dontDistribute super."uu-cco-hut-parsing";
  "uu-cco-uu-parsinglib" = dontDistribute super."uu-cco-uu-parsinglib";
  "uu-options" = dontDistribute super."uu-options";
  "uu-tc" = dontDistribute super."uu-tc";
  "uuagc" = dontDistribute super."uuagc";
  "uuagc-bootstrap" = dontDistribute super."uuagc-bootstrap";
  "uuagc-cabal" = dontDistribute super."uuagc-cabal";
  "uuagc-diagrams" = dontDistribute super."uuagc-diagrams";
  "uuagd" = dontDistribute super."uuagd";
  "uuid-aeson" = dontDistribute super."uuid-aeson";
  "uuid-le" = dontDistribute super."uuid-le";
  "uuid-orphans" = doDistribute super."uuid-orphans_1_3_11_1";
  "uuid-quasi" = dontDistribute super."uuid-quasi";
  "uulib" = dontDistribute super."uulib";
  "uvector" = dontDistribute super."uvector";
  "uvector-algorithms" = dontDistribute super."uvector-algorithms";
  "uxadt" = dontDistribute super."uxadt";
  "uzbl-with-source" = dontDistribute super."uzbl-with-source";
  "v4l2" = dontDistribute super."v4l2";
  "v4l2-examples" = dontDistribute super."v4l2-examples";
  "vacuum" = dontDistribute super."vacuum";
  "vacuum-cairo" = dontDistribute super."vacuum-cairo";
  "vacuum-graphviz" = dontDistribute super."vacuum-graphviz";
  "vacuum-opengl" = dontDistribute super."vacuum-opengl";
  "vacuum-ubigraph" = dontDistribute super."vacuum-ubigraph";
  "valid-names" = dontDistribute super."valid-names";
  "validate" = dontDistribute super."validate";
  "validated-literals" = dontDistribute super."validated-literals";
  "validations" = dontDistribute super."validations";
  "validity" = dontDistribute super."validity";
  "validity-containers" = dontDistribute super."validity-containers";
  "value-supply" = dontDistribute super."value-supply";
  "vampire" = dontDistribute super."vampire";
  "var" = dontDistribute super."var";
  "varan" = dontDistribute super."varan";
  "variable-precision" = dontDistribute super."variable-precision";
  "variables" = dontDistribute super."variables";
  "varying" = dontDistribute super."varying";
  "vaultaire-common" = dontDistribute super."vaultaire-common";
  "vcache" = dontDistribute super."vcache";
  "vcache-trie" = dontDistribute super."vcache-trie";
  "vcard" = dontDistribute super."vcard";
  "vcatt" = dontDistribute super."vcatt";
  "vcd" = dontDistribute super."vcd";
  "vcs-revision" = dontDistribute super."vcs-revision";
  "vcs-web-hook-parse" = dontDistribute super."vcs-web-hook-parse";
  "vect-floating" = dontDistribute super."vect-floating";
  "vect-floating-accelerate" = dontDistribute super."vect-floating-accelerate";
  "vect-opengl" = dontDistribute super."vect-opengl";
  "vector-binary" = dontDistribute super."vector-binary";
  "vector-bytes-instances" = dontDistribute super."vector-bytes-instances";
  "vector-bytestring" = dontDistribute super."vector-bytestring";
  "vector-clock" = dontDistribute super."vector-clock";
  "vector-conduit" = dontDistribute super."vector-conduit";
  "vector-functorlazy" = dontDistribute super."vector-functorlazy";
  "vector-heterogenous" = dontDistribute super."vector-heterogenous";
  "vector-instances-collections" = dontDistribute super."vector-instances-collections";
  "vector-mmap" = dontDistribute super."vector-mmap";
  "vector-random" = dontDistribute super."vector-random";
  "vector-read-instances" = dontDistribute super."vector-read-instances";
  "vector-sized" = dontDistribute super."vector-sized";
  "vector-space-map" = dontDistribute super."vector-space-map";
  "vector-space-opengl" = dontDistribute super."vector-space-opengl";
  "vector-space-points" = dontDistribute super."vector-space-points";
  "vector-static" = dontDistribute super."vector-static";
  "vector-strategies" = dontDistribute super."vector-strategies";
  "vectortiles" = dontDistribute super."vectortiles";
  "verbalexpressions" = dontDistribute super."verbalexpressions";
  "verbosity" = dontDistribute super."verbosity";
  "verdict" = dontDistribute super."verdict";
  "verdict-json" = dontDistribute super."verdict-json";
  "verilog" = dontDistribute super."verilog";
  "versions" = doDistribute super."versions_2_0_0";
  "vhdl" = dontDistribute super."vhdl";
  "views" = dontDistribute super."views";
  "vigilance" = dontDistribute super."vigilance";
  "vimeta" = dontDistribute super."vimeta";
  "vimus" = dontDistribute super."vimus";
  "vintage-basic" = dontDistribute super."vintage-basic";
  "vinyl-gl" = dontDistribute super."vinyl-gl";
  "vinyl-json" = dontDistribute super."vinyl-json";
  "vinyl-operational" = dontDistribute super."vinyl-operational";
  "vinyl-plus" = dontDistribute super."vinyl-plus";
  "vinyl-vectors" = dontDistribute super."vinyl-vectors";
  "virthualenv" = dontDistribute super."virthualenv";
  "visibility" = dontDistribute super."visibility";
  "vision" = dontDistribute super."vision";
  "visual-graphrewrite" = dontDistribute super."visual-graphrewrite";
  "visual-prof" = dontDistribute super."visual-prof";
  "vk-aws-route53" = dontDistribute super."vk-aws-route53";
  "vk-posix-pty" = dontDistribute super."vk-posix-pty";
  "vocabulary-kadma" = dontDistribute super."vocabulary-kadma";
  "vorbiscomment" = dontDistribute super."vorbiscomment";
  "vowpal-utils" = dontDistribute super."vowpal-utils";
  "voyeur" = dontDistribute super."voyeur";
  "vrpn" = dontDistribute super."vrpn";
  "vte" = dontDistribute super."vte";
  "vtegtk3" = dontDistribute super."vtegtk3";
  "vty" = doDistribute super."vty_5_5_0";
  "vty-examples" = dontDistribute super."vty-examples";
  "vty-menu" = dontDistribute super."vty-menu";
  "vty-ui" = dontDistribute super."vty-ui";
  "vty-ui-extras" = dontDistribute super."vty-ui-extras";
  "vulkan" = dontDistribute super."vulkan";
  "wacom-daemon" = dontDistribute super."wacom-daemon";
  "waddle" = dontDistribute super."waddle";
  "wai-accept-language" = dontDistribute super."wai-accept-language";
  "wai-app-file-cgi" = dontDistribute super."wai-app-file-cgi";
  "wai-devel" = dontDistribute super."wai-devel";
  "wai-digestive-functors" = dontDistribute super."wai-digestive-functors";
  "wai-dispatch" = dontDistribute super."wai-dispatch";
  "wai-frontend-monadcgi" = dontDistribute super."wai-frontend-monadcgi";
  "wai-graceful" = dontDistribute super."wai-graceful";
  "wai-handler-devel" = dontDistribute super."wai-handler-devel";
  "wai-handler-fastcgi" = dontDistribute super."wai-handler-fastcgi";
  "wai-handler-scgi" = dontDistribute super."wai-handler-scgi";
  "wai-handler-snap" = dontDistribute super."wai-handler-snap";
  "wai-handler-webkit" = dontDistribute super."wai-handler-webkit";
  "wai-hastache" = dontDistribute super."wai-hastache";
  "wai-hmac-auth" = dontDistribute super."wai-hmac-auth";
  "wai-http2-extra" = dontDistribute super."wai-http2-extra";
  "wai-lens" = dontDistribute super."wai-lens";
  "wai-lite" = dontDistribute super."wai-lite";
  "wai-logger" = doDistribute super."wai-logger_2_2_7";
  "wai-logger-prefork" = dontDistribute super."wai-logger-prefork";
  "wai-make-assets" = dontDistribute super."wai-make-assets";
  "wai-middleware-cache" = dontDistribute super."wai-middleware-cache";
  "wai-middleware-cache-redis" = dontDistribute super."wai-middleware-cache-redis";
  "wai-middleware-catch" = dontDistribute super."wai-middleware-catch";
  "wai-middleware-etag" = dontDistribute super."wai-middleware-etag";
  "wai-middleware-gunzip" = dontDistribute super."wai-middleware-gunzip";
  "wai-middleware-headers" = dontDistribute super."wai-middleware-headers";
  "wai-middleware-hmac" = dontDistribute super."wai-middleware-hmac";
  "wai-middleware-hmac-client" = dontDistribute super."wai-middleware-hmac-client";
  "wai-middleware-preprocessor" = dontDistribute super."wai-middleware-preprocessor";
  "wai-middleware-route" = dontDistribute super."wai-middleware-route";
  "wai-middleware-static-caching" = dontDistribute super."wai-middleware-static-caching";
  "wai-middleware-verbs" = doDistribute super."wai-middleware-verbs_0_2_0";
  "wai-request-spec" = dontDistribute super."wai-request-spec";
  "wai-responsible" = dontDistribute super."wai-responsible";
  "wai-router" = dontDistribute super."wai-router";
  "wai-session-alt" = dontDistribute super."wai-session-alt";
  "wai-session-clientsession" = dontDistribute super."wai-session-clientsession";
  "wai-session-mysql" = dontDistribute super."wai-session-mysql";
  "wai-session-tokyocabinet" = dontDistribute super."wai-session-tokyocabinet";
  "wai-static-cache" = dontDistribute super."wai-static-cache";
  "wai-static-pages" = dontDistribute super."wai-static-pages";
  "wai-test" = dontDistribute super."wai-test";
  "wai-thrift" = dontDistribute super."wai-thrift";
  "wai-throttler" = dontDistribute super."wai-throttler";
  "wait-handle" = dontDistribute super."wait-handle";
  "waitfree" = dontDistribute super."waitfree";
  "warc" = dontDistribute super."warc";
  "warp-dynamic" = dontDistribute super."warp-dynamic";
  "warp-static" = dontDistribute super."warp-static";
  "warp-tls-uid" = dontDistribute super."warp-tls-uid";
  "watchdog" = dontDistribute super."watchdog";
  "watcher" = dontDistribute super."watcher";
  "watchit" = dontDistribute super."watchit";
  "wavconvert" = dontDistribute super."wavconvert";
  "wavesurfer" = dontDistribute super."wavesurfer";
  "wavy" = dontDistribute super."wavy";
  "wcwidth" = dontDistribute super."wcwidth";
  "weather-api" = dontDistribute super."weather-api";
  "web-browser-in-haskell" = dontDistribute super."web-browser-in-haskell";
  "web-css" = dontDistribute super."web-css";
  "web-encodings" = dontDistribute super."web-encodings";
  "web-inv-route" = dontDistribute super."web-inv-route";
  "web-mongrel2" = dontDistribute super."web-mongrel2";
  "web-page" = dontDistribute super."web-page";
  "web-routes-mtl" = dontDistribute super."web-routes-mtl";
  "web-routes-quasi" = dontDistribute super."web-routes-quasi";
  "web-routes-regular" = dontDistribute super."web-routes-regular";
  "web-routes-transformers" = dontDistribute super."web-routes-transformers";
  "webapi" = dontDistribute super."webapi";
  "webapp" = dontDistribute super."webapp";
  "webcloud" = dontDistribute super."webcloud";
  "webcrank" = dontDistribute super."webcrank";
  "webcrank-dispatch" = dontDistribute super."webcrank-dispatch";
  "webcrank-wai" = dontDistribute super."webcrank-wai";
  "webdriver-snoy" = dontDistribute super."webdriver-snoy";
  "webfinger-client" = dontDistribute super."webfinger-client";
  "webidl" = dontDistribute super."webidl";
  "webify" = dontDistribute super."webify";
  "webkit" = dontDistribute super."webkit";
  "webkit-javascriptcore" = dontDistribute super."webkit-javascriptcore";
  "webkitgtk3" = doDistribute super."webkitgtk3_0_14_1_1";
  "webkitgtk3-javascriptcore" = doDistribute super."webkitgtk3-javascriptcore_0_13_1_2";
  "webrtc-vad" = dontDistribute super."webrtc-vad";
  "webserver" = dontDistribute super."webserver";
  "websnap" = dontDistribute super."websnap";
  "webwire" = dontDistribute super."webwire";
  "wedding-announcement" = dontDistribute super."wedding-announcement";
  "wedged" = dontDistribute super."wedged";
  "weighted-regexp" = dontDistribute super."weighted-regexp";
  "weighted-search" = dontDistribute super."weighted-search";
  "welshy" = dontDistribute super."welshy";
  "werewolf" = doDistribute super."werewolf_1_0_2_2";
  "wheb-mongo" = dontDistribute super."wheb-mongo";
  "wheb-redis" = dontDistribute super."wheb-redis";
  "wheb-strapped" = dontDistribute super."wheb-strapped";
  "while-lang-parser" = dontDistribute super."while-lang-parser";
  "whim" = dontDistribute super."whim";
  "whiskers" = dontDistribute super."whiskers";
  "whitespace" = dontDistribute super."whitespace";
  "whois" = dontDistribute super."whois";
  "why3" = dontDistribute super."why3";
  "wigner-symbols" = dontDistribute super."wigner-symbols";
  "wikicfp-scraper" = dontDistribute super."wikicfp-scraper";
  "wikipedia4epub" = dontDistribute super."wikipedia4epub";
  "win-hp-path" = dontDistribute super."win-hp-path";
  "windowslive" = dontDistribute super."windowslive";
  "winerror" = dontDistribute super."winerror";
  "winio" = dontDistribute super."winio";
  "wire-streams" = dontDistribute super."wire-streams";
  "wiring" = dontDistribute super."wiring";
  "witness" = dontDistribute super."witness";
  "witty" = dontDistribute super."witty";
  "wkt" = dontDistribute super."wkt";
  "wl-pprint-ansiterm" = dontDistribute super."wl-pprint-ansiterm";
  "wlc-hs" = dontDistribute super."wlc-hs";
  "wobsurv" = dontDistribute super."wobsurv";
  "woffex" = dontDistribute super."woffex";
  "wol" = dontDistribute super."wol";
  "wolf" = dontDistribute super."wolf";
  "woot" = dontDistribute super."woot";
  "word-vector" = dontDistribute super."word-vector";
  "word24" = dontDistribute super."word24";
  "wordcloud" = dontDistribute super."wordcloud";
  "wordexp" = dontDistribute super."wordexp";
  "words" = dontDistribute super."words";
  "wordsearch" = dontDistribute super."wordsearch";
  "wordsetdiff" = dontDistribute super."wordsetdiff";
  "workdays" = dontDistribute super."workdays";
  "workflow-osx" = dontDistribute super."workflow-osx";
  "wp-archivebot" = dontDistribute super."wp-archivebot";
  "wraparound" = dontDistribute super."wraparound";
  "wraxml" = dontDistribute super."wraxml";
  "wreq-sb" = dontDistribute super."wreq-sb";
  "wright" = dontDistribute super."wright";
  "wsdl" = dontDistribute super."wsdl";
  "wsedit" = dontDistribute super."wsedit";
  "wtk" = dontDistribute super."wtk";
  "wtk-gtk" = dontDistribute super."wtk-gtk";
  "wumpus-basic" = dontDistribute super."wumpus-basic";
  "wumpus-core" = dontDistribute super."wumpus-core";
  "wumpus-drawing" = dontDistribute super."wumpus-drawing";
  "wumpus-microprint" = dontDistribute super."wumpus-microprint";
  "wumpus-tree" = dontDistribute super."wumpus-tree";
  "wuss" = doDistribute super."wuss_1_0_4";
  "wx" = dontDistribute super."wx";
  "wxAsteroids" = dontDistribute super."wxAsteroids";
  "wxFruit" = dontDistribute super."wxFruit";
  "wxc" = dontDistribute super."wxc";
  "wxcore" = dontDistribute super."wxcore";
  "wxdirect" = dontDistribute super."wxdirect";
  "wxhnotepad" = dontDistribute super."wxhnotepad";
  "wxturtle" = dontDistribute super."wxturtle";
  "wybor" = dontDistribute super."wybor";
  "wyvern" = dontDistribute super."wyvern";
  "x-dsp" = dontDistribute super."x-dsp";
  "x11-xim" = dontDistribute super."x11-xim";
  "x11-xinput" = dontDistribute super."x11-xinput";
  "x509-util" = dontDistribute super."x509-util";
  "xattr" = dontDistribute super."xattr";
  "xbattbar" = dontDistribute super."xbattbar";
  "xcb-types" = dontDistribute super."xcb-types";
  "xcffib" = dontDistribute super."xcffib";
  "xchat-plugin" = dontDistribute super."xchat-plugin";
  "xcp" = dontDistribute super."xcp";
  "xdg-userdirs" = dontDistribute super."xdg-userdirs";
  "xdot" = dontDistribute super."xdot";
  "xfconf" = dontDistribute super."xfconf";
  "xhaskell-library" = dontDistribute super."xhaskell-library";
  "xhb" = dontDistribute super."xhb";
  "xhb-atom-cache" = dontDistribute super."xhb-atom-cache";
  "xhb-ewmh" = dontDistribute super."xhb-ewmh";
  "xhtml" = doDistribute super."xhtml_3000_2_1";
  "xhtml-combinators" = dontDistribute super."xhtml-combinators";
  "xilinx-lava" = dontDistribute super."xilinx-lava";
  "xine" = dontDistribute super."xine";
  "xing-api" = dontDistribute super."xing-api";
  "xinput-conduit" = dontDistribute super."xinput-conduit";
  "xkbcommon" = dontDistribute super."xkbcommon";
  "xkcd" = dontDistribute super."xkcd";
  "xlsx-templater" = dontDistribute super."xlsx-templater";
  "xml-basic" = dontDistribute super."xml-basic";
  "xml-catalog" = dontDistribute super."xml-catalog";
  "xml-conduit-decode" = dontDistribute super."xml-conduit-decode";
  "xml-enumerator" = dontDistribute super."xml-enumerator";
  "xml-enumerator-combinators" = dontDistribute super."xml-enumerator-combinators";
  "xml-extractors" = dontDistribute super."xml-extractors";
  "xml-helpers" = dontDistribute super."xml-helpers";
  "xml-html-conduit-lens" = dontDistribute super."xml-html-conduit-lens";
  "xml-monad" = dontDistribute super."xml-monad";
  "xml-parsec" = dontDistribute super."xml-parsec";
  "xml-picklers" = dontDistribute super."xml-picklers";
  "xml-pipe" = dontDistribute super."xml-pipe";
  "xml-prettify" = dontDistribute super."xml-prettify";
  "xml-push" = dontDistribute super."xml-push";
  "xml-query" = dontDistribute super."xml-query";
  "xml-query-xml-conduit" = dontDistribute super."xml-query-xml-conduit";
  "xml-query-xml-types" = dontDistribute super."xml-query-xml-types";
  "xml2html" = dontDistribute super."xml2html";
  "xml2json" = dontDistribute super."xml2json";
  "xml2x" = dontDistribute super."xml2x";
  "xmltv" = dontDistribute super."xmltv";
  "xmms2-client" = dontDistribute super."xmms2-client";
  "xmms2-client-glib" = dontDistribute super."xmms2-client-glib";
  "xmobar" = dontDistribute super."xmobar";
  "xmonad-bluetilebranch" = dontDistribute super."xmonad-bluetilebranch";
  "xmonad-contrib" = dontDistribute super."xmonad-contrib";
  "xmonad-contrib-bluetilebranch" = dontDistribute super."xmonad-contrib-bluetilebranch";
  "xmonad-contrib-gpl" = dontDistribute super."xmonad-contrib-gpl";
  "xmonad-entryhelper" = dontDistribute super."xmonad-entryhelper";
  "xmonad-eval" = dontDistribute super."xmonad-eval";
  "xmonad-extras" = dontDistribute super."xmonad-extras";
  "xmonad-screenshot" = dontDistribute super."xmonad-screenshot";
  "xmonad-utils" = dontDistribute super."xmonad-utils";
  "xmonad-wallpaper" = dontDistribute super."xmonad-wallpaper";
  "xmonad-windownames" = dontDistribute super."xmonad-windownames";
  "xmpipe" = dontDistribute super."xmpipe";
  "xorshift" = dontDistribute super."xorshift";
  "xosd" = dontDistribute super."xosd";
  "xournal-builder" = dontDistribute super."xournal-builder";
  "xournal-convert" = dontDistribute super."xournal-convert";
  "xournal-parser" = dontDistribute super."xournal-parser";
  "xournal-render" = dontDistribute super."xournal-render";
  "xournal-types" = dontDistribute super."xournal-types";
  "xpathdsv" = dontDistribute super."xpathdsv";
  "xsact" = dontDistribute super."xsact";
  "xsd" = dontDistribute super."xsd";
  "xsha1" = dontDistribute super."xsha1";
  "xslt" = dontDistribute super."xslt";
  "xtc" = dontDistribute super."xtc";
  "xtest" = dontDistribute super."xtest";
  "xturtle" = dontDistribute super."xturtle";
  "xxhash" = dontDistribute super."xxhash";
  "y0l0bot" = dontDistribute super."y0l0bot";
  "yabi" = dontDistribute super."yabi";
  "yabi-muno" = dontDistribute super."yabi-muno";
  "yahoo-finance-api" = dontDistribute super."yahoo-finance-api";
  "yahoo-finance-conduit" = dontDistribute super."yahoo-finance-conduit";
  "yahoo-web-search" = dontDistribute super."yahoo-web-search";
  "yajl" = dontDistribute super."yajl";
  "yajl-enumerator" = dontDistribute super."yajl-enumerator";
  "yall" = dontDistribute super."yall";
  "yamemo" = dontDistribute super."yamemo";
  "yaml" = doDistribute super."yaml_0_8_18_1";
  "yaml-config" = dontDistribute super."yaml-config";
  "yaml-light-lens" = dontDistribute super."yaml-light-lens";
  "yaml-rpc" = dontDistribute super."yaml-rpc";
  "yaml-rpc-scotty" = dontDistribute super."yaml-rpc-scotty";
  "yaml-rpc-snap" = dontDistribute super."yaml-rpc-snap";
  "yaml-union" = dontDistribute super."yaml-union";
  "yaml2owl" = dontDistribute super."yaml2owl";
  "yamlkeysdiff" = dontDistribute super."yamlkeysdiff";
  "yampa-canvas" = dontDistribute super."yampa-canvas";
  "yampa-glfw" = dontDistribute super."yampa-glfw";
  "yampa-glut" = dontDistribute super."yampa-glut";
  "yampa2048" = dontDistribute super."yampa2048";
  "yandex-translate" = dontDistribute super."yandex-translate";
  "yaop" = dontDistribute super."yaop";
  "yap" = dontDistribute super."yap";
  "yarr" = dontDistribute super."yarr";
  "yarr-image-io" = dontDistribute super."yarr-image-io";
  "yate" = dontDistribute super."yate";
  "yavie" = dontDistribute super."yavie";
  "ycextra" = dontDistribute super."ycextra";
  "yeganesh" = dontDistribute super."yeganesh";
  "yeller" = dontDistribute super."yeller";
  "yeshql" = dontDistribute super."yeshql";
  "yesod-angular" = dontDistribute super."yesod-angular";
  "yesod-angular-ui" = dontDistribute super."yesod-angular-ui";
  "yesod-auth-bcrypt" = dontDistribute super."yesod-auth-bcrypt";
  "yesod-auth-kerberos" = dontDistribute super."yesod-auth-kerberos";
  "yesod-auth-ldap" = dontDistribute super."yesod-auth-ldap";
  "yesod-auth-ldap-mediocre" = dontDistribute super."yesod-auth-ldap-mediocre";
  "yesod-auth-ldap-native" = dontDistribute super."yesod-auth-ldap-native";
  "yesod-auth-oauth" = dontDistribute super."yesod-auth-oauth";
  "yesod-auth-oauth2" = doDistribute super."yesod-auth-oauth2_0_1_10";
  "yesod-auth-pam" = dontDistribute super."yesod-auth-pam";
  "yesod-auth-smbclient" = dontDistribute super."yesod-auth-smbclient";
  "yesod-auth-zendesk" = dontDistribute super."yesod-auth-zendesk";
  "yesod-bootstrap" = dontDistribute super."yesod-bootstrap";
  "yesod-comments" = dontDistribute super."yesod-comments";
  "yesod-content-pdf" = dontDistribute super."yesod-content-pdf";
  "yesod-continuations" = dontDistribute super."yesod-continuations";
  "yesod-crud" = dontDistribute super."yesod-crud";
  "yesod-crud-persist" = dontDistribute super."yesod-crud-persist";
  "yesod-csp" = dontDistribute super."yesod-csp";
  "yesod-datatables" = dontDistribute super."yesod-datatables";
  "yesod-dsl" = dontDistribute super."yesod-dsl";
  "yesod-examples" = dontDistribute super."yesod-examples";
  "yesod-form-json" = dontDistribute super."yesod-form-json";
  "yesod-goodies" = dontDistribute super."yesod-goodies";
  "yesod-ip" = dontDistribute super."yesod-ip";
  "yesod-json" = dontDistribute super."yesod-json";
  "yesod-links" = dontDistribute super."yesod-links";
  "yesod-lucid" = dontDistribute super."yesod-lucid";
  "yesod-mangopay" = dontDistribute super."yesod-mangopay";
  "yesod-markdown" = dontDistribute super."yesod-markdown";
  "yesod-media-simple" = dontDistribute super."yesod-media-simple";
  "yesod-paginate" = dontDistribute super."yesod-paginate";
  "yesod-pagination" = dontDistribute super."yesod-pagination";
  "yesod-paginator" = dontDistribute super."yesod-paginator";
  "yesod-platform" = dontDistribute super."yesod-platform";
  "yesod-pnotify" = dontDistribute super."yesod-pnotify";
  "yesod-pure" = dontDistribute super."yesod-pure";
  "yesod-purescript" = dontDistribute super."yesod-purescript";
  "yesod-raml" = dontDistribute super."yesod-raml";
  "yesod-raml-bin" = dontDistribute super."yesod-raml-bin";
  "yesod-raml-docs" = dontDistribute super."yesod-raml-docs";
  "yesod-raml-mock" = dontDistribute super."yesod-raml-mock";
  "yesod-recaptcha" = dontDistribute super."yesod-recaptcha";
  "yesod-routes" = dontDistribute super."yesod-routes";
  "yesod-routes-flow" = dontDistribute super."yesod-routes-flow";
  "yesod-routes-typescript" = dontDistribute super."yesod-routes-typescript";
  "yesod-rst" = dontDistribute super."yesod-rst";
  "yesod-s3" = dontDistribute super."yesod-s3";
  "yesod-sass" = dontDistribute super."yesod-sass";
  "yesod-session-redis" = dontDistribute super."yesod-session-redis";
  "yesod-tableview" = dontDistribute super."yesod-tableview";
  "yesod-test-json" = dontDistribute super."yesod-test-json";
  "yesod-tls" = dontDistribute super."yesod-tls";
  "yesod-transloadit" = dontDistribute super."yesod-transloadit";
  "yesod-vend" = dontDistribute super."yesod-vend";
  "yesod-websockets-extra" = dontDistribute super."yesod-websockets-extra";
  "yesod-worker" = dontDistribute super."yesod-worker";
  "yet-another-logger" = dontDistribute super."yet-another-logger";
  "yhccore" = dontDistribute super."yhccore";
  "yi-contrib" = dontDistribute super."yi-contrib";
  "yi-emacs-colours" = dontDistribute super."yi-emacs-colours";
  "yi-gtk" = dontDistribute super."yi-gtk";
  "yi-monokai" = dontDistribute super."yi-monokai";
  "yi-snippet" = dontDistribute super."yi-snippet";
  "yi-solarized" = dontDistribute super."yi-solarized";
  "yi-spolsky" = dontDistribute super."yi-spolsky";
  "yi-vty" = dontDistribute super."yi-vty";
  "yices" = dontDistribute super."yices";
  "yices-easy" = dontDistribute super."yices-easy";
  "yices-painless" = dontDistribute super."yices-painless";
  "yjftp" = dontDistribute super."yjftp";
  "yjftp-libs" = dontDistribute super."yjftp-libs";
  "yjsvg" = dontDistribute super."yjsvg";
  "yocto" = dontDistribute super."yocto";
  "yoctoparsec" = dontDistribute super."yoctoparsec";
  "yoko" = dontDistribute super."yoko";
  "york-lava" = dontDistribute super."york-lava";
  "youtube" = dontDistribute super."youtube";
  "yql" = dontDistribute super."yql";
  "yst" = dontDistribute super."yst";
  "yuiGrid" = dontDistribute super."yuiGrid";
  "yuuko" = dontDistribute super."yuuko";
  "yxdb-utils" = dontDistribute super."yxdb-utils";
  "z3" = dontDistribute super."z3";
  "z3-encoding" = dontDistribute super."z3-encoding";
  "zalgo" = dontDistribute super."zalgo";
  "zampolit" = dontDistribute super."zampolit";
  "zasni-gerna" = dontDistribute super."zasni-gerna";
  "zcache" = dontDistribute super."zcache";
  "zenc" = dontDistribute super."zenc";
  "zendesk-api" = dontDistribute super."zendesk-api";
  "zeno" = dontDistribute super."zeno";
  "zerobin" = dontDistribute super."zerobin";
  "zeromq-haskell" = dontDistribute super."zeromq-haskell";
  "zeromq3-conduit" = dontDistribute super."zeromq3-conduit";
  "zeromq3-haskell" = dontDistribute super."zeromq3-haskell";
  "zeroth" = dontDistribute super."zeroth";
  "zigbee-znet25" = dontDistribute super."zigbee-znet25";
  "zip-archive" = doDistribute super."zip-archive_0_2_3_7";
  "zip-conduit" = dontDistribute super."zip-conduit";
  "zipedit" = dontDistribute super."zipedit";
  "zipkin" = dontDistribute super."zipkin";
  "zipper" = dontDistribute super."zipper";
  "zippo" = dontDistribute super."zippo";
  "zlib-conduit" = dontDistribute super."zlib-conduit";
  "zmcat" = dontDistribute super."zmcat";
  "zmidi-core" = dontDistribute super."zmidi-core";
  "zmidi-score" = dontDistribute super."zmidi-score";
  "zmqat" = dontDistribute super."zmqat";
  "zoneinfo" = dontDistribute super."zoneinfo";
  "zoom" = dontDistribute super."zoom";
  "zoom-cache" = dontDistribute super."zoom-cache";
  "zoom-cache-pcm" = dontDistribute super."zoom-cache-pcm";
  "zoom-cache-sndfile" = dontDistribute super."zoom-cache-sndfile";
  "zoom-refs" = dontDistribute super."zoom-refs";
  "zsh-battery" = dontDistribute super."zsh-battery";
  "ztail" = dontDistribute super."ztail";

}
